/*!
 * surveyjs - Survey JavaScript library v1.12.36
 * Copyright (c) 2015-2025 Devsoft Baltic OÜ  - http://surveyjs.io/
 * License: MIT (http://www.opensource.org/licenses/mit-license.php)
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("survey-core"), require("vue"));
	else if(typeof define === 'function' && define.amd)
		define("survey-vue-ui", ["survey-core", "vue"], factory);
	else if(typeof exports === 'object')
		exports["survey-vue-ui"] = factory(require("survey-core"), require("vue"));
	else
		root["SurveyVue"] = factory(root["Survey"], root["Vue"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_survey_core__, __WEBPACK_EXTERNAL_MODULE_vue__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/entries/vue-ui.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./packages/survey-core/src/images-v1 sync recursive \\.svg$":
/*!********************************************************!*\
  !*** ./packages/survey-core/src/images-v1 sync \.svg$ ***!
  \********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./ModernBooleanCheckChecked.svg": "./packages/survey-core/src/images-v1/ModernBooleanCheckChecked.svg",
	"./ModernBooleanCheckInd.svg": "./packages/survey-core/src/images-v1/ModernBooleanCheckInd.svg",
	"./ModernBooleanCheckUnchecked.svg": "./packages/survey-core/src/images-v1/ModernBooleanCheckUnchecked.svg",
	"./ModernCheck.svg": "./packages/survey-core/src/images-v1/ModernCheck.svg",
	"./ModernRadio.svg": "./packages/survey-core/src/images-v1/ModernRadio.svg",
	"./ProgressButton.svg": "./packages/survey-core/src/images-v1/ProgressButton.svg",
	"./RemoveFile.svg": "./packages/survey-core/src/images-v1/RemoveFile.svg",
	"./TimerCircle.svg": "./packages/survey-core/src/images-v1/TimerCircle.svg",
	"./add-24x24.svg": "./packages/survey-core/src/images-v1/add-24x24.svg",
	"./arrowleft-16x16.svg": "./packages/survey-core/src/images-v1/arrowleft-16x16.svg",
	"./arrowright-16x16.svg": "./packages/survey-core/src/images-v1/arrowright-16x16.svg",
	"./camera-24x24.svg": "./packages/survey-core/src/images-v1/camera-24x24.svg",
	"./camera-32x32.svg": "./packages/survey-core/src/images-v1/camera-32x32.svg",
	"./cancel-24x24.svg": "./packages/survey-core/src/images-v1/cancel-24x24.svg",
	"./check-16x16.svg": "./packages/survey-core/src/images-v1/check-16x16.svg",
	"./check-24x24.svg": "./packages/survey-core/src/images-v1/check-24x24.svg",
	"./chevrondown-24x24.svg": "./packages/survey-core/src/images-v1/chevrondown-24x24.svg",
	"./chevronright-16x16.svg": "./packages/survey-core/src/images-v1/chevronright-16x16.svg",
	"./clear-16x16.svg": "./packages/survey-core/src/images-v1/clear-16x16.svg",
	"./clear-24x24.svg": "./packages/survey-core/src/images-v1/clear-24x24.svg",
	"./close-16x16.svg": "./packages/survey-core/src/images-v1/close-16x16.svg",
	"./close-24x24.svg": "./packages/survey-core/src/images-v1/close-24x24.svg",
	"./collapse-16x16.svg": "./packages/survey-core/src/images-v1/collapse-16x16.svg",
	"./collapsedetails-16x16.svg": "./packages/survey-core/src/images-v1/collapsedetails-16x16.svg",
	"./delete-24x24.svg": "./packages/survey-core/src/images-v1/delete-24x24.svg",
	"./drag-24x24.svg": "./packages/survey-core/src/images-v1/drag-24x24.svg",
	"./draghorizontal-24x16.svg": "./packages/survey-core/src/images-v1/draghorizontal-24x16.svg",
	"./expand-16x16.svg": "./packages/survey-core/src/images-v1/expand-16x16.svg",
	"./expanddetails-16x16.svg": "./packages/survey-core/src/images-v1/expanddetails-16x16.svg",
	"./file-72x72.svg": "./packages/survey-core/src/images-v1/file-72x72.svg",
	"./flip-24x24.svg": "./packages/survey-core/src/images-v1/flip-24x24.svg",
	"./folder-24x24.svg": "./packages/survey-core/src/images-v1/folder-24x24.svg",
	"./fullsize-16x16.svg": "./packages/survey-core/src/images-v1/fullsize-16x16.svg",
	"./image-48x48.svg": "./packages/survey-core/src/images-v1/image-48x48.svg",
	"./loading-48x48.svg": "./packages/survey-core/src/images-v1/loading-48x48.svg",
	"./maximize-16x16.svg": "./packages/survey-core/src/images-v1/maximize-16x16.svg",
	"./minimize-16x16.svg": "./packages/survey-core/src/images-v1/minimize-16x16.svg",
	"./more-24x24.svg": "./packages/survey-core/src/images-v1/more-24x24.svg",
	"./navmenu-24x24.svg": "./packages/survey-core/src/images-v1/navmenu-24x24.svg",
	"./noimage-48x48.svg": "./packages/survey-core/src/images-v1/noimage-48x48.svg",
	"./ranking-arrows.svg": "./packages/survey-core/src/images-v1/ranking-arrows.svg",
	"./rankingundefined-16x16.svg": "./packages/survey-core/src/images-v1/rankingundefined-16x16.svg",
	"./rating-star-2.svg": "./packages/survey-core/src/images-v1/rating-star-2.svg",
	"./rating-star-small-2.svg": "./packages/survey-core/src/images-v1/rating-star-small-2.svg",
	"./rating-star-small.svg": "./packages/survey-core/src/images-v1/rating-star-small.svg",
	"./rating-star.svg": "./packages/survey-core/src/images-v1/rating-star.svg",
	"./reorder-24x24.svg": "./packages/survey-core/src/images-v1/reorder-24x24.svg",
	"./restoredown-16x16.svg": "./packages/survey-core/src/images-v1/restoredown-16x16.svg",
	"./search-24x24.svg": "./packages/survey-core/src/images-v1/search-24x24.svg",
	"./smiley-rate1-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate1-24x24.svg",
	"./smiley-rate10-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate10-24x24.svg",
	"./smiley-rate2-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate2-24x24.svg",
	"./smiley-rate3-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate3-24x24.svg",
	"./smiley-rate4-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate4-24x24.svg",
	"./smiley-rate5-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate5-24x24.svg",
	"./smiley-rate6-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate6-24x24.svg",
	"./smiley-rate7-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate7-24x24.svg",
	"./smiley-rate8-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate8-24x24.svg",
	"./smiley-rate9-24x24.svg": "./packages/survey-core/src/images-v1/smiley-rate9-24x24.svg"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "./packages/survey-core/src/images-v1 sync recursive \\.svg$";

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ModernBooleanCheckChecked.svg":
/*!**************************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ModernBooleanCheckChecked.svg ***!
  \**************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><polygon points=\"19,10 14,10 14,5 10,5 10,10 5,10 5,14 10,14 10,19 14,19 14,14 19,14 \"></polygon></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ModernBooleanCheckInd.svg":
/*!**********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ModernBooleanCheckInd.svg ***!
  \**********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><path d=\"M22,0H2C0.9,0,0,0.9,0,2v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V2C24,0.9,23.1,0,22,0z M21,18L6,3h15V18z M3,6l15,15H3V6z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ModernBooleanCheckUnchecked.svg":
/*!****************************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ModernBooleanCheckUnchecked.svg ***!
  \****************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><rect x=\"5\" y=\"10\" width=\"14\" height=\"4\"></rect></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ModernCheck.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ModernCheck.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\"><path d=\"M5,13l2-2l3,3l7-7l2,2l-9,9L5,13z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ModernRadio.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ModernRadio.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"-12 -12 24 24\"><circle r=\"6\" cx=\"0\" cy=\"0\"></circle></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ProgressButton.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ProgressButton.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 10 10\"><polygon points=\"2,2 0,4 5,9 10,4 8,2 5,5 \"></polygon></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/RemoveFile.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/RemoveFile.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\"><path d=\"M8,2C4.7,2,2,4.7,2,8s2.7,6,6,6s6-2.7,6-6S11.3,2,8,2z M11,10l-1,1L8,9l-2,2l-1-1l2-2L5,6l1-1l2,2l2-2l1,1L9,8 L11,10z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/TimerCircle.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/TimerCircle.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg xmlns=\"http://www.w3.org/2000/svg\" version=\"1.1\" viewBox=\"0 0 160 160\"><circle cx=\"80\" cy=\"80\" r=\"70\" style=\"stroke: var(--sd-timer-stroke-background-color); stroke-width: var(--sd-timer-stroke-background-width)\" stroke-dasharray=\"none\" stroke-dashoffset=\"none\"></circle><circle cx=\"80\" cy=\"80\" r=\"70\"></circle></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/add-24x24.svg":
/*!**********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/add-24x24.svg ***!
  \**********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 11H17V13H13V17H11V13H7V11H11V7H13V11ZM23 12C23 18.1 18.1 23 12 23C5.9 23 1 18.1 1 12C1 5.9 5.9 1 12 1C18.1 1 23 5.9 23 12ZM21 12C21 7 17 3 12 3C7 3 3 7 3 12C3 17 7 21 12 21C17 21 21 17 21 12Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/arrowleft-16x16.svg":
/*!****************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/arrowleft-16x16.svg ***!
  \****************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M15 8.99999H4.4L8.7 13.3L7.3 14.7L0.599998 7.99999L7.3 1.29999L8.7 2.69999L4.4 6.99999H15V8.99999Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/arrowright-16x16.svg":
/*!*****************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/arrowright-16x16.svg ***!
  \*****************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M1 6.99999H11.6L7.3 2.69999L8.7 1.29999L15.4 7.99999L8.7 14.7L7.3 13.3L11.6 8.99999H1V6.99999Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/camera-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/camera-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20.01 4H18.4C18.2 4 18.01 3.9 17.9 3.73L16.97 2.34C16.41 1.5 15.48 1 14.47 1H9.54C8.53 1 7.6 1.5 7.04 2.34L6.11 3.73C6 3.9 5.81 4 5.61 4H4C2.35 4 1 5.35 1 7V19C1 20.65 2.35 22 4 22H20C21.65 22 23 20.65 23 19V7C23 5.35 21.65 4 20 4H20.01ZM21.01 19C21.01 19.55 20.56 20 20.01 20H4.01C3.46 20 3.01 19.55 3.01 19V7C3.01 6.45 3.46 6 4.01 6H5.62C6.49 6 7.3 5.56 7.79 4.84L8.72 3.45C8.91 3.17 9.22 3 9.55 3H14.48C14.81 3 15.13 3.17 15.31 3.45L16.24 4.84C16.72 5.56 17.54 6 18.41 6H20.02C20.57 6 21.02 6.45 21.02 7V19H21.01ZM12.01 6C8.7 6 6.01 8.69 6.01 12C6.01 15.31 8.7 18 12.01 18C15.32 18 18.01 15.31 18.01 12C18.01 8.69 15.32 6 12.01 6ZM12.01 16C9.8 16 8.01 14.21 8.01 12C8.01 9.79 9.8 8 12.01 8C14.22 8 16.01 9.79 16.01 12C16.01 14.21 14.22 16 12.01 16ZM13.01 10C13.01 10.55 12.56 11 12.01 11C11.46 11 11.01 11.45 11.01 12C11.01 12.55 10.56 13 10.01 13C9.46 13 9.01 12.55 9.01 12C9.01 10.35 10.36 9 12.01 9C12.56 9 13.01 9.45 13.01 10Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/camera-32x32.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/camera-32x32.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 32 32\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M27 6H23.8C23.34 6 22.92 5.77 22.66 5.39L22.25 4.78C21.51 3.66 20.26 3 18.92 3H13.06C11.72 3 10.48 3.67 9.73 4.78L9.32 5.39C9.07 5.77 8.64 6 8.18 6H4.98C2.79 6 1 7.79 1 10V24C1 26.21 2.79 28 5 28H27C29.21 28 31 26.21 31 24V10C31 7.79 29.21 6 27 6ZM29 24C29 25.1 28.1 26 27 26H5C3.9 26 3 25.1 3 24V10C3 8.9 3.9 8 5 8H8.2C9.33 8 10.38 7.44 11 6.5L11.41 5.89C11.78 5.33 12.41 5 13.07 5H18.93C19.6 5 20.22 5.33 20.59 5.89L21 6.5C21.62 7.44 22.68 8 23.8 8H27C28.1 8 29 8.9 29 10V24ZM16 9C12.13 9 9 12.13 9 16C9 19.87 12.13 23 16 23C19.87 23 23 19.87 23 16C23 12.13 19.87 9 16 9ZM16 21C13.24 21 11 18.76 11 16C11 13.24 13.24 11 16 11C18.76 11 21 13.24 21 16C21 18.76 18.76 21 16 21ZM17 13C17 13.55 16.55 14 16 14C14.9 14 14 14.9 14 16C14 16.55 13.55 17 13 17C12.45 17 12 16.55 12 16C12 13.79 13.79 12 16 12C16.55 12 17 12.45 17 13Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/cancel-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/cancel-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M22.6 8.6L16.4 2.4C16 2 15.5 1.8 15 1.8C14.5 1.8 14 2 13.6 2.4L1.40005 14.6C0.600049 15.4 0.600049 16.6 1.40005 17.4L6.00005 22H12L22.6 11.4C23.3 10.6 23.3 9.3 22.6 8.6ZM11.1 20H6.80005L2.80005 16L6.20005 12.6L12.4 18.8L11.1 20ZM13.8 17.4L7.60005 11.2L15 3.8L21.2 10L13.8 17.4ZM16 20H23V22H14L16 20Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/check-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/check-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M5.003 14.413L0.292999 9.70303L1.703 8.29303L5.003 11.583L14.293 2.29303L15.703 3.70303L5.003 14.413Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/check-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/check-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M9 20.1L1 12L3.1 9.9L9 15.9L20.9 4L23 6.1L9 20.1Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/chevrondown-24x24.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/chevrondown-24x24.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 15L17 10H7L12 15Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/chevronright-16x16.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/chevronright-16x16.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M5.64648 12.6465L6.34648 13.3465L11.7465 8.04648L6.34648 2.64648L5.64648 3.34648L10.2465 8.04648L5.64648 12.6465Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/clear-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/clear-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.35 3.34999L12.65 2.64999L8.05002 7.24999L3.35002 2.64999L2.65002 3.34999L7.25002 8.04999L2.65002 12.65L3.35002 13.35L8.05002 8.74999L12.65 13.35L13.35 12.65L8.75002 8.04999L13.35 3.34999Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/clear-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/clear-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M22.6 8.6L16.4 2.4C16 2 15.5 1.8 15 1.8C14.5 1.8 14 2 13.6 2.4L1.40005 14.6C0.600049 15.4 0.600049 16.6 1.40005 17.4L6.00005 22H12L22.6 11.4C23.3 10.6 23.3 9.3 22.6 8.6ZM11.1 20H6.80005L2.80005 16L6.20005 12.6L12.4 18.8L11.1 20ZM13.8 17.4L7.60005 11.2L15 3.8L21.2 10L13.8 17.4ZM16 20H23V22H14L16 20Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/close-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/close-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M9.43 8.0025L13.7 3.7225C14.09 3.3325 14.09 2.6925 13.7 2.2925C13.31 1.9025 12.67 1.9025 12.27 2.2925L7.99 6.5725L3.72 2.3025C3.33 1.9025 2.69 1.9025 2.3 2.3025C1.9 2.6925 1.9 3.3325 2.3 3.7225L6.58 8.0025L2.3 12.2825C1.91 12.6725 1.91 13.3125 2.3 13.7125C2.69 14.1025 3.33 14.1025 3.73 13.7125L8.01 9.4325L12.29 13.7125C12.68 14.1025 13.32 14.1025 13.72 13.7125C14.11 13.3225 14.11 12.6825 13.72 12.2825L9.44 8.0025H9.43Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/close-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/close-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.4101 12L20.7001 4.71C21.0901 4.32 21.0901 3.69 20.7001 3.3C20.3101 2.91 19.6801 2.91 19.2901 3.3L12.0001 10.59L4.71006 3.29C4.32006 2.9 3.68006 2.9 3.29006 3.29C2.90006 3.68 2.90006 4.32 3.29006 4.71L10.5801 12L3.29006 19.29C2.90006 19.68 2.90006 20.31 3.29006 20.7C3.49006 20.9 3.74006 20.99 4.00006 20.99C4.26006 20.99 4.51006 20.89 4.71006 20.7L12.0001 13.41L19.2901 20.7C19.4901 20.9 19.7401 20.99 20.0001 20.99C20.2601 20.99 20.5101 20.89 20.7101 20.7C21.1001 20.31 21.1001 19.68 20.7101 19.29L13.4201 12H13.4101Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/collapse-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/collapse-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M2 6L3 5L8 10L13 5L14 6L8 12L2 6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/collapsedetails-16x16.svg":
/*!**********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/collapsedetails-16x16.svg ***!
  \**********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 7H3V9H13V7Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/delete-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/delete-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M22 4H20H16V2C16 0.9 15.1 0 14 0H10C8.9 0 8 0.9 8 2V4H4H2V6H4V20C4 21.1 4.9 22 6 22H18C19.1 22 20 21.1 20 20V6H22V4ZM10 2H14V4H10V2ZM18 20H6V6H8H16H18V20ZM14 8H16V18H14V8ZM11 8H13V18H11V8ZM8 8H10V18H8V8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/drag-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/drag-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 6C13 4.9 13.9 4 15 4C16.1 4 17 4.9 17 6C17 7.1 16.1 8 15 8C13.9 8 13 7.1 13 6ZM9 4C7.9 4 7 4.9 7 6C7 7.1 7.9 8 9 8C10.1 8 11 7.1 11 6C11 4.9 10.1 4 9 4ZM15 10C13.9 10 13 10.9 13 12C13 13.1 13.9 14 15 14C16.1 14 17 13.1 17 12C17 10.9 16.1 10 15 10ZM9 10C7.9 10 7 10.9 7 12C7 13.1 7.9 14 9 14C10.1 14 11 13.1 11 12C11 10.9 10.1 10 9 10ZM15 16C13.9 16 13 16.9 13 18C13 19.1 13.9 20 15 20C16.1 20 17 19.1 17 18C17 16.9 16.1 16 15 16ZM9 16C7.9 16 7 16.9 7 18C7 19.1 7.9 20 9 20C10.1 20 11 19.1 11 18C11 16.9 10.1 16 9 16Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/draghorizontal-24x16.svg":
/*!*********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/draghorizontal-24x16.svg ***!
  \*********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M18 9C19.1 9 20 9.9 20 11C20 12.1 19.1 13 18 13C16.9 13 16 12.1 16 11C16 9.9 16.9 9 18 9ZM20 5C20 3.9 19.1 3 18 3C16.9 3 16 3.9 16 5C16 6.1 16.9 7 18 7C19.1 7 20 6.1 20 5ZM14 11C14 9.9 13.1 9 12 9C10.9 9 10 9.9 10 11C10 12.1 10.9 13 12 13C13.1 13 14 12.1 14 11ZM14 5C14 3.9 13.1 3 12 3C10.9 3 10 3.9 10 5C10 6.1 10.9 7 12 7C13.1 7 14 6.1 14 5ZM8 11C8 9.9 7.1 9 6 9C4.9 9 4 9.9 4 11C4 12.1 4.9 13 6 13C7.1 13 8 12.1 8 11ZM8 5C8 3.9 7.1 3 6 3C4.9 3 4 3.9 4 5C4 6.1 4.9 7 6 7C7.1 7 8 6.1 8 5Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/expand-16x16.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/expand-16x16.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M6 14L5 13L10 8L5 3L6 2L12 8L6 14Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/expanddetails-16x16.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/expanddetails-16x16.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 7H9V3H7V7H3V9H7V13H9V9H13V7Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/file-72x72.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/file-72x72.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 72 72\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M62.83 12.83L53.17 3.17C52.7982 2.79866 52.357 2.50421 51.8714 2.30346C51.3858 2.1027 50.8654 1.99959 50.34 2H14C12.4087 2 10.8826 2.63214 9.75735 3.75736C8.63214 4.88258 8 6.4087 8 8V64C8 65.5913 8.63214 67.1174 9.75735 68.2426C10.8826 69.3679 12.4087 70 14 70H58C59.5913 70 61.1174 69.3679 62.2426 68.2426C63.3679 67.1174 64 65.5913 64 64V15.66C64.0004 15.1346 63.8973 14.6142 63.6965 14.1286C63.4958 13.643 63.2013 13.2018 62.83 12.83ZM52 4.83L61.17 14H56C54.9391 14 53.9217 13.5786 53.1716 12.8284C52.4214 12.0783 52 11.0609 52 10V4.83ZM62 64C62 65.0609 61.5786 66.0783 60.8284 66.8284C60.0783 67.5786 59.0609 68 58 68H14C12.9391 68 11.9217 67.5786 11.1716 66.8284C10.4214 66.0783 10 65.0609 10 64V8C10 6.93914 10.4214 5.92172 11.1716 5.17157C11.9217 4.42143 12.9391 4 14 4H50V10C50 11.5913 50.6321 13.1174 51.7574 14.2426C52.8826 15.3679 54.4087 16 56 16H62V64ZM22 26H50V28H22V26ZM22 32H50V34H22V32ZM22 38H50V40H22V38ZM22 44H50V46H22V44Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/flip-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/flip-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M23 12.0037C23 14.2445 21.7794 16.3052 19.5684 17.8257C19.3984 17.9458 19.1983 18.0058 19.0082 18.0058C18.688 18.0058 18.3779 17.8557 18.1778 17.5756C17.8677 17.1155 17.9777 16.4953 18.4379 16.1852C20.0887 15.0448 21.0091 13.5643 21.0091 12.0138C21.0091 8.70262 16.9673 6.01171 12.005 6.01171C11.4948 6.01171 10.9945 6.04172 10.5043 6.09173L11.7149 7.30215C12.105 7.69228 12.105 8.32249 11.7149 8.71263C11.5148 8.9127 11.2647 9.00273 11.0045 9.00273C10.7444 9.00273 10.4943 8.90269 10.2942 8.71263L6.58254 5.00136L10.2842 1.2901C10.6744 0.899964 11.3047 0.899964 11.6949 1.2901C12.085 1.68023 12.085 2.31045 11.6949 2.70058L10.3042 4.09105C10.8545 4.03103 11.4147 4.00102 11.985 4.00102C18.0578 4.00102 22.99 7.59225 22.99 12.0037H23ZM12.2851 15.2949C11.895 15.685 11.895 16.3152 12.2851 16.7054L13.4957 17.9158C13.0055 17.9758 12.4952 17.9958 11.995 17.9958C7.03274 17.9958 2.99091 15.3049 2.99091 11.9937C2.99091 10.4332 3.90132 8.95271 5.56207 7.82232C6.02228 7.51222 6.13233 6.89201 5.82219 6.43185C5.51205 5.97169 4.89177 5.86166 4.43156 6.17176C2.22055 7.69228 1 9.76299 1 11.9937C1 16.4052 5.93224 19.9965 12.005 19.9965C12.5753 19.9965 13.1355 19.9665 13.6858 19.9064L12.2951 21.2969C11.905 21.6871 11.905 22.3173 12.2951 22.7074C12.4952 22.9075 12.7453 22.9975 13.0055 22.9975C13.2656 22.9975 13.5157 22.8975 13.7158 22.7074L17.4275 18.9961L13.7158 15.2849C13.3256 14.8947 12.6953 14.8947 12.3051 15.2849L12.2851 15.2949Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/folder-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/folder-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M21.93 9H21V7C21 6.46957 20.7893 5.96086 20.4142 5.58579C20.0391 5.21071 19.5304 5 19 5H10L8 3H4C3.46957 3 2.96086 3.21071 2.58579 3.58579C2.21071 3.96086 2 4.46957 2 5L2 21H21L23.89 11.63C23.9916 11.3244 24.0179 10.9988 23.9667 10.6809C23.9155 10.363 23.7882 10.0621 23.5958 9.80392C23.4034 9.54571 23.1514 9.33779 22.8614 9.19782C22.5714 9.05786 22.2519 8.99 21.93 9ZM4 5H7.17L8.59 6.41L9.17 7H19V9H6L4 15V5ZM22 11L19.54 19H4.77L7.44 11H22Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/fullsize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/fullsize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 13H4C2.9 13 2 12.1 2 11V5C2 3.9 2.9 3 4 3H12C13.1 3 14 3.9 14 5V11C14 12.1 13.1 13 12 13ZM4 5V11H12V5H4Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/image-48x48.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/image-48x48.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M36 8H12C9.79 8 8 9.79 8 12V36C8 38.21 9.79 40 12 40H36C38.21 40 40 38.21 40 36V12C40 9.79 38.21 8 36 8ZM38 36C38 37.1 37.1 38 36 38H12C10.9 38 10 37.1 10 36V12C10 10.9 10.9 10 12 10H36C37.1 10 38 10.9 38 12V36ZM14 17C14 15.34 15.34 14 17 14C18.66 14 20 15.34 20 17C20 18.66 18.66 20 17 20C15.34 20 14 18.66 14 17ZM27 24L36 36H12L19 27L23 29L27 24Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/loading-48x48.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/loading-48x48.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\"><g clip-path=\"url(#clip0_19679_369428)\"><path opacity=\"0.1\" d=\"M24 40C15.18 40 8 32.82 8 24C8 15.18 15.18 8 24 8C32.82 8 40 15.18 40 24C40 32.82 32.82 40 24 40ZM24 12C17.38 12 12 17.38 12 24C12 30.62 17.38 36 24 36C30.62 36 36 30.62 36 24C36 17.38 30.62 12 24 12Z\" fill=\"black\" fill-opacity=\"0.91\"></path><path d=\"M10 26C8.9 26 8 25.1 8 24C8 15.18 15.18 8 24 8C25.1 8 26 8.9 26 10C26 11.1 25.1 12 24 12C17.38 12 12 17.38 12 24C12 25.1 11.1 26 10 26Z\" fill=\"#19B394\"></path></g><defs><clipPath id=\"clip0_19679_369428\"><rect width=\"32\" height=\"32\" fill=\"white\" transform=\"translate(8 8)\"></rect></clipPath></defs></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/maximize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/maximize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M6.71 10.71L4.42 13H6.01C6.56 13 7.01 13.45 7.01 14C7.01 14.55 6.56 15 6.01 15H2C1.45 15 1 14.55 1 14V10C1 9.45 1.45 9 2 9C2.55 9 3 9.45 3 10V11.59L5.29 9.3C5.68 8.91 6.31 8.91 6.7 9.3C7.09 9.69 7.09 10.32 6.7 10.71H6.71ZM14 1H10C9.45 1 9 1.45 9 2C9 2.55 9.45 3 10 3H11.59L9.3 5.29C8.91 5.68 8.91 6.31 9.3 6.7C9.5 6.9 9.75 6.99 10.01 6.99C10.27 6.99 10.52 6.89 10.72 6.7L13.01 4.41V6C13.01 6.55 13.46 7 14.01 7C14.56 7 15.01 6.55 15.01 6V2C15.01 1.45 14.56 1 14.01 1H14Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/minimize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/minimize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 9H3C2.45 9 2 8.55 2 8C2 7.45 2.45 7 3 7H13C13.55 7 14 7.45 14 8C14 8.55 13.55 9 13 9Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/more-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v1/more-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M6 12C6 13.1 5.1 14 4 14C2.9 14 2 13.1 2 12C2 10.9 2.9 10 4 10C5.1 10 6 10.9 6 12ZM12 10C10.9 10 10 10.9 10 12C10 13.1 10.9 14 12 14C13.1 14 14 13.1 14 12C14 10.9 13.1 10 12 10ZM20 10C18.9 10 18 10.9 18 12C18 13.1 18.9 14 20 14C21.1 14 22 13.1 22 12C22 10.9 21.1 10 20 10Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/navmenu-24x24.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/navmenu-24x24.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M16 7H2V5H16V7ZM2 11V13H22V11H2ZM2 19H10V17H2V19Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/noimage-48x48.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/noimage-48x48.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14 17.01C14 16.4167 14.1759 15.8366 14.5056 15.3433C14.8352 14.8499 15.3038 14.4654 15.8519 14.2384C16.4001 14.0113 17.0033 13.9519 17.5853 14.0676C18.1672 14.1834 18.7018 14.4691 19.1213 14.8887C19.5409 15.3082 19.8266 15.8428 19.9424 16.4247C20.0581 17.0067 19.9987 17.6099 19.7716 18.1581C19.5446 18.7062 19.1601 19.1748 18.6667 19.5044C18.1734 19.8341 17.5933 20.01 17 20.01C16.2044 20.01 15.4413 19.6939 14.8787 19.1313C14.3161 18.5687 14 17.8056 14 17.01ZM27.09 24.14L20 36.01H36L27.09 24.14ZM36.72 8.14L35.57 10.01H36C36.5304 10.01 37.0391 10.2207 37.4142 10.5958C37.7893 10.9709 38 11.4796 38 12.01V36.01C38 36.5404 37.7893 37.0491 37.4142 37.4242C37.0391 37.7993 36.5304 38.01 36 38.01H18.77L17.57 40.01H36C37.0609 40.01 38.0783 39.5886 38.8284 38.8384C39.5786 38.0883 40 37.0709 40 36.01V12.01C39.9966 11.0765 39.6668 10.1737 39.0678 9.45778C38.4688 8.74188 37.6382 8.25802 36.72 8.09V8.14ZM36.86 4.5L12.86 44.5L11.14 43.5L13.23 40.01H12C10.9391 40.01 9.92172 39.5886 9.17157 38.8384C8.42143 38.0883 8 37.0709 8 36.01V12.01C8 10.9491 8.42143 9.93172 9.17157 9.18157C9.92172 8.43143 10.9391 8.01 12 8.01H32.43L35.14 3.5L36.86 4.5ZM14.43 38.01L15.63 36.01H12L19 27.01L20.56 27.8L31.23 10.01H12C11.4696 10.01 10.9609 10.2207 10.5858 10.5958C10.2107 10.9709 10 11.4796 10 12.01V36.01C10 36.5404 10.2107 37.0491 10.5858 37.4242C10.9609 37.7993 11.4696 38.01 12 38.01H14.43Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/ranking-arrows.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/ranking-arrows.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 10 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M10 5L5 0L0 5H4V9H6V5H10Z\"></path><path d=\"M6 19V15H4V19H0L5 24L10 19H6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/rankingundefined-16x16.svg":
/*!***********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/rankingundefined-16x16.svg ***!
  \***********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13 7H3V9H13V7Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/rating-star-2.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/rating-star-2.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M24 39.5057L11.7226 45.9839C10.4095 46.6739 8.87606 45.5622 9.12525 44.096L11.4734 30.373L1.54411 20.6556C0.480254 19.6207 1.06489 17.8095 2.53128 17.5986L16.2559 15.5957L22.3994 3.10891C23.0512 1.77685 24.9488 1.77685 25.6102 3.10891L31.7441 15.5957L45.4687 17.5986C46.9351 17.8095 47.5197 19.6207 46.4559 20.6556L36.5266 30.373L38.8748 44.096C39.1239 45.5622 37.5905 46.6835 36.2774 45.9839L24 39.5057Z\" fill=\"none\" stroke-width=\"2\"></path><path d=\"M24.3981 33.1305L24 32.9206L23.6019 33.1305L15.8715 37.2059L17.3542 28.5663L17.43 28.1246L17.1095 27.8113L10.83 21.6746L19.4965 20.4049L19.9405 20.3399L20.1387 19.9373L24 12.0936L27.8613 19.9373L28.0595 20.3399L28.5035 20.4049L37.17 21.6746L30.8905 27.8113L30.57 28.1246L30.6458 28.5663L32.1285 37.2059L24.3981 33.1305Z\" stroke-width=\"1.70746\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/rating-star-small-2.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/rating-star-small-2.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 19.3373L6.13001 22.4373C5.50001 22.7673 4.77001 22.2373 4.89001 21.5373L6.01001 14.9773L1.26001 10.3273C0.750007 9.83728 1.03001 8.96728 1.73001 8.86728L8.29001 7.90728L11.23 1.93728C11.54 1.29728 12.45 1.29728 12.77 1.93728L15.7 7.90728L22.26 8.86728C22.96 8.96728 23.24 9.83728 22.73 10.3273L17.98 14.9773L19.1 21.5373C19.22 22.2373 18.49 22.7773 17.86 22.4373L11.99 19.3373H12Z\" fill=\"none\" stroke-width=\"2\"></path><path d=\"M12 15.9472L8.58001 17.7572L9.23001 13.9272L6.45001 11.2072L10.29 10.6472L12 7.17725L13.71 10.6472L17.55 11.2072L14.77 13.9272L15.42 17.7572L12 15.9472Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/rating-star-small.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/rating-star-small.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><g><path d=\"M12 19.3373L6.13001 22.4373C5.50001 22.7673 4.77001 22.2373 4.89001 21.5373L6.01001 14.9773L1.26001 10.3273C0.750007 9.83728 1.03001 8.96728 1.73001 8.86728L8.29001 7.90728L11.23 1.93728C11.54 1.29728 12.45 1.29728 12.77 1.93728L15.7 7.90728L22.26 8.86728C22.96 8.96728 23.24 9.83728 22.73 10.3273L17.98 14.9773L19.1 21.5373C19.22 22.2373 18.49 22.7773 17.86 22.4373L11.99 19.3373H12Z\"></path></g></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/rating-star.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/rating-star.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><g><path d=\"M24 39.5057L11.7226 45.9839C10.4095 46.6739 8.87606 45.5622 9.12525 44.096L11.4734 30.373L1.54411 20.6556C0.480254 19.6207 1.06489 17.8095 2.53128 17.5986L16.2559 15.5957L22.3994 3.10891C23.0512 1.77685 24.9488 1.77685 25.6102 3.10891L31.7441 15.5957L45.4687 17.5986C46.9351 17.8095 47.5197 19.6207 46.4559 20.6556L36.5266 30.373L38.8748 44.096C39.1239 45.5622 37.5905 46.6835 36.2774 45.9839L24 39.5057Z\"></path></g></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/reorder-24x24.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/reorder-24x24.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M17 5L12 0L7 5H11V9H13V5H17Z\"></path><path d=\"M13 19V15H11V19H7L12 24L17 19H13Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/restoredown-16x16.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/restoredown-16x16.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M15 6C15 6.55 14.55 7 14 7H10C9.45 7 9 6.55 9 6V2C9 1.45 9.45 1 10 1C10.55 1 11 1.45 11 2V3.59L13.29 1.29C13.49 1.09 13.74 1 14 1C14.26 1 14.51 1.1 14.71 1.29C15.1 1.68 15.1 2.31 14.71 2.7L12.42 4.99H14.01C14.56 4.99 15.01 5.44 15.01 5.99L15 6ZM6 9H2C1.45 9 0.999998 9.45 0.999998 10C0.999998 10.55 1.45 11 2 11H3.59L1.29 13.29C0.899998 13.68 0.899998 14.31 1.29 14.7C1.68 15.09 2.31 15.09 2.7 14.7L4.99 12.41V14C4.99 14.55 5.44 15 5.99 15C6.54 15 6.99 14.55 6.99 14V10C6.99 9.45 6.54 9 5.99 9H6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/search-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/search-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14 2C9.6 2 6 5.6 6 10C6 11.8 6.6 13.5 7.7 14.9L2.3 20.3C1.9 20.7 1.9 21.3 2.3 21.7C2.5 21.9 2.7 22 3 22C3.3 22 3.5 21.9 3.7 21.7L9.1 16.3C10.5 17.4 12.2 18 14 18C18.4 18 22 14.4 22 10C22 5.6 18.4 2 14 2ZM14 16C10.7 16 8 13.3 8 10C8 6.7 10.7 4 14 4C17.3 4 20 6.7 20 10C20 13.3 17.3 16 14 16Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate1-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate1-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M4 4.9938C4 4.44362 4.45 3.99348 5 3.99348H6.59L5.3 2.70306C4.91 2.31293 4.91 1.68272 5.3 1.2926C5.69 0.902468 6.32 0.902468 6.71 1.2926L9.71 4.29357C9.8 4.3836 9.88 4.49364 9.93 4.62368C10.03 4.86376 10.03 5.14385 9.93 5.38393C9.88 5.50397 9.81 5.614 9.71 5.71404L6.71 8.71501C6.51 8.91508 6.26 9.00511 6 9.00511C5.74 9.00511 5.49 8.90508 5.29 8.71501C4.9 8.32489 4.9 7.69468 5.29 7.30456L6.58 6.01413H4.99C4.44 6.01413 3.99 5.56399 3.99 5.01381L4 4.9938ZM14.08 5.37393C14.13 5.49397 14.2 5.604 14.3 5.70403L17.3 8.70501C17.5 8.90508 17.75 8.99511 18.01 8.99511C18.27 8.99511 18.52 8.89507 18.72 8.70501C19.11 8.31488 19.11 7.68468 18.72 7.29455L17.43 6.00413H19.02C19.57 6.00413 20.02 5.55399 20.02 5.00381C20.02 4.45363 19.57 4.00348 19.02 4.00348H17.43L18.72 2.71306C19.11 2.32293 19.11 1.69273 18.72 1.3026C18.33 0.912471 17.7 0.912471 17.31 1.3026L14.31 4.30358C14.22 4.39361 14.14 4.50364 14.09 4.63368C13.99 4.87376 13.99 5.15385 14.09 5.39393L14.08 5.37393ZM22 14.9971V20.999C22 22.6496 20.65 24 19 24H5C3.35 24 2 22.6496 2 20.999V14.9971C2 13.3465 3.35 11.9961 5 11.9961H19C20.65 11.9961 22 13.3465 22 14.9971ZM19 13.9967H16V16.9977H20V14.9971C20 14.4469 19.55 13.9967 19 13.9967ZM14 16.9977V13.9967H10V16.9977H14ZM10 18.9984V21.9993H14V18.9984H10ZM4 14.9971V16.9977H8V13.9967H5C4.45 13.9967 4 14.4469 4 14.9971ZM5 21.9993H8V18.9984H4V20.999C4 21.5492 4.45 21.9993 5 21.9993ZM20 20.999V18.9984H16V21.9993H19C19.55 21.9993 20 21.5492 20 20.999Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate10-24x24.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate10-24x24.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 23C6.85721 23 1.15412 19.9621 0.0134987 13.1669C-0.0765501 12.6272 0.293651 12.1076 0.833944 12.0177C1.38424 11.9277 1.89452 12.2975 1.98457 12.8371C2.92508 18.4732 7.69767 20.9914 12 20.9914C16.3023 20.9914 21.0749 18.4732 22.0154 12.8371C22.1055 12.2975 22.6158 11.9277 23.1661 12.0177C23.7063 12.1076 24.0765 12.6272 23.9865 13.1669C22.8559 19.9521 17.1428 23 11.99 23H12.01ZM21.165 6.15177C22.3056 5.01257 22.3056 3.16386 21.165 2.02465L21.0049 1.85477C19.9143 0.765533 18.1633 0.725561 17.0227 1.71487C15.8821 0.715568 14.1312 0.765533 13.0406 1.85477L12.8705 2.01466C11.7299 3.15386 11.7299 5.00257 12.8705 6.14178L17.0227 10.2889L21.175 6.14178L21.165 6.15177ZM15.742 3.27378L17.0127 4.54289L18.2834 3.27378C18.6436 2.91403 19.2239 2.91403 19.5841 3.27378L19.7442 3.43367C20.1044 3.79342 20.1044 4.37301 19.7442 4.73276L17.0127 7.46086L14.2812 4.73276C13.921 4.37301 13.921 3.79342 14.2812 3.43367L14.4413 3.27378C14.6214 3.09391 14.8515 3.00397 15.0917 3.00397C15.3318 3.00397 15.5619 3.09391 15.742 3.27378ZM11.1595 6.15177C12.3002 5.01257 12.3002 3.16386 11.1595 2.02465L10.9995 1.85477C9.90886 0.765533 8.15792 0.725561 7.0173 1.71487C5.87668 0.715568 4.12573 0.765533 3.03514 1.85477L2.86505 2.01466C1.72443 3.15386 1.72443 5.00257 2.86505 6.14178L7.0173 10.2889L11.1695 6.14178L11.1595 6.15177ZM5.7366 3.27378L7.00729 4.54289L8.27798 3.27378C8.63818 2.91403 9.21849 2.91403 9.57869 3.27378L9.73877 3.43367C10.099 3.79342 10.099 4.37301 9.73877 4.73276L7.00729 7.46086L4.27581 4.73276C3.91562 4.37301 3.91562 3.79342 4.27581 3.43367L4.4359 3.27378C4.61599 3.09391 4.84612 3.00397 5.08625 3.00397C5.32638 3.00397 5.5565 3.09391 5.7366 3.27378Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate2-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate2-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><g clip-path=\"url(#clip0_15894_140103)\"><path d=\"M4.88291 4.51001C4.47291 4.51001 4.08291 4.25001 3.94291 3.84001C3.76291 3.32001 4.03291 2.75001 4.55291 2.57001L8.32291 1.25001C8.84291 1.06001 9.41291 1.34001 9.59291 1.86001C9.77291 2.38001 9.50291 2.95001 8.98291 3.13001L5.20291 4.45001C5.09291 4.49001 4.98291 4.51001 4.87291 4.51001H4.88291ZM19.8129 3.89001C20.0229 3.38001 19.7729 2.79001 19.2629 2.59001L15.5529 1.07001C15.0429 0.860007 14.4529 1.11001 14.2529 1.62001C14.0429 2.13001 14.2929 2.72001 14.8029 2.92001L18.5029 4.43001C18.6229 4.48001 18.7529 4.50001 18.8829 4.50001C19.2729 4.50001 19.6529 4.27001 19.8129 3.88001V3.89001ZM3.50291 6.00001C2.64291 6.37001 1.79291 6.88001 1.00291 7.48001C0.79291 7.64001 0.64291 7.87001 0.59291 8.14001C0.48291 8.73001 0.87291 9.29001 1.45291 9.40001C2.04291 9.51001 2.60291 9.12001 2.71291 8.54001C2.87291 7.69001 3.12291 6.83001 3.50291 5.99001V6.00001ZM21.0429 8.55001C21.6029 10.48 24.2429 8.84001 22.7529 7.48001C21.9629 6.88001 21.1129 6.37001 20.2529 6.00001C20.6329 6.84001 20.8829 7.70001 21.0429 8.55001ZM21.5729 13.2C21.2529 14.2 22.5429 15.09 23.3629 14.39C23.8529 14 23.9229 13.29 23.5429 12.81C21.7429 10.67 22.1329 10.55 21.5829 13.2H21.5729ZM1.75291 11C1.22291 11.79 -0.14709 12.64 0.0129102 13.75C0.15291 14.36 0.75291 14.74 1.35291 14.6C2.98291 14.1 1.80291 12.22 1.75291 11ZM19.8829 17C19.8829 13.14 16.2929 10 11.8829 10C7.47291 10 3.88291 13.14 3.88291 17C3.88291 20.86 7.47291 24 11.8829 24C16.2929 24 19.8829 20.86 19.8829 17ZM17.8829 17C17.8829 19.76 15.1929 22 11.8829 22C8.57291 22 5.88291 19.76 5.88291 17C5.88291 14.24 8.57291 12 11.8829 12C15.1929 12 17.8829 14.24 17.8829 17Z\"></path></g><defs><clipPath id=\"clip0_15894_140103\"><rect width=\"24\" height=\"24\" fill=\"white\"></rect></clipPath></defs></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate3-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate3-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.01915 7C6.46961 7 6.01998 6.55 6.01998 6V2C6.01998 1.45 6.46961 1 7.01915 1C7.56869 1 8.01832 1.45 8.01832 2V6C8.01832 6.55 7.56869 7 7.01915 7ZM18.01 6V2C18.01 1.45 17.5604 1 17.0108 1C16.4613 1 16.0117 1.45 16.0117 2V6C16.0117 6.55 16.4613 7 17.0108 7C17.5604 7 18.01 6.55 18.01 6ZM16.4213 21.58L18.01 19.99L19.2989 21.28C19.6886 21.67 20.3181 21.67 20.7077 21.28C21.0974 20.89 21.0974 20.26 20.7077 19.87L19.4188 18.58C18.6395 17.8 17.3705 17.8 16.5912 18.58L15.0025 20.17L13.4138 18.58C12.6345 17.8 11.3655 17.8 10.5862 18.58L8.9975 20.17L7.40883 18.58C6.62948 17.8 5.36053 17.8 4.58118 18.58L3.29226 19.87C2.90258 20.26 2.90258 20.89 3.29226 21.28C3.68193 21.67 4.31141 21.67 4.70108 21.28L5.99001 19.99L7.57868 21.58C8.35803 22.36 9.62698 22.36 10.4063 21.58L11.995 19.99L13.5837 21.58C13.9734 21.97 14.4829 22.16 14.9925 22.16C15.5021 22.16 16.0117 21.97 16.4013 21.58H16.4213Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate4-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate4-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.06927 7C6.51927 7 6.06927 6.55 6.06927 6V2C6.06927 1.45 6.51927 1 7.06927 1C7.61927 1 8.06927 1.45 8.06927 2V6C8.06927 6.55 7.61927 7 7.06927 7ZM18.0693 6V2C18.0693 1.45 17.6193 1 17.0693 1C16.5193 1 16.0693 1.45 16.0693 2V6C16.0693 6.55 16.5193 7 17.0693 7C17.6193 7 18.0693 6.55 18.0693 6ZM22.5693 21.9C23.0693 21.66 23.2793 21.07 23.0393 20.57C21.1093 16.52 16.9093 14 12.0693 14C7.22927 14 3.02927 16.52 1.09927 20.57C0.859273 21.07 1.06927 21.67 1.56927 21.9C2.06927 22.14 2.65927 21.93 2.89927 21.43C4.49927 18.08 8.00927 16 12.0593 16C16.1093 16 19.6293 18.08 21.2193 21.43C21.3893 21.79 21.7493 22 22.1193 22C22.2593 22 22.4093 21.97 22.5493 21.9H22.5693Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate5-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate5-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.00572 7C6.45572 7 6.00572 6.55 6.00572 6V2C6.00572 1.45 6.45572 1 7.00572 1C7.55572 1 8.00572 1.45 8.00572 2V6C8.00572 6.55 7.55572 7 7.00572 7ZM18.0057 6V2C18.0057 1.45 17.5557 1 17.0057 1C16.4557 1 16.0057 1.45 16.0057 2V6C16.0057 6.55 16.4557 7 17.0057 7C17.5557 7 18.0057 6.55 18.0057 6ZM19.9457 21.33C20.1257 20.81 19.8557 20.24 19.3357 20.05C14.5457 18.35 9.45572 18.35 4.66572 20.05C4.14572 20.23 3.87572 20.81 4.05572 21.33C4.23572 21.85 4.80572 22.12 5.33572 21.94C9.69572 20.4 14.3057 20.4 18.6657 21.94C18.7757 21.98 18.8857 22 18.9957 22C19.4057 22 19.7957 21.74 19.9357 21.33H19.9457Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate6-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate6-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7 7C6.45 7 6 6.55 6 6V2C6 1.45 6.45 1 7 1C7.55 1 8 1.45 8 2V6C8 6.55 7.55 7 7 7ZM18 6V2C18 1.45 17.55 1 17 1C16.45 1 16 1.45 16 2V6C16 6.55 16.45 7 17 7C17.55 7 18 6.55 18 6ZM21 21C21 20.45 20.55 20 20 20H4C3.45 20 3 20.45 3 21C3 21.55 3.45 22 4 22H20C20.55 22 21 21.55 21 21Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate7-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate7-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.0022 23.99C11.452 23.99 11.0018 23.5402 11.0018 22.9904C11.0018 22.4407 11.452 21.9909 12.0022 21.9909C16.3137 21.9909 21.0755 19.472 22.0158 13.8344C22.1058 13.2947 22.616 12.9248 23.1662 13.0148C23.7064 13.1047 24.0765 13.6245 23.9865 14.1643C22.8561 20.9513 17.144 24 11.9922 24L12.0022 23.99ZM8.00072 5.99783V1.99957C8.00072 1.4498 7.55056 1 7.00036 1C6.45016 1 6 1.4498 6 1.99957V5.99783C6 6.54759 6.45016 6.99739 7.00036 6.99739C7.55056 6.99739 8.00072 6.54759 8.00072 5.99783ZM18.0043 5.99783V1.99957C18.0043 1.4498 17.5542 1 17.004 1C16.4538 1 16.0036 1.4498 16.0036 1.99957V5.99783C16.0036 6.54759 16.4538 6.99739 17.004 6.99739C17.5542 6.99739 18.0043 6.54759 18.0043 5.99783Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate8-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate8-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 24C6.85721 24 1.15412 20.96 0.0134987 14.16C-0.0765501 13.62 0.293651 13.1 0.833944 13.01C1.38424 12.92 1.89452 13.29 1.98457 13.83C2.92508 19.47 7.69767 21.99 12 21.99C16.3023 21.99 21.0749 19.47 22.0154 13.83C22.1055 13.29 22.6158 12.92 23.1661 13.01C23.7063 13.1 24.0765 13.62 23.9865 14.16C22.8559 20.95 17.1428 24 11.99 24H12.01ZM8.00783 6V2C8.00783 1.45 7.55759 1 7.00729 1C6.45699 1 6.00675 1.45 6.00675 2V6C6.00675 6.55 6.45699 7 7.00729 7C7.55759 7 8.00783 6.55 8.00783 6ZM18.0133 6V2C18.0133 1.45 17.563 1 17.0127 1C16.4624 1 16.0122 1.45 16.0122 2V6C16.0122 6.55 16.4624 7 17.0127 7C17.563 7 18.0133 6.55 18.0133 6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v1/smiley-rate9-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v1/smiley-rate9-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 24C6.85767 24 1.15509 20.96 0.0145752 14.16C-0.0354475 13.87 0.0445888 13.57 0.234675 13.35C0.424761 13.13 0.704888 13 0.995019 13H23.005C23.2951 13 23.5752 13.13 23.7653 13.35C23.9554 13.57 24.0354 13.87 23.9854 14.16C22.8549 20.95 17.1423 24 11.99 24H12.01ZM2.25559 15C3.61621 19.82 8.0182 22 12.01 22C16.0018 22 20.4038 19.82 21.7644 15H2.25559ZM8.00819 6V2C8.00819 1.45 7.55799 1 7.00774 1C6.45749 1 6.00729 1.45 6.00729 2V6C6.00729 6.55 6.45749 7 7.00774 7C7.55799 7 8.00819 6.55 8.00819 6ZM18.0127 6V2C18.0127 1.45 17.5625 1 17.0123 1C16.462 1 16.0118 1.45 16.0118 2V6C16.0118 6.55 16.462 7 17.0123 7C17.5625 7 18.0127 6.55 18.0127 6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2 sync recursive \\.svg$":
/*!********************************************************!*\
  !*** ./packages/survey-core/src/images-v2 sync \.svg$ ***!
  \********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./ModernBooleanCheckChecked.svg": "./packages/survey-core/src/images-v2/ModernBooleanCheckChecked.svg",
	"./ModernBooleanCheckInd.svg": "./packages/survey-core/src/images-v2/ModernBooleanCheckInd.svg",
	"./ModernBooleanCheckUnchecked.svg": "./packages/survey-core/src/images-v2/ModernBooleanCheckUnchecked.svg",
	"./ModernCheck.svg": "./packages/survey-core/src/images-v2/ModernCheck.svg",
	"./ModernRadio.svg": "./packages/survey-core/src/images-v2/ModernRadio.svg",
	"./ProgressButton.svg": "./packages/survey-core/src/images-v2/ProgressButton.svg",
	"./RemoveFile.svg": "./packages/survey-core/src/images-v2/RemoveFile.svg",
	"./TimerCircle.svg": "./packages/survey-core/src/images-v2/TimerCircle.svg",
	"./add-24x24.svg": "./packages/survey-core/src/images-v2/add-24x24.svg",
	"./arrowleft-16x16.svg": "./packages/survey-core/src/images-v2/arrowleft-16x16.svg",
	"./arrowright-16x16.svg": "./packages/survey-core/src/images-v2/arrowright-16x16.svg",
	"./camera-24x24.svg": "./packages/survey-core/src/images-v2/camera-24x24.svg",
	"./camera-32x32.svg": "./packages/survey-core/src/images-v2/camera-32x32.svg",
	"./cancel-24x24.svg": "./packages/survey-core/src/images-v2/cancel-24x24.svg",
	"./check-16x16.svg": "./packages/survey-core/src/images-v2/check-16x16.svg",
	"./check-24x24.svg": "./packages/survey-core/src/images-v2/check-24x24.svg",
	"./chevrondown-24x24.svg": "./packages/survey-core/src/images-v2/chevrondown-24x24.svg",
	"./chevronright-16x16.svg": "./packages/survey-core/src/images-v2/chevronright-16x16.svg",
	"./clear-16x16.svg": "./packages/survey-core/src/images-v2/clear-16x16.svg",
	"./clear-24x24.svg": "./packages/survey-core/src/images-v2/clear-24x24.svg",
	"./close-16x16.svg": "./packages/survey-core/src/images-v2/close-16x16.svg",
	"./close-24x24.svg": "./packages/survey-core/src/images-v2/close-24x24.svg",
	"./collapse-16x16.svg": "./packages/survey-core/src/images-v2/collapse-16x16.svg",
	"./collapsedetails-16x16.svg": "./packages/survey-core/src/images-v2/collapsedetails-16x16.svg",
	"./delete-24x24.svg": "./packages/survey-core/src/images-v2/delete-24x24.svg",
	"./drag-24x24.svg": "./packages/survey-core/src/images-v2/drag-24x24.svg",
	"./draghorizontal-24x16.svg": "./packages/survey-core/src/images-v2/draghorizontal-24x16.svg",
	"./expand-16x16.svg": "./packages/survey-core/src/images-v2/expand-16x16.svg",
	"./expanddetails-16x16.svg": "./packages/survey-core/src/images-v2/expanddetails-16x16.svg",
	"./file-72x72.svg": "./packages/survey-core/src/images-v2/file-72x72.svg",
	"./flip-24x24.svg": "./packages/survey-core/src/images-v2/flip-24x24.svg",
	"./folder-24x24.svg": "./packages/survey-core/src/images-v2/folder-24x24.svg",
	"./fullsize-16x16.svg": "./packages/survey-core/src/images-v2/fullsize-16x16.svg",
	"./image-48x48.svg": "./packages/survey-core/src/images-v2/image-48x48.svg",
	"./loading-48x48.svg": "./packages/survey-core/src/images-v2/loading-48x48.svg",
	"./maximize-16x16.svg": "./packages/survey-core/src/images-v2/maximize-16x16.svg",
	"./minimize-16x16.svg": "./packages/survey-core/src/images-v2/minimize-16x16.svg",
	"./more-24x24.svg": "./packages/survey-core/src/images-v2/more-24x24.svg",
	"./navmenu-24x24.svg": "./packages/survey-core/src/images-v2/navmenu-24x24.svg",
	"./noimage-48x48.svg": "./packages/survey-core/src/images-v2/noimage-48x48.svg",
	"./ranking-arrows.svg": "./packages/survey-core/src/images-v2/ranking-arrows.svg",
	"./rankingundefined-16x16.svg": "./packages/survey-core/src/images-v2/rankingundefined-16x16.svg",
	"./rating-star-2.svg": "./packages/survey-core/src/images-v2/rating-star-2.svg",
	"./rating-star-small-2.svg": "./packages/survey-core/src/images-v2/rating-star-small-2.svg",
	"./rating-star-small.svg": "./packages/survey-core/src/images-v2/rating-star-small.svg",
	"./rating-star.svg": "./packages/survey-core/src/images-v2/rating-star.svg",
	"./reorder-24x24.svg": "./packages/survey-core/src/images-v2/reorder-24x24.svg",
	"./restoredown-16x16.svg": "./packages/survey-core/src/images-v2/restoredown-16x16.svg",
	"./search-24x24.svg": "./packages/survey-core/src/images-v2/search-24x24.svg",
	"./smiley-rate1-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate1-24x24.svg",
	"./smiley-rate10-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate10-24x24.svg",
	"./smiley-rate2-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate2-24x24.svg",
	"./smiley-rate3-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate3-24x24.svg",
	"./smiley-rate4-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate4-24x24.svg",
	"./smiley-rate5-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate5-24x24.svg",
	"./smiley-rate6-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate6-24x24.svg",
	"./smiley-rate7-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate7-24x24.svg",
	"./smiley-rate8-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate8-24x24.svg",
	"./smiley-rate9-24x24.svg": "./packages/survey-core/src/images-v2/smiley-rate9-24x24.svg"
};


function webpackContext(req) {
	var id = webpackContextResolve(req);
	return __webpack_require__(id);
}
function webpackContextResolve(req) {
	if(!__webpack_require__.o(map, req)) {
		var e = new Error("Cannot find module '" + req + "'");
		e.code = 'MODULE_NOT_FOUND';
		throw e;
	}
	return map[req];
}
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = "./packages/survey-core/src/images-v2 sync recursive \\.svg$";

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ModernBooleanCheckChecked.svg":
/*!**************************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ModernBooleanCheckChecked.svg ***!
  \**************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><polygon points=\"19,10 14,10 14,5 10,5 10,10 5,10 5,14 10,14 10,19 14,19 14,14 19,14 \"></polygon></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ModernBooleanCheckInd.svg":
/*!**********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ModernBooleanCheckInd.svg ***!
  \**********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><path d=\"M22,0H2C0.9,0,0,0.9,0,2v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V2C24,0.9,23.1,0,22,0z M21,18L6,3h15V18z M3,6l15,15H3V6z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ModernBooleanCheckUnchecked.svg":
/*!****************************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ModernBooleanCheckUnchecked.svg ***!
  \****************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" viewBox=\"0 0 24 24\"><rect x=\"5\" y=\"10\" width=\"14\" height=\"4\"></rect></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ModernCheck.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ModernCheck.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\"><path d=\"M5,13l2-2l3,3l7-7l2,2l-9,9L5,13z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ModernRadio.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ModernRadio.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"-12 -12 24 24\"><circle r=\"6\" cx=\"0\" cy=\"0\"></circle></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ProgressButton.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ProgressButton.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 10 10\"><polygon points=\"2,2 0,4 5,9 10,4 8,2 5,5 \"></polygon></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/RemoveFile.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/RemoveFile.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\"><path d=\"M8,2C4.7,2,2,4.7,2,8s2.7,6,6,6s6-2.7,6-6S11.3,2,8,2z M11,10l-1,1L8,9l-2,2l-1-1l2-2L5,6l1-1l2,2l2-2l1,1L9,8 L11,10z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/TimerCircle.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/TimerCircle.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg xmlns=\"http://www.w3.org/2000/svg\" version=\"1.1\" viewBox=\"0 0 160 160\"><circle cx=\"80\" cy=\"80\" r=\"70\" style=\"stroke: var(--sd-timer-stroke-background-color); stroke-width: var(--sd-timer-stroke-background-width)\" stroke-dasharray=\"none\" stroke-dashoffset=\"none\"></circle><circle cx=\"80\" cy=\"80\" r=\"70\"></circle></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/add-24x24.svg":
/*!**********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/add-24x24.svg ***!
  \**********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M15.75 12C15.75 12.41 15.41 12.75 15 12.75H12.75V15C12.75 15.41 12.41 15.75 12 15.75C11.59 15.75 11.25 15.41 11.25 15V12.75H9C8.59 12.75 8.25 12.41 8.25 12C8.25 11.59 8.59 11.25 9 11.25H11.25V9C11.25 8.59 11.59 8.25 12 8.25C12.41 8.25 12.75 8.59 12.75 9V11.25H15C15.41 11.25 15.75 11.59 15.75 12ZM21.75 12C21.75 17.38 17.38 21.75 12 21.75C6.62 21.75 2.25 17.38 2.25 12C2.25 6.62 6.62 2.25 12 2.25C17.38 2.25 21.75 6.62 21.75 12ZM20.25 12C20.25 7.45 16.55 3.75 12 3.75C7.45 3.75 3.75 7.45 3.75 12C3.75 16.55 7.45 20.25 12 20.25C16.55 20.25 20.25 16.55 20.25 12Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/arrowleft-16x16.svg":
/*!****************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/arrowleft-16x16.svg ***!
  \****************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.7475 7.9975C14.7475 8.4075 14.4075 8.7475 13.9975 8.7475H3.8075L7.5275 12.4675C7.8175 12.7575 7.8175 13.2375 7.5275 13.5275C7.3775 13.6775 7.1875 13.7475 6.9975 13.7475C6.8075 13.7475 6.6175 13.6775 6.4675 13.5275L1.4675 8.5275C1.1775 8.2375 1.1775 7.7575 1.4675 7.4675L6.4675 2.4675C6.7575 2.1775 7.2375 2.1775 7.5275 2.4675C7.8175 2.7575 7.8175 3.2375 7.5275 3.5275L3.8075 7.2475H13.9975C14.4075 7.2475 14.7475 7.5875 14.7475 7.9975Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/arrowright-16x16.svg":
/*!*****************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/arrowright-16x16.svg ***!
  \*****************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.53 8.5275L9.53 13.5275C9.38 13.6775 9.19 13.7475 9 13.7475C8.81 13.7475 8.62 13.6775 8.47 13.5275C8.18 13.2375 8.18 12.7575 8.47 12.4675L12.19 8.7475H2C1.59 8.7475 1.25 8.4075 1.25 7.9975C1.25 7.5875 1.59 7.2475 2 7.2475H12.19L8.47 3.5275C8.18 3.2375 8.18 2.7575 8.47 2.4675C8.76 2.1775 9.24 2.1775 9.53 2.4675L14.53 7.4675C14.82 7.7575 14.82 8.2375 14.53 8.5275Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/camera-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/camera-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M19.19 4.25H17.12C16.72 4.25 16.35 4.03 16.17 3.67C15.73 2.8 14.86 2.25 13.88 2.25H10.12C9.14 2.25 8.27 2.79 7.83 3.67C7.65 4.03 7.29 4.25 6.88 4.25H4.81C3.4 4.25 2.25 5.4 2.25 6.81V18.19C2.25 19.6 3.4 20.75 4.81 20.75H19.19C20.6 20.75 21.75 19.6 21.75 18.19V6.81C21.75 5.4 20.6 4.25 19.19 4.25ZM20.25 18.19C20.25 18.77 19.78 19.25 19.19 19.25H4.81C4.23 19.25 3.75 18.78 3.75 18.19V6.81C3.75 6.23 4.22 5.75 4.81 5.75H6.88C7.86 5.75 8.73 5.21 9.17 4.33C9.35 3.97 9.71 3.75 10.12 3.75H13.88C14.28 3.75 14.65 3.97 14.83 4.33C15.27 5.2 16.14 5.75 17.12 5.75H19.19C19.77 5.75 20.25 6.22 20.25 6.81V18.19ZM12 6.25C8.83 6.25 6.25 8.83 6.25 12C6.25 15.17 8.83 17.75 12 17.75C15.17 17.75 17.75 15.17 17.75 12C17.75 8.83 15.17 6.25 12 6.25ZM12 16.25C9.66 16.25 7.75 14.34 7.75 12C7.75 9.66 9.66 7.75 12 7.75C14.34 7.75 16.25 9.66 16.25 12C16.25 14.34 14.34 16.25 12 16.25ZM14.75 12C14.75 13.52 13.52 14.75 12 14.75C11.59 14.75 11.25 14.41 11.25 14C11.25 13.59 11.59 13.25 12 13.25C12.69 13.25 13.25 12.69 13.25 12C13.25 11.59 13.59 11.25 14 11.25C14.41 11.25 14.75 11.59 14.75 12Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/camera-32x32.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/camera-32x32.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 32 32\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M25 7.25H22.19C21.73 7.25 21.31 7 21.09 6.59L20.89 6.22C20.23 5.01 18.97 4.25 17.59 4.25H14.41C13.03 4.25 11.77 5 11.11 6.22L10.91 6.6C10.69 7 10.27 7.26 9.81 7.26H7C4.93 7.26 3.25 8.94 3.25 11.01V24.01C3.25 26.08 4.93 27.76 7 27.76H25C27.07 27.76 28.75 26.08 28.75 24.01V11C28.75 8.93 27.07 7.25 25 7.25ZM27.25 24C27.25 25.24 26.24 26.25 25 26.25H7C5.76 26.25 4.75 25.24 4.75 24V11C4.75 9.76 5.76 8.75 7 8.75H9.81C10.82 8.75 11.75 8.2 12.23 7.31L12.43 6.94C12.82 6.21 13.58 5.76 14.41 5.76H17.59C18.42 5.76 19.18 6.21 19.57 6.94L19.77 7.31C20.25 8.2 21.18 8.76 22.19 8.76H25C26.24 8.76 27.25 9.77 27.25 11.01V24.01V24ZM16 10.25C12.28 10.25 9.25 13.28 9.25 17C9.25 20.72 12.28 23.75 16 23.75C19.72 23.75 22.75 20.72 22.75 17C22.75 13.28 19.72 10.25 16 10.25ZM16 22.25C13.11 22.25 10.75 19.89 10.75 17C10.75 14.11 13.11 11.75 16 11.75C18.89 11.75 21.25 14.11 21.25 17C21.25 19.89 18.89 22.25 16 22.25ZM19.75 17C19.75 19.07 18.07 20.75 16 20.75C15.59 20.75 15.25 20.41 15.25 20C15.25 19.59 15.59 19.25 16 19.25C17.24 19.25 18.25 18.24 18.25 17C18.25 16.59 18.59 16.25 19 16.25C19.41 16.25 19.75 16.59 19.75 17Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/cancel-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/cancel-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.8099 11.75L15.2799 9.28C15.5699 8.99 15.5699 8.51 15.2799 8.22C14.9899 7.93 14.5099 7.93 14.2199 8.22L11.7499 10.69L9.27994 8.22C8.98994 7.93 8.50994 7.93 8.21994 8.22C7.92994 8.51 7.92994 8.99 8.21994 9.28L10.6899 11.75L8.21994 14.22C7.92994 14.51 7.92994 14.99 8.21994 15.28C8.36994 15.43 8.55994 15.5 8.74994 15.5C8.93994 15.5 9.12994 15.43 9.27994 15.28L11.7499 12.81L14.2199 15.28C14.3699 15.43 14.5599 15.5 14.7499 15.5C14.9399 15.5 15.1299 15.43 15.2799 15.28C15.5699 14.99 15.5699 14.51 15.2799 14.22L12.8099 11.75Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/check-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/check-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.0275 5.0275L6.5275 12.5275C6.3775 12.6775 6.1875 12.7475 5.9975 12.7475C5.8075 12.7475 5.6175 12.6775 5.4675 12.5275L2.4675 9.5275C2.1775 9.2375 2.1775 8.7575 2.4675 8.4675C2.7575 8.1775 3.2375 8.1775 3.5275 8.4675L5.9975 10.9375L12.9675 3.9675C13.2575 3.6775 13.7375 3.6775 14.0275 3.9675C14.3175 4.2575 14.3175 4.7375 14.0275 5.0275Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/check-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/check-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M19.5275 7.5275L9.5275 17.5275C9.3775 17.6775 9.1875 17.7475 8.9975 17.7475C8.8075 17.7475 8.6175 17.6775 8.4675 17.5275L4.4675 13.5275C4.1775 13.2375 4.1775 12.7575 4.4675 12.4675C4.7575 12.1775 5.2375 12.1775 5.5275 12.4675L8.9975 15.9375L18.4675 6.4675C18.7575 6.1775 19.2375 6.1775 19.5275 6.4675C19.8175 6.7575 19.8175 7.2375 19.5275 7.5275Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/chevrondown-24x24.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/chevrondown-24x24.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M16.5275 10.5275L12.5275 14.5275C12.3775 14.6775 12.1875 14.7475 11.9975 14.7475C11.8075 14.7475 11.6175 14.6775 11.4675 14.5275L7.4675 10.5275C7.1775 10.2375 7.1775 9.7575 7.4675 9.4675C7.7575 9.1775 8.2375 9.1775 8.5275 9.4675L11.9975 12.9375L15.4675 9.4675C15.7575 9.1775 16.2375 9.1775 16.5275 9.4675C16.8175 9.7575 16.8175 10.2375 16.5275 10.5275Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/chevronright-16x16.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/chevronright-16x16.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.35 8.34627L7.35 12.3463C7.25 12.4463 7.12 12.4963 7 12.4963C6.88 12.4963 6.74 12.4463 6.65 12.3463C6.45 12.1463 6.45 11.8363 6.65 11.6363L10.3 7.98627L6.65 4.34627C6.45 4.15627 6.45 3.83627 6.65 3.64627C6.85 3.45627 7.16 3.44627 7.35 3.64627L11.35 7.64627C11.55 7.84627 11.55 8.15627 11.35 8.35627V8.34627Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/clear-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/clear-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.35 11.65C12.55 11.85 12.55 12.16 12.35 12.36C12.25 12.46 12.12 12.51 12 12.51C11.88 12.51 11.74 12.46 11.65 12.36L8 8.71L4.35 12.36C4.25 12.46 4.12 12.51 4 12.51C3.88 12.51 3.74 12.46 3.65 12.36C3.45 12.16 3.45 11.85 3.65 11.65L7.3 8L3.65 4.35C3.45 4.16 3.45 3.84 3.65 3.65C3.85 3.46 4.16 3.45 4.35 3.65L8 7.3L11.65 3.65C11.85 3.45 12.16 3.45 12.36 3.65C12.56 3.85 12.56 4.16 12.36 4.36L8.71 8.01L12.36 11.66L12.35 11.65Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/clear-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/clear-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M20.12 10.9325C20.64 10.4125 20.93 9.7225 20.93 8.9925C20.93 8.2625 20.64 7.5725 20.12 7.0525L16.95 3.8825C15.88 2.8125 14.13 2.8125 13.06 3.8825L3.88 13.0525C3.36 13.5725 3.07 14.2625 3.07 14.9925C3.07 15.7225 3.36 16.4125 3.88 16.9325L5.64 18.6925C6.57 19.6225 7.78 20.0825 9 20.0825C10.22 20.0825 11.43 19.6225 12.36 18.6925L20.12 10.9325ZM14.12 4.9325C14.36 4.6925 14.67 4.5625 15 4.5625C15.33 4.5625 15.65 4.6925 15.88 4.9325L19.05 8.1025C19.54 8.5925 19.54 9.3825 19.05 9.8725L12.99 15.9325L8.05 10.9925L14.12 4.9325ZM6.7 17.6325L4.94 15.8725C4.45 15.3825 4.45 14.5925 4.94 14.1025L7 12.0425L11.94 16.9825L11.3 17.6225C10.07 18.8525 7.93 18.8525 6.7 17.6225V17.6325ZM22.75 20.9925C22.75 21.4025 22.41 21.7425 22 21.7425H14C13.59 21.7425 13.25 21.4025 13.25 20.9925C13.25 20.5825 13.59 20.2425 14 20.2425H22C22.41 20.2425 22.75 20.5825 22.75 20.9925ZM4.75 20.9925C4.75 21.4025 4.41 21.7425 4 21.7425H2C1.59 21.7425 1.25 21.4025 1.25 20.9925C1.25 20.5825 1.59 20.2425 2 20.2425H4C4.41 20.2425 4.75 20.5825 4.75 20.9925Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/close-16x16.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/close-16x16.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.5275 12.4675C13.8175 12.7575 13.8175 13.2375 13.5275 13.5275C13.3775 13.6775 13.1875 13.7475 12.9975 13.7475C12.8075 13.7475 12.6175 13.6775 12.4675 13.5275L7.9975 9.0575L3.5275 13.5275C3.3775 13.6775 3.1875 13.7475 2.9975 13.7475C2.8075 13.7475 2.6175 13.6775 2.4675 13.5275C2.1775 13.2375 2.1775 12.7575 2.4675 12.4675L6.9375 7.9975L2.4675 3.5275C2.1775 3.2375 2.1775 2.7575 2.4675 2.4675C2.7575 2.1775 3.2375 2.1775 3.5275 2.4675L7.9975 6.9375L12.4675 2.4675C12.7575 2.1775 13.2375 2.1775 13.5275 2.4675C13.8175 2.7575 13.8175 3.2375 13.5275 3.5275L9.0575 7.9975L13.5275 12.4675Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/close-24x24.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/close-24x24.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M19.5275 18.4675C19.8175 18.7575 19.8175 19.2375 19.5275 19.5275C19.3775 19.6775 19.1875 19.7475 18.9975 19.7475C18.8075 19.7475 18.6175 19.6775 18.4675 19.5275L11.9975 13.0575L5.5275 19.5275C5.3775 19.6775 5.1875 19.7475 4.9975 19.7475C4.8075 19.7475 4.6175 19.6775 4.4675 19.5275C4.1775 19.2375 4.1775 18.7575 4.4675 18.4675L10.9375 11.9975L4.4675 5.5275C4.1775 5.2375 4.1775 4.7575 4.4675 4.4675C4.7575 4.1775 5.2375 4.1775 5.5275 4.4675L11.9975 10.9375L18.4675 4.4675C18.7575 4.1775 19.2375 4.1775 19.5275 4.4675C19.8175 4.7575 19.8175 5.2375 19.5275 5.5275L13.0575 11.9975L19.5275 18.4675Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/collapse-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/collapse-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.75 8C11.75 8.41 11.41 8.75 11 8.75H5C4.59 8.75 4.25 8.41 4.25 8C4.25 7.59 4.59 7.25 5 7.25H11C11.41 7.25 11.75 7.59 11.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/collapsedetails-16x16.svg":
/*!**********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/collapsedetails-16x16.svg ***!
  \**********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.75 8C11.75 8.41 11.41 8.75 11 8.75H5C4.59 8.75 4.25 8.41 4.25 8C4.25 7.59 4.59 7.25 5 7.25H11C11.41 7.25 11.75 7.59 11.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/delete-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/delete-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.75 9V17C12.75 17.41 12.41 17.75 12 17.75C11.59 17.75 11.25 17.41 11.25 17V9C11.25 8.59 11.59 8.25 12 8.25C12.41 8.25 12.75 8.59 12.75 9ZM14.25 9V17C14.25 17.41 14.59 17.75 15 17.75C15.41 17.75 15.75 17.41 15.75 17V9C15.75 8.59 15.41 8.25 15 8.25C14.59 8.25 14.25 8.59 14.25 9ZM9 8.25C8.59 8.25 8.25 8.59 8.25 9V17C8.25 17.41 8.59 17.75 9 17.75C9.41 17.75 9.75 17.41 9.75 17V9C9.75 8.59 9.41 8.25 9 8.25ZM20.75 6C20.75 6.41 20.41 6.75 20 6.75H18.75V18C18.75 19.52 17.52 20.75 16 20.75H8C6.48 20.75 5.25 19.52 5.25 18V6.75H4C3.59 6.75 3.25 6.41 3.25 6C3.25 5.59 3.59 5.25 4 5.25H8.25V4C8.25 3.04 9.04 2.25 10 2.25H14C14.96 2.25 15.75 3.04 15.75 4V5.25H20C20.41 5.25 20.75 5.59 20.75 6ZM9.75 5.25H14.25V4C14.25 3.86 14.14 3.75 14 3.75H10C9.86 3.75 9.75 3.86 9.75 4V5.25ZM17.25 6.75H6.75V18C6.75 18.69 7.31 19.25 8 19.25H16C16.69 19.25 17.25 18.69 17.25 18V6.75Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/drag-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/drag-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.5 8.75C15.19 8.75 15.75 8.19 15.75 7.5C15.75 6.81 15.19 6.25 14.5 6.25C13.81 6.25 13.25 6.81 13.25 7.5C13.25 8.19 13.81 8.75 14.5 8.75ZM14.5 7.25C14.64 7.25 14.75 7.36 14.75 7.5C14.75 7.78 14.25 7.78 14.25 7.5C14.25 7.36 14.36 7.25 14.5 7.25ZM9.5 6.25C8.81 6.25 8.25 6.81 8.25 7.5C8.25 8.19 8.81 8.75 9.5 8.75C10.19 8.75 10.75 8.19 10.75 7.5C10.75 6.81 10.19 6.25 9.5 6.25ZM9.25 7.5C9.25 7.36 9.36 7.25 9.5 7.25C9.64 7.25 9.75 7.36 9.75 7.5C9.75 7.78 9.25 7.78 9.25 7.5ZM14.5 11.25C13.81 11.25 13.25 11.81 13.25 12.5C13.25 13.19 13.81 13.75 14.5 13.75C15.19 13.75 15.75 13.19 15.75 12.5C15.75 11.81 15.19 11.25 14.5 11.25ZM14.25 12.5C14.25 12.36 14.36 12.25 14.5 12.25C14.64 12.25 14.75 12.36 14.75 12.5C14.75 12.78 14.25 12.78 14.25 12.5ZM9.5 11.25C8.81 11.25 8.25 11.81 8.25 12.5C8.25 13.19 8.81 13.75 9.5 13.75C10.19 13.75 10.75 13.19 10.75 12.5C10.75 11.81 10.19 11.25 9.5 11.25ZM9.25 12.5C9.25 12.36 9.36 12.25 9.5 12.25C9.64 12.25 9.75 12.36 9.75 12.5C9.75 12.78 9.25 12.78 9.25 12.5ZM14.5 16.25C13.81 16.25 13.25 16.81 13.25 17.5C13.25 18.19 13.81 18.75 14.5 18.75C15.19 18.75 15.75 18.19 15.75 17.5C15.75 16.81 15.19 16.25 14.5 16.25ZM14.25 17.5C14.25 17.36 14.36 17.25 14.5 17.25C14.64 17.25 14.75 17.36 14.75 17.5C14.75 17.78 14.25 17.78 14.25 17.5ZM9.5 16.25C8.81 16.25 8.25 16.81 8.25 17.5C8.25 18.19 8.81 18.75 9.5 18.75C10.19 18.75 10.75 18.19 10.75 17.5C10.75 16.81 10.19 16.25 9.5 16.25ZM9.25 17.5C9.25 17.36 9.36 17.25 9.5 17.25C9.64 17.25 9.75 17.36 9.75 17.5C9.75 17.78 9.25 17.78 9.25 17.5Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/draghorizontal-24x16.svg":
/*!*********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/draghorizontal-24x16.svg ***!
  \*********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M17.5 9.25C16.81 9.25 16.25 9.81 16.25 10.5C16.25 11.19 16.81 11.75 17.5 11.75C18.19 11.75 18.75 11.19 18.75 10.5C18.75 9.81 18.19 9.25 17.5 9.25ZM17.25 10.5C17.25 10.36 17.36 10.25 17.5 10.25C17.64 10.25 17.75 10.36 17.75 10.5C17.75 10.78 17.25 10.78 17.25 10.5ZM17.5 6.75C18.19 6.75 18.75 6.19 18.75 5.5C18.75 4.81 18.19 4.25 17.5 4.25C16.81 4.25 16.25 4.81 16.25 5.5C16.25 6.19 16.81 6.75 17.5 6.75ZM17.5 5.25C17.64 5.25 17.75 5.36 17.75 5.5C17.75 5.78 17.25 5.78 17.25 5.5C17.25 5.36 17.36 5.25 17.5 5.25ZM12.5 9.25C11.81 9.25 11.25 9.81 11.25 10.5C11.25 11.19 11.81 11.75 12.5 11.75C13.19 11.75 13.75 11.19 13.75 10.5C13.75 9.81 13.19 9.25 12.5 9.25ZM12.25 10.5C12.25 10.36 12.36 10.25 12.5 10.25C12.64 10.25 12.75 10.36 12.75 10.5C12.75 10.78 12.25 10.78 12.25 10.5ZM12.5 4.25C11.81 4.25 11.25 4.81 11.25 5.5C11.25 6.19 11.81 6.75 12.5 6.75C13.19 6.75 13.75 6.19 13.75 5.5C13.75 4.81 13.19 4.25 12.5 4.25ZM12.25 5.5C12.25 5.36 12.36 5.25 12.5 5.25C12.64 5.25 12.75 5.36 12.75 5.5C12.75 5.78 12.25 5.78 12.25 5.5ZM7.5 9.25C6.81 9.25 6.25 9.81 6.25 10.5C6.25 11.19 6.81 11.75 7.5 11.75C8.19 11.75 8.75 11.19 8.75 10.5C8.75 9.81 8.19 9.25 7.5 9.25ZM7.25 10.5C7.25 10.36 7.36 10.25 7.5 10.25C7.64 10.25 7.75 10.36 7.75 10.5C7.75 10.78 7.25 10.78 7.25 10.5ZM7.5 4.25C6.81 4.25 6.25 4.81 6.25 5.5C6.25 6.19 6.81 6.75 7.5 6.75C8.19 6.75 8.75 6.19 8.75 5.5C8.75 4.81 8.19 4.25 7.5 4.25ZM7.25 5.5C7.25 5.36 7.36 5.25 7.5 5.25C7.64 5.25 7.75 5.36 7.75 5.5C7.75 5.78 7.25 5.78 7.25 5.5Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/expand-16x16.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/expand-16x16.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.75 8C11.75 8.41 11.41 8.75 11 8.75H8.75V11C8.75 11.41 8.41 11.75 8 11.75C7.59 11.75 7.25 11.41 7.25 11V8.75H5C4.59 8.75 4.25 8.41 4.25 8C4.25 7.59 4.59 7.25 5 7.25H7.25V5C7.25 4.59 7.59 4.25 8 4.25C8.41 4.25 8.75 4.59 8.75 5V7.25H11C11.41 7.25 11.75 7.59 11.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/expanddetails-16x16.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/expanddetails-16x16.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.75 8C11.75 8.41 11.41 8.75 11 8.75H8.75V11C8.75 11.41 8.41 11.75 8 11.75C7.59 11.75 7.25 11.41 7.25 11V8.75H5C4.59 8.75 4.25 8.41 4.25 8C4.25 7.59 4.59 7.25 5 7.25H7.25V5C7.25 4.59 7.59 4.25 8 4.25C8.41 4.25 8.75 4.59 8.75 5V7.25H11C11.41 7.25 11.75 7.59 11.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/file-72x72.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/file-72x72.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 72 72\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M62.83 12.83L53.17 3.17C52.7982 2.79866 52.357 2.50421 51.8714 2.30346C51.3858 2.1027 50.8654 1.99959 50.34 2H14C12.4087 2 10.8826 2.63214 9.75735 3.75736C8.63214 4.88258 8 6.4087 8 8V64C8 65.5913 8.63214 67.1174 9.75735 68.2426C10.8826 69.3679 12.4087 70 14 70H58C59.5913 70 61.1174 69.3679 62.2426 68.2426C63.3679 67.1174 64 65.5913 64 64V15.66C64.0004 15.1346 63.8973 14.6142 63.6965 14.1286C63.4958 13.643 63.2013 13.2018 62.83 12.83ZM52 4.83L61.17 14H56C54.9391 14 53.9217 13.5786 53.1716 12.8284C52.4214 12.0783 52 11.0609 52 10V4.83ZM62 64C62 65.0609 61.5786 66.0783 60.8284 66.8284C60.0783 67.5786 59.0609 68 58 68H14C12.9391 68 11.9217 67.5786 11.1716 66.8284C10.4214 66.0783 10 65.0609 10 64V8C10 6.93914 10.4214 5.92172 11.1716 5.17157C11.9217 4.42143 12.9391 4 14 4H50V10C50 11.5913 50.6321 13.1174 51.7574 14.2426C52.8826 15.3679 54.4087 16 56 16H62V64ZM22 26H50V28H22V26ZM22 32H50V34H22V32ZM22 38H50V40H22V38ZM22 44H50V46H22V44Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/flip-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/flip-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M14.53 17.4775C14.82 17.7675 14.82 18.2475 14.53 18.5375L11.53 21.5375C11.38 21.6875 11.19 21.7575 11 21.7575C10.81 21.7575 10.62 21.6875 10.47 21.5375C10.18 21.2475 10.18 20.7675 10.47 20.4775L12.2 18.7475C12.13 18.7475 12.07 18.7475 12 18.7475C6.62 18.7475 2.25 15.7475 2.25 12.0575C2.25 10.2975 3.22 8.6375 4.99 7.3875C5.33 7.1475 5.8 7.2275 6.03 7.5675C6.27 7.9075 6.19 8.3775 5.85 8.6075C4.49 9.5675 3.74 10.7875 3.74 12.0575C3.74 14.9175 7.44 17.2475 11.99 17.2475C12.05 17.2475 12.11 17.2475 12.17 17.2475L10.46 15.5375C10.17 15.2475 10.17 14.7675 10.46 14.4775C10.75 14.1875 11.23 14.1875 11.52 14.4775L14.52 17.4775H14.53ZM12 5.2575C11.93 5.2575 11.87 5.2575 11.8 5.2575L13.53 3.5275C13.82 3.2375 13.82 2.7575 13.53 2.4675C13.24 2.1775 12.76 2.1775 12.47 2.4675L9.47 5.4675C9.18 5.7575 9.18 6.2375 9.47 6.5275L12.47 9.5275C12.62 9.6775 12.81 9.7475 13 9.7475C13.19 9.7475 13.38 9.6775 13.53 9.5275C13.82 9.2375 13.82 8.7575 13.53 8.4675L11.82 6.7575C11.88 6.7575 11.94 6.7575 12 6.7575C16.55 6.7575 20.25 9.0875 20.25 11.9475C20.25 13.2075 19.5 14.4375 18.14 15.3975C17.8 15.6375 17.72 16.1075 17.96 16.4475C18.11 16.6575 18.34 16.7675 18.57 16.7675C18.72 16.7675 18.87 16.7275 19 16.6275C20.77 15.3775 21.75 13.7175 21.75 11.9575C21.75 8.2675 17.38 5.2675 12 5.2675V5.2575Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/folder-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/folder-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M21.72 9.24C21.45 8.92 21.12 8.67 20.75 8.5V8C20.75 6.48 19.52 5.25 18 5.25H10.65C10.32 4.1 9.26 3.25 8 3.25H6C4.48 3.25 3.25 4.48 3.25 6V18C3.25 19.52 4.48 20.75 6 20.75H18.33C19.66 20.75 20.8 19.8 21.04 18.49L22.31 11.49C22.46 10.69 22.24 9.86 21.72 9.24ZM4.75 18V6C4.75 5.31 5.31 4.75 6 4.75H8C8.69 4.75 9.25 5.31 9.25 6C9.25 6.41 9.59 6.75 10 6.75H18C18.69 6.75 19.25 7.31 19.25 8V8.25H9.27C7.94 8.25 6.8 9.2 6.56 10.51L5.29 17.51C5.19 18.07 5.27 18.64 5.51 19.15C5.06 18.96 4.75 18.52 4.75 18ZM20.83 11.22L19.56 18.22C19.45 18.81 18.94 19.25 18.33 19.25H8C7.63 19.25 7.28 19.09 7.04 18.8C6.8 18.51 6.7 18.14 6.77 17.78L8.04 10.78C8.15 10.19 8.66 9.75 9.27 9.75H19.6C19.97 9.75 20.32 9.91 20.56 10.2C20.8 10.49 20.9 10.86 20.83 11.22Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/fullsize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/fullsize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 3.25H4C3.04 3.25 2.25 4.04 2.25 5V11C2.25 11.96 3.04 12.75 4 12.75H12C12.96 12.75 13.75 11.96 13.75 11V5C13.75 4.04 12.96 3.25 12 3.25ZM12.25 11C12.25 11.14 12.14 11.25 12 11.25H4C3.86 11.25 3.75 11.14 3.75 11V5C3.75 4.86 3.86 4.75 4 4.75H12C12.14 4.75 12.25 4.86 12.25 5V11Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/image-48x48.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/image-48x48.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M33 10.25H15C12.38 10.25 10.25 12.38 10.25 15V33C10.25 35.62 12.38 37.75 15 37.75H33C35.62 37.75 37.75 35.62 37.75 33V15C37.75 12.38 35.62 10.25 33 10.25ZM36.25 33C36.25 34.79 34.79 36.25 33 36.25H15C13.21 36.25 11.75 34.79 11.75 33V15C11.75 13.21 13.21 11.75 15 11.75H33C34.79 11.75 36.25 13.21 36.25 15V33ZM30.5 14.25C28.71 14.25 27.25 15.71 27.25 17.5C27.25 19.29 28.71 20.75 30.5 20.75C32.29 20.75 33.75 19.29 33.75 17.5C33.75 15.71 32.29 14.25 30.5 14.25ZM30.5 19.25C29.54 19.25 28.75 18.46 28.75 17.5C28.75 16.54 29.54 15.75 30.5 15.75C31.46 15.75 32.25 16.54 32.25 17.5C32.25 18.46 31.46 19.25 30.5 19.25ZM29.26 26.28C28.94 25.92 28.49 25.71 28.01 25.7C27.54 25.68 27.07 25.87 26.73 26.2L24.95 27.94L22.28 25.23C21.94 24.89 21.5 24.71 21 24.71C20.52 24.71 20.06 24.93 19.74 25.28L14.74 30.78C14.25 31.3 14.12 32.06 14.41 32.72C14.69 33.36 15.28 33.75 15.95 33.75H32.07C32.74 33.75 33.33 33.35 33.61 32.72C33.89 32.06 33.77 31.31 33.29 30.79L29.27 26.29L29.26 26.28ZM32.22 32.12C32.18 32.2 32.13 32.25 32.06 32.25H15.94C15.87 32.25 15.81 32.21 15.78 32.12C15.77 32.09 15.71 31.93 15.83 31.8L20.84 26.29C20.9 26.22 20.99 26.21 21.02 26.21C21.06 26.21 21.14 26.22 21.2 26.29L24.4 29.54C24.69 29.83 25.16 29.84 25.46 29.54L27.77 27.27C27.83 27.21 27.9 27.2 27.94 27.2C28.01 27.2 28.06 27.21 28.13 27.28L32.16 31.79C32.16 31.79 32.16 31.79 32.17 31.8C32.29 31.93 32.23 32.09 32.22 32.12Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/loading-48x48.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/loading-48x48.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\"><g clip-path=\"url(#clip0_19679_369428)\"><path opacity=\"0.1\" d=\"M24 40C15.18 40 8 32.82 8 24C8 15.18 15.18 8 24 8C32.82 8 40 15.18 40 24C40 32.82 32.82 40 24 40ZM24 12C17.38 12 12 17.38 12 24C12 30.62 17.38 36 24 36C30.62 36 36 30.62 36 24C36 17.38 30.62 12 24 12Z\" fill=\"black\" fill-opacity=\"0.91\"></path><path d=\"M10 26C8.9 26 8 25.1 8 24C8 15.18 15.18 8 24 8C25.1 8 26 8.9 26 10C26 11.1 25.1 12 24 12C17.38 12 12 17.38 12 24C12 25.1 11.1 26 10 26Z\" fill=\"#19B394\"></path></g><defs><clipPath id=\"clip0_19679_369428\"><rect width=\"32\" height=\"32\" fill=\"white\" transform=\"translate(8 8)\"></rect></clipPath></defs></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/maximize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/maximize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.75 3V7C13.75 7.41 13.41 7.75 13 7.75C12.59 7.75 12.25 7.41 12.25 7V4.81L9.53 7.53C9.38 7.68 9.19 7.75 9 7.75C8.81 7.75 8.62 7.68 8.47 7.53C8.18 7.24 8.18 6.76 8.47 6.47L11.19 3.75H9C8.59 3.75 8.25 3.41 8.25 3C8.25 2.59 8.59 2.25 9 2.25H13C13.1 2.25 13.19 2.27 13.29 2.31C13.47 2.39 13.62 2.53 13.7 2.72C13.74 2.81 13.76 2.91 13.76 3.01L13.75 3ZM7.53 8.47C7.24 8.18 6.76 8.18 6.47 8.47L3.75 11.19V9C3.75 8.59 3.41 8.25 3 8.25C2.59 8.25 2.25 8.59 2.25 9V13C2.25 13.1 2.27 13.19 2.31 13.29C2.39 13.47 2.53 13.62 2.72 13.7C2.81 13.74 2.91 13.76 3.01 13.76H7.01C7.42 13.76 7.76 13.42 7.76 13.01C7.76 12.6 7.42 12.26 7.01 12.26H4.82L7.54 9.54C7.83 9.25 7.83 8.77 7.54 8.48L7.53 8.47Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/minimize-16x16.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/minimize-16x16.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.75 8C13.75 8.41 13.41 8.75 13 8.75H3C2.59 8.75 2.25 8.41 2.25 8C2.25 7.59 2.59 7.25 3 7.25H13C13.41 7.25 13.75 7.59 13.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/more-24x24.svg":
/*!***********************************************************!*\
  !*** ./packages/survey-core/src/images-v2/more-24x24.svg ***!
  \***********************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 10.25C11.04 10.25 10.25 11.04 10.25 12C10.25 12.96 11.04 13.75 12 13.75C12.96 13.75 13.75 12.96 13.75 12C13.75 11.04 12.96 10.25 12 10.25ZM11.75 12C11.75 11.86 11.86 11.75 12 11.75C12.14 11.75 12.25 11.86 12.25 12C12.25 12.28 11.75 12.28 11.75 12ZM19 10.25C18.04 10.25 17.25 11.04 17.25 12C17.25 12.96 18.04 13.75 19 13.75C19.96 13.75 20.75 12.96 20.75 12C20.75 11.04 19.96 10.25 19 10.25ZM18.75 12C18.75 11.86 18.86 11.75 19 11.75C19.14 11.75 19.25 11.86 19.25 12C19.25 12.28 18.75 12.28 18.75 12ZM5 10.25C4.04 10.25 3.25 11.04 3.25 12C3.25 12.96 4.04 13.75 5 13.75C5.96 13.75 6.75 12.96 6.75 12C6.75 11.04 5.96 10.25 5 10.25ZM4.75 12C4.75 11.86 4.86 11.75 5 11.75C5.14 11.75 5.25 11.86 5.25 12C5.25 12.28 4.75 12.28 4.75 12Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/navmenu-24x24.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/navmenu-24x24.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M3.25 7C3.25 6.59 3.59 6.25 4 6.25H15C15.41 6.25 15.75 6.59 15.75 7C15.75 7.41 15.41 7.75 15 7.75H4C3.59 7.75 3.25 7.41 3.25 7ZM20 11.25H4C3.59 11.25 3.25 11.59 3.25 12C3.25 12.41 3.59 12.75 4 12.75H20C20.41 12.75 20.75 12.41 20.75 12C20.75 11.59 20.41 11.25 20 11.25ZM9 16.25H4C3.59 16.25 3.25 16.59 3.25 17C3.25 17.41 3.59 17.75 4 17.75H9C9.41 17.75 9.75 17.41 9.75 17C9.75 16.59 9.41 16.25 9 16.25Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/noimage-48x48.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/noimage-48x48.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M30.4975 14.2475C28.7075 14.2475 27.2475 15.7075 27.2475 17.4975C27.2475 19.2875 28.7075 20.7475 30.4975 20.7475C32.2875 20.7475 33.7475 19.2875 33.7475 17.4975C33.7475 15.7075 32.2875 14.2475 30.4975 14.2475ZM30.4975 19.2475C29.5375 19.2475 28.7475 18.4575 28.7475 17.4975C28.7475 16.5375 29.5375 15.7475 30.4975 15.7475C31.4575 15.7475 32.2475 16.5375 32.2475 17.4975C32.2475 18.4575 31.4575 19.2475 30.4975 19.2475ZM13.5175 11.2175C13.4375 10.8075 13.7075 10.4175 14.1175 10.3375C14.4275 10.2775 14.7175 10.2475 14.9975 10.2475H32.9975C35.6175 10.2475 37.7475 12.3775 37.7475 14.9975V32.9975C37.7475 33.2775 37.7175 33.5675 37.6575 33.8775C37.5875 34.2375 37.2775 34.4875 36.9175 34.4875C36.8675 34.4875 36.8275 34.4875 36.7775 34.4775C36.3675 34.3975 36.1075 34.0075 36.1775 33.5975C36.2175 33.3775 36.2375 33.1775 36.2375 32.9975V14.9975C36.2375 13.2075 34.7775 11.7475 32.9875 11.7475H14.9975C14.8075 11.7475 14.6175 11.7675 14.3975 11.8075C13.9875 11.8875 13.5975 11.6175 13.5175 11.2075V11.2175ZM34.4775 36.7775C34.5575 37.1875 34.2875 37.5775 33.8775 37.6575C33.5675 37.7175 33.2775 37.7475 32.9975 37.7475H14.9975C12.3775 37.7475 10.2475 35.6175 10.2475 32.9975V14.9975C10.2475 14.7175 10.2775 14.4275 10.3375 14.1175C10.4175 13.7075 10.8075 13.4375 11.2175 13.5175C11.6275 13.5975 11.8875 13.9875 11.8175 14.3975C11.7775 14.6175 11.7575 14.8175 11.7575 14.9975V32.9975C11.7575 34.7875 13.2175 36.2475 15.0075 36.2475H33.0075C33.1975 36.2475 33.3875 36.2275 33.6075 36.1875C34.0075 36.1075 34.4075 36.3775 34.4875 36.7875L34.4775 36.7775ZM15.8275 31.7975C15.6975 31.9375 15.7575 32.0875 15.7775 32.1175C15.8175 32.1975 15.8675 32.2475 15.9375 32.2475H29.8175C30.2275 32.2475 30.5675 32.5875 30.5675 32.9975C30.5675 33.4075 30.2275 33.7475 29.8175 33.7475H15.9375C15.2675 33.7475 14.6775 33.3475 14.3975 32.7175C14.1075 32.0575 14.2375 31.2975 14.7275 30.7775L19.7275 25.2775C20.0475 24.9275 20.5075 24.7175 20.9875 24.7075C21.4875 24.7275 21.9375 24.8875 22.2675 25.2275L25.4675 28.4775C25.7575 28.7675 25.7575 29.2475 25.4675 29.5375C25.1675 29.8275 24.6975 29.8275 24.4075 29.5375L21.2075 26.2875C21.1475 26.2175 21.0675 26.1875 21.0275 26.2075C20.9875 26.2075 20.9075 26.2175 20.8475 26.2875L15.8375 31.7975H15.8275ZM38.5275 38.5275C38.3775 38.6775 38.1875 38.7475 37.9975 38.7475C37.8075 38.7475 37.6175 38.6775 37.4675 38.5275L9.4675 10.5275C9.1775 10.2375 9.1775 9.7575 9.4675 9.4675C9.7575 9.1775 10.2375 9.1775 10.5275 9.4675L38.5275 37.4675C38.8175 37.7575 38.8175 38.2375 38.5275 38.5275Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/ranking-arrows.svg":
/*!***************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/ranking-arrows.svg ***!
  \***************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 10 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M10 5L5 0L0 5H4V9H6V5H10Z\"></path><path d=\"M6 19V15H4V19H0L5 24L10 19H6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/rankingundefined-16x16.svg":
/*!***********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/rankingundefined-16x16.svg ***!
  \***********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M11.75 8C11.75 8.41 11.41 8.75 11 8.75H5C4.59 8.75 4.25 8.41 4.25 8C4.25 7.59 4.59 7.25 5 7.25H11C11.41 7.25 11.75 7.59 11.75 8Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/rating-star-2.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/rating-star-2.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M24 39.5057L11.7226 45.9839C10.4095 46.6739 8.87606 45.5622 9.12525 44.096L11.4734 30.373L1.54411 20.6556C0.480254 19.6207 1.06489 17.8095 2.53128 17.5986L16.2559 15.5957L22.3994 3.10891C23.0512 1.77685 24.9488 1.77685 25.6102 3.10891L31.7441 15.5957L45.4687 17.5986C46.9351 17.8095 47.5197 19.6207 46.4559 20.6556L36.5266 30.373L38.8748 44.096C39.1239 45.5622 37.5905 46.6835 36.2774 45.9839L24 39.5057Z\" fill=\"none\" stroke-width=\"2\"></path><path d=\"M24.3981 33.1305L24 32.9206L23.6019 33.1305L15.8715 37.2059L17.3542 28.5663L17.43 28.1246L17.1095 27.8113L10.83 21.6746L19.4965 20.4049L19.9405 20.3399L20.1387 19.9373L24 12.0936L27.8613 19.9373L28.0595 20.3399L28.5035 20.4049L37.17 21.6746L30.8905 27.8113L30.57 28.1246L30.6458 28.5663L32.1285 37.2059L24.3981 33.1305Z\" stroke-width=\"1.70746\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/rating-star-small-2.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/rating-star-small-2.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12 19.3373L6.13001 22.4373C5.50001 22.7673 4.77001 22.2373 4.89001 21.5373L6.01001 14.9773L1.26001 10.3273C0.750007 9.83728 1.03001 8.96728 1.73001 8.86728L8.29001 7.90728L11.23 1.93728C11.54 1.29728 12.45 1.29728 12.77 1.93728L15.7 7.90728L22.26 8.86728C22.96 8.96728 23.24 9.83728 22.73 10.3273L17.98 14.9773L19.1 21.5373C19.22 22.2373 18.49 22.7773 17.86 22.4373L11.99 19.3373H12Z\" fill=\"none\" stroke-width=\"2\"></path><path d=\"M12 15.9472L8.58001 17.7572L9.23001 13.9272L6.45001 11.2072L10.29 10.6472L12 7.17725L13.71 10.6472L17.55 11.2072L14.77 13.9272L15.42 17.7572L12 15.9472Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/rating-star-small.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/rating-star-small.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><g><path d=\"M12 19.3373L6.13001 22.4373C5.50001 22.7673 4.77001 22.2373 4.89001 21.5373L6.01001 14.9773L1.26001 10.3273C0.750007 9.83728 1.03001 8.96728 1.73001 8.86728L8.29001 7.90728L11.23 1.93728C11.54 1.29728 12.45 1.29728 12.77 1.93728L15.7 7.90728L22.26 8.86728C22.96 8.96728 23.24 9.83728 22.73 10.3273L17.98 14.9773L19.1 21.5373C19.22 22.2373 18.49 22.7773 17.86 22.4373L11.99 19.3373H12Z\"></path></g></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/rating-star.svg":
/*!************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/rating-star.svg ***!
  \************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 48 48\" xmlns=\"http://www.w3.org/2000/svg\"><g><path d=\"M24 39.5057L11.7226 45.9839C10.4095 46.6739 8.87606 45.5622 9.12525 44.096L11.4734 30.373L1.54411 20.6556C0.480254 19.6207 1.06489 17.8095 2.53128 17.5986L16.2559 15.5957L22.3994 3.10891C23.0512 1.77685 24.9488 1.77685 25.6102 3.10891L31.7441 15.5957L45.4687 17.5986C46.9351 17.8095 47.5197 19.6207 46.4559 20.6556L36.5266 30.373L38.8748 44.096C39.1239 45.5622 37.5905 46.6835 36.2774 45.9839L24 39.5057Z\"></path></g></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/reorder-24x24.svg":
/*!**************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/reorder-24x24.svg ***!
  \**************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M8.9444 10.75H15.0544C15.7144 10.75 16.3144 10.39 16.6144 9.80002C16.9144 9.22002 16.8644 8.52002 16.4844 7.98002L13.4244 3.71002C12.7644 2.79002 11.2344 2.79002 10.5744 3.71002L7.5244 7.99002C7.1444 8.53002 7.0944 9.22002 7.3944 9.81002C7.6944 10.4 8.2944 10.76 8.9544 10.76L8.9444 10.75ZM8.7444 8.86002L11.7944 4.58002C11.8644 4.49002 11.9544 4.48002 11.9944 4.48002C12.0344 4.48002 12.1344 4.49002 12.1944 4.58002L15.2544 8.86002C15.3344 8.97002 15.3044 9.07002 15.2744 9.12002C15.2444 9.17002 15.1844 9.26002 15.0544 9.26002H8.9444C8.8144 9.26002 8.7444 9.18002 8.7244 9.12002C8.7044 9.06002 8.6644 8.97002 8.7444 8.86002ZM15.0544 13.25H8.9444C8.2844 13.25 7.6844 13.61 7.3844 14.2C7.0844 14.78 7.1344 15.48 7.5144 16.02L10.5744 20.3C10.9044 20.76 11.4344 21.03 11.9944 21.03C12.5544 21.03 13.0944 20.76 13.4144 20.3L16.4744 16.02C16.8544 15.48 16.9044 14.79 16.6044 14.2C16.3044 13.61 15.7044 13.25 15.0444 13.25H15.0544ZM15.2644 15.15L12.2044 19.43C12.0744 19.61 11.9244 19.61 11.7944 19.43L8.7344 15.15C8.6544 15.04 8.6844 14.94 8.7144 14.89C8.7444 14.84 8.8044 14.75 8.9344 14.75H15.0444C15.1744 14.75 15.2444 14.83 15.2644 14.89C15.2844 14.95 15.3244 15.04 15.2444 15.15H15.2644Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/restoredown-16x16.svg":
/*!******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/restoredown-16x16.svg ***!
  \******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 16 16\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.69 8.71C7.73 8.8 7.75 8.9 7.75 9V13C7.75 13.41 7.41 13.75 7 13.75C6.59 13.75 6.25 13.41 6.25 13V10.81L3.53 13.53C3.38 13.68 3.19 13.75 3 13.75C2.81 13.75 2.62 13.68 2.47 13.53C2.18 13.24 2.18 12.76 2.47 12.47L5.19 9.75H3C2.59 9.75 2.25 9.41 2.25 9C2.25 8.59 2.59 8.25 3 8.25H7C7.1 8.25 7.19 8.27 7.29 8.31C7.47 8.39 7.62 8.53 7.7 8.72L7.69 8.71ZM13 6.25H10.81L13.53 3.53C13.82 3.24 13.82 2.76 13.53 2.47C13.24 2.18 12.76 2.18 12.47 2.47L9.75 5.19V3C9.75 2.59 9.41 2.25 9 2.25C8.59 2.25 8.25 2.59 8.25 3V7C8.25 7.1 8.27 7.19 8.31 7.29C8.39 7.47 8.53 7.62 8.72 7.7C8.81 7.74 8.91 7.76 9.01 7.76H13.01C13.42 7.76 13.76 7.42 13.76 7.01C13.76 6.6 13.42 6.26 13.01 6.26L13 6.25Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/search-24x24.svg":
/*!*************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/search-24x24.svg ***!
  \*************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M13.9975 2.25C9.7275 2.25 6.2475 5.73 6.2475 10C6.2475 11.87 6.9075 13.58 8.0175 14.92L2.4675 20.47C2.1775 20.76 2.1775 21.24 2.4675 21.53C2.6175 21.68 2.8075 21.75 2.9975 21.75C3.1875 21.75 3.3775 21.68 3.5275 21.53L9.0775 15.98C10.4175 17.08 12.1275 17.75 13.9975 17.75C18.2675 17.75 21.7475 14.27 21.7475 10C21.7475 5.73 18.2675 2.25 13.9975 2.25ZM13.9975 16.25C10.5475 16.25 7.7475 13.45 7.7475 10C7.7475 6.55 10.5475 3.75 13.9975 3.75C17.4475 3.75 20.2475 6.55 20.2475 10C20.2475 13.45 17.4475 16.25 13.9975 16.25Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate1-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate1-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M4 4.9938C4 4.44362 4.45 3.99348 5 3.99348H6.59L5.3 2.70306C4.91 2.31293 4.91 1.68272 5.3 1.2926C5.69 0.902468 6.32 0.902468 6.71 1.2926L9.71 4.29357C9.8 4.3836 9.88 4.49364 9.93 4.62368C10.03 4.86376 10.03 5.14385 9.93 5.38393C9.88 5.50397 9.81 5.614 9.71 5.71404L6.71 8.71501C6.51 8.91508 6.26 9.00511 6 9.00511C5.74 9.00511 5.49 8.90508 5.29 8.71501C4.9 8.32489 4.9 7.69468 5.29 7.30456L6.58 6.01413H4.99C4.44 6.01413 3.99 5.56399 3.99 5.01381L4 4.9938ZM14.08 5.37393C14.13 5.49397 14.2 5.604 14.3 5.70403L17.3 8.70501C17.5 8.90508 17.75 8.99511 18.01 8.99511C18.27 8.99511 18.52 8.89507 18.72 8.70501C19.11 8.31488 19.11 7.68468 18.72 7.29455L17.43 6.00413H19.02C19.57 6.00413 20.02 5.55399 20.02 5.00381C20.02 4.45363 19.57 4.00348 19.02 4.00348H17.43L18.72 2.71306C19.11 2.32293 19.11 1.69273 18.72 1.3026C18.33 0.912471 17.7 0.912471 17.31 1.3026L14.31 4.30358C14.22 4.39361 14.14 4.50364 14.09 4.63368C13.99 4.87376 13.99 5.15385 14.09 5.39393L14.08 5.37393ZM22 14.9971V20.999C22 22.6496 20.65 24 19 24H5C3.35 24 2 22.6496 2 20.999V14.9971C2 13.3465 3.35 11.9961 5 11.9961H19C20.65 11.9961 22 13.3465 22 14.9971ZM19 13.9967H16V16.9977H20V14.9971C20 14.4469 19.55 13.9967 19 13.9967ZM14 16.9977V13.9967H10V16.9977H14ZM10 18.9984V21.9993H14V18.9984H10ZM4 14.9971V16.9977H8V13.9967H5C4.45 13.9967 4 14.4469 4 14.9971ZM5 21.9993H8V18.9984H4V20.999C4 21.5492 4.45 21.9993 5 21.9993ZM20 20.999V18.9984H16V21.9993H19C19.55 21.9993 20 21.5492 20 20.999Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate10-24x24.svg":
/*!********************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate10-24x24.svg ***!
  \********************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 23C6.85721 23 1.15412 19.9621 0.0134987 13.1669C-0.0765501 12.6272 0.293651 12.1076 0.833944 12.0177C1.38424 11.9277 1.89452 12.2975 1.98457 12.8371C2.92508 18.4732 7.69767 20.9914 12 20.9914C16.3023 20.9914 21.0749 18.4732 22.0154 12.8371C22.1055 12.2975 22.6158 11.9277 23.1661 12.0177C23.7063 12.1076 24.0765 12.6272 23.9865 13.1669C22.8559 19.9521 17.1428 23 11.99 23H12.01ZM21.165 6.15177C22.3056 5.01257 22.3056 3.16386 21.165 2.02465L21.0049 1.85477C19.9143 0.765533 18.1633 0.725561 17.0227 1.71487C15.8821 0.715568 14.1312 0.765533 13.0406 1.85477L12.8705 2.01466C11.7299 3.15386 11.7299 5.00257 12.8705 6.14178L17.0227 10.2889L21.175 6.14178L21.165 6.15177ZM15.742 3.27378L17.0127 4.54289L18.2834 3.27378C18.6436 2.91403 19.2239 2.91403 19.5841 3.27378L19.7442 3.43367C20.1044 3.79342 20.1044 4.37301 19.7442 4.73276L17.0127 7.46086L14.2812 4.73276C13.921 4.37301 13.921 3.79342 14.2812 3.43367L14.4413 3.27378C14.6214 3.09391 14.8515 3.00397 15.0917 3.00397C15.3318 3.00397 15.5619 3.09391 15.742 3.27378ZM11.1595 6.15177C12.3002 5.01257 12.3002 3.16386 11.1595 2.02465L10.9995 1.85477C9.90886 0.765533 8.15792 0.725561 7.0173 1.71487C5.87668 0.715568 4.12573 0.765533 3.03514 1.85477L2.86505 2.01466C1.72443 3.15386 1.72443 5.00257 2.86505 6.14178L7.0173 10.2889L11.1695 6.14178L11.1595 6.15177ZM5.7366 3.27378L7.00729 4.54289L8.27798 3.27378C8.63818 2.91403 9.21849 2.91403 9.57869 3.27378L9.73877 3.43367C10.099 3.79342 10.099 4.37301 9.73877 4.73276L7.00729 7.46086L4.27581 4.73276C3.91562 4.37301 3.91562 3.79342 4.27581 3.43367L4.4359 3.27378C4.61599 3.09391 4.84612 3.00397 5.08625 3.00397C5.32638 3.00397 5.5565 3.09391 5.7366 3.27378Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate2-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate2-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><g clip-path=\"url(#clip0_15894_140103)\"><path d=\"M4.88291 4.51001C4.47291 4.51001 4.08291 4.25001 3.94291 3.84001C3.76291 3.32001 4.03291 2.75001 4.55291 2.57001L8.32291 1.25001C8.84291 1.06001 9.41291 1.34001 9.59291 1.86001C9.77291 2.38001 9.50291 2.95001 8.98291 3.13001L5.20291 4.45001C5.09291 4.49001 4.98291 4.51001 4.87291 4.51001H4.88291ZM19.8129 3.89001C20.0229 3.38001 19.7729 2.79001 19.2629 2.59001L15.5529 1.07001C15.0429 0.860007 14.4529 1.11001 14.2529 1.62001C14.0429 2.13001 14.2929 2.72001 14.8029 2.92001L18.5029 4.43001C18.6229 4.48001 18.7529 4.50001 18.8829 4.50001C19.2729 4.50001 19.6529 4.27001 19.8129 3.88001V3.89001ZM3.50291 6.00001C2.64291 6.37001 1.79291 6.88001 1.00291 7.48001C0.79291 7.64001 0.64291 7.87001 0.59291 8.14001C0.48291 8.73001 0.87291 9.29001 1.45291 9.40001C2.04291 9.51001 2.60291 9.12001 2.71291 8.54001C2.87291 7.69001 3.12291 6.83001 3.50291 5.99001V6.00001ZM21.0429 8.55001C21.6029 10.48 24.2429 8.84001 22.7529 7.48001C21.9629 6.88001 21.1129 6.37001 20.2529 6.00001C20.6329 6.84001 20.8829 7.70001 21.0429 8.55001ZM21.5729 13.2C21.2529 14.2 22.5429 15.09 23.3629 14.39C23.8529 14 23.9229 13.29 23.5429 12.81C21.7429 10.67 22.1329 10.55 21.5829 13.2H21.5729ZM1.75291 11C1.22291 11.79 -0.14709 12.64 0.0129102 13.75C0.15291 14.36 0.75291 14.74 1.35291 14.6C2.98291 14.1 1.80291 12.22 1.75291 11ZM19.8829 17C19.8829 13.14 16.2929 10 11.8829 10C7.47291 10 3.88291 13.14 3.88291 17C3.88291 20.86 7.47291 24 11.8829 24C16.2929 24 19.8829 20.86 19.8829 17ZM17.8829 17C17.8829 19.76 15.1929 22 11.8829 22C8.57291 22 5.88291 19.76 5.88291 17C5.88291 14.24 8.57291 12 11.8829 12C15.1929 12 17.8829 14.24 17.8829 17Z\"></path></g><defs><clipPath id=\"clip0_15894_140103\"><rect width=\"24\" height=\"24\" fill=\"white\"></rect></clipPath></defs></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate3-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate3-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.01915 7C6.46961 7 6.01998 6.55 6.01998 6V2C6.01998 1.45 6.46961 1 7.01915 1C7.56869 1 8.01832 1.45 8.01832 2V6C8.01832 6.55 7.56869 7 7.01915 7ZM18.01 6V2C18.01 1.45 17.5604 1 17.0108 1C16.4613 1 16.0117 1.45 16.0117 2V6C16.0117 6.55 16.4613 7 17.0108 7C17.5604 7 18.01 6.55 18.01 6ZM16.4213 21.58L18.01 19.99L19.2989 21.28C19.6886 21.67 20.3181 21.67 20.7077 21.28C21.0974 20.89 21.0974 20.26 20.7077 19.87L19.4188 18.58C18.6395 17.8 17.3705 17.8 16.5912 18.58L15.0025 20.17L13.4138 18.58C12.6345 17.8 11.3655 17.8 10.5862 18.58L8.9975 20.17L7.40883 18.58C6.62948 17.8 5.36053 17.8 4.58118 18.58L3.29226 19.87C2.90258 20.26 2.90258 20.89 3.29226 21.28C3.68193 21.67 4.31141 21.67 4.70108 21.28L5.99001 19.99L7.57868 21.58C8.35803 22.36 9.62698 22.36 10.4063 21.58L11.995 19.99L13.5837 21.58C13.9734 21.97 14.4829 22.16 14.9925 22.16C15.5021 22.16 16.0117 21.97 16.4013 21.58H16.4213Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate4-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate4-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.06927 7C6.51927 7 6.06927 6.55 6.06927 6V2C6.06927 1.45 6.51927 1 7.06927 1C7.61927 1 8.06927 1.45 8.06927 2V6C8.06927 6.55 7.61927 7 7.06927 7ZM18.0693 6V2C18.0693 1.45 17.6193 1 17.0693 1C16.5193 1 16.0693 1.45 16.0693 2V6C16.0693 6.55 16.5193 7 17.0693 7C17.6193 7 18.0693 6.55 18.0693 6ZM22.5693 21.9C23.0693 21.66 23.2793 21.07 23.0393 20.57C21.1093 16.52 16.9093 14 12.0693 14C7.22927 14 3.02927 16.52 1.09927 20.57C0.859273 21.07 1.06927 21.67 1.56927 21.9C2.06927 22.14 2.65927 21.93 2.89927 21.43C4.49927 18.08 8.00927 16 12.0593 16C16.1093 16 19.6293 18.08 21.2193 21.43C21.3893 21.79 21.7493 22 22.1193 22C22.2593 22 22.4093 21.97 22.5493 21.9H22.5693Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate5-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate5-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7.00572 7C6.45572 7 6.00572 6.55 6.00572 6V2C6.00572 1.45 6.45572 1 7.00572 1C7.55572 1 8.00572 1.45 8.00572 2V6C8.00572 6.55 7.55572 7 7.00572 7ZM18.0057 6V2C18.0057 1.45 17.5557 1 17.0057 1C16.4557 1 16.0057 1.45 16.0057 2V6C16.0057 6.55 16.4557 7 17.0057 7C17.5557 7 18.0057 6.55 18.0057 6ZM19.9457 21.33C20.1257 20.81 19.8557 20.24 19.3357 20.05C14.5457 18.35 9.45572 18.35 4.66572 20.05C4.14572 20.23 3.87572 20.81 4.05572 21.33C4.23572 21.85 4.80572 22.12 5.33572 21.94C9.69572 20.4 14.3057 20.4 18.6657 21.94C18.7757 21.98 18.8857 22 18.9957 22C19.4057 22 19.7957 21.74 19.9357 21.33H19.9457Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate6-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate6-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M7 7C6.45 7 6 6.55 6 6V2C6 1.45 6.45 1 7 1C7.55 1 8 1.45 8 2V6C8 6.55 7.55 7 7 7ZM18 6V2C18 1.45 17.55 1 17 1C16.45 1 16 1.45 16 2V6C16 6.55 16.45 7 17 7C17.55 7 18 6.55 18 6ZM21 21C21 20.45 20.55 20 20 20H4C3.45 20 3 20.45 3 21C3 21.55 3.45 22 4 22H20C20.55 22 21 21.55 21 21Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate7-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate7-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.0022 23.99C11.452 23.99 11.0018 23.5402 11.0018 22.9904C11.0018 22.4407 11.452 21.9909 12.0022 21.9909C16.3137 21.9909 21.0755 19.472 22.0158 13.8344C22.1058 13.2947 22.616 12.9248 23.1662 13.0148C23.7064 13.1047 24.0765 13.6245 23.9865 14.1643C22.8561 20.9513 17.144 24 11.9922 24L12.0022 23.99ZM8.00072 5.99783V1.99957C8.00072 1.4498 7.55056 1 7.00036 1C6.45016 1 6 1.4498 6 1.99957V5.99783C6 6.54759 6.45016 6.99739 7.00036 6.99739C7.55056 6.99739 8.00072 6.54759 8.00072 5.99783ZM18.0043 5.99783V1.99957C18.0043 1.4498 17.5542 1 17.004 1C16.4538 1 16.0036 1.4498 16.0036 1.99957V5.99783C16.0036 6.54759 16.4538 6.99739 17.004 6.99739C17.5542 6.99739 18.0043 6.54759 18.0043 5.99783Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate8-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate8-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 24C6.85721 24 1.15412 20.96 0.0134987 14.16C-0.0765501 13.62 0.293651 13.1 0.833944 13.01C1.38424 12.92 1.89452 13.29 1.98457 13.83C2.92508 19.47 7.69767 21.99 12 21.99C16.3023 21.99 21.0749 19.47 22.0154 13.83C22.1055 13.29 22.6158 12.92 23.1661 13.01C23.7063 13.1 24.0765 13.62 23.9865 14.16C22.8559 20.95 17.1428 24 11.99 24H12.01ZM8.00783 6V2C8.00783 1.45 7.55759 1 7.00729 1C6.45699 1 6.00675 1.45 6.00675 2V6C6.00675 6.55 6.45699 7 7.00729 7C7.55759 7 8.00783 6.55 8.00783 6ZM18.0133 6V2C18.0133 1.45 17.563 1 17.0127 1C16.4624 1 16.0122 1.45 16.0122 2V6C16.0122 6.55 16.4624 7 17.0127 7C17.563 7 18.0133 6.55 18.0133 6Z\"></path></svg>"

/***/ }),

/***/ "./packages/survey-core/src/images-v2/smiley-rate9-24x24.svg":
/*!*******************************************************************!*\
  !*** ./packages/survey-core/src/images-v2/smiley-rate9-24x24.svg ***!
  \*******************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = "<svg viewBox=\"0 0 24 24\" xmlns=\"http://www.w3.org/2000/svg\"><path d=\"M12.01 24C6.85767 24 1.15509 20.96 0.0145752 14.16C-0.0354475 13.87 0.0445888 13.57 0.234675 13.35C0.424761 13.13 0.704888 13 0.995019 13H23.005C23.2951 13 23.5752 13.13 23.7653 13.35C23.9554 13.57 24.0354 13.87 23.9854 14.16C22.8549 20.95 17.1423 24 11.99 24H12.01ZM2.25559 15C3.61621 19.82 8.0182 22 12.01 22C16.0018 22 20.4038 19.82 21.7644 15H2.25559ZM8.00819 6V2C8.00819 1.45 7.55799 1 7.00774 1C6.45749 1 6.00729 1.45 6.00729 2V6C6.00729 6.55 6.45749 7 7.00774 7C7.55799 7 8.00819 6.55 8.00819 6ZM18.0127 6V2C18.0127 1.45 17.5625 1 17.0123 1C16.462 1 16.0118 1.45 16.0118 2V6C16.0118 6.55 16.462 7 17.0123 7C17.5625 7 18.0127 6.55 18.0127 6Z\"></path></svg>"

/***/ }),

/***/ "./src/entries/vue-ui.ts":
/*!*********************************************!*\
  !*** ./src/entries/vue-ui.ts + 599 modules ***!
  \*********************************************/
/*! exports provided: Survey, CustomWidget, SurveyString, SurveyStringViewer, SurveyStringEditor, SurveyElementVue, SurveyRowElement, PopupSurvey, SurveyWindow, Page, Radiogroup, RadiogroupItem, OtherChoice, OtherComment, Rating, RatingDropdown, Comment, Ranking, RankingItem, RankingItemContent, Checkbox, CheckboxItem, ButtonGroup, ButtonGroupItem, QuestionText, QuestionTextInput, Boolean, BooleanSwitch, BooleanCheckbox, BooleanRadio, BooleanRadioItem, Empty, MultipleText, MultipleTextItem, Matrix, Dropdown, DropdownSelect, Tagbox, File, FilePreview, FilePage, FileItem, FileCleanButton, FileVideo, FileChooseButton, MatrixCell, MatrixDropdownCellComp, MatrixHeaderRequired, MatrixTable, MatrixDropdown, MatrixDynamic, Errors, Html, Expression, ImagePicker, ImagePickerItem, PanelDynamic, PanelDynamicProgress, PanelDynamicProgressV2, Progress, ProgressButtonsComponent, ProgressToc, TimerPanel, Panel, FlowPanel, FlowPanelElement, Row, ElementHeader, QuestionImage, SignaturePad, SurveyHeader, Custom, Composite, TitleElement, TitleContent, TitleActions, ActionBarViewModel, SvgIcon, PopupPointer, PopupContainer, Popup, List, DropdownOptionItem, DropdownComponent, TagboxFilterComponent, TagboxComponent, TagboxItem, RatingItem, RatingItemStar, RatingItemSmiley, SurveyQuestionMatrixDynamicRemoveButton, SurveyQuestionMatrixDetailButton, SurveyQuestionMatrixDynamicDragDropIcon, PanelDynamicAddBtn, PanelDynamicNextBtn, PanelDynamicPrevBtn, PanelDynamicProgressText, PanelDynamicRemoveButton, SurveyNavigationButton, Skeleton, BrandInfo, QuestionError, NotifierComponent, ComponentsContainer, TextAreaComponent, CharacterCounterComponent, LoadingIndicatorComponent, HeaderCellViewModel, HeaderMobileViewModel, HeaderViewModel, SvgBundle, SurveyModel, SurveyWindowModel, settings, surveyLocalization, surveyStrings, Model */
/*! ModuleConcatenation bailout: Cannot concat with external {"root":"Survey","commonjs2":"survey-core","commonjs":"survey-core","amd":"survey-core"} (<- Module is not an ECMAScript module) */
/*! ModuleConcatenation bailout: Cannot concat with external {"root":"Vue","commonjs2":"vue","commonjs":"vue","amd":"vue"} (<- Module is not an ECMAScript module) */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "Survey", function() { return /* reexport */ surveyvue_type_script_lang_ts_Survey; });
__webpack_require__.d(__webpack_exports__, "CustomWidget", function() { return /* reexport */ customwidgetvue_type_script_lang_ts_CustomWidget; });
__webpack_require__.d(__webpack_exports__, "SurveyString", function() { return /* reexport */ stringvue_type_script_lang_ts_SurveyString; });
__webpack_require__.d(__webpack_exports__, "SurveyStringViewer", function() { return /* reexport */ string_viewervue_type_script_lang_ts_SurveyStringViewer; });
__webpack_require__.d(__webpack_exports__, "SurveyStringEditor", function() { return /* reexport */ string_editorvue_type_script_lang_ts_SurveyStringEditor; });
__webpack_require__.d(__webpack_exports__, "SurveyElementVue", function() { return /* reexport */ elementvue_type_script_lang_ts_SurveyElementVue; });
__webpack_require__.d(__webpack_exports__, "SurveyRowElement", function() { return /* reexport */ row_elementvue_type_script_lang_ts_SurveyRowElement; });
__webpack_require__.d(__webpack_exports__, "PopupSurvey", function() { return /* reexport */ popup_surveyvue_type_script_lang_ts_PopupSurvey; });
__webpack_require__.d(__webpack_exports__, "SurveyWindow", function() { return /* reexport */ SurveyWindow; });
__webpack_require__.d(__webpack_exports__, "Page", function() { return /* reexport */ pagevue_type_script_lang_ts_Page; });
__webpack_require__.d(__webpack_exports__, "Radiogroup", function() { return /* reexport */ radiogroupvue_type_script_lang_ts_Radiogroup; });
__webpack_require__.d(__webpack_exports__, "RadiogroupItem", function() { return /* reexport */ radiogroupitemvue_type_script_lang_ts_RadiogroupItem; });
__webpack_require__.d(__webpack_exports__, "OtherChoice", function() { return /* reexport */ question_othervue_type_script_lang_ts_OtherChoice; });
__webpack_require__.d(__webpack_exports__, "OtherComment", function() { return /* reexport */ question_commentvue_type_script_lang_ts_OtherComment; });
__webpack_require__.d(__webpack_exports__, "Rating", function() { return /* reexport */ ratingvue_type_script_lang_ts_Rating; });
__webpack_require__.d(__webpack_exports__, "RatingDropdown", function() { return /* reexport */ rating_dropdownvue_type_script_lang_ts_RatingDropdown; });
__webpack_require__.d(__webpack_exports__, "Comment", function() { return /* reexport */ commentvue_type_script_lang_ts_Comment; });
__webpack_require__.d(__webpack_exports__, "Ranking", function() { return /* reexport */ rankingvue_type_script_lang_ts_Ranking; });
__webpack_require__.d(__webpack_exports__, "RankingItem", function() { return /* reexport */ ranking_itemvue_type_script_lang_ts_RankingItem; });
__webpack_require__.d(__webpack_exports__, "RankingItemContent", function() { return /* reexport */ ranking_item_contentvue_type_script_lang_ts_RankingItemContent; });
__webpack_require__.d(__webpack_exports__, "Checkbox", function() { return /* reexport */ checkboxvue_type_script_lang_ts_Checkbox; });
__webpack_require__.d(__webpack_exports__, "CheckboxItem", function() { return /* reexport */ checkboxitemvue_type_script_lang_ts_CheckboxItem; });
__webpack_require__.d(__webpack_exports__, "ButtonGroup", function() { return /* reexport */ buttongroupvue_type_script_lang_ts_ButtonGroup; });
__webpack_require__.d(__webpack_exports__, "ButtonGroupItem", function() { return /* reexport */ buttongroupitemvue_type_script_lang_ts_ButtonGroupItem; });
__webpack_require__.d(__webpack_exports__, "QuestionText", function() { return /* reexport */ textvue_type_script_lang_ts_QuestionText; });
__webpack_require__.d(__webpack_exports__, "QuestionTextInput", function() { return /* reexport */ text_inputvue_type_script_lang_ts_QuestionTextInput; });
__webpack_require__.d(__webpack_exports__, "Boolean", function() { return /* reexport */ boolean_Boolean; });
__webpack_require__.d(__webpack_exports__, "BooleanSwitch", function() { return /* reexport */ boolean_switchvue_type_script_lang_ts_BooleanSwitch; });
__webpack_require__.d(__webpack_exports__, "BooleanCheckbox", function() { return /* reexport */ boolean_checkboxvue_type_script_lang_ts_BooleanCheckbox; });
__webpack_require__.d(__webpack_exports__, "BooleanRadio", function() { return /* reexport */ boolean_radiovue_type_script_lang_ts_BooleanRadio; });
__webpack_require__.d(__webpack_exports__, "BooleanRadioItem", function() { return /* reexport */ boolean_radio_itemvue_type_script_lang_ts_BooleanRadioItem; });
__webpack_require__.d(__webpack_exports__, "Empty", function() { return /* reexport */ emptyvue_type_script_lang_ts_Empty; });
__webpack_require__.d(__webpack_exports__, "MultipleText", function() { return /* reexport */ multipletextvue_type_script_lang_ts_MultipleText; });
__webpack_require__.d(__webpack_exports__, "MultipleTextItem", function() { return /* reexport */ multipletextitemvue_type_script_lang_ts_MultipleTextItem; });
__webpack_require__.d(__webpack_exports__, "Matrix", function() { return /* reexport */ matrixvue_type_script_lang_ts_Matrix; });
__webpack_require__.d(__webpack_exports__, "Dropdown", function() { return /* reexport */ dropdownvue_type_script_lang_ts_Dropdown; });
__webpack_require__.d(__webpack_exports__, "DropdownSelect", function() { return /* reexport */ dropdown_selectvue_type_script_lang_ts_DropdownSelect; });
__webpack_require__.d(__webpack_exports__, "Tagbox", function() { return /* reexport */ tagboxvue_type_script_lang_ts_Tagbox; });
__webpack_require__.d(__webpack_exports__, "File", function() { return /* reexport */ filevue_type_script_lang_ts_File; });
__webpack_require__.d(__webpack_exports__, "FilePreview", function() { return /* reexport */ file_previewvue_type_script_lang_ts_FilePreview; });
__webpack_require__.d(__webpack_exports__, "FilePage", function() { return /* reexport */ file_pagevue_type_script_lang_ts_FilePage; });
__webpack_require__.d(__webpack_exports__, "FileItem", function() { return /* reexport */ file_itemvue_type_script_lang_ts_FileItem; });
__webpack_require__.d(__webpack_exports__, "FileCleanButton", function() { return /* reexport */ file_clean_buttonvue_type_script_lang_ts_FileCleanButton; });
__webpack_require__.d(__webpack_exports__, "FileVideo", function() { return /* reexport */ file_videovue_type_script_lang_ts_FileVideo; });
__webpack_require__.d(__webpack_exports__, "FileChooseButton", function() { return /* reexport */ file_choose_buttonvue_type_script_lang_ts_FileChooseButton; });
__webpack_require__.d(__webpack_exports__, "MatrixCell", function() { return /* reexport */ matrixcellvue_type_script_lang_ts_MatrixCell; });
__webpack_require__.d(__webpack_exports__, "MatrixDropdownCellComp", function() { return /* reexport */ matrixdropdowncellvue_type_script_lang_ts_MatrixDropdownCellComp; });
__webpack_require__.d(__webpack_exports__, "MatrixHeaderRequired", function() { return /* reexport */ matrixheaderrequiredvue_type_script_lang_ts_MatrixHeaderRequired; });
__webpack_require__.d(__webpack_exports__, "MatrixTable", function() { return /* reexport */ matrixtablevue_type_script_lang_ts_MatrixTable; });
__webpack_require__.d(__webpack_exports__, "MatrixDropdown", function() { return /* reexport */ matrixdropdownvue_type_script_lang_ts_MatrixDropdown; });
__webpack_require__.d(__webpack_exports__, "MatrixDynamic", function() { return /* reexport */ matrixdynamicvue_type_script_lang_ts_MatrixDynamic; });
__webpack_require__.d(__webpack_exports__, "Errors", function() { return /* reexport */ errorsvue_type_script_lang_ts_Errors; });
__webpack_require__.d(__webpack_exports__, "Html", function() { return /* reexport */ htmlvue_type_script_lang_ts_Html; });
__webpack_require__.d(__webpack_exports__, "Expression", function() { return /* reexport */ expressionvue_type_script_lang_ts_Expression; });
__webpack_require__.d(__webpack_exports__, "ImagePicker", function() { return /* reexport */ imagepickervue_type_script_lang_ts_ImagePicker; });
__webpack_require__.d(__webpack_exports__, "ImagePickerItem", function() { return /* reexport */ imagepicker_itemvue_type_script_lang_ts_ImagePickerItem; });
__webpack_require__.d(__webpack_exports__, "PanelDynamic", function() { return /* reexport */ paneldynamicvue_type_script_lang_ts_PanelDynamic; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicProgress", function() { return /* reexport */ paneldynamicprogressvue_type_script_lang_ts_PanelDynamicProgress; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicProgressV2", function() { return /* reexport */ paneldynamicprogressV2vue_type_script_lang_ts_PanelDynamicProgressV2; });
__webpack_require__.d(__webpack_exports__, "Progress", function() { return /* reexport */ progressvue_type_script_lang_ts_Progress; });
__webpack_require__.d(__webpack_exports__, "ProgressButtonsComponent", function() { return /* reexport */ progressButtonsvue_type_script_lang_ts_ProgressButtonsComponent; });
__webpack_require__.d(__webpack_exports__, "ProgressToc", function() { return /* reexport */ progressTocvue_type_script_lang_ts_ProgressToc; });
__webpack_require__.d(__webpack_exports__, "TimerPanel", function() { return /* reexport */ timerpanelvue_type_script_lang_ts_TimerPanel; });
__webpack_require__.d(__webpack_exports__, "Panel", function() { return /* reexport */ panelvue_type_script_lang_ts_Panel; });
__webpack_require__.d(__webpack_exports__, "FlowPanel", function() { return /* reexport */ flowpanelvue_type_script_lang_ts_FlowPanel; });
__webpack_require__.d(__webpack_exports__, "FlowPanelElement", function() { return /* reexport */ flowpanelelementvue_type_script_lang_ts_FlowPanelElement; });
__webpack_require__.d(__webpack_exports__, "Row", function() { return /* reexport */ rowvue_type_script_lang_ts_Row; });
__webpack_require__.d(__webpack_exports__, "ElementHeader", function() { return /* reexport */ elementheadervue_type_script_lang_ts_ElementHeader; });
__webpack_require__.d(__webpack_exports__, "QuestionImage", function() { return /* reexport */ imagevue_type_script_lang_ts_QuestionImage; });
__webpack_require__.d(__webpack_exports__, "SignaturePad", function() { return /* reexport */ signaturepadvue_type_script_lang_ts_SignaturePad; });
__webpack_require__.d(__webpack_exports__, "SurveyHeader", function() { return /* reexport */ headervue_type_script_lang_ts_SurveyHeader; });
__webpack_require__.d(__webpack_exports__, "Custom", function() { return /* reexport */ customvue_type_script_lang_ts_Custom; });
__webpack_require__.d(__webpack_exports__, "Composite", function() { return /* reexport */ compositevue_type_script_lang_ts_Composite; });
__webpack_require__.d(__webpack_exports__, "TitleElement", function() { return /* reexport */ title_elementvue_type_script_lang_ts_TitleElement; });
__webpack_require__.d(__webpack_exports__, "TitleContent", function() { return /* reexport */ title_contentvue_type_script_lang_ts_TitleContent; });
__webpack_require__.d(__webpack_exports__, "TitleActions", function() { return /* reexport */ title_actionsvue_type_script_lang_ts_TitleActions; });
__webpack_require__.d(__webpack_exports__, "ActionBarViewModel", function() { return /* reexport */ action_barvue_type_script_lang_ts_ActionBarViewModel; });
__webpack_require__.d(__webpack_exports__, "SvgIcon", function() { return /* reexport */ svg_iconvue_type_script_lang_ts_SvgIcon; });
__webpack_require__.d(__webpack_exports__, "PopupPointer", function() { return /* reexport */ popup_pointervue_type_script_lang_ts_PopupPointer; });
__webpack_require__.d(__webpack_exports__, "PopupContainer", function() { return /* reexport */ popup_containervue_type_script_lang_ts_PopupContainer; });
__webpack_require__.d(__webpack_exports__, "Popup", function() { return /* reexport */ popupvue_type_script_lang_ts_Popup; });
__webpack_require__.d(__webpack_exports__, "List", function() { return /* reexport */ listvue_type_script_lang_ts_List; });
__webpack_require__.d(__webpack_exports__, "DropdownOptionItem", function() { return /* reexport */ option_itemvue_type_script_lang_ts_DropdownOptionItem; });
__webpack_require__.d(__webpack_exports__, "DropdownComponent", function() { return /* reexport */ dropdownvue_type_script_lang_ts_DropdownComponent; });
__webpack_require__.d(__webpack_exports__, "TagboxFilterComponent", function() { return /* reexport */ tagbox_filtervue_type_script_lang_ts_TagboxFilterComponent; });
__webpack_require__.d(__webpack_exports__, "TagboxComponent", function() { return /* reexport */ tagboxvue_type_script_lang_ts_TagboxComponent; });
__webpack_require__.d(__webpack_exports__, "TagboxItem", function() { return /* reexport */ tagbox_itemvue_type_script_lang_ts_TagboxItem; });
__webpack_require__.d(__webpack_exports__, "RatingItem", function() { return /* reexport */ rating_itemvue_type_script_lang_ts_RatingItem; });
__webpack_require__.d(__webpack_exports__, "RatingItemStar", function() { return /* reexport */ rating_item_starvue_type_script_lang_ts_RatingItemStar; });
__webpack_require__.d(__webpack_exports__, "RatingItemSmiley", function() { return /* reexport */ rating_item_smileyvue_type_script_lang_ts_RatingItemSmiley; });
__webpack_require__.d(__webpack_exports__, "SurveyQuestionMatrixDynamicRemoveButton", function() { return /* reexport */ remove_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDynamicRemoveButton; });
__webpack_require__.d(__webpack_exports__, "SurveyQuestionMatrixDetailButton", function() { return /* reexport */ detail_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDetailButton; });
__webpack_require__.d(__webpack_exports__, "SurveyQuestionMatrixDynamicDragDropIcon", function() { return /* reexport */ drag_drop_iconvue_type_script_lang_ts_SurveyQuestionMatrixDynamicDragDropIcon; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicAddBtn", function() { return /* reexport */ paneldynamic_add_btnvue_type_script_lang_ts_PanelDynamicAddBtn; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicNextBtn", function() { return /* reexport */ paneldynamic_next_btnvue_type_script_lang_ts_PanelDynamicNextBtn; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicPrevBtn", function() { return /* reexport */ paneldynamic_prev_btnvue_type_script_lang_ts_PanelDynamicPrevBtn; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicProgressText", function() { return /* reexport */ paneldynamic_progress_textvue_type_script_lang_ts_PanelDynamicProgressText; });
__webpack_require__.d(__webpack_exports__, "PanelDynamicRemoveButton", function() { return /* reexport */ paneldynamic_remove_btnvue_type_script_lang_ts_PanelDynamicRemoveButton; });
__webpack_require__.d(__webpack_exports__, "SurveyNavigationButton", function() { return /* reexport */ survey_nav_buttonvue_type_script_lang_ts_SurveyNavigationButton; });
__webpack_require__.d(__webpack_exports__, "Skeleton", function() { return /* reexport */ skeletonvue_type_script_lang_ts_Skeleton; });
__webpack_require__.d(__webpack_exports__, "BrandInfo", function() { return /* reexport */ brand_infovue_type_script_lang_ts_BrandInfo; });
__webpack_require__.d(__webpack_exports__, "QuestionError", function() { return /* reexport */ question_errorvue_type_script_lang_ts_QuestionError; });
__webpack_require__.d(__webpack_exports__, "NotifierComponent", function() { return /* reexport */ notifiervue_type_script_lang_ts_NotifierComponent; });
__webpack_require__.d(__webpack_exports__, "ComponentsContainer", function() { return /* reexport */ containervue_type_script_lang_ts_ComponentsContainer; });
__webpack_require__.d(__webpack_exports__, "TextAreaComponent", function() { return /* reexport */ text_areavue_type_script_lang_ts_TextAreaComponent; });
__webpack_require__.d(__webpack_exports__, "CharacterCounterComponent", function() { return /* reexport */ character_countervue_type_script_lang_ts_CharacterCounterComponent; });
__webpack_require__.d(__webpack_exports__, "LoadingIndicatorComponent", function() { return /* reexport */ loading_indicatorvue_type_script_lang_ts_LoadingIndicatorComponent; });
__webpack_require__.d(__webpack_exports__, "HeaderCellViewModel", function() { return /* reexport */ header_cellvue_type_script_lang_ts_HeaderCellViewModel; });
__webpack_require__.d(__webpack_exports__, "HeaderMobileViewModel", function() { return /* reexport */ header_mobilevue_type_script_lang_ts_HeaderMobileViewModel; });
__webpack_require__.d(__webpack_exports__, "HeaderViewModel", function() { return /* reexport */ headervue_type_script_lang_ts_HeaderViewModel; });
__webpack_require__.d(__webpack_exports__, "SvgBundle", function() { return /* reexport */ svgbundlevue_type_script_lang_ts_SvgBundle; });
__webpack_require__.d(__webpack_exports__, "SurveyModel", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyModel"]; });
__webpack_require__.d(__webpack_exports__, "SurveyWindowModel", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyWindowModel"]; });
__webpack_require__.d(__webpack_exports__, "settings", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["settings"]; });
__webpack_require__.d(__webpack_exports__, "surveyLocalization", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["surveyLocalization"]; });
__webpack_require__.d(__webpack_exports__, "surveyStrings", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["surveyStrings"]; });
__webpack_require__.d(__webpack_exports__, "Model", function() { return /* reexport */ external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyModel"]; });

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/survey.vue?vue&type=template&id=6874e1c8&
var render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.survey.getRootCss(),
      style: _vm.vueSurvey.themeVariables,
      attrs: {
        lang: _vm.vueSurvey.locale || "en",
        dir: _vm.vueSurvey.localeDir,
      },
    },
    [
      _vm.vueSurvey.needRenderIcons ? _c("sv-svg-bundle") : _vm._e(),
      _vm._v(" "),
      _c(
        "div",
        { class: _vm.vueSurvey.wrapperFormCss },
        [
          _vm.vueSurvey.renderBackgroundImage
            ? _c("div", {
                class: _vm.css.rootBackgroundImage,
                style: _vm.vueSurvey.backgroundImageStyle,
              })
            : _vm._e(),
          _vm._v(" "),
          _c("form", { attrs: { onsubmit: "return false;" } }, [
            !_vm.vueSurvey.hasLogo
              ? _c("div", { staticClass: "sv_custom_header" })
              : _vm._e(),
            _vm._v(" "),
            _c(
              "div",
              { class: _vm.css.container },
              [
                _vm.vueSurvey.headerView === "basic"
                  ? _c("survey-header", { attrs: { survey: _vm.vueSurvey } })
                  : _vm._e(),
                _vm._v(" "),
                _c("sv-components-container", {
                  tag: "component",
                  attrs: { survey: _vm.vueSurvey, container: "header" },
                }),
                _vm._v(" "),
                _vm.vueSurvey.isShowingPage
                  ? [
                      _c(
                        "div",
                        { class: _vm.vueSurvey.bodyContainerCss },
                        [
                          _c("sv-components-container", {
                            tag: "component",
                            attrs: { survey: _vm.vueSurvey, container: "left" },
                          }),
                          _vm._v(" "),
                          _c(
                            "div",
                            {
                              staticClass:
                                "sv-components-column sv-components-column--expandable",
                            },
                            [
                              _c("sv-components-container", {
                                tag: "component",
                                attrs: {
                                  survey: _vm.vueSurvey,
                                  container: "center",
                                },
                              }),
                              _vm._v(" "),
                              _c(
                                "div",
                                {
                                  class: _vm.vueSurvey.bodyCss,
                                  style: { maxWidth: _vm.survey.renderedWidth },
                                  attrs: { id: _vm.pageId },
                                },
                                [
                                  _c("sv-components-container", {
                                    tag: "component",
                                    attrs: {
                                      survey: _vm.vueSurvey,
                                      container: "contentTop",
                                    },
                                  }),
                                  _vm._v(" "),
                                  _c("survey-page", {
                                    key: _vm.pageKey,
                                    attrs: {
                                      survey: _vm.vueSurvey,
                                      page: _vm.vueSurvey.activePage,
                                      css: _vm.css,
                                    },
                                  }),
                                  _vm._v(" "),
                                  _c("sv-components-container", {
                                    tag: "component",
                                    attrs: {
                                      survey: _vm.vueSurvey,
                                      container: "contentBottom",
                                    },
                                  }),
                                  _vm._v(" "),
                                  _vm.vueSurvey.showBrandInfo
                                    ? _c("sv-brand-info")
                                    : _vm._e(),
                                ],
                                1
                              ),
                            ],
                            1
                          ),
                          _vm._v(" "),
                          _c("sv-components-container", {
                            tag: "component",
                            attrs: {
                              survey: _vm.vueSurvey,
                              container: "right",
                            },
                          }),
                        ],
                        1
                      ),
                    ]
                  : _vm._e(),
                _vm._v(" "),
                _c("sv-components-container", {
                  tag: "component",
                  attrs: { survey: _vm.vueSurvey, container: "footer" },
                }),
                _vm._v(" "),
                _vm.hasCompletedPage
                  ? _c(
                      "div",
                      [
                        _c("div", {
                          class: _vm.vueSurvey.completedCss,
                          domProps: {
                            innerHTML: _vm._s(_vm.getProcessedCompletedHtml()),
                          },
                        }),
                        _vm._v(" "),
                        _c("sv-components-container", {
                          tag: "component",
                          attrs: {
                            survey: _vm.vueSurvey,
                            container: "completePage",
                          },
                        }),
                      ],
                      1
                    )
                  : _vm._e(),
                _vm._v(" "),
                _vm.vueSurvey.state === "completedbefore"
                  ? _c("div", {
                      class: _vm.vueSurvey.completedBeforeCss,
                      domProps: {
                        innerHTML: _vm._s(
                          _vm.vueSurvey.processedCompletedBeforeHtml
                        ),
                      },
                    })
                  : _vm._e(),
                _vm._v(" "),
                _vm.vueSurvey.state === "loading"
                  ? _c("div", {
                      class: _vm.vueSurvey.loadingBodyCss,
                      domProps: {
                        innerHTML: _vm._s(_vm.vueSurvey.processedLoadingHtml),
                      },
                    })
                  : _vm._e(),
                _vm._v(" "),
                _vm.vueSurvey.state === "empty"
                  ? _c("div", { class: _vm.css.bodyEmpty }, [
                      _vm._v(
                        "\n          " +
                          _vm._s(_vm.vueSurvey.emptySurveyText) +
                          "\n        "
                      ),
                    ])
                  : _vm._e(),
              ],
              2
            ),
          ]),
          _vm._v(" "),
          _c("sv-notifier", { attrs: { model: _vm.vueSurvey.notifier } }),
        ],
        1
      ),
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/vue/survey.vue?vue&type=template&id=6874e1c8&

// EXTERNAL MODULE: external {"root":"Vue","commonjs2":"vue","commonjs":"vue","amd":"vue"}
var external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_ = __webpack_require__("vue");
var external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default = /*#__PURE__*/__webpack_require__.n(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_);

// CONCATENATED MODULE: ./node_modules/vue-class-component/dist/vue-class-component.esm.js
/**
  * vue-class-component v7.2.6
  * (c) 2015-present Evan You
  * @license MIT
  */


function _typeof(obj) {
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function (obj) {
      return typeof obj;
    };
  } else {
    _typeof = function (obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }

  return _typeof(obj);
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

    return arr2;
  }
}

function _iterableToArray(iter) {
  if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance");
}

// The rational behind the verbose Reflect-feature check below is the fact that there are polyfills
// which add an implementation for Reflect.defineMetadata but not for Reflect.getOwnMetadataKeys.
// Without this check consumers will encounter hard to track down runtime errors.
function reflectionIsSupported() {
  return typeof Reflect !== 'undefined' && Reflect.defineMetadata && Reflect.getOwnMetadataKeys;
}
function copyReflectionMetadata(to, from) {
  forwardMetadata(to, from);
  Object.getOwnPropertyNames(from.prototype).forEach(function (key) {
    forwardMetadata(to.prototype, from.prototype, key);
  });
  Object.getOwnPropertyNames(from).forEach(function (key) {
    forwardMetadata(to, from, key);
  });
}

function forwardMetadata(to, from, propertyKey) {
  var metaKeys = propertyKey ? Reflect.getOwnMetadataKeys(from, propertyKey) : Reflect.getOwnMetadataKeys(from);
  metaKeys.forEach(function (metaKey) {
    var metadata = propertyKey ? Reflect.getOwnMetadata(metaKey, from, propertyKey) : Reflect.getOwnMetadata(metaKey, from);

    if (propertyKey) {
      Reflect.defineMetadata(metaKey, metadata, to, propertyKey);
    } else {
      Reflect.defineMetadata(metaKey, metadata, to);
    }
  });
}

var fakeArray = {
  __proto__: []
};
var hasProto = fakeArray instanceof Array;
function createDecorator(factory) {
  return function (target, key, index) {
    var Ctor = typeof target === 'function' ? target : target.constructor;

    if (!Ctor.__decorators__) {
      Ctor.__decorators__ = [];
    }

    if (typeof index !== 'number') {
      index = undefined;
    }

    Ctor.__decorators__.push(function (options) {
      return factory(options, key, index);
    });
  };
}
function mixins() {
  for (var _len = arguments.length, Ctors = new Array(_len), _key = 0; _key < _len; _key++) {
    Ctors[_key] = arguments[_key];
  }

  return external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.extend({
    mixins: Ctors
  });
}
function isPrimitive(value) {
  var type = _typeof(value);

  return value == null || type !== 'object' && type !== 'function';
}
function warn(message) {
  if (typeof console !== 'undefined') {
    console.warn('[vue-class-component] ' + message);
  }
}

function collectDataFromConstructor(vm, Component) {
  // override _init to prevent to init as Vue instance
  var originalInit = Component.prototype._init;

  Component.prototype._init = function () {
    var _this = this;

    // proxy to actual vm
    var keys = Object.getOwnPropertyNames(vm); // 2.2.0 compat (props are no longer exposed as self properties)

    if (vm.$options.props) {
      for (var key in vm.$options.props) {
        if (!vm.hasOwnProperty(key)) {
          keys.push(key);
        }
      }
    }

    keys.forEach(function (key) {
      Object.defineProperty(_this, key, {
        get: function get() {
          return vm[key];
        },
        set: function set(value) {
          vm[key] = value;
        },
        configurable: true
      });
    });
  }; // should be acquired class property values


  var data = new Component(); // restore original _init to avoid memory leak (#209)

  Component.prototype._init = originalInit; // create plain data object

  var plainData = {};
  Object.keys(data).forEach(function (key) {
    if (data[key] !== undefined) {
      plainData[key] = data[key];
    }
  });

  if (true) {
    if (!(Component.prototype instanceof external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a) && Object.keys(plainData).length > 0) {
      warn('Component class must inherit Vue or its descendant class ' + 'when class property is used.');
    }
  }

  return plainData;
}

var $internalHooks = ['data', 'beforeCreate', 'created', 'beforeMount', 'mounted', 'beforeDestroy', 'destroyed', 'beforeUpdate', 'updated', 'activated', 'deactivated', 'render', 'errorCaptured', 'serverPrefetch' // 2.6
];
function componentFactory(Component) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  options.name = options.name || Component._componentTag || Component.name; // prototype props.

  var proto = Component.prototype;
  Object.getOwnPropertyNames(proto).forEach(function (key) {
    if (key === 'constructor') {
      return;
    } // hooks


    if ($internalHooks.indexOf(key) > -1) {
      options[key] = proto[key];
      return;
    }

    var descriptor = Object.getOwnPropertyDescriptor(proto, key);

    if (descriptor.value !== void 0) {
      // methods
      if (typeof descriptor.value === 'function') {
        (options.methods || (options.methods = {}))[key] = descriptor.value;
      } else {
        // typescript decorated data
        (options.mixins || (options.mixins = [])).push({
          data: function data() {
            return _defineProperty({}, key, descriptor.value);
          }
        });
      }
    } else if (descriptor.get || descriptor.set) {
      // computed properties
      (options.computed || (options.computed = {}))[key] = {
        get: descriptor.get,
        set: descriptor.set
      };
    }
  });
  (options.mixins || (options.mixins = [])).push({
    data: function data() {
      return collectDataFromConstructor(this, Component);
    }
  }); // decorate options

  var decorators = Component.__decorators__;

  if (decorators) {
    decorators.forEach(function (fn) {
      return fn(options);
    });
    delete Component.__decorators__;
  } // find super


  var superProto = Object.getPrototypeOf(Component.prototype);
  var Super = superProto instanceof external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a ? superProto.constructor : external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a;
  var Extended = Super.extend(options);
  forwardStaticMembers(Extended, Component, Super);

  if (reflectionIsSupported()) {
    copyReflectionMetadata(Extended, Component);
  }

  return Extended;
}
var reservedPropertyNames = [// Unique id
'cid', // Super Vue constructor
'super', // Component options that will be used by the component
'options', 'superOptions', 'extendOptions', 'sealedOptions', // Private assets
'component', 'directive', 'filter'];
var shouldIgnore = {
  prototype: true,
  arguments: true,
  callee: true,
  caller: true
};

function forwardStaticMembers(Extended, Original, Super) {
  // We have to use getOwnPropertyNames since Babel registers methods as non-enumerable
  Object.getOwnPropertyNames(Original).forEach(function (key) {
    // Skip the properties that should not be overwritten
    if (shouldIgnore[key]) {
      return;
    } // Some browsers does not allow reconfigure built-in properties


    var extendedDescriptor = Object.getOwnPropertyDescriptor(Extended, key);

    if (extendedDescriptor && !extendedDescriptor.configurable) {
      return;
    }

    var descriptor = Object.getOwnPropertyDescriptor(Original, key); // If the user agent does not support `__proto__` or its family (IE <= 10),
    // the sub class properties may be inherited properties from the super class in TypeScript.
    // We need to exclude such properties to prevent to overwrite
    // the component options object which stored on the extended constructor (See #192).
    // If the value is a referenced value (object or function),
    // we can check equality of them and exclude it if they have the same reference.
    // If it is a primitive value, it will be forwarded for safety.

    if (!hasProto) {
      // Only `cid` is explicitly exluded from property forwarding
      // because we cannot detect whether it is a inherited property or not
      // on the no `__proto__` environment even though the property is reserved.
      if (key === 'cid') {
        return;
      }

      var superDescriptor = Object.getOwnPropertyDescriptor(Super, key);

      if (!isPrimitive(descriptor.value) && superDescriptor && superDescriptor.value === descriptor.value) {
        return;
      }
    } // Warn if the users manually declare reserved properties


    if ( true && reservedPropertyNames.indexOf(key) >= 0) {
      warn("Static property name '".concat(key, "' declared on class '").concat(Original.name, "' ") + 'conflicts with reserved property name of Vue internal. ' + 'It may cause unexpected behavior of the component. Consider renaming the property.');
    }

    Object.defineProperty(Extended, key, descriptor);
  });
}

function vue_class_component_esm_Component(options) {
  if (typeof options === 'function') {
    return componentFactory(options);
  }

  return function (Component) {
    return componentFactory(Component, options);
  };
}

vue_class_component_esm_Component.registerHooks = function registerHooks(keys) {
  $internalHooks.push.apply($internalHooks, _toConsumableArray(keys));
};

/* harmony default export */ var vue_class_component_esm = (vue_class_component_esm_Component);


// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Emit.js
var __spreadArrays = (undefined && undefined.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
// Code copied from Vue/src/shared/util.js
var hyphenateRE = /\B([A-Z])/g;
var hyphenate = function (str) { return str.replace(hyphenateRE, '-$1').toLowerCase(); };
/**
 * decorator of an event-emitter function
 * @param  event The name of the event
 * @return MethodDecorator
 */
function Emit(event) {
    return function (_target, propertyKey, descriptor) {
        var key = hyphenate(propertyKey);
        var original = descriptor.value;
        descriptor.value = function emitter() {
            var _this = this;
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var emit = function (returnValue) {
                var emitName = event || key;
                if (returnValue === undefined) {
                    if (args.length === 0) {
                        _this.$emit(emitName);
                    }
                    else if (args.length === 1) {
                        _this.$emit(emitName, args[0]);
                    }
                    else {
                        _this.$emit.apply(_this, __spreadArrays([emitName], args));
                    }
                }
                else {
                    args.unshift(returnValue);
                    _this.$emit.apply(_this, __spreadArrays([emitName], args));
                }
            };
            var returnValue = original.apply(this, args);
            if (isPromise(returnValue)) {
                returnValue.then(emit);
            }
            else {
                emit(returnValue);
            }
            return returnValue;
        };
    };
}
function isPromise(obj) {
    return obj instanceof Promise || (obj && typeof obj.then === 'function');
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Inject.js

/**
 * decorator of an inject
 * @param from key
 * @return PropertyDecorator
 */
function Inject(options) {
    return createDecorator(function (componentOptions, key) {
        if (typeof componentOptions.inject === 'undefined') {
            componentOptions.inject = {};
        }
        if (!Array.isArray(componentOptions.inject)) {
            componentOptions.inject[key] = options || key;
        }
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/helpers/provideInject.js
function needToProduceProvide(original) {
    return (typeof original !== 'function' ||
        (!original.managed && !original.managedReactive));
}
function produceProvide(original) {
    var provide = function () {
        var _this = this;
        var rv = typeof original === 'function' ? original.call(this) : original;
        rv = Object.create(rv || null);
        // set reactive services (propagates previous services if necessary)
        rv[reactiveInjectKey] = Object.create(this[reactiveInjectKey] || {});
        for (var i in provide.managed) {
            rv[provide.managed[i]] = this[i];
        }
        var _loop_1 = function (i) {
            rv[provide.managedReactive[i]] = this_1[i]; // Duplicates the behavior of `@Provide`
            Object.defineProperty(rv[reactiveInjectKey], provide.managedReactive[i], {
                enumerable: true,
                configurable: true,
                get: function () { return _this[i]; },
            });
        };
        var this_1 = this;
        for (var i in provide.managedReactive) {
            _loop_1(i);
        }
        return rv;
    };
    provide.managed = {};
    provide.managedReactive = {};
    return provide;
}
/** Used for keying reactive provide/inject properties */
var reactiveInjectKey = '__reactiveInject__';
function inheritInjected(componentOptions) {
    // inject parent reactive services (if any)
    if (!Array.isArray(componentOptions.inject)) {
        componentOptions.inject = componentOptions.inject || {};
        componentOptions.inject[reactiveInjectKey] = {
            from: reactiveInjectKey,
            default: {},
        };
    }
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/InjectReactive.js


/**
 * decorator of a reactive inject
 * @param from key
 * @return PropertyDecorator
 */
function InjectReactive(options) {
    return createDecorator(function (componentOptions, key) {
        if (typeof componentOptions.inject === 'undefined') {
            componentOptions.inject = {};
        }
        if (!Array.isArray(componentOptions.inject)) {
            var fromKey_1 = !!options ? options.from || options : key;
            var defaultVal_1 = (!!options && options.default) || undefined;
            if (!componentOptions.computed)
                componentOptions.computed = {};
            componentOptions.computed[key] = function () {
                var obj = this[reactiveInjectKey];
                return obj ? obj[fromKey_1] : defaultVal_1;
            };
            componentOptions.inject[reactiveInjectKey] = reactiveInjectKey;
        }
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/helpers/metadata.js
/** @see {@link https://github.com/vuejs/vue-class-component/blob/master/src/reflect.ts} */
var reflectMetadataIsSupported = typeof Reflect !== 'undefined' && typeof Reflect.getMetadata !== 'undefined';
function applyMetadata(options, target, key) {
    if (reflectMetadataIsSupported) {
        if (!Array.isArray(options) &&
            typeof options !== 'function' &&
            !options.hasOwnProperty('type') &&
            typeof options.type === 'undefined') {
            var type = Reflect.getMetadata('design:type', target, key);
            if (type !== Object) {
                options.type = type;
            }
        }
    }
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Model.js


/**
 * decorator of model
 * @param  event event name
 * @param options options
 * @return PropertyDecorator
 */
function Model(event, options) {
    if (options === void 0) { options = {}; }
    return function (target, key) {
        applyMetadata(options, target, key);
        createDecorator(function (componentOptions, k) {
            ;
            (componentOptions.props || (componentOptions.props = {}))[k] = options;
            componentOptions.model = { prop: k, event: event || k };
        })(target, key);
    };
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/ModelSync.js


/**
 * decorator of synced model and prop
 * @param propName the name to interface with from outside, must be different from decorated property
 * @param  event event name
 * @param options options
 * @return PropertyDecorator
 */
function ModelSync(propName, event, options) {
    if (options === void 0) { options = {}; }
    return function (target, key) {
        applyMetadata(options, target, key);
        createDecorator(function (componentOptions, k) {
            ;
            (componentOptions.props || (componentOptions.props = {}))[propName] = options;
            componentOptions.model = { prop: propName, event: event || k };
            (componentOptions.computed || (componentOptions.computed = {}))[k] = {
                get: function () {
                    return this[propName];
                },
                set: function (value) {
                    // @ts-ignore
                    this.$emit(event, value);
                },
            };
        })(target, key);
    };
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Prop.js


/**
 * decorator of a prop
 * @param  options the options for the prop
 * @return PropertyDecorator | void
 */
function Prop(options) {
    if (options === void 0) { options = {}; }
    return function (target, key) {
        applyMetadata(options, target, key);
        createDecorator(function (componentOptions, k) {
            ;
            (componentOptions.props || (componentOptions.props = {}))[k] = options;
        })(target, key);
    };
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/PropSync.js


/**
 * decorator of a synced prop
 * @param propName the name to interface with from outside, must be different from decorated property
 * @param options the options for the synced prop
 * @return PropertyDecorator | void
 */
function PropSync(propName, options) {
    if (options === void 0) { options = {}; }
    return function (target, key) {
        applyMetadata(options, target, key);
        createDecorator(function (componentOptions, k) {
            ;
            (componentOptions.props || (componentOptions.props = {}))[propName] = options;
            (componentOptions.computed || (componentOptions.computed = {}))[k] = {
                get: function () {
                    return this[propName];
                },
                set: function (value) {
                    this.$emit("update:" + propName, value);
                },
            };
        })(target, key);
    };
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Provide.js


/**
 * decorator of a provide
 * @param key key
 * @return PropertyDecorator | void
 */
function Provide(key) {
    return createDecorator(function (componentOptions, k) {
        var provide = componentOptions.provide;
        inheritInjected(componentOptions);
        if (needToProduceProvide(provide)) {
            provide = componentOptions.provide = produceProvide(provide);
        }
        provide.managed[k] = key || k;
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/ProvideReactive.js


/**
 * decorator of a reactive provide
 * @param key key
 * @return PropertyDecorator | void
 */
function ProvideReactive(key) {
    return createDecorator(function (componentOptions, k) {
        var provide = componentOptions.provide;
        inheritInjected(componentOptions);
        if (needToProduceProvide(provide)) {
            provide = componentOptions.provide = produceProvide(provide);
        }
        provide.managedReactive[k] = key || k;
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Ref.js

/**
 * decorator of a ref prop
 * @param refKey the ref key defined in template
 */
function Ref(refKey) {
    return createDecorator(function (options, key) {
        options.computed = options.computed || {};
        options.computed[key] = {
            cache: false,
            get: function () {
                return this.$refs[refKey || key];
            },
        };
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/VModel.js

/**
 * decorator for capturings v-model binding to component
 * @param options the options for the prop
 */
function VModel(options) {
    if (options === void 0) { options = {}; }
    var valueKey = 'value';
    return createDecorator(function (componentOptions, key) {
        ;
        (componentOptions.props || (componentOptions.props = {}))[valueKey] = options;
        (componentOptions.computed || (componentOptions.computed = {}))[key] = {
            get: function () {
                return this[valueKey];
            },
            set: function (value) {
                this.$emit('input', value);
            },
        };
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/decorators/Watch.js

/**
 * decorator of a watch function
 * @param  path the path or the expression to observe
 * @param  WatchOption
 * @return MethodDecorator
 */
function Watch(path, options) {
    if (options === void 0) { options = {}; }
    var _a = options.deep, deep = _a === void 0 ? false : _a, _b = options.immediate, immediate = _b === void 0 ? false : _b;
    return createDecorator(function (componentOptions, handler) {
        if (typeof componentOptions.watch !== 'object') {
            componentOptions.watch = Object.create(null);
        }
        var watch = componentOptions.watch;
        if (typeof watch[path] === 'object' && !Array.isArray(watch[path])) {
            watch[path] = [watch[path]];
        }
        else if (typeof watch[path] === 'undefined') {
            watch[path] = [];
        }
        watch[path].push({ handler: handler, deep: deep, immediate: immediate });
    });
}

// CONCATENATED MODULE: ./node_modules/vue-property-decorator/lib/index.js
/** vue-property-decorator verson 9.1.2 MIT LICENSE copyright 2020 kaorun343 */
/// <reference types='reflect-metadata'/>
















// EXTERNAL MODULE: external {"root":"Survey","commonjs2":"survey-core","commonjs":"survey-core","amd":"survey-core"}
var external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_ = __webpack_require__("survey-core");

// CONCATENATED MODULE: ./src/vue/base.ts
var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (undefined && undefined.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var base_BaseVue = /** @class */ (function (_super) {
    __extends(BaseVue, _super);
    function BaseVue() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BaseVue.prototype.getModel = function () {
        return null;
    };
    BaseVue.prototype.setIsRendering = function (val) {
        var model = this.getModel();
        if (!!model) {
            model.isRendering = val;
        }
    };
    BaseVue.prototype.getIsRendering = function () {
        var model = this.getModel();
        return !!model && !!model.isRendering;
    };
    BaseVue.prototype.onMounted = function () { };
    BaseVue.prototype.onUpdated = function () { };
    BaseVue.prototype.onBeforeUpdated = function () { };
    BaseVue.prototype.onDestroyed = function () { };
    BaseVue.prototype.onCreated = function () { };
    BaseVue.prototype.created = function () {
        var _this = this;
        var model = this.getModel();
        if (!model)
            return;
        model.iteratePropertiesHash(function (propertiesHash, name) {
            external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.util.defineReactive(propertiesHash, name, propertiesHash[name]);
        });
        model.getPropertyValueCoreHandler = function (propertiesHash, name) {
            if (!propertiesHash.hasOwnProperty(name)) {
                external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.util.defineReactive(propertiesHash, name, propertiesHash[name]);
            }
            return propertiesHash[name];
        };
        model.setPropertyValueCoreHandler = function (propertiesHash, name, val) {
            if (!propertiesHash.hasOwnProperty(name) || !_this.getIsRendering())
                external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.set(propertiesHash, name, val);
            else
                propertiesHash[name] = val;
        };
        this.onCreated();
    };
    BaseVue.prototype.beforeMount = function () {
        this.setIsRendering(true);
    };
    BaseVue.prototype.beforeUpdate = function () {
        this.setIsRendering(true);
        this.onBeforeUpdated();
    };
    BaseVue.prototype.mounted = function () {
        this.setIsRendering(false);
        this.onMounted();
    };
    BaseVue.prototype.updated = function () {
        this.setIsRendering(false);
        this.onUpdated();
    };
    BaseVue.prototype.destroyed = function () {
        this.onDestroyed();
    };
    BaseVue = __decorate([
        vue_class_component_esm
    ], BaseVue);
    return BaseVue;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.directive("key2click", {
    // When the bound element is inserted into the DOM...
    inserted: function (el, binding) {
        var options = __assign({}, binding.value) || { processEsc: true };
        if (!options.disableTabStop)
            el.tabIndex = 0;
        el.addEventListener("keyup", function (evt) {
            evt.preventDefault();
            evt.stopPropagation();
            Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["doKey2ClickUp"])(evt, options);
            return false;
        });
        el.addEventListener("keydown", function (evt) {
            Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["doKey2ClickDown"])(evt, options);
        });
        el.addEventListener("blur", function (evt) {
            Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["doKey2ClickBlur"])(evt);
        });
    }
});
/* harmony default export */ var base = (base_BaseVue);

// CONCATENATED MODULE: ./packages/survey-core/src/iconsV1.ts
var iconsV1_path = __webpack_require__("./packages/survey-core/src/images-v1 sync recursive \\.svg$");
var icons = {};
iconsV1_path.keys().forEach(function (key) {
    icons[key.substring(2, key.length - 4).toLowerCase()] = iconsV1_path(key);
});


// CONCATENATED MODULE: ./packages/survey-core/src/iconsV2.ts
var iconsV2_path = __webpack_require__("./packages/survey-core/src/images-v2 sync recursive \\.svg$");
var iconsV2_icons = {};
iconsV2_path.keys().forEach(function (key) {
    iconsV2_icons[key.substring(2, key.length - 4).toLowerCase()] = iconsV2_path(key);
});


// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/survey.vue?vue&type=script&lang=ts&
var surveyvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var surveyvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["addIconsToThemeSet"])("v1", icons);
Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["addIconsToThemeSet"])("v2", iconsV2_icons);
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SvgRegistry"].registerIcons(icons);
var surveyvue_type_script_lang_ts_Survey = /** @class */ (function (_super) {
    surveyvue_type_script_lang_ts_extends(Survey, _super);
    function Survey() {
        var _this = _super.call(this) || this;
        _this.updater = 1;
        return _this;
    }
    Object.defineProperty(Survey.prototype, "pageKey", {
        get: function () {
            return "page" + this.getActivePageId();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Survey.prototype, "navId", {
        get: function () {
            return "nav" + this.getActivePageId();
        },
        enumerable: false,
        configurable: true
    });
    Survey.prototype.getModel = function () {
        return this.vueSurvey;
    };
    Object.defineProperty(Survey.prototype, "vueSurvey", {
        get: function () {
            return !!this.survey ? this.survey : this.model;
        },
        enumerable: false,
        configurable: true
    });
    Survey.prototype.onPropertyChanged = function (value, oldValue) {
        this.onCreated();
        this.surveyOnMounted();
    };
    Survey.prototype.forceUpdate = function () {
        this.updater += 1;
        this.$forceUpdate();
    };
    Survey.prototype.onMounted = function () {
        this.surveyOnMounted();
    };
    Object.defineProperty(Survey.prototype, "pageId", {
        get: function () {
            return !!this.vueSurvey.activePage ? this.vueSurvey.activePage.id : "";
        },
        enumerable: false,
        configurable: true
    });
    Survey.prototype.getActivePageId = function () {
        var pageId = this.pageId;
        return !!this.vueSurvey && pageId + this.updater.toString();
    };
    Survey.prototype.surveyOnMounted = function () {
        if (!this.vueSurvey)
            return;
        var el = this.$el;
        if (el)
            this.vueSurvey.afterRenderSurvey(el);
        this.vueSurvey.valueHashSetDataCallback = function (valuesHash, key, value) {
            external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.set(valuesHash, key, value);
        };
        this.vueSurvey.valueHashDeleteDataCallback = function (valuesHash, key) {
            external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.delete(valuesHash, key);
        };
        this.vueSurvey.renderCallback = this.forceUpdate;
        this.vueSurvey.startTimerFromUI();
    };
    Survey.prototype.beforeDestroy = function () {
        this.vueSurvey.stopTimer();
        this.vueSurvey.renderCallback = undefined;
    };
    Object.defineProperty(Survey.prototype, "hasTitle", {
        get: function () {
            return !!this.vueSurvey.title && this.vueSurvey.showTitle;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Survey.prototype, "hasCompletedPage", {
        get: function () {
            return this.vueSurvey.showCompletedPage && this.vueSurvey.state === "completed";
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Survey.prototype, "css", {
        get: function () {
            return this.vueSurvey.css;
        },
        enumerable: false,
        configurable: true
    });
    Survey.prototype.getProcessedCompletedHtml = function () {
        if (!this.hasCompletedPage)
            return "";
        if (!this.processedCompletedHtmlValue) {
            this.processedCompletedHtmlValue = this.vueSurvey.processedCompletedHtml;
        }
        return this.processedCompletedHtmlValue;
    };
    Survey.prototype.start = function () {
        this.vueSurvey.start();
    };
    surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], Survey.prototype, "survey", void 0);
    surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], Survey.prototype, "model", void 0);
    surveyvue_type_script_lang_ts_decorate([
        Watch("model"),
        Watch("survey")
    ], Survey.prototype, "onPropertyChanged", null);
    Survey = surveyvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Survey);
    return Survey;
}(base_BaseVue));

// TODO: make this functionality available via surveyCss in all examples
Object.defineProperty(surveyvue_type_script_lang_ts_Survey, "cssType", {
    get: function () {
        return external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["surveyCss"].currentType;
    },
    set: function (newType) {
        external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["StylesManager"].applyTheme(newType);
    },
    enumerable: true,
    configurable: false,
});
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey", surveyvue_type_script_lang_ts_Survey);
/* harmony default export */ var surveyvue_type_script_lang_ts_ = (surveyvue_type_script_lang_ts_Survey);

// CONCATENATED MODULE: ./src/vue/survey.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_surveyvue_type_script_lang_ts_ = (surveyvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}

// CONCATENATED MODULE: ./src/vue/survey.vue





/* normalize component */

var component = normalizeComponent(
  vue_surveyvue_type_script_lang_ts_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/vue/survey.vue"
/* harmony default export */ var survey = (component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/customwidget.vue?vue&type=template&id=1e61a7b7&
var customwidgetvue_type_template_id_1e61a7b7_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    [
      _vm.hasHtml
        ? _c("div", { domProps: { innerHTML: _vm._s(_vm.customHtml) } })
        : _vm._e(),
      _vm._v(" "),
      _vm.hasDefaultRender
        ? _c(_vm.componentName, {
            tag: "component",
            attrs: { question: _vm.question, css: _vm.css },
          })
        : _vm._e(),
    ],
    1
  )
}
var customwidgetvue_type_template_id_1e61a7b7_staticRenderFns = []
customwidgetvue_type_template_id_1e61a7b7_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/customwidget.vue?vue&type=template&id=1e61a7b7&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/customwidget.vue?vue&type=script&lang=ts&
var customwidgetvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var customwidgetvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var customwidgetvue_type_script_lang_ts_CustomWidget = /** @class */ (function (_super) {
    customwidgetvue_type_script_lang_ts_extends(CustomWidget, _super);
    function CustomWidget() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CustomWidget.prototype, "hasDefaultRender", {
        get: function () {
            return this.question.customWidget.isDefaultRender || this.hasVueComponent;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CustomWidget.prototype, "hasHtml", {
        get: function () {
            return this.question.customWidget.htmlTemplate ? true : false;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CustomWidget.prototype, "customHtml", {
        get: function () {
            return this.question.customWidget.htmlTemplate;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CustomWidget.prototype, "hasVueComponent", {
        get: function () {
            var options = external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a["options"];
            if (!options)
                return false;
            return !!(options.components && options.components[this.question.customWidget.name]);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CustomWidget.prototype, "componentName", {
        get: function () {
            if (this.hasVueComponent)
                return this.question.customWidget.name;
            return "survey-" + this.question.getTemplate();
        },
        enumerable: false,
        configurable: true
    });
    CustomWidget.prototype.mounted = function () {
        this.question.customWidget.afterRender(this.question, this.$el);
    };
    CustomWidget.prototype.updated = function () {
        //this.question.customWidget.afterRender(this.question, this.$el);
    };
    CustomWidget.prototype.beforeDestroy = function () {
        this.question.customWidget.willUnmount(this.question, this.$el);
    };
    customwidgetvue_type_script_lang_ts_decorate([
        Prop()
    ], CustomWidget.prototype, "css", void 0);
    customwidgetvue_type_script_lang_ts_decorate([
        Prop()
    ], CustomWidget.prototype, "question", void 0);
    CustomWidget = customwidgetvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], CustomWidget);
    return CustomWidget;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-customwidget", customwidgetvue_type_script_lang_ts_CustomWidget);
/* harmony default export */ var customwidgetvue_type_script_lang_ts_ = (customwidgetvue_type_script_lang_ts_CustomWidget);

// CONCATENATED MODULE: ./src/vue/customwidget.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_customwidgetvue_type_script_lang_ts_ = (customwidgetvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/customwidget.vue





/* normalize component */

var customwidget_component = normalizeComponent(
  vue_customwidgetvue_type_script_lang_ts_,
  customwidgetvue_type_template_id_1e61a7b7_render,
  customwidgetvue_type_template_id_1e61a7b7_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var customwidget_api; }
customwidget_component.options.__file = "src/vue/customwidget.vue"
/* harmony default export */ var customwidget = (customwidget_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string.vue?vue&type=template&id=d3a3d75a&
var stringvue_type_template_id_d3a3d75a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(_vm.locString.renderAs, {
    tag: "component",
    attrs: { locString: _vm.locString.renderAsData },
  })
}
var stringvue_type_template_id_d3a3d75a_staticRenderFns = []
stringvue_type_template_id_d3a3d75a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/string.vue?vue&type=template&id=d3a3d75a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string.vue?vue&type=script&lang=ts&
var stringvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var stringvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var stringvue_type_script_lang_ts_SurveyString = /** @class */ (function (_super) {
    stringvue_type_script_lang_ts_extends(SurveyString, _super);
    function SurveyString() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    stringvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyString.prototype, "locString", void 0);
    SurveyString = stringvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyString);
    return SurveyString;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-string", stringvue_type_script_lang_ts_SurveyString);
/* harmony default export */ var stringvue_type_script_lang_ts_ = (stringvue_type_script_lang_ts_SurveyString);

// CONCATENATED MODULE: ./src/vue/string.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_stringvue_type_script_lang_ts_ = (stringvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/string.vue





/* normalize component */

var string_component = normalizeComponent(
  vue_stringvue_type_script_lang_ts_,
  stringvue_type_template_id_d3a3d75a_render,
  stringvue_type_template_id_d3a3d75a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var string_api; }
string_component.options.__file = "src/vue/string.vue"
/* harmony default export */ var string = (string_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string-viewer.vue?vue&type=template&id=7d918508&
var string_viewervue_type_template_id_7d918508_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.locString.hasHtml
    ? _c("span", {
        class: _vm.className,
        domProps: { innerHTML: _vm._s(_vm.locString.renderedHtml) },
      })
    : _c("span", { class: _vm.className }, [
        _vm._v(_vm._s(_vm.locString.renderedHtml)),
      ])
}
var string_viewervue_type_template_id_7d918508_staticRenderFns = []
string_viewervue_type_template_id_7d918508_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/string-viewer.vue?vue&type=template&id=7d918508&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string-viewer.vue?vue&type=script&lang=ts&
var string_viewervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var string_viewervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var string_viewervue_type_script_lang_ts_SurveyStringViewer = /** @class */ (function (_super) {
    string_viewervue_type_script_lang_ts_extends(SurveyStringViewer, _super);
    function SurveyStringViewer() {
        var _this = _super.call(this) || this;
        if (!_this.locString)
            return _this;
        _this.className = _this.locString.allowLineBreaks ? "sv-string-viewer sv-string-viewer--multiline" : "sv-string-viewer";
        var self = _this;
        _this.locString.onChanged = function () {
            self.$forceUpdate();
        };
        _this.locString.onChanged();
        return _this;
    }
    string_viewervue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyStringViewer.prototype, "locString", void 0);
    SurveyStringViewer = string_viewervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyStringViewer);
    return SurveyStringViewer;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["LocalizableString"].defaultRenderer, string_viewervue_type_script_lang_ts_SurveyStringViewer);
/* harmony default export */ var string_viewervue_type_script_lang_ts_ = (string_viewervue_type_script_lang_ts_SurveyStringViewer);

// CONCATENATED MODULE: ./src/vue/string-viewer.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_string_viewervue_type_script_lang_ts_ = (string_viewervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/string-viewer.vue





/* normalize component */

var string_viewer_component = normalizeComponent(
  vue_string_viewervue_type_script_lang_ts_,
  string_viewervue_type_template_id_7d918508_render,
  string_viewervue_type_template_id_7d918508_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var string_viewer_api; }
string_viewer_component.options.__file = "src/vue/string-viewer.vue"
/* harmony default export */ var string_viewer = (string_viewer_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string-editor.vue?vue&type=template&id=9639f152&
var string_editorvue_type_template_id_9639f152_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.locString.hasHtml
    ? _c("span", {
        staticClass: "sv-string-editor",
        attrs: { contenteditable: "true" },
        domProps: { innerHTML: _vm._s(_vm.locString.renderedHtml) },
        on: { blur: _vm.onInput, click: _vm.onClick },
      })
    : _c(
        "span",
        {
          staticClass: "sv-string-editor",
          attrs: { contenteditable: "true" },
          on: { blur: _vm.onInput, click: _vm.onClick },
        },
        [_vm._v(_vm._s(_vm.locString.renderedHtml))]
      )
}
var string_editorvue_type_template_id_9639f152_staticRenderFns = []
string_editorvue_type_template_id_9639f152_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/string-editor.vue?vue&type=template&id=9639f152&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/string-editor.vue?vue&type=script&lang=ts&
var string_editorvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var string_editorvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var string_editorvue_type_script_lang_ts_SurveyStringEditor = /** @class */ (function (_super) {
    string_editorvue_type_script_lang_ts_extends(SurveyStringEditor, _super);
    function SurveyStringEditor() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onInput = function (event) {
            _this.locString.text = event.target.innerText;
        };
        _this.onClick = function (event) {
            event.preventDefault();
            event.stopPropagation();
        };
        return _this;
    }
    string_editorvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyStringEditor.prototype, "locString", void 0);
    SurveyStringEditor = string_editorvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyStringEditor);
    return SurveyStringEditor;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["LocalizableString"].editableRenderer, string_editorvue_type_script_lang_ts_SurveyStringEditor);
/* harmony default export */ var string_editorvue_type_script_lang_ts_ = (string_editorvue_type_script_lang_ts_SurveyStringEditor);

// CONCATENATED MODULE: ./src/vue/string-editor.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_string_editorvue_type_script_lang_ts_ = (string_editorvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/string-editor.vue





/* normalize component */

var string_editor_component = normalizeComponent(
  vue_string_editorvue_type_script_lang_ts_,
  string_editorvue_type_template_id_9639f152_render,
  string_editorvue_type_template_id_9639f152_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var string_editor_api; }
string_editor_component.options.__file = "src/vue/string-editor.vue"
/* harmony default export */ var string_editor = (string_editor_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/element.vue?vue&type=template&id=973472ac&
var elementvue_type_template_id_973472ac_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.row.isNeedRender
    ? _c(
        "div",
        {
          ref: "root",
          class: !_vm.element.isPanel ? _vm.element.getRootCss() : null,
          attrs: {
            id: _vm.element.id,
            role: _vm.element.ariaRole,
            "aria-required": _vm.element.ariaRequired,
            "aria-invalid": _vm.element.ariaInvalid,
            "aria-labelledby": _vm.element.ariaLabelledBy,
            "aria-describedby": _vm.element.ariaDescribedBy,
            "aria-expanded": _vm.element.ariaExpanded,
            "data-name": _vm.element.name,
          },
          on: {
            focusin: function ($event) {
              return _vm.element.focusIn()
            },
          },
        },
        [
          !_vm.element.isPanel && _vm.element.showErrorsAboveQuestion
            ? _c("survey-errors", {
                attrs: { element: _vm.element, location: "top" },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.element.isPanel && _vm.element.hasTitleOnLeftTop
            ? _c("survey-element-header", {
                attrs: { element: _vm.element, css: _vm.css },
              })
            : _vm._e(),
          _vm._v(" "),
          _c(
            "div",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: _vm.element.isPanel || !_vm.element.isCollapsed,
                  expression: "element.isPanel || !element.isCollapsed",
                },
              ],
              class: _vm.getContentClass(_vm.element) || undefined,
              attrs: { role: "presentation" },
            },
            [
              _vm.hasErrorsOnTop
                ? _c("survey-errors", {
                    attrs: { element: _vm.element, location: "top" },
                  })
                : _vm._e(),
              _vm._v(" "),
              _vm.element.isPanel || !_vm.element.isCollapsed
                ? _c(_vm.getComponentName(_vm.element), {
                    tag: "component",
                    attrs: { question: _vm.element, css: _vm.css },
                  })
                : _vm._e(),
              _vm._v(" "),
              _vm.element.hasComment
                ? _c(
                    "div",
                    { class: _vm.element.getCommentAreaCss() },
                    [
                      _c(
                        "div",
                        [
                          _c("survey-string", {
                            attrs: { locString: _vm.element.locCommentText },
                          }),
                        ],
                        1
                      ),
                      _vm._v(" "),
                      _c("survey-question-comment", {
                        attrs: { question: _vm.element },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
              _vm._v(" "),
              _vm.hasErrorsOnBottom
                ? _c("survey-errors", {
                    attrs: { element: _vm.element, location: "bottom" },
                  })
                : _vm._e(),
              _vm._v(" "),
              !_vm.element.isPanel && _vm.element.hasDescriptionUnderInput
                ? _c(
                    "div",
                    {
                      class: _vm.element.cssDescription,
                      attrs: { id: _vm.element.ariaDescriptionId },
                    },
                    [
                      _c("survey-string", {
                        attrs: { locString: _vm.element.locDescription },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ],
            1
          ),
          _vm._v(" "),
          !_vm.element.isPanel && _vm.element.hasTitleOnBottom
            ? _c("survey-element-header", {
                attrs: { element: _vm.element, css: _vm.css },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.element.isPanel && _vm.element.showErrorsBelowQuestion
            ? _c("survey-errors", {
                attrs: { element: _vm.element, location: "bottom" },
              })
            : _vm._e(),
        ],
        1
      )
    : !!_vm.element.skeletonComponentName
    ? _c(_vm.element.skeletonComponentName, {
        ref: "root",
        tag: "component",
        attrs: { element: _vm.element, css: _vm.css },
      })
    : _vm._e()
}
var elementvue_type_template_id_973472ac_staticRenderFns = []
elementvue_type_template_id_973472ac_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/element.vue?vue&type=template&id=973472ac&

// CONCATENATED MODULE: ./src/vue/question.ts
var question_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var question_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var question_QuestionVue = /** @class */ (function (_super) {
    question_extends(QuestionVue, _super);
    function QuestionVue() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.innerValue = null;
        return _this;
    }
    QuestionVue.prototype.changeQuestion = function (new_val, old_val) {
        this.innerValue = null;
    };
    QuestionVue.prototype.getModel = function () {
        return this.question;
    };
    QuestionVue.prototype.onMounted = function () {
        if (this.question) {
            this.question.afterRenderQuestionElement(this.$el);
        }
    };
    QuestionVue.prototype.beforeDestroy = function () {
        if (this.question) {
            this.question.beforeDestroyQuestionElement(this.$el);
        }
    };
    question_decorate([
        Prop()
    ], QuestionVue.prototype, "question", void 0);
    question_decorate([
        Prop()
    ], QuestionVue.prototype, "css", void 0);
    question_decorate([
        Watch("question")
    ], QuestionVue.prototype, "changeQuestion", null);
    QuestionVue = question_decorate([
        vue_class_component_esm
    ], QuestionVue);
    return QuestionVue;
}(base_BaseVue));

function getComponentName(question) {
    if (question.customWidget)
        return "survey-customwidget";
    if (question.isDefaultRendering && question.isDefaultRendering() || question.isPanel)
        return "survey-" + question.getTemplate();
    return question.getComponentName();
}
/* harmony default export */ var vue_question = (question_QuestionVue);

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/element.vue?vue&type=script&lang=ts&
var elementvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var elementvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var elementvue_type_script_lang_ts_SurveyElementVue = /** @class */ (function (_super) {
    elementvue_type_script_lang_ts_extends(SurveyElementVue, _super);
    function SurveyElementVue() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SurveyElementVue.prototype.getModel = function () {
        return this.element;
    };
    SurveyElementVue.prototype.getComponentName = function (element) {
        return getComponentName(element);
    };
    SurveyElementVue.prototype.getContentClass = function (element) {
        return element.cssContent;
    };
    Object.defineProperty(SurveyElementVue.prototype, "hasErrorsOnTop", {
        get: function () {
            return !this.element.isPanel && this.element.showErrorOnTop;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SurveyElementVue.prototype, "hasErrorsOnBottom", {
        get: function () {
            return !this.element.isPanel && this.element.showErrorOnBottom;
        },
        enumerable: false,
        configurable: true
    });
    SurveyElementVue.prototype.afterRender = function (el) {
        if (!this.element.isPanel && this.previousElement !== el && el && el instanceof HTMLElement) {
            this.element.afterRender(el);
        }
        this.previousElement = el;
    };
    SurveyElementVue.prototype.onUpdated = function () {
        this.afterRender(this.$refs.root);
    };
    SurveyElementVue.prototype.mounted = function () {
        this.afterRender(this.$refs.root);
    };
    SurveyElementVue.prototype.destroyed = function () {
        this.previousElement = undefined;
    };
    elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyElementVue.prototype, "css", void 0);
    elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyElementVue.prototype, "survey", void 0);
    elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyElementVue.prototype, "element", void 0);
    elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyElementVue.prototype, "row", void 0);
    SurveyElementVue = elementvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyElementVue);
    return SurveyElementVue;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-element", elementvue_type_script_lang_ts_SurveyElementVue);
/* harmony default export */ var elementvue_type_script_lang_ts_ = (elementvue_type_script_lang_ts_SurveyElementVue);

// CONCATENATED MODULE: ./src/vue/element.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_elementvue_type_script_lang_ts_ = (elementvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/element.vue





/* normalize component */

var element_component = normalizeComponent(
  vue_elementvue_type_script_lang_ts_,
  elementvue_type_template_id_973472ac_render,
  elementvue_type_template_id_973472ac_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var element_api; }
element_component.options.__file = "src/vue/element.vue"
/* harmony default export */ var vue_element = (element_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/row-element.vue?vue&type=template&id=617c2037&
var row_elementvue_type_template_id_617c2037_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { style: _vm.element.rootStyle },
    [
      !_vm.element.isPanel
        ? _c("survey-element", {
            key: _vm.element.id,
            style: _vm.element.getRootStyle(),
            attrs: {
              element: _vm.element,
              survey: _vm.survey,
              css: _vm.css,
              row: _vm.row,
            },
          })
        : _vm._e(),
      _vm._v(" "),
      _vm.element.isPanel
        ? _c("survey-panel", {
            key: _vm.element.id,
            attrs: { question: _vm.element, css: _vm.css },
          })
        : _vm._e(),
    ],
    1
  )
}
var row_elementvue_type_template_id_617c2037_staticRenderFns = []
row_elementvue_type_template_id_617c2037_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/row-element.vue?vue&type=template&id=617c2037&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/row-element.vue?vue&type=script&lang=ts&
var row_elementvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var row_elementvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var row_elementvue_type_script_lang_ts_SurveyRowElement = /** @class */ (function (_super) {
    row_elementvue_type_script_lang_ts_extends(SurveyRowElement, _super);
    function SurveyRowElement() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SurveyRowElement.prototype.getModel = function () {
        return this.element;
    };
    row_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyRowElement.prototype, "element", void 0);
    row_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyRowElement.prototype, "row", void 0);
    row_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyRowElement.prototype, "css", void 0);
    row_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyRowElement.prototype, "survey", void 0);
    SurveyRowElement = row_elementvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyRowElement);
    return SurveyRowElement;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-row-element", row_elementvue_type_script_lang_ts_SurveyRowElement);
/* harmony default export */ var row_elementvue_type_script_lang_ts_ = (row_elementvue_type_script_lang_ts_SurveyRowElement);

// CONCATENATED MODULE: ./src/vue/row-element.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_row_elementvue_type_script_lang_ts_ = (row_elementvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/row-element.vue





/* normalize component */

var row_element_component = normalizeComponent(
  vue_row_elementvue_type_script_lang_ts_,
  row_elementvue_type_template_id_617c2037_render,
  row_elementvue_type_template_id_617c2037_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var row_element_api; }
row_element_component.options.__file = "src/vue/row-element.vue"
/* harmony default export */ var row_element = (row_element_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/popup-survey.vue?vue&type=template&id=7937df5d&
var popup_surveyvue_type_template_id_7937df5d_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.surveyWindow.isShowing
    ? _c(
        "div",
        {
          class: _vm.surveyWindow.cssRoot,
          style: {
            maxWidth: _vm.surveyWindow.renderedWidth,
            width: _vm.surveyWindow.renderedWidth,
          },
          on: { scroll: _vm.doScroll },
        },
        [
          _c("div", { class: _vm.surveyWindow.cssRootContent }, [
            _c("div", { class: _vm.cssHeaderRoot }, [
              _vm.surveyWindow.isCollapsed && !!_vm.surveyWindow.locTitle
                ? _c(
                    "div",
                    { class: _vm.surveyWindow.cssHeaderTitleCollapsed },
                    [
                      _vm._v(
                        "\n        " +
                          _vm._s(_vm.surveyWindow.locTitle.renderedHtml) +
                          "\n      "
                      ),
                    ]
                  )
                : _vm._e(),
              _vm._v(" "),
              _c("div", { class: _vm.surveyWindow.cssHeaderButtonsContainer }, [
                _vm.surveyWindow.allowFullScreen
                  ? _c(
                      "div",
                      {
                        class: _vm.surveyWindow.cssHeaderFullScreenButton,
                        on: { click: _vm.doToggleFullScreen },
                      },
                      [
                        _vm.surveyWindow.isFullScreen
                          ? _c("sv-svg-icon", {
                              attrs: {
                                iconName: "icon-back-to-panel_16x16",
                                size: 16,
                              },
                            })
                          : _vm._e(),
                        _vm._v(" "),
                        !_vm.surveyWindow.isFullScreen
                          ? _c("sv-svg-icon", {
                              attrs: {
                                iconName: "icon-full-screen_16x16",
                                size: 16,
                              },
                            })
                          : _vm._e(),
                      ],
                      1
                    )
                  : _vm._e(),
                _vm._v(" "),
                _c(
                  "div",
                  {
                    class: _vm.surveyWindow.cssHeaderCollapseButton,
                    on: { click: _vm.doExpand },
                  },
                  [
                    _vm.surveyWindow.isExpanded
                      ? _c("sv-svg-icon", {
                          attrs: { iconName: "icon-minimize_16x16", size: 16 },
                        })
                      : _vm._e(),
                    _vm._v(" "),
                    _vm.surveyWindow.isCollapsed
                      ? _c("sv-svg-icon", {
                          attrs: { iconName: "icon-restore_16x16", size: 16 },
                        })
                      : _vm._e(),
                  ],
                  1
                ),
                _vm._v(" "),
                _vm.surveyWindow.allowClose
                  ? _c(
                      "div",
                      {
                        class: _vm.surveyWindow.cssHeaderCloseButton,
                        on: { click: _vm.doHide },
                      },
                      [
                        _c("sv-svg-icon", {
                          attrs: { iconName: "icon-close_16x16", size: 16 },
                        }),
                      ],
                      1
                    )
                  : _vm._e(),
              ]),
            ]),
            _vm._v(" "),
            _c(
              "div",
              { class: _vm.surveyWindow.cssBody },
              [
                _c(_vm.getSurveyComponentName(), {
                  tag: "component",
                  attrs: { survey: _vm.survey },
                }),
              ],
              1
            ),
          ]),
        ]
      )
    : _vm._e()
}
var popup_surveyvue_type_template_id_7937df5d_staticRenderFns = []
popup_surveyvue_type_template_id_7937df5d_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/popup-survey.vue?vue&type=template&id=7937df5d&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/popup-survey.vue?vue&type=script&lang=ts&
var popup_surveyvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var popup_surveyvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var popup_surveyvue_type_script_lang_ts_PopupSurvey = /** @class */ (function (_super) {
    popup_surveyvue_type_script_lang_ts_extends(PopupSurvey, _super);
    function PopupSurvey() {
        var _this = _super.call(this) || this;
        if (_this.window) {
            _this.surveyWindow = _this.window;
        }
        else {
            _this.surveyWindow = new external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["PopupSurveyModel"](null, _this.survey);
        }
        if (_this.isexpanded !== undefined) {
            _this.surveyWindow.isExpanded = _this.isexpanded;
        }
        if (_this.isExpanded !== undefined) {
            _this.surveyWindow.isExpanded = _this.isExpanded;
        }
        if (_this.closeOnCompleteTimeout !== undefined) {
            _this.surveyWindow.closeOnCompleteTimeout = _this.closeOnCompleteTimeout;
        }
        if (_this.allowclose !== undefined) {
            _this.surveyWindow.allowClose = _this.allowclose;
        }
        if (_this.allowClose !== undefined) {
            _this.surveyWindow.allowClose = _this.allowClose;
        }
        if (_this.allowfullscreen !== undefined) {
            _this.surveyWindow.allowFullScreen = _this.allowfullscreen;
        }
        if (_this.allowFullScreen !== undefined) {
            _this.surveyWindow.allowFullScreen = _this.allowFullScreen;
        }
        _this.surveyWindow.isShowing = true;
        return _this;
    }
    PopupSurvey.prototype.getModel = function () {
        return this.surveyWindow;
    };
    Object.defineProperty(PopupSurvey.prototype, "cssHeaderRoot", {
        get: function () {
            var headerCss = this.surveyWindow.cssHeaderRoot;
            if (this.surveyWindow.isCollapsed) {
                headerCss += " " + this.surveyWindow.cssRootCollapsedMod;
            }
            return headerCss;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PopupSurvey.prototype, "windowSurvey", {
        get: function () {
            return this.surveyWindow.survey;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PopupSurvey.prototype, "css", {
        get: function () {
            return !!this.survey ? this.survey.getCss() : {};
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PopupSurvey.prototype, "expandedCss", {
        get: function () {
            return this.surveyWindow.isExpanded
                ? this.css.window.header.buttonCollapsed
                : this.css.window.header.buttonExpanded;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PopupSurvey.prototype, "isExpandedSurvey", {
        get: function () {
            return this.surveyWindow.isExpanded;
        },
        set: function (val) {
            this.surveyWindow.isExpanded = val;
        },
        enumerable: false,
        configurable: true
    });
    PopupSurvey.prototype.doExpand = function () {
        this.surveyWindow.changeExpandCollapse();
    };
    PopupSurvey.prototype.doHide = function () {
        this.surveyWindow.hide();
    };
    PopupSurvey.prototype.doToggleFullScreen = function () {
        this.surveyWindow.toggleFullScreen();
    };
    PopupSurvey.prototype.getSurveyComponentName = function () {
        return "survey";
    };
    PopupSurvey.prototype.doScroll = function () {
        this.surveyWindow.onScroll();
    };
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "window", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "survey", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "isExpanded", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "isexpanded", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "allowClose", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "allowclose", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "allowFullScreen", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "allowfullscreen", void 0);
    popup_surveyvue_type_script_lang_ts_decorate([
        Prop()
    ], PopupSurvey.prototype, "closeOnCompleteTimeout", void 0);
    PopupSurvey = popup_surveyvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PopupSurvey);
    return PopupSurvey;
}(base_BaseVue));

/**
 * Obsolete, please use PopupSurvey
 */
var SurveyWindow = /** @class */ (function (_super) {
    popup_surveyvue_type_script_lang_ts_extends(SurveyWindow, _super);
    function SurveyWindow() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return SurveyWindow;
}(popup_surveyvue_type_script_lang_ts_PopupSurvey));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-window", SurveyWindow);
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("popup-survey", popup_surveyvue_type_script_lang_ts_PopupSurvey);
/* harmony default export */ var popup_surveyvue_type_script_lang_ts_ = (popup_surveyvue_type_script_lang_ts_PopupSurvey);

// CONCATENATED MODULE: ./src/vue/popup-survey.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_popup_surveyvue_type_script_lang_ts_ = (popup_surveyvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/popup-survey.vue





/* normalize component */

var popup_survey_component = normalizeComponent(
  vue_popup_surveyvue_type_script_lang_ts_,
  popup_surveyvue_type_template_id_7937df5d_render,
  popup_surveyvue_type_template_id_7937df5d_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var popup_survey_api; }
popup_survey_component.options.__file = "src/vue/popup-survey.vue"
/* harmony default export */ var popup_survey = (popup_survey_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/page.vue?vue&type=template&id=4e962a51&
var pagevue_type_template_id_4e962a51_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.page.cssRoot },
    [
      _c("survey-element-title", {
        attrs: { element: _vm.page, css: _vm.css },
      }),
      _vm._v(" "),
      _vm.showDescription
        ? _c(
            "div",
            { class: _vm.page.cssClasses.page.description },
            [
              _c("survey-string", {
                attrs: { locString: _vm.page.locDescription },
              }),
            ],
            1
          )
        : _vm._e(),
      _vm._v(" "),
      _c("survey-errors", { attrs: { element: _vm.page } }),
      _vm._v(" "),
      _vm._l(_vm.rows, function (row, index) {
        return [
          row.visible
            ? _c("survey-row", {
                key: _vm.page.id + "_" + index,
                attrs: { row: row, survey: _vm.survey, css: _vm.css },
              })
            : _vm._e(),
        ]
      }),
    ],
    2
  )
}
var pagevue_type_template_id_4e962a51_staticRenderFns = []
pagevue_type_template_id_4e962a51_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/page.vue?vue&type=template&id=4e962a51&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/page.vue?vue&type=script&lang=ts&
var pagevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var pagevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var pagevue_type_script_lang_ts_Page = /** @class */ (function (_super) {
    pagevue_type_script_lang_ts_extends(Page, _super);
    function Page() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Page.prototype.getModel = function () {
        return this.page;
    };
    Page.prototype.onMounted = function () {
        if (this.survey) {
            this.survey.afterRenderPage(this.$el);
        }
    };
    Object.defineProperty(Page.prototype, "showDescription", {
        //protected onUpdated() {
        //  this.survey.afterRenderPage(this.$el as HTMLElement);
        //}
        get: function () {
            return this.page._showDescription;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Page.prototype, "num", {
        get: function () {
            return this.page.num > 0 ? this.page.num + ". " : "";
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Page.prototype, "rows", {
        get: function () {
            return this.page.rows;
        },
        enumerable: false,
        configurable: true
    });
    pagevue_type_script_lang_ts_decorate([
        Prop()
    ], Page.prototype, "survey", void 0);
    pagevue_type_script_lang_ts_decorate([
        Prop()
    ], Page.prototype, "page", void 0);
    pagevue_type_script_lang_ts_decorate([
        Prop()
    ], Page.prototype, "css", void 0);
    Page = pagevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Page);
    return Page;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-page", pagevue_type_script_lang_ts_Page);
/* harmony default export */ var pagevue_type_script_lang_ts_ = (pagevue_type_script_lang_ts_Page);

// CONCATENATED MODULE: ./src/vue/page.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_pagevue_type_script_lang_ts_ = (pagevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/page.vue





/* normalize component */

var page_component = normalizeComponent(
  vue_pagevue_type_script_lang_ts_,
  pagevue_type_template_id_4e962a51_render,
  pagevue_type_template_id_4e962a51_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var page_api; }
page_component.options.__file = "src/vue/page.vue"
/* harmony default export */ var page = (page_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/radiogroup.vue?vue&type=template&id=06c6d526&
var radiogroupvue_type_template_id_06c6d526_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "fieldset",
    {
      class: _vm.question.getSelectBaseRootCss(),
      attrs: {
        role: _vm.question.a11y_input_ariaRole,
        "aria-required": _vm.question.a11y_input_ariaRequired,
        "aria-label": _vm.question.a11y_input_ariaLabel,
        "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
        "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
        "aria-invalid": _vm.question.a11y_input_ariaInvalid,
        "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
      },
    },
    [
      _vm._l(_vm.question.bodyItems, function (item) {
        return !_vm.question.hasColumns && !_vm.question.blockedRow
          ? _c(_vm.question.itemComponent, {
              key: item.value,
              tag: "component",
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm.question.blockedRow
        ? _c(
            "div",
            { class: _vm.question.cssClasses.rootRow },
            _vm._l(_vm.question.dataChoices, function (item) {
              return !_vm.question.hasColumns && _vm.question.blockedRow
                ? _c(_vm.question.itemComponent, {
                    key: item.value,
                    tag: "component",
                    attrs: { question: _vm.question, item: item },
                  })
                : _vm._e()
            }),
            1
          )
        : _vm._e(),
      _vm._v(" "),
      _vm.question.hasColumns
        ? _c(
            "div",
            { class: _vm.question.cssClasses.rootMultiColumn },
            _vm._l(_vm.question.columns, function (column, colIndex) {
              return _vm.question.hasColumns
                ? _c(
                    "div",
                    {
                      key: colIndex,
                      class: _vm.question.getColumnClass(),
                      attrs: { role: "presentation" },
                    },
                    _vm._l(column, function (item) {
                      return _c(_vm.question.itemComponent, {
                        key: item.value,
                        tag: "component",
                        attrs: { question: _vm.question, item: item },
                      })
                    }),
                    1
                  )
                : _vm._e()
            }),
            0
          )
        : _vm._e(),
      _vm._v(" "),
      _vm._l(_vm.question.footItems, function (item) {
        return _vm.question.hasFootItems
          ? _c(_vm.question.itemComponent, {
              key: item.value,
              tag: "component",
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm.question.renderedValue && _vm.question.isOtherSelected
        ? _c("survey-other-choice", { attrs: { question: _vm.question } })
        : _vm._e(),
      _vm._v(" "),
      _vm.question.showClearButtonInContent
        ? _c("div", [
            _c("input", {
              class: _vm.question.cssClasses.clearButton,
              attrs: { type: "button", value: _vm.question.clearButtonCaption },
              on: {
                click: function () {
                  _vm.question.clearValue(true)
                },
              },
            }),
          ])
        : _vm._e(),
    ],
    2
  )
}
var radiogroupvue_type_template_id_06c6d526_staticRenderFns = []
radiogroupvue_type_template_id_06c6d526_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/radiogroup.vue?vue&type=template&id=06c6d526&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/radiogroup.vue?vue&type=script&lang=ts&
var radiogroupvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var radiogroupvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var radiogroupvue_type_script_lang_ts_Radiogroup = /** @class */ (function (_super) {
    radiogroupvue_type_script_lang_ts_extends(Radiogroup, _super);
    function Radiogroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Radiogroup.prototype, "choicesCount", {
        get: function () {
            return this.question.visibleChoices.length - 1;
        },
        enumerable: false,
        configurable: true
    });
    Radiogroup = radiogroupvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Radiogroup);
    return Radiogroup;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-radiogroup", radiogroupvue_type_script_lang_ts_Radiogroup);
/* harmony default export */ var radiogroupvue_type_script_lang_ts_ = (radiogroupvue_type_script_lang_ts_Radiogroup);

// CONCATENATED MODULE: ./src/vue/radiogroup.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_radiogroupvue_type_script_lang_ts_ = (radiogroupvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/radiogroup.vue





/* normalize component */

var radiogroup_component = normalizeComponent(
  vue_radiogroupvue_type_script_lang_ts_,
  radiogroupvue_type_template_id_06c6d526_render,
  radiogroupvue_type_template_id_06c6d526_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var radiogroup_api; }
radiogroup_component.options.__file = "src/vue/radiogroup.vue"
/* harmony default export */ var radiogroup = (radiogroup_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/radiogroupitem.vue?vue&type=template&id=5bbe97b9&
var radiogroupitemvue_type_template_id_5bbe97b9_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getItemClass(_vm.item),
      attrs: { role: "presentation" },
    },
    [
      _c(
        "label",
        {
          class: _vm.getLabelClass(_vm.item),
          on: {
            mousedown: function ($event) {
              return _vm.question.onMouseDown()
            },
          },
        },
        [
          _c("input", {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.question.renderedValue,
                expression: "question.renderedValue",
              },
            ],
            class: _vm.question.cssClasses.itemControl,
            attrs: {
              type: "radio",
              name: _vm.question.questionName,
              id: _vm.question.getItemId(_vm.item),
              "aria-errormessage": _vm.question.ariaErrormessage,
              disabled: !_vm.question.getItemEnabled(_vm.item),
              readonly: _vm.question.isReadOnlyAttr,
            },
            domProps: {
              value: _vm.item.value,
              checked: _vm._q(_vm.question.renderedValue, _vm.item.value),
            },
            on: {
              change: function ($event) {
                return _vm.$set(_vm.question, "renderedValue", _vm.item.value)
              },
            },
          }),
          _vm.question.cssClasses.materialDecorator
            ? _c("span", { class: _vm.question.cssClasses.materialDecorator }, [
                _vm.question.itemSvgIcon
                  ? _c(
                      "svg",
                      { class: _vm.question.cssClasses.itemDecorator },
                      [
                        _c("use", {
                          attrs: { "xlink:href": _vm.question.itemSvgIcon },
                        }),
                      ]
                    )
                  : _vm._e(),
              ])
            : _vm._e(),
          !_vm.hideLabel
            ? _c(
                "span",
                { class: _vm.getControlLabelClass(_vm.item) },
                [
                  _c("survey-string", {
                    attrs: { locString: _vm.item.locText },
                  }),
                ],
                1
              )
            : _vm._e(),
        ]
      ),
    ]
  )
}
var radiogroupitemvue_type_template_id_5bbe97b9_staticRenderFns = []
radiogroupitemvue_type_template_id_5bbe97b9_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/radiogroupitem.vue?vue&type=template&id=5bbe97b9&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/radiogroupitem.vue?vue&type=script&lang=ts&
var radiogroupitemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var radiogroupitemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var radiogroupitemvue_type_script_lang_ts_RadiogroupItem = /** @class */ (function (_super) {
    radiogroupitemvue_type_script_lang_ts_extends(RadiogroupItem, _super);
    function RadiogroupItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RadiogroupItem.prototype.getModel = function () {
        return this.item;
    };
    RadiogroupItem.prototype.getLabelClass = function (item) {
        return this.question.getLabelClass(item);
    };
    RadiogroupItem.prototype.getControlLabelClass = function (item) {
        return this.question.getControlLabelClass(item);
    };
    radiogroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], RadiogroupItem.prototype, "question", void 0);
    radiogroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], RadiogroupItem.prototype, "item", void 0);
    radiogroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], RadiogroupItem.prototype, "hideLabel", void 0);
    RadiogroupItem = radiogroupitemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RadiogroupItem);
    return RadiogroupItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-radiogroup-item", radiogroupitemvue_type_script_lang_ts_RadiogroupItem);
/* harmony default export */ var radiogroupitemvue_type_script_lang_ts_ = (radiogroupitemvue_type_script_lang_ts_RadiogroupItem);

// CONCATENATED MODULE: ./src/vue/radiogroupitem.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_radiogroupitemvue_type_script_lang_ts_ = (radiogroupitemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/radiogroupitem.vue





/* normalize component */

var radiogroupitem_component = normalizeComponent(
  vue_radiogroupitemvue_type_script_lang_ts_,
  radiogroupitemvue_type_template_id_5bbe97b9_render,
  radiogroupitemvue_type_template_id_5bbe97b9_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var radiogroupitem_api; }
radiogroupitem_component.options.__file = "src/vue/radiogroupitem.vue"
/* harmony default export */ var radiogroupitem = (radiogroupitem_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/question-other.vue?vue&type=template&id=d3986eaa&
var question_othervue_type_template_id_d3986eaa_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.getCommentAreaCss(true) },
    [
      _vm.question.isReadOnlyRenderDiv()
        ? _c("div", [_vm._v(_vm._s(_vm.question.otherValue))])
        : _c("sv-text-area", {
            attrs: { model: _vm.question.otherTextAreaModel },
          }),
    ],
    1
  )
}
var question_othervue_type_template_id_d3986eaa_staticRenderFns = []
question_othervue_type_template_id_d3986eaa_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/question-other.vue?vue&type=template&id=d3986eaa&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/question-other.vue?vue&type=script&lang=ts&
var question_othervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var question_othervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var question_othervue_type_script_lang_ts_OtherChoice = /** @class */ (function (_super) {
    question_othervue_type_script_lang_ts_extends(OtherChoice, _super);
    function OtherChoice() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    question_othervue_type_script_lang_ts_decorate([
        Prop()
    ], OtherChoice.prototype, "question", void 0);
    OtherChoice = question_othervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], OtherChoice);
    return OtherChoice;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-other-choice", question_othervue_type_script_lang_ts_OtherChoice);
/* harmony default export */ var question_othervue_type_script_lang_ts_ = (question_othervue_type_script_lang_ts_OtherChoice);

// CONCATENATED MODULE: ./src/vue/question-other.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_question_othervue_type_script_lang_ts_ = (question_othervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/question-other.vue





/* normalize component */

var question_other_component = normalizeComponent(
  vue_question_othervue_type_script_lang_ts_,
  question_othervue_type_template_id_d3986eaa_render,
  question_othervue_type_template_id_d3986eaa_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var question_other_api; }
question_other_component.options.__file = "src/vue/question-other.vue"
/* harmony default export */ var question_other = (question_other_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/question-comment.vue?vue&type=template&id=0c35788c&
var question_commentvue_type_template_id_0c35788c_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.isReadOnlyRenderDiv()
    ? _c("div", [_vm._v(_vm._s(_vm.question.comment))])
    : _c("sv-text-area", {
        attrs: { model: _vm.question.commentTextAreaModel },
      })
}
var question_commentvue_type_template_id_0c35788c_staticRenderFns = []
question_commentvue_type_template_id_0c35788c_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/question-comment.vue?vue&type=template&id=0c35788c&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/question-comment.vue?vue&type=script&lang=ts&
var question_commentvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var question_commentvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var question_commentvue_type_script_lang_ts_OtherComment = /** @class */ (function (_super) {
    question_commentvue_type_script_lang_ts_extends(OtherComment, _super);
    function OtherComment() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    question_commentvue_type_script_lang_ts_decorate([
        Prop()
    ], OtherComment.prototype, "question", void 0);
    OtherComment = question_commentvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], OtherComment);
    return OtherComment;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-question-comment", question_commentvue_type_script_lang_ts_OtherComment);
/* harmony default export */ var question_commentvue_type_script_lang_ts_ = (question_commentvue_type_script_lang_ts_OtherComment);

// CONCATENATED MODULE: ./src/vue/question-comment.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_question_commentvue_type_script_lang_ts_ = (question_commentvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/question-comment.vue





/* normalize component */

var question_comment_component = normalizeComponent(
  vue_question_commentvue_type_script_lang_ts_,
  question_commentvue_type_template_id_0c35788c_render,
  question_commentvue_type_template_id_0c35788c_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var question_comment_api; }
question_comment_component.options.__file = "src/vue/question-comment.vue"
/* harmony default export */ var question_comment = (question_comment_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/rating.vue?vue&type=template&id=7092bfdf&
var ratingvue_type_template_id_7092bfdf_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.ratingRootCss }, [
    _c(
      "fieldset",
      { attrs: { role: "radiogroup" } },
      [
        _c("legend", {
          staticClass: "sv-hidden",
          attrs: { role: "presentation" },
        }),
        _vm._v(" "),
        _vm.question.hasMinLabel
          ? _c(
              "span",
              { class: _vm.question.cssClasses.minText },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locMinRateDescription },
                }),
              ],
              1
            )
          : _vm._e(),
        _vm._v(" "),
        _vm._l(_vm.question.renderedRateItems, function (item, index) {
          return _c(_vm.question.itemComponent, {
            key: index,
            tag: "component",
            attrs: { item: item, index: index, question: _vm.question },
          })
        }),
        _vm._v(" "),
        _vm.question.hasMaxLabel
          ? _c(
              "span",
              { class: _vm.question.cssClasses.maxText },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locMaxRateDescription },
                }),
              ],
              1
            )
          : _vm._e(),
      ],
      2
    ),
  ])
}
var ratingvue_type_template_id_7092bfdf_staticRenderFns = []
ratingvue_type_template_id_7092bfdf_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/rating.vue?vue&type=template&id=7092bfdf&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/rating.vue?vue&type=script&lang=ts&
var ratingvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var ratingvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ratingvue_type_script_lang_ts_Rating = /** @class */ (function (_super) {
    ratingvue_type_script_lang_ts_extends(Rating, _super);
    function Rating() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Rating.prototype.getInputId = function (index) {
        return this.question.getInputId(index);
    };
    Rating = ratingvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Rating);
    return Rating;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-rating", ratingvue_type_script_lang_ts_Rating);
/* harmony default export */ var ratingvue_type_script_lang_ts_ = (ratingvue_type_script_lang_ts_Rating);

// CONCATENATED MODULE: ./src/vue/rating.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_ratingvue_type_script_lang_ts_ = (ratingvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/rating.vue





/* normalize component */

var rating_component = normalizeComponent(
  vue_ratingvue_type_script_lang_ts_,
  ratingvue_type_template_id_7092bfdf_render,
  ratingvue_type_template_id_7092bfdf_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_api; }
rating_component.options.__file = "src/vue/rating.vue"
/* harmony default export */ var rating = (rating_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/rating-dropdown.vue?vue&type=template&id=312c9d6f&
var rating_dropdownvue_type_template_id_312c9d6f_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.rootDropdown },
    [_c("sv-dropdown", { attrs: { question: _vm.question } })],
    1
  )
}
var rating_dropdownvue_type_template_id_312c9d6f_staticRenderFns = []
rating_dropdownvue_type_template_id_312c9d6f_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/rating-dropdown.vue?vue&type=template&id=312c9d6f&

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-dropdown-item.vue?vue&type=template&id=a50de4cc&
var rating_dropdown_itemvue_type_template_id_a50de4cc_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "sd-rating-dropdown-item" }, [
    _c("span", { staticClass: "sd-rating-dropdown-item_text" }, [
      _vm._v(_vm._s(_vm.item.title)),
    ]),
    _vm._v(" "),
    !!_vm.item.description
      ? _c(
          "div",
          { staticClass: "sd-rating-dropdown-item_description" },
          [_c("survey-string", { attrs: { locString: _vm.item.description } })],
          1
        )
      : _vm._e(),
  ])
}
var rating_dropdown_itemvue_type_template_id_a50de4cc_staticRenderFns = []
rating_dropdown_itemvue_type_template_id_a50de4cc_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/rating/rating-dropdown-item.vue?vue&type=template&id=a50de4cc&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-dropdown-item.vue?vue&type=script&lang=ts&
var rating_dropdown_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rating_dropdown_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rating_dropdown_itemvue_type_script_lang_ts_RatingItem = /** @class */ (function (_super) {
    rating_dropdown_itemvue_type_script_lang_ts_extends(RatingItem, _super);
    function RatingItem() {
        return _super.call(this) || this;
    }
    RatingItem.prototype.getModel = function () {
        return this.item;
    };
    rating_dropdown_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItem.prototype, "item", void 0);
    RatingItem = rating_dropdown_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RatingItem);
    return RatingItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-rating-dropdown-item", rating_dropdown_itemvue_type_script_lang_ts_RatingItem);
/* harmony default export */ var rating_dropdown_itemvue_type_script_lang_ts_ = (rating_dropdown_itemvue_type_script_lang_ts_RatingItem);

// CONCATENATED MODULE: ./src/vue/components/rating/rating-dropdown-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var rating_rating_dropdown_itemvue_type_script_lang_ts_ = (rating_dropdown_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/rating/rating-dropdown-item.vue





/* normalize component */

var rating_dropdown_item_component = normalizeComponent(
  rating_rating_dropdown_itemvue_type_script_lang_ts_,
  rating_dropdown_itemvue_type_template_id_a50de4cc_render,
  rating_dropdown_itemvue_type_template_id_a50de4cc_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_dropdown_item_api; }
rating_dropdown_item_component.options.__file = "src/vue/components/rating/rating-dropdown-item.vue"
/* harmony default export */ var rating_dropdown_item = (rating_dropdown_item_component.exports);
// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/rating-dropdown.vue?vue&type=script&lang=ts&
var rating_dropdownvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rating_dropdownvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var rating_dropdownvue_type_script_lang_ts_RatingDropdown = /** @class */ (function (_super) {
    rating_dropdownvue_type_script_lang_ts_extends(RatingDropdown, _super);
    function RatingDropdown() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RatingDropdown = rating_dropdownvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RatingDropdown);
    return RatingDropdown;
}(vue_question));

external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["RendererFactory"].Instance.registerRenderer("rating", "dropdown", "sv-rating-dropdown");
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-rating-dropdown", rating_dropdownvue_type_script_lang_ts_RatingDropdown);
/* harmony default export */ var rating_dropdownvue_type_script_lang_ts_ = (rating_dropdownvue_type_script_lang_ts_RatingDropdown);

// CONCATENATED MODULE: ./src/vue/rating-dropdown.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_rating_dropdownvue_type_script_lang_ts_ = (rating_dropdownvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/rating-dropdown.vue





/* normalize component */

var rating_dropdown_component = normalizeComponent(
  vue_rating_dropdownvue_type_script_lang_ts_,
  rating_dropdownvue_type_template_id_312c9d6f_render,
  rating_dropdownvue_type_template_id_312c9d6f_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_dropdown_api; }
rating_dropdown_component.options.__file = "src/vue/rating-dropdown.vue"
/* harmony default export */ var rating_dropdown = (rating_dropdown_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/comment.vue?vue&type=template&id=099c2c8d&
var commentvue_type_template_id_099c2c8d_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return !_vm.question.isReadOnlyRenderDiv() && _vm.question.getMaxLength()
    ? _c(
        "div",
        [
          _c("sv-text-area", { attrs: { model: _vm.question.textAreaModel } }),
          _vm._v(" "),
          _c("sv-character-counter", {
            attrs: {
              counter: _vm.question.characterCounter,
              remainingCharacterCounter:
                _vm.question.cssClasses.remainingCharacterCounter,
            },
          }),
        ],
        1
      )
    : !_vm.question.isReadOnlyRenderDiv()
    ? _c("sv-text-area", { attrs: { model: _vm.question.textAreaModel } })
    : _c("div", [_vm._v(_vm._s(_vm.question.value))])
}
var commentvue_type_template_id_099c2c8d_staticRenderFns = []
commentvue_type_template_id_099c2c8d_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/comment.vue?vue&type=template&id=099c2c8d&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/comment.vue?vue&type=script&lang=ts&
var commentvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var commentvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var commentvue_type_script_lang_ts_Comment = /** @class */ (function (_super) {
    commentvue_type_script_lang_ts_extends(Comment, _super);
    function Comment() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Comment = commentvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Comment);
    return Comment;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-comment", commentvue_type_script_lang_ts_Comment);
/* harmony default export */ var commentvue_type_script_lang_ts_ = (commentvue_type_script_lang_ts_Comment);

// CONCATENATED MODULE: ./src/vue/comment.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_commentvue_type_script_lang_ts_ = (commentvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/comment.vue





/* normalize component */

var comment_component = normalizeComponent(
  vue_commentvue_type_script_lang_ts_,
  commentvue_type_template_id_099c2c8d_render,
  commentvue_type_template_id_099c2c8d_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var comment_api; }
comment_component.options.__file = "src/vue/comment.vue"
/* harmony default export */ var comment = (comment_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking.vue?vue&type=template&id=19074eea&
var rankingvue_type_template_id_19074eea_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.rootClass },
    [
      _vm._l(_vm.question.renderedRankingChoices, function (item, index) {
        return !_vm.question.selectToRankEnabled
          ? _c("survey-ranking-item", {
              key: item.value + "-" + index + "-item",
              class: _vm.question.getItemClass(item),
              attrs: {
                text: item.locText,
                index: index,
                indexText: _vm.getNumberByIndex(index),
                cssClasses: _vm.question.cssClasses,
                question: _vm.question,
                item: item,
              },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm.question.selectToRankEnabled
        ? _c(
            "div",
            {
              class: _vm.question.getContainerClasses("from"),
              attrs: { "data-ranking": "from-container" },
            },
            [
              _vm._l(
                _vm.question.renderedUnRankingChoices,
                function (item, index) {
                  return _c("survey-ranking-item", {
                    key: item.value + "-" + index + "-item",
                    class: _vm.question.getItemClass(item),
                    attrs: {
                      text: item.locText,
                      index: index,
                      indexText: _vm.getNumberByIndex(index),
                      cssClasses: _vm.question.cssClasses,
                      question: _vm.question,
                      item: item,
                      unrankedItem: true,
                    },
                  })
                }
              ),
              _vm._v(" "),
              _vm.question.renderedUnRankingChoices.length === 0
                ? _c(
                    "div",
                    { class: _vm.question.cssClasses.containerPlaceholder },
                    [
                      _c("survey-string", {
                        attrs: {
                          locString:
                            _vm.question.locSelectToRankEmptyRankedAreaText,
                        },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ],
            2
          )
        : _vm._e(),
      _vm._v(" "),
      _vm.question.selectToRankEnabled
        ? _c("div", { class: _vm.question.cssClasses.containersDivider })
        : _vm._e(),
      _vm._v(" "),
      _vm.question.selectToRankEnabled
        ? _c(
            "div",
            {
              class: _vm.question.getContainerClasses("to"),
              attrs: { "data-ranking": "to-container" },
            },
            [
              _vm._l(
                _vm.question.renderedRankingChoices,
                function (item, index) {
                  return _c("survey-ranking-item", {
                    key: item.value + "-" + index + "-item",
                    class: _vm.question.getItemClass(item),
                    attrs: {
                      text: item.locText,
                      index: index,
                      indexText: _vm.getNumberByIndex(index),
                      cssClasses: _vm.question.cssClasses,
                      question: _vm.question,
                      item: item,
                    },
                  })
                }
              ),
              _vm._v(" "),
              _vm.question.renderedRankingChoices.length === 0
                ? _c(
                    "div",
                    { class: _vm.question.cssClasses.containerPlaceholder },
                    [
                      _c("survey-string", {
                        attrs: {
                          locString:
                            _vm.question.locSelectToRankEmptyUnrankedAreaText,
                        },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ],
            2
          )
        : _vm._e(),
    ],
    2
  )
}
var rankingvue_type_template_id_19074eea_staticRenderFns = []
rankingvue_type_template_id_19074eea_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/ranking/ranking.vue?vue&type=template&id=19074eea&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking.vue?vue&type=script&lang=ts&
var rankingvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rankingvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rankingvue_type_script_lang_ts_Ranking = /** @class */ (function (_super) {
    rankingvue_type_script_lang_ts_extends(Ranking, _super);
    function Ranking() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Ranking.prototype.getNumberByIndex = function (index) {
        return this.question.getNumberByIndex(index);
    };
    Ranking = rankingvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Ranking);
    return Ranking;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-ranking", rankingvue_type_script_lang_ts_Ranking);
/* harmony default export */ var rankingvue_type_script_lang_ts_ = (rankingvue_type_script_lang_ts_Ranking);

// CONCATENATED MODULE: ./src/vue/ranking/ranking.vue?vue&type=script&lang=ts&
 /* harmony default export */ var ranking_rankingvue_type_script_lang_ts_ = (rankingvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/ranking/ranking.vue





/* normalize component */

var ranking_component = normalizeComponent(
  ranking_rankingvue_type_script_lang_ts_,
  rankingvue_type_template_id_19074eea_render,
  rankingvue_type_template_id_19074eea_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var ranking_api; }
ranking_component.options.__file = "src/vue/ranking/ranking.vue"
/* harmony default export */ var ranking = (ranking_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking-item.vue?vue&type=template&id=2faded76&
var ranking_itemvue_type_template_id_2faded76_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getItemClass(_vm.item),
      attrs: {
        id: _vm.question.getItemId(_vm.item),
        tabindex: _vm.question.getItemTabIndex(_vm.item),
        "data-sv-drop-target-ranking-item": _vm.index,
      },
      on: {
        keydown: function (event) {
          _vm.question.handleKeydown.call(_vm.question, event, _vm.item)
        },
        pointerdown: function (event) {
          _vm.question.handlePointerDown.call(
            _vm.question,
            event,
            _vm.item,
            event.currentTarget
          )
        },
        pointerup: function (event) {
          _vm.question.handlePointerUp.call(
            _vm.question,
            event,
            _vm.item,
            event.currentTarget
          )
        },
      },
    },
    [
      _c(
        "div",
        { staticStyle: { outline: "none" }, attrs: { tabindex: "-1" } },
        [
          _c("div", { class: _vm.cssClasses.itemGhostNode }),
          _vm._v(" "),
          _c(
            "div",
            { class: _vm.cssClasses.itemContent },
            [
              _c("div", { class: _vm.cssClasses.itemIconContainer }, [
                _c("svg", { class: _vm.question.getIconHoverCss() }, [
                  _c("use", {
                    attrs: { "xlink:href": _vm.question.dragDropSvgIcon },
                  }),
                ]),
                _vm._v(" "),
                _c("svg", { class: _vm.question.getIconFocusCss() }, [
                  _c("use", {
                    attrs: { "xlink:href": _vm.question.arrowsSvgIcon },
                  }),
                ]),
              ]),
              _vm._v(" "),
              !_vm.unrankedItem && _vm.indexText
                ? _c(
                    "div",
                    { class: _vm.question.getItemIndexClasses(_vm.item) },
                    [_vm._v(_vm._s(_vm.indexText))]
                  )
                : _c(
                    "div",
                    { class: _vm.question.getItemIndexClasses(_vm.item) },
                    [
                      _c("svg", [
                        _c("use", {
                          attrs: { "xlink:href": _vm.question.dashSvgIcon },
                        }),
                      ]),
                    ]
                  ),
              _vm._v(" "),
              _c(_vm.question.itemComponent, {
                tag: "component",
                attrs: { item: _vm.item, cssClasses: _vm.cssClasses },
              }),
            ],
            1
          ),
        ]
      ),
    ]
  )
}
var ranking_itemvue_type_template_id_2faded76_staticRenderFns = []
ranking_itemvue_type_template_id_2faded76_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/ranking/ranking-item.vue?vue&type=template&id=2faded76&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking-item.vue?vue&type=script&lang=ts&
var ranking_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var ranking_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var ranking_itemvue_type_script_lang_ts_RankingItem = /** @class */ (function (_super) {
    ranking_itemvue_type_script_lang_ts_extends(RankingItem, _super);
    function RankingItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "index", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "indexText", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "text", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "handleKeydown", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "cssClasses", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "question", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "item", void 0);
    ranking_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItem.prototype, "unrankedItem", void 0);
    RankingItem = ranking_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RankingItem);
    return RankingItem;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-ranking-item", ranking_itemvue_type_script_lang_ts_RankingItem);
/* harmony default export */ var ranking_itemvue_type_script_lang_ts_ = (ranking_itemvue_type_script_lang_ts_RankingItem);

// CONCATENATED MODULE: ./src/vue/ranking/ranking-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var ranking_ranking_itemvue_type_script_lang_ts_ = (ranking_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/ranking/ranking-item.vue





/* normalize component */

var ranking_item_component = normalizeComponent(
  ranking_ranking_itemvue_type_script_lang_ts_,
  ranking_itemvue_type_template_id_2faded76_render,
  ranking_itemvue_type_template_id_2faded76_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var ranking_item_api; }
ranking_item_component.options.__file = "src/vue/ranking/ranking-item.vue"
/* harmony default export */ var ranking_item = (ranking_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking-item-content.vue?vue&type=template&id=28926df1&
var ranking_item_contentvue_type_template_id_28926df1_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.cssClasses.controlLabel },
    [_c("survey-string", { attrs: { locString: _vm.item.locText } })],
    1
  )
}
var ranking_item_contentvue_type_template_id_28926df1_staticRenderFns = []
ranking_item_contentvue_type_template_id_28926df1_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/ranking/ranking-item-content.vue?vue&type=template&id=28926df1&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/ranking/ranking-item-content.vue?vue&type=script&lang=ts&
var ranking_item_contentvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var ranking_item_contentvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var ranking_item_contentvue_type_script_lang_ts_RankingItemContent = /** @class */ (function (_super) {
    ranking_item_contentvue_type_script_lang_ts_extends(RankingItemContent, _super);
    function RankingItemContent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ranking_item_contentvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItemContent.prototype, "item", void 0);
    ranking_item_contentvue_type_script_lang_ts_decorate([
        Prop()
    ], RankingItemContent.prototype, "cssClasses", void 0);
    RankingItemContent = ranking_item_contentvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RankingItemContent);
    return RankingItemContent;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-ranking-item", ranking_item_contentvue_type_script_lang_ts_RankingItemContent);
/* harmony default export */ var ranking_item_contentvue_type_script_lang_ts_ = (ranking_item_contentvue_type_script_lang_ts_RankingItemContent);

// CONCATENATED MODULE: ./src/vue/ranking/ranking-item-content.vue?vue&type=script&lang=ts&
 /* harmony default export */ var ranking_ranking_item_contentvue_type_script_lang_ts_ = (ranking_item_contentvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/ranking/ranking-item-content.vue





/* normalize component */

var ranking_item_content_component = normalizeComponent(
  ranking_ranking_item_contentvue_type_script_lang_ts_,
  ranking_item_contentvue_type_template_id_28926df1_render,
  ranking_item_contentvue_type_template_id_28926df1_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var ranking_item_content_api; }
ranking_item_content_component.options.__file = "src/vue/ranking/ranking-item-content.vue"
/* harmony default export */ var ranking_item_content = (ranking_item_content_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/checkbox.vue?vue&type=template&id=cad276f6&
var checkboxvue_type_template_id_cad276f6_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "fieldset",
    {
      class: _vm.question.getSelectBaseRootCss(),
      attrs: {
        role: _vm.question.a11y_input_ariaRole,
        "aria-required": _vm.question.a11y_input_ariaRequired,
        "aria-label": _vm.question.a11y_input_ariaLabel,
        "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
        "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
        "aria-invalid": _vm.question.a11y_input_ariaInvalid,
        "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
      },
    },
    [
      _c("legend", { staticClass: "sv-hidden" }, [
        _vm._v(_vm._s(_vm.question.locTitle.renderedHtml)),
      ]),
      _vm._v(" "),
      _vm._l(_vm.question.headItems, function (item) {
        return _vm.question.hasHeadItems
          ? _c(_vm.question.itemComponent, {
              key: item.value,
              tag: "component",
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm._l(_vm.question.bodyItems, function (item) {
        return !_vm.question.hasColumns && !_vm.question.blockedRow
          ? _c(_vm.question.itemComponent, {
              key: item.value,
              tag: "component",
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm.question.blockedRow
        ? _c(
            "div",
            { class: _vm.question.cssClasses.rootRow },
            _vm._l(_vm.question.dataChoices, function (item) {
              return !_vm.question.hasColumns && _vm.question.blockedRow
                ? _c(_vm.question.itemComponent, {
                    key: item.value,
                    tag: "component",
                    attrs: { question: _vm.question, item: item },
                  })
                : _vm._e()
            }),
            1
          )
        : _vm._e(),
      _vm._v(" "),
      _vm.question.hasColumns
        ? _c(
            "div",
            { class: _vm.question.cssClasses.rootMultiColumn },
            _vm._l(_vm.question.columns, function (column, colIndex) {
              return _c(
                "div",
                {
                  key: colIndex,
                  class: _vm.question.getColumnClass(),
                  attrs: { role: "presentation" },
                },
                _vm._l(column, function (item) {
                  return _c(_vm.question.itemComponent, {
                    key: item.value,
                    tag: "component",
                    attrs: { question: _vm.question, item: item },
                  })
                }),
                1
              )
            }),
            0
          )
        : _vm._e(),
      _vm._v(" "),
      _vm._l(_vm.question.footItems, function (item) {
        return _vm.question.hasFootItems
          ? _c(_vm.question.itemComponent, {
              key: item.value,
              tag: "component",
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm.question.renderedValue && _vm.question.isOtherSelected
        ? _c("survey-other-choice", { attrs: { question: _vm.question } })
        : _vm._e(),
    ],
    2
  )
}
var checkboxvue_type_template_id_cad276f6_staticRenderFns = []
checkboxvue_type_template_id_cad276f6_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/checkbox.vue?vue&type=template&id=cad276f6&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/checkbox.vue?vue&type=script&lang=ts&
var checkboxvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var checkboxvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var checkboxvue_type_script_lang_ts_Checkbox = /** @class */ (function (_super) {
    checkboxvue_type_script_lang_ts_extends(Checkbox, _super);
    function Checkbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Checkbox = checkboxvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Checkbox);
    return Checkbox;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-checkbox", checkboxvue_type_script_lang_ts_Checkbox);
/* harmony default export */ var checkboxvue_type_script_lang_ts_ = (checkboxvue_type_script_lang_ts_Checkbox);

// CONCATENATED MODULE: ./src/vue/checkbox.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_checkboxvue_type_script_lang_ts_ = (checkboxvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/checkbox.vue





/* normalize component */

var checkbox_component = normalizeComponent(
  vue_checkboxvue_type_script_lang_ts_,
  checkboxvue_type_template_id_cad276f6_render,
  checkboxvue_type_template_id_cad276f6_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var checkbox_api; }
checkbox_component.options.__file = "src/vue/checkbox.vue"
/* harmony default export */ var vue_checkbox = (checkbox_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/checkboxitem.vue?vue&type=template&id=c58c80d0&
var checkboxitemvue_type_template_id_c58c80d0_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getItemClass(_vm.item),
      attrs: { role: "presentation" },
    },
    [
      _c("label", { class: _vm.question.getLabelClass(_vm.item) }, [
        _c("input", {
          class: _vm.question.cssClasses.itemControl,
          attrs: {
            type: "checkbox",
            name: _vm.question.name + _vm.item.id,
            required: _vm.question.hasRequiredError(),
            id: _vm.question.getItemId(_vm.item),
            disabled: !_vm.question.getItemEnabled(_vm.item),
            readonly: _vm.question.isReadOnlyAttr,
          },
          domProps: {
            checked: _vm.question.isItemSelected(_vm.item),
            value: _vm.item.value,
          },
          on: {
            input: function (e) {
              _vm.question.clickItemHandler(_vm.item, e.target.checked)
            },
          },
        }),
        _vm.question.cssClasses.materialDecorator
          ? _c("span", { class: _vm.question.cssClasses.materialDecorator }, [
              _vm.question.itemSvgIcon
                ? _c("svg", { class: _vm.question.cssClasses.itemDecorator }, [
                    _c("use", {
                      attrs: { "xlink:href": _vm.question.itemSvgIcon },
                    }),
                  ])
                : _vm._e(),
            ])
          : _vm._e(),
        !_vm.hideLabel
          ? _c(
              "span",
              { class: _vm.question.cssClasses.controlLabel },
              [_c("survey-string", { attrs: { locString: _vm.item.locText } })],
              1
            )
          : _vm._e(),
      ]),
    ]
  )
}
var checkboxitemvue_type_template_id_c58c80d0_staticRenderFns = []
checkboxitemvue_type_template_id_c58c80d0_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/checkboxitem.vue?vue&type=template&id=c58c80d0&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/checkboxitem.vue?vue&type=script&lang=ts&
var checkboxitemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var checkboxitemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var checkboxitemvue_type_script_lang_ts_CheckboxItem = /** @class */ (function (_super) {
    checkboxitemvue_type_script_lang_ts_extends(CheckboxItem, _super);
    function CheckboxItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CheckboxItem.prototype.getModel = function () {
        return this.item;
    };
    checkboxitemvue_type_script_lang_ts_decorate([
        Prop()
    ], CheckboxItem.prototype, "question", void 0);
    checkboxitemvue_type_script_lang_ts_decorate([
        Prop()
    ], CheckboxItem.prototype, "item", void 0);
    checkboxitemvue_type_script_lang_ts_decorate([
        Prop()
    ], CheckboxItem.prototype, "hideLabel", void 0);
    CheckboxItem = checkboxitemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], CheckboxItem);
    return CheckboxItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-checkbox-item", checkboxitemvue_type_script_lang_ts_CheckboxItem);
/* harmony default export */ var checkboxitemvue_type_script_lang_ts_ = (checkboxitemvue_type_script_lang_ts_CheckboxItem);

// CONCATENATED MODULE: ./src/vue/checkboxitem.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_checkboxitemvue_type_script_lang_ts_ = (checkboxitemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/checkboxitem.vue





/* normalize component */

var checkboxitem_component = normalizeComponent(
  vue_checkboxitemvue_type_script_lang_ts_,
  checkboxitemvue_type_template_id_c58c80d0_render,
  checkboxitemvue_type_template_id_c58c80d0_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var checkboxitem_api; }
checkboxitem_component.options.__file = "src/vue/checkboxitem.vue"
/* harmony default export */ var checkboxitem = (checkboxitem_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/buttongroup.vue?vue&type=template&id=6bdc7abb&
var buttongroupvue_type_template_id_6bdc7abb_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.root, attrs: { role: "group" } },
    [
      _vm._l(_vm.question.visibleChoices, function (item, index) {
        return [
          _c("sv-button-group-item", {
            key: _vm.question.inputId + "_" + index,
            attrs: { item: item, question: _vm.question, index: index },
          }),
        ]
      }),
    ],
    2
  )
}
var buttongroupvue_type_template_id_6bdc7abb_staticRenderFns = []
buttongroupvue_type_template_id_6bdc7abb_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/buttongroup.vue?vue&type=template&id=6bdc7abb&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/buttongroup.vue?vue&type=script&lang=ts&
var buttongroupvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var buttongroupvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var buttongroupvue_type_script_lang_ts_ButtonGroup = /** @class */ (function (_super) {
    buttongroupvue_type_script_lang_ts_extends(ButtonGroup, _super);
    function ButtonGroup() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ButtonGroup.prototype.getModel = function () {
        return this.question;
    };
    buttongroupvue_type_script_lang_ts_decorate([
        Prop()
    ], ButtonGroup.prototype, "question", void 0);
    ButtonGroup = buttongroupvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ButtonGroup);
    return ButtonGroup;
}(question_QuestionVue));

// Vue.component("survey-buttongroup", ButtonGroup);
/* harmony default export */ var buttongroupvue_type_script_lang_ts_ = (buttongroupvue_type_script_lang_ts_ButtonGroup);

// CONCATENATED MODULE: ./src/vue/buttongroup.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_buttongroupvue_type_script_lang_ts_ = (buttongroupvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/buttongroup.vue





/* normalize component */

var buttongroup_component = normalizeComponent(
  vue_buttongroupvue_type_script_lang_ts_,
  buttongroupvue_type_template_id_6bdc7abb_render,
  buttongroupvue_type_template_id_6bdc7abb_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var buttongroup_api; }
buttongroup_component.options.__file = "src/vue/buttongroup.vue"
/* harmony default export */ var buttongroup = (buttongroup_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/buttongroupitem.vue?vue&type=template&id=4bad6ace&
var buttongroupitemvue_type_template_id_4bad6ace_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      class: _vm.model.css.label,
      attrs: { title: _vm.model.caption.renderedHtml },
    },
    [
      _c("input", {
        directives: [
          {
            name: "model",
            rawName: "v-model",
            value: _vm.model.question.renderedValue,
            expression: "model.question.renderedValue",
          },
        ],
        class: _vm.model.css.control,
        attrs: {
          type: "radio",
          name: _vm.model.name,
          id: _vm.model.id,
          role: "radio",
          "aria-required": _vm.model.isRequired,
          "aria-label": _vm.model.caption.renderedHtml,
          "aria-invalid": _vm.model.hasErrors,
          "aria-errormessage": _vm.model.describedBy,
          disabled: _vm.model.readOnly,
        },
        domProps: {
          value: _vm.model.value,
          checked: _vm._q(_vm.model.question.renderedValue, _vm.model.value),
        },
        on: {
          change: function ($event) {
            return _vm.$set(
              _vm.model.question,
              "renderedValue",
              _vm.model.value
            )
          },
        },
      }),
      _vm._v(" "),
      _c(
        "div",
        { class: _vm.model.css.decorator },
        [
          !!_vm.model.iconName
            ? _c("sv-svg-icon", {
                class: _vm.model.css.icon,
                attrs: {
                  iconName: _vm.model.iconName,
                  size: _vm.model.iconSize,
                },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.model.showCaption
            ? _c(
                "span",
                { class: _vm.model.css.caption },
                [
                  _c("survey-string", {
                    attrs: { locString: _vm.model.caption },
                  }),
                ],
                1
              )
            : _vm._e(),
        ],
        1
      ),
    ]
  )
}
var buttongroupitemvue_type_template_id_4bad6ace_staticRenderFns = []
buttongroupitemvue_type_template_id_4bad6ace_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/buttongroupitem.vue?vue&type=template&id=4bad6ace&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/buttongroupitem.vue?vue&type=script&lang=ts&
var buttongroupitemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var buttongroupitemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var buttongroupitemvue_type_script_lang_ts_ButtonGroupItem = /** @class */ (function (_super) {
    buttongroupitemvue_type_script_lang_ts_extends(ButtonGroupItem, _super);
    function ButtonGroupItem(props) {
        var _this = _super.call(this, props) || this;
        _this.model = new external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["ButtonGroupItemModel"](_this.question, _this.item, _this.index);
        return _this;
    }
    ButtonGroupItem.prototype.getModel = function () {
        return this.item;
    };
    buttongroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], ButtonGroupItem.prototype, "item", void 0);
    buttongroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], ButtonGroupItem.prototype, "question", void 0);
    buttongroupitemvue_type_script_lang_ts_decorate([
        Prop()
    ], ButtonGroupItem.prototype, "index", void 0);
    ButtonGroupItem = buttongroupitemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ButtonGroupItem);
    return ButtonGroupItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-button-group-item", buttongroupitemvue_type_script_lang_ts_ButtonGroupItem);
/* harmony default export */ var buttongroupitemvue_type_script_lang_ts_ = (buttongroupitemvue_type_script_lang_ts_ButtonGroupItem);

// CONCATENATED MODULE: ./src/vue/buttongroupitem.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_buttongroupitemvue_type_script_lang_ts_ = (buttongroupitemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/buttongroupitem.vue





/* normalize component */

var buttongroupitem_component = normalizeComponent(
  vue_buttongroupitemvue_type_script_lang_ts_,
  buttongroupitemvue_type_template_id_4bad6ace_render,
  buttongroupitemvue_type_template_id_4bad6ace_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var buttongroupitem_api; }
buttongroupitem_component.options.__file = "src/vue/buttongroupitem.vue"
/* harmony default export */ var buttongroupitem = (buttongroupitem_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/text.vue?vue&type=template&id=40ece422&
var textvue_type_template_id_40ece422_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.isReadOnlyRenderDiv()
    ? _c("div", [_vm._v(_vm._s(_vm.question.value))])
    : _vm.question.dataListId
    ? _c(
        "div",
        [
          _c("survey-text-input", { attrs: { question: _vm.question } }),
          _vm._v(" "),
          _c(
            "datalist",
            { attrs: { id: _vm.question.dataListId } },
            _vm._l(_vm.question.dataList, function (item, index) {
              return _c("option", { key: index, domProps: { value: item } })
            }),
            0
          ),
        ],
        1
      )
    : _c("survey-text-input", { attrs: { question: _vm.question } })
}
var textvue_type_template_id_40ece422_staticRenderFns = []
textvue_type_template_id_40ece422_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/text.vue?vue&type=template&id=40ece422&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/text.vue?vue&type=script&lang=ts&
var textvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var textvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var textvue_type_script_lang_ts_QuestionText = /** @class */ (function (_super) {
    textvue_type_script_lang_ts_extends(QuestionText, _super);
    function QuestionText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    QuestionText = textvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], QuestionText);
    return QuestionText;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-text", textvue_type_script_lang_ts_QuestionText);
/* harmony default export */ var textvue_type_script_lang_ts_ = (textvue_type_script_lang_ts_QuestionText);

// CONCATENATED MODULE: ./src/vue/text.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_textvue_type_script_lang_ts_ = (textvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/text.vue





/* normalize component */

var text_component = normalizeComponent(
  vue_textvue_type_script_lang_ts_,
  textvue_type_template_id_40ece422_render,
  textvue_type_template_id_40ece422_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var text_api; }
text_component.options.__file = "src/vue/text.vue"
/* harmony default export */ var vue_text = (text_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/text-input.vue?vue&type=template&id=4776b5ec&
var text_inputvue_type_template_id_4776b5ec_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return !_vm.question.getMaxLength()
    ? _c("input", {
        class: _vm.question.getControlClass(),
        style: _vm.inputStyle,
        attrs: {
          disabled: _vm.question.isDisabledAttr,
          readonly: _vm.question.isReadOnlyAttr,
          type: _vm.question.inputType,
          maxlength: _vm.question.getMaxLength(),
          min: _vm.question.renderedMin,
          max: _vm.question.renderedMax,
          step: _vm.question.renderedStep,
          size: _vm.question.renderedInputSize,
          id: _vm.question.inputId,
          list: _vm.question.dataListId,
          placeholder: _vm.question.renderedPlaceholder,
          autocomplete: _vm.question.autocomplete,
          "aria-required": _vm.question.a11y_input_ariaRequired,
          "aria-label": _vm.question.a11y_input_ariaLabel,
          "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
          "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
          "aria-invalid": _vm.question.a11y_input_ariaInvalid,
          "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
        },
        domProps: { value: _vm.question.inputValue },
        on: {
          change: _vm.question.onChange,
          keyup: _vm.question.onKeyUp,
          keydown: _vm.question.onKeyDown,
          "composition-update": _vm.question.onCompositionUpdate,
          blur: function (e) {
            _vm.question.onBlur(e)
          },
          focus: function (e) {
            _vm.question.onFocus(e)
          },
        },
      })
    : _c(
        "div",
        [
          _c("input", {
            class: _vm.question.getControlClass(),
            style: _vm.inputStyle,
            attrs: {
              disabled: _vm.question.isDisabledAttr,
              readonly: _vm.question.isReadOnlyAttr,
              type: _vm.question.inputType,
              maxlength: _vm.question.getMaxLength(),
              min: _vm.question.renderedMin,
              max: _vm.question.renderedMax,
              step: _vm.question.renderedStep,
              size: _vm.question.renderedInputSize,
              id: _vm.question.inputId,
              list: _vm.question.dataListId,
              placeholder: _vm.question.renderedPlaceholder,
              autocomplete: _vm.question.autocomplete,
              "aria-required": _vm.question.a11y_input_ariaRequired,
              "aria-label": _vm.question.a11y_input_ariaLabel,
              "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
              "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
              "aria-invalid": _vm.question.a11y_input_ariaInvalid,
              "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
            },
            domProps: { value: _vm.question.inputValue },
            on: {
              change: _vm.question.onChange,
              keyup: _vm.question.onKeyUp,
              keydown: _vm.question.onKeyDown,
              "composition-update": _vm.question.onCompositionUpdate,
              focus: function (e) {
                _vm.question.onFocus(e)
              },
              blur: function (e) {
                _vm.question.onBlur(e)
              },
            },
          }),
          _vm._v(" "),
          _c("sv-character-counter", {
            attrs: {
              counter: _vm.question.characterCounter,
              remainingCharacterCounter:
                _vm.question.cssClasses.remainingCharacterCounter,
            },
          }),
        ],
        1
      )
}
var text_inputvue_type_template_id_4776b5ec_staticRenderFns = []
text_inputvue_type_template_id_4776b5ec_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/text-input.vue?vue&type=template&id=4776b5ec&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/text-input.vue?vue&type=script&lang=ts&
var text_inputvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var text_inputvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var text_inputvue_type_script_lang_ts_QuestionTextInput = /** @class */ (function (_super) {
    text_inputvue_type_script_lang_ts_extends(QuestionTextInput, _super);
    function QuestionTextInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(QuestionTextInput.prototype, "inputStyle", {
        get: function () {
            return this.question.inputStyle;
        },
        enumerable: false,
        configurable: true
    });
    QuestionTextInput.prototype.getModel = function () {
        return this.question;
    };
    text_inputvue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionTextInput.prototype, "question", void 0);
    QuestionTextInput = text_inputvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], QuestionTextInput);
    return QuestionTextInput;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-text-input", text_inputvue_type_script_lang_ts_QuestionTextInput);
/* harmony default export */ var text_inputvue_type_script_lang_ts_ = (text_inputvue_type_script_lang_ts_QuestionTextInput);

// CONCATENATED MODULE: ./src/vue/text-input.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_text_inputvue_type_script_lang_ts_ = (text_inputvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/text-input.vue





/* normalize component */

var text_input_component = normalizeComponent(
  vue_text_inputvue_type_script_lang_ts_,
  text_inputvue_type_template_id_4776b5ec_render,
  text_inputvue_type_template_id_4776b5ec_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var text_input_api; }
text_input_component.options.__file = "src/vue/text-input.vue"
/* harmony default export */ var text_input = (text_input_component.exports);
// CONCATENATED MODULE: ./src/vue/boolean.ts
var boolean_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var boolean_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var boolean_Boolean = /** @class */ (function (_super) {
    boolean_extends(Boolean, _super);
    function Boolean() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Boolean.prototype.onSwitchClick = function (event) {
        this.question.onSwitchClickModel(event);
    };
    Boolean.prototype.onLabelClick = function (event, value) {
        this.question.onLabelClick(event, value);
    };
    Boolean = boolean_decorate([
        vue_class_component_esm
    ], Boolean);
    return Boolean;
}(question_QuestionVue));


// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-switch.vue?vue&type=template&id=70e4aebb&
var boolean_switchvue_type_template_id_70e4aebb_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.cssClasses.root,
      on: {
        keydown: function ($event) {
          return _vm.question.onKeyDownCore($event)
        },
      },
    },
    [
      _c("label", { class: _vm.question.getItemCss() }, [
        _c("input", {
          directives: [
            {
              name: "model",
              rawName: "v-model",
              value: _vm.question.booleanValue,
              expression: "question.booleanValue",
            },
          ],
          class: _vm.question.cssClasses.control,
          attrs: {
            type: "checkbox",
            name: _vm.question.name,
            id: _vm.question.inputId,
            disabled: _vm.question.isDisabledAttr,
            readonly: _vm.question.isReadOnlyAttr,
            role: _vm.question.a11y_input_ariaRole,
            "aria-required": _vm.question.a11y_input_ariaRequired,
            "aria-label": _vm.question.a11y_input_ariaLabel,
            "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
            "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
            "aria-invalid": _vm.question.a11y_input_ariaInvalid,
            "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
          },
          domProps: {
            value: _vm.question.booleanValue,
            indeterminate: _vm.question.isIndeterminate,
            checked: Array.isArray(_vm.question.booleanValue)
              ? _vm._i(_vm.question.booleanValue, _vm.question.booleanValue) >
                -1
              : _vm.question.booleanValue,
          },
          on: {
            change: function ($event) {
              var $$a = _vm.question.booleanValue,
                $$el = $event.target,
                $$c = $$el.checked ? true : false
              if (Array.isArray($$a)) {
                var $$v = _vm.question.booleanValue,
                  $$i = _vm._i($$a, $$v)
                if ($$el.checked) {
                  $$i < 0 &&
                    _vm.$set(_vm.question, "booleanValue", $$a.concat([$$v]))
                } else {
                  $$i > -1 &&
                    _vm.$set(
                      _vm.question,
                      "booleanValue",
                      $$a.slice(0, $$i).concat($$a.slice($$i + 1))
                    )
                }
              } else {
                _vm.$set(_vm.question, "booleanValue", $$c)
              }
            },
          },
        }),
        _vm._v(" "),
        _c(
          "div",
          {
            class: _vm.question.cssClasses.sliderGhost,
            on: {
              click: function ($event) {
                return _vm.onLabelClick($event, _vm.question.swapOrder)
              },
            },
          },
          [
            _c(
              "span",
              { class: _vm.question.getLabelCss(_vm.question.swapOrder) },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locLabelLeft },
                }),
              ],
              1
            ),
          ]
        ),
        _vm._v(" "),
        _c(
          "div",
          {
            class: _vm.question.cssClasses.switch,
            on: {
              click: function ($event) {
                return _vm.onSwitchClick($event)
              },
            },
          },
          [
            _c("span", { class: _vm.question.cssClasses.slider }, [
              _vm.question.cssClasses.sliderText && _vm.question.isDeterminated
                ? _c(
                    "span",
                    { class: _vm.question.cssClasses.sliderText },
                    [
                      _c("survey-string", {
                        attrs: { locString: _vm.question.getCheckedLabel() },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ]),
          ]
        ),
        _vm._v(" "),
        _c(
          "div",
          {
            class: _vm.question.cssClasses.sliderGhost,
            on: {
              click: function ($event) {
                return _vm.onLabelClick($event, !_vm.question.swapOrder)
              },
            },
          },
          [
            _c(
              "span",
              { class: _vm.question.getLabelCss(!_vm.question.swapOrder) },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locLabelRight },
                }),
              ],
              1
            ),
          ]
        ),
      ]),
    ]
  )
}
var boolean_switchvue_type_template_id_70e4aebb_staticRenderFns = []
boolean_switchvue_type_template_id_70e4aebb_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/boolean-switch.vue?vue&type=template&id=70e4aebb&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-switch.vue?vue&type=script&lang=ts&
var boolean_switchvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var boolean_switchvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var boolean_switchvue_type_script_lang_ts_BooleanSwitch = /** @class */ (function (_super) {
    boolean_switchvue_type_script_lang_ts_extends(BooleanSwitch, _super);
    function BooleanSwitch() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BooleanSwitch = boolean_switchvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], BooleanSwitch);
    return BooleanSwitch;
}(boolean_Boolean));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-boolean", boolean_switchvue_type_script_lang_ts_BooleanSwitch);
/* harmony default export */ var boolean_switchvue_type_script_lang_ts_ = (boolean_switchvue_type_script_lang_ts_BooleanSwitch);

// CONCATENATED MODULE: ./src/vue/boolean-switch.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_boolean_switchvue_type_script_lang_ts_ = (boolean_switchvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/boolean-switch.vue





/* normalize component */

var boolean_switch_component = normalizeComponent(
  vue_boolean_switchvue_type_script_lang_ts_,
  boolean_switchvue_type_template_id_70e4aebb_render,
  boolean_switchvue_type_template_id_70e4aebb_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var boolean_switch_api; }
boolean_switch_component.options.__file = "src/vue/boolean-switch.vue"
/* harmony default export */ var boolean_switch = (boolean_switch_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-checkbox.vue?vue&type=template&id=5ccd340a&
var boolean_checkboxvue_type_template_id_5ccd340a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.rootCheckbox }, [
    _c("div", { class: _vm.question.getCheckboxItemCss() }, [
      _c("label", { class: _vm.question.cssClasses.checkboxLabel }, [
        _c("input", {
          directives: [
            {
              name: "model",
              rawName: "v-model",
              value: _vm.question.booleanValue,
              expression: "question.booleanValue",
            },
          ],
          class: _vm.question.cssClasses.controlCheckbox,
          attrs: {
            type: "checkbox",
            name: _vm.question.name,
            id: _vm.question.inputId,
            disabled: _vm.question.isDisabledAttr,
            readonly: _vm.question.isReadOnlyAttr,
            "aria-required": _vm.question.ariaRequired,
            "aria-label": _vm.question.ariaLabel,
            "aria-invalid": _vm.question.ariaInvalid,
            "aria-errormessage": _vm.question.ariaErrormessage,
          },
          domProps: {
            value: _vm.question.booleanValue,
            indeterminate: _vm.question.isIndeterminate,
            checked: Array.isArray(_vm.question.booleanValue)
              ? _vm._i(_vm.question.booleanValue, _vm.question.booleanValue) >
                -1
              : _vm.question.booleanValue,
          },
          on: {
            change: function ($event) {
              var $$a = _vm.question.booleanValue,
                $$el = $event.target,
                $$c = $$el.checked ? true : false
              if (Array.isArray($$a)) {
                var $$v = _vm.question.booleanValue,
                  $$i = _vm._i($$a, $$v)
                if ($$el.checked) {
                  $$i < 0 &&
                    _vm.$set(_vm.question, "booleanValue", $$a.concat([$$v]))
                } else {
                  $$i > -1 &&
                    _vm.$set(
                      _vm.question,
                      "booleanValue",
                      $$a.slice(0, $$i).concat($$a.slice($$i + 1))
                    )
                }
              } else {
                _vm.$set(_vm.question, "booleanValue", $$c)
              }
            },
          },
        }),
        _c(
          "span",
          { class: _vm.question.cssClasses.checkboxMaterialDecorator },
          [
            _vm.question.svgIcon
              ? _c(
                  "svg",
                  { class: _vm.question.cssClasses.checkboxItemDecorator },
                  [_c("use", { attrs: { "xlink:href": _vm.question.svgIcon } })]
                )
              : _vm._e(),
            _c("span", { staticClass: "check" }),
          ]
        ),
        _vm.question.isLabelRendered
          ? _c(
              "span",
              {
                class: _vm.question.cssClasses.checkboxControlLabel,
                attrs: { id: _vm.question.labelRenderedAriaID },
              },
              [
                !_vm.question.hasTitleActions
                  ? _c("survey-element-title-content", {
                      attrs: { element: _vm.question, css: _vm.css },
                    })
                  : _vm._e(),
                _vm._v(" "),
                _vm.question.hasTitleActions
                  ? _c("sv-title-actions", {
                      attrs: { element: _vm.question, css: _vm.css },
                    })
                  : _vm._e(),
              ],
              1
            )
          : _vm._e(),
      ]),
      _vm._v(" "),
      _vm.question.canRenderLabelDescription
        ? _c(
            "div",
            {
              class: _vm.question.cssDescription,
              attrs: { id: _vm.question.ariaDescriptionId },
            },
            [
              _c("survey-string", {
                attrs: { locString: _vm.question.locDescription },
              }),
            ],
            1
          )
        : _vm._e(),
    ]),
  ])
}
var boolean_checkboxvue_type_template_id_5ccd340a_staticRenderFns = []
boolean_checkboxvue_type_template_id_5ccd340a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/boolean-checkbox.vue?vue&type=template&id=5ccd340a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-checkbox.vue?vue&type=script&lang=ts&
var boolean_checkboxvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var boolean_checkboxvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var boolean_checkboxvue_type_script_lang_ts_BooleanCheckbox = /** @class */ (function (_super) {
    boolean_checkboxvue_type_script_lang_ts_extends(BooleanCheckbox, _super);
    function BooleanCheckbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BooleanCheckbox = boolean_checkboxvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], BooleanCheckbox);
    return BooleanCheckbox;
}(boolean_Boolean));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-boolean-checkbox", boolean_checkboxvue_type_script_lang_ts_BooleanCheckbox);
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["RendererFactory"].Instance.registerRenderer("boolean", "checkbox", "sv-boolean-checkbox");
/* harmony default export */ var boolean_checkboxvue_type_script_lang_ts_ = (boolean_checkboxvue_type_script_lang_ts_BooleanCheckbox);

// CONCATENATED MODULE: ./src/vue/boolean-checkbox.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_boolean_checkboxvue_type_script_lang_ts_ = (boolean_checkboxvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/boolean-checkbox.vue





/* normalize component */

var boolean_checkbox_component = normalizeComponent(
  vue_boolean_checkboxvue_type_script_lang_ts_,
  boolean_checkboxvue_type_template_id_5ccd340a_render,
  boolean_checkboxvue_type_template_id_5ccd340a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var boolean_checkbox_api; }
boolean_checkbox_component.options.__file = "src/vue/boolean-checkbox.vue"
/* harmony default export */ var boolean_checkbox = (boolean_checkbox_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-radio.vue?vue&type=template&id=4a238f78&
var boolean_radiovue_type_template_id_4a238f78_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.rootRadio }, [
    _c(
      "fieldset",
      {
        class: _vm.question.cssClasses.radioFieldset,
        attrs: { role: "presentation" },
      },
      [
        _vm.question.swapOrder
          ? _c("sv-boolean-radio-item", {
              key: true,
              attrs: {
                question: _vm.question,
                locText: _vm.question.locLabelTrue,
                value: true,
              },
            })
          : _vm._e(),
        _vm._v(" "),
        _c("sv-boolean-radio-item", {
          key: false,
          attrs: {
            question: _vm.question,
            locText: _vm.question.locLabelFalse,
            value: false,
          },
        }),
        _vm._v(" "),
        !_vm.question.swapOrder
          ? _c("sv-boolean-radio-item", {
              key: true,
              attrs: {
                question: _vm.question,
                locText: _vm.question.locLabelTrue,
                value: true,
              },
            })
          : _vm._e(),
      ],
      1
    ),
  ])
}
var boolean_radiovue_type_template_id_4a238f78_staticRenderFns = []
boolean_radiovue_type_template_id_4a238f78_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/boolean-radio.vue?vue&type=template&id=4a238f78&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-radio.vue?vue&type=script&lang=ts&
var boolean_radiovue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var boolean_radiovue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var boolean_radiovue_type_script_lang_ts_BooleanRadio = /** @class */ (function (_super) {
    boolean_radiovue_type_script_lang_ts_extends(BooleanRadio, _super);
    function BooleanRadio() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BooleanRadio = boolean_radiovue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], BooleanRadio);
    return BooleanRadio;
}(boolean_Boolean));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-boolean-radio", boolean_radiovue_type_script_lang_ts_BooleanRadio);
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["RendererFactory"].Instance.registerRenderer("boolean", "radio", "sv-boolean-radio");
/* harmony default export */ var boolean_radiovue_type_script_lang_ts_ = (boolean_radiovue_type_script_lang_ts_BooleanRadio);

// CONCATENATED MODULE: ./src/vue/boolean-radio.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_boolean_radiovue_type_script_lang_ts_ = (boolean_radiovue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/boolean-radio.vue





/* normalize component */

var boolean_radio_component = normalizeComponent(
  vue_boolean_radiovue_type_script_lang_ts_,
  boolean_radiovue_type_template_id_4a238f78_render,
  boolean_radiovue_type_template_id_4a238f78_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var boolean_radio_api; }
boolean_radio_component.options.__file = "src/vue/boolean-radio.vue"
/* harmony default export */ var boolean_radio = (boolean_radio_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-radio-item.vue?vue&type=template&id=7889d5a8&
var boolean_radio_itemvue_type_template_id_7889d5a8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getRadioItemClass(_vm.question.cssClasses, _vm.value),
      attrs: { role: "presentation" },
    },
    [
      _c("label", { class: _vm.question.cssClasses.radioLabel }, [
        _c("input", {
          class: _vm.question.cssClasses.itemRadioControl,
          attrs: {
            type: "radio",
            name: _vm.question.name,
            "aria-errormessage": _vm.question.ariaErrormessage,
            disabled: _vm.question.isDisabledAttr,
            readonly: _vm.question.isReadOnlyAttr,
          },
          domProps: {
            value: _vm.value,
            checked: _vm.value === _vm.question.booleanValueRendered,
          },
          on: { change: _vm.handleChange },
        }),
        _vm._v(" "),
        _vm.question.cssClasses.materialRadioDecorator
          ? _c(
              "span",
              { class: _vm.question.cssClasses.materialRadioDecorator },
              [
                _vm.question.itemSvgIcon
                  ? _c(
                      "svg",
                      { class: _vm.question.cssClasses.itemRadioDecorator },
                      [
                        _c("use", {
                          attrs: { "xlink:href": _vm.question.itemSvgIcon },
                        }),
                      ]
                    )
                  : _vm._e(),
              ]
            )
          : _vm._e(),
        _vm._v(" "),
        _c(
          "span",
          { class: _vm.question.cssClasses.radioControlLabel },
          [_c("survey-string", { attrs: { locString: _vm.locText } })],
          1
        ),
      ]),
    ]
  )
}
var boolean_radio_itemvue_type_template_id_7889d5a8_staticRenderFns = []
boolean_radio_itemvue_type_template_id_7889d5a8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/boolean-radio-item.vue?vue&type=template&id=7889d5a8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/boolean-radio-item.vue?vue&type=script&lang=ts&
var boolean_radio_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var boolean_radio_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var boolean_radio_itemvue_type_script_lang_ts_BooleanRadioItem = /** @class */ (function (_super) {
    boolean_radio_itemvue_type_script_lang_ts_extends(BooleanRadioItem, _super);
    function BooleanRadioItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleChange = function (event) {
            _this.question.booleanValue = event.target.value == "true";
        };
        return _this;
    }
    boolean_radio_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], BooleanRadioItem.prototype, "question", void 0);
    boolean_radio_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], BooleanRadioItem.prototype, "locText", void 0);
    boolean_radio_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], BooleanRadioItem.prototype, "value", void 0);
    BooleanRadioItem = boolean_radio_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], BooleanRadioItem);
    return BooleanRadioItem;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-boolean-radio-item", boolean_radio_itemvue_type_script_lang_ts_BooleanRadioItem);
/* harmony default export */ var boolean_radio_itemvue_type_script_lang_ts_ = (boolean_radio_itemvue_type_script_lang_ts_BooleanRadioItem);

// CONCATENATED MODULE: ./src/vue/boolean-radio-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_boolean_radio_itemvue_type_script_lang_ts_ = (boolean_radio_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/boolean-radio-item.vue





/* normalize component */

var boolean_radio_item_component = normalizeComponent(
  vue_boolean_radio_itemvue_type_script_lang_ts_,
  boolean_radio_itemvue_type_template_id_7889d5a8_render,
  boolean_radio_itemvue_type_template_id_7889d5a8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var boolean_radio_item_api; }
boolean_radio_item_component.options.__file = "src/vue/boolean-radio-item.vue"
/* harmony default export */ var boolean_radio_item = (boolean_radio_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/empty.vue?vue&type=template&id=05052c0a&
var emptyvue_type_template_id_05052c0a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div")
}
var emptyvue_type_template_id_05052c0a_staticRenderFns = []
emptyvue_type_template_id_05052c0a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/empty.vue?vue&type=template&id=05052c0a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/empty.vue?vue&type=script&lang=ts&
var emptyvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var emptyvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var emptyvue_type_script_lang_ts_Empty = /** @class */ (function (_super) {
    emptyvue_type_script_lang_ts_extends(Empty, _super);
    function Empty() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Empty = emptyvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Empty);
    return Empty;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-empty", emptyvue_type_script_lang_ts_Empty);
/* harmony default export */ var emptyvue_type_script_lang_ts_ = (emptyvue_type_script_lang_ts_Empty);

// CONCATENATED MODULE: ./src/vue/empty.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_emptyvue_type_script_lang_ts_ = (emptyvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/empty.vue





/* normalize component */

var empty_component = normalizeComponent(
  vue_emptyvue_type_script_lang_ts_,
  emptyvue_type_template_id_05052c0a_render,
  emptyvue_type_template_id_05052c0a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var empty_api; }
empty_component.options.__file = "src/vue/empty.vue"
/* harmony default export */ var empty = (empty_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/multipletext.vue?vue&type=template&id=93fe4c02&
var multipletextvue_type_template_id_93fe4c02_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("table", { class: _vm.question.getQuestionRootCss() }, [
    _c(
      "tbody",
      [
        _vm._l(_vm.question.getRows(), function (row, rowIndex) {
          return [
            row.isVisible
              ? _c(
                  "tr",
                  {
                    key: _vm.question.inputId + "rowkey" + rowIndex,
                    class: _vm.question.cssClasses.row,
                  },
                  _vm._l(row.cells, function (cell) {
                    return _c(
                      "td",
                      {
                        key: "item" + cell.item.editor.id,
                        class: cell.className,
                      },
                      [
                        _c("survey-multipletext-item", {
                          attrs: { question: _vm.question, cell: cell },
                        }),
                      ],
                      1
                    )
                  }),
                  0
                )
              : _vm._e(),
          ]
        }),
      ],
      2
    ),
  ])
}
var multipletextvue_type_template_id_93fe4c02_staticRenderFns = []
multipletextvue_type_template_id_93fe4c02_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/multipletext.vue?vue&type=template&id=93fe4c02&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/multipletext.vue?vue&type=script&lang=ts&
var multipletextvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var multipletextvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var multipletextvue_type_script_lang_ts_MultipleText = /** @class */ (function (_super) {
    multipletextvue_type_script_lang_ts_extends(MultipleText, _super);
    function MultipleText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MultipleText = multipletextvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MultipleText);
    return MultipleText;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-multipletext", multipletextvue_type_script_lang_ts_MultipleText);
/* harmony default export */ var multipletextvue_type_script_lang_ts_ = (multipletextvue_type_script_lang_ts_MultipleText);

// CONCATENATED MODULE: ./src/vue/multipletext.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_multipletextvue_type_script_lang_ts_ = (multipletextvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/multipletext.vue





/* normalize component */

var multipletext_component = normalizeComponent(
  vue_multipletextvue_type_script_lang_ts_,
  multipletextvue_type_template_id_93fe4c02_render,
  multipletextvue_type_template_id_93fe4c02_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var multipletext_api; }
multipletext_component.options.__file = "src/vue/multipletext.vue"
/* harmony default export */ var multipletext = (multipletext_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/multipletextitem.vue?vue&type=template&id=22488812&
var multipletextitemvue_type_template_id_22488812_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return !_vm.cell.isErrorsCell
    ? _c("label", { class: _vm.question.getItemLabelCss(_vm.item) }, [
        _c(
          "span",
          {
            class: _vm.question.getItemTitleCss(),
            style: {
              minWidth: _vm.question.itemTitleWidth,
              width: _vm.question.itemTitleWidth,
            },
          },
          [
            _vm.item.editor.isRequireTextBeforeTitle ||
            _vm.item.editor.isRequireTextOnStart
              ? _c("span", { class: _vm.question.cssClasses.requiredText }, [
                  _vm._v(_vm._s(_vm.item.editor.requiredText)),
                ])
              : _vm._e(),
            _vm._v(" "),
            _c("survey-string", { attrs: { locString: _vm.item.locTitle } }),
            _vm._v(" "),
            _vm.item.editor.isRequireTextAfterTitle
              ? _c("span", [_vm._v(" ")])
              : _vm._e(),
            _vm._v(" "),
            _vm.item.editor.isRequireTextAfterTitle
              ? _c(
                  "span",
                  {
                    class: _vm.question.cssClasses.requiredText,
                    attrs: { "aria-hidden": "true" },
                  },
                  [_vm._v(_vm._s(_vm.item.editor.requiredText))]
                )
              : _vm._e(),
          ],
          1
        ),
        _vm._v(" "),
        _c(
          "div",
          {
            key: _vm.item.editor.id,
            class: _vm.question.getItemCss(),
            on: {
              focusin: function ($event) {
                return _vm.item.focusIn()
              },
            },
          },
          [
            _c(_vm.getComponentName(_vm.item.editor), {
              tag: "component",
              attrs: { question: _vm.item.editor },
            }),
          ],
          1
        ),
      ])
    : _c("survey-errors", { attrs: { element: _vm.item.editor } })
}
var multipletextitemvue_type_template_id_22488812_staticRenderFns = []
multipletextitemvue_type_template_id_22488812_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/multipletextitem.vue?vue&type=template&id=22488812&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/multipletextitem.vue?vue&type=script&lang=ts&
var multipletextitemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var multipletextitemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var multipletextitemvue_type_script_lang_ts_MultipleTextItem = /** @class */ (function (_super) {
    multipletextitemvue_type_script_lang_ts_extends(MultipleTextItem, _super);
    function MultipleTextItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MultipleTextItem.prototype.getModel = function () {
        return this.cell.item.editor;
    };
    Object.defineProperty(MultipleTextItem.prototype, "item", {
        get: function () {
            return this.cell.item;
        },
        enumerable: false,
        configurable: true
    });
    MultipleTextItem.prototype.getComponentName = function (question) {
        return getComponentName(question);
    };
    multipletextitemvue_type_script_lang_ts_decorate([
        Prop()
    ], MultipleTextItem.prototype, "question", void 0);
    multipletextitemvue_type_script_lang_ts_decorate([
        Prop()
    ], MultipleTextItem.prototype, "cell", void 0);
    MultipleTextItem = multipletextitemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MultipleTextItem);
    return MultipleTextItem;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-multipletext-item", multipletextitemvue_type_script_lang_ts_MultipleTextItem);
/* harmony default export */ var multipletextitemvue_type_script_lang_ts_ = (multipletextitemvue_type_script_lang_ts_MultipleTextItem);

// CONCATENATED MODULE: ./src/vue/multipletextitem.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_multipletextitemvue_type_script_lang_ts_ = (multipletextitemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/multipletextitem.vue





/* normalize component */

var multipletextitem_component = normalizeComponent(
  vue_multipletextitemvue_type_script_lang_ts_,
  multipletextitemvue_type_template_id_22488812_render,
  multipletextitemvue_type_template_id_22488812_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var multipletextitem_api; }
multipletextitem_component.options.__file = "src/vue/multipletextitem.vue"
/* harmony default export */ var multipletextitem = (multipletextitem_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrix.vue?vue&type=template&id=7fa2f403&
var matrixvue_type_template_id_7fa2f403_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.tableWrapper }, [
    _c("fieldset", [
      _c("legend", { staticClass: "sv-hidden" }, [
        _vm._v(_vm._s(_vm.question.locTitle.renderedHtml)),
      ]),
      _vm._v(" "),
      _c("table", { class: _vm.question.getTableCss() }, [
        _vm.question.showHeader
          ? _c("thead", [
              _c(
                "tr",
                [
                  _vm.question.hasRows ? _c("td") : _vm._e(),
                  _vm._v(" "),
                  _vm._l(
                    _vm.question.visibleColumns,
                    function (column, columnIndex) {
                      return _c(
                        "th",
                        {
                          key: columnIndex,
                          class: _vm.question.cssClasses.headerCell,
                          style: {
                            minWidth: _vm.question.columnMinWidth,
                            width: _vm.question.columnMinWidth,
                          },
                        },
                        [
                          _c("survey-string", {
                            attrs: { locString: column.locText },
                          }),
                        ],
                        1
                      )
                    }
                  ),
                ],
                2
              ),
            ])
          : _vm._e(),
        _vm._v(" "),
        _c(
          "tbody",
          _vm._l(_vm.question.visibleRows, function (row, rowIndex) {
            return _c(
              "tr",
              {
                key: "row_" + row.name + "_" + rowIndex,
                class: row.rowClasses || undefined,
              },
              [
                _c(
                  "td",
                  {
                    directives: [
                      {
                        name: "show",
                        rawName: "v-show",
                        value: _vm.question.hasRows,
                        expression: "question.hasRows",
                      },
                    ],
                    class: row.rowTextClasses,
                    style: {
                      minWidth: _vm.question.rowTitleWidth,
                      width: _vm.question.rowTitleWidth,
                    },
                  },
                  [_c("survey-string", { attrs: { locString: row.locText } })],
                  1
                ),
                _vm._v(" "),
                _vm._l(
                  _vm.question.visibleColumns,
                  function (column, columnIndex) {
                    return _vm.question.hasCellText
                      ? _c(
                          "td",
                          {
                            key: columnIndex,
                            class: _vm.question.getItemClass(row, column),
                            on: {
                              click: function ($event) {
                                return _vm.cellClick(row, column)
                              },
                            },
                          },
                          [
                            _c("survey-string", {
                              attrs: {
                                locString: _vm.question.getCellDisplayLocText(
                                  row.name,
                                  column
                                ),
                              },
                            }),
                          ],
                          1
                        )
                      : _vm._e()
                  }
                ),
                _vm._v(" "),
                _vm._l(
                  _vm.question.visibleColumns,
                  function (column, columnIndex) {
                    return !_vm.question.hasCellText
                      ? _c(
                          "td",
                          {
                            key: columnIndex,
                            class: _vm.question.cssClasses.cell,
                            attrs: {
                              "data-responsive-title":
                                column.locText.renderedHtml,
                            },
                            on: {
                              click: function ($event) {
                                return _vm.cellClick(row, column)
                              },
                            },
                          },
                          [
                            _c(_vm.question.cellComponent, {
                              tag: "component",
                              attrs: {
                                question: _vm.question,
                                row: row,
                                column: column,
                                columnIndex: columnIndex,
                              },
                            }),
                          ],
                          1
                        )
                      : _vm._e()
                  }
                ),
              ],
              2
            )
          }),
          0
        ),
      ]),
    ]),
  ])
}
var matrixvue_type_template_id_7fa2f403_staticRenderFns = []
matrixvue_type_template_id_7fa2f403_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrix.vue?vue&type=template&id=7fa2f403&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrix.vue?vue&type=script&lang=ts&
var matrixvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var matrixvue_type_script_lang_ts_Matrix = /** @class */ (function (_super) {
    matrixvue_type_script_lang_ts_extends(Matrix, _super);
    function Matrix() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Matrix.prototype.cellClick = function (row, column) {
        row.value = column.value;
    };
    Matrix = matrixvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Matrix);
    return Matrix;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrix", matrixvue_type_script_lang_ts_Matrix);
/* harmony default export */ var matrixvue_type_script_lang_ts_ = (matrixvue_type_script_lang_ts_Matrix);

// CONCATENATED MODULE: ./src/vue/matrix.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixvue_type_script_lang_ts_ = (matrixvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrix.vue





/* normalize component */

var matrix_component = normalizeComponent(
  vue_matrixvue_type_script_lang_ts_,
  matrixvue_type_template_id_7fa2f403_render,
  matrixvue_type_template_id_7fa2f403_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrix_api; }
matrix_component.options.__file = "src/vue/matrix.vue"
/* harmony default export */ var matrix = (matrix_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/dropdown.vue?vue&type=template&id=6b3215d3&
var dropdownvue_type_template_id_6b3215d3_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.renderCssRoot },
    [
      _c("sv-dropdown", { attrs: { question: _vm.question } }),
      _vm._v(" "),
      _vm.question.isOtherSelected
        ? _c("survey-other-choice", { attrs: { question: _vm.question } })
        : _vm._e(),
    ],
    1
  )
}
var dropdownvue_type_template_id_6b3215d3_staticRenderFns = []
dropdownvue_type_template_id_6b3215d3_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/dropdown.vue?vue&type=template&id=6b3215d3&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/dropdown.vue?vue&type=script&lang=ts&
var dropdownvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var dropdownvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var dropdownvue_type_script_lang_ts_Dropdown = /** @class */ (function (_super) {
    dropdownvue_type_script_lang_ts_extends(Dropdown, _super);
    function Dropdown() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Dropdown = dropdownvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Dropdown);
    return Dropdown;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-dropdown", dropdownvue_type_script_lang_ts_Dropdown);
/* harmony default export */ var dropdownvue_type_script_lang_ts_ = (dropdownvue_type_script_lang_ts_Dropdown);

// CONCATENATED MODULE: ./src/vue/dropdown.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_dropdownvue_type_script_lang_ts_ = (dropdownvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/dropdown.vue





/* normalize component */

var dropdown_component = normalizeComponent(
  vue_dropdownvue_type_script_lang_ts_,
  dropdownvue_type_template_id_6b3215d3_render,
  dropdownvue_type_template_id_6b3215d3_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var dropdown_api; }
dropdown_component.options.__file = "src/vue/dropdown.vue"
/* harmony default export */ var dropdown = (dropdown_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/dropdown-select.vue?vue&type=template&id=8199ec34&
var dropdown_selectvue_type_template_id_8199ec34_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.renderCssRoot },
    [
      _c("div", { class: _vm.question.cssClasses.selectWrapper }, [
        !_vm.question.isReadOnly
          ? _c(
              "select",
              {
                directives: [
                  {
                    name: "model",
                    rawName: "v-model",
                    value: _vm.question.renderedValue,
                    expression: "question.renderedValue",
                  },
                ],
                class: _vm.question.getControlClass(),
                attrs: {
                  id: _vm.question.inputId,
                  autocomplete: _vm.question.autocomplete,
                  "aria-required": _vm.question.ariaRequired,
                  "aria-label": _vm.question.ariaLabel,
                  "aria-invalid": _vm.question.ariaInvalid,
                  "aria-errormessage": _vm.question.ariaErrormessage,
                  required: _vm.question.isRequired,
                },
                on: {
                  click: _vm.click,
                  keyup: _vm.keyUp,
                  change: function ($event) {
                    var $$selectedVal = Array.prototype.filter
                      .call($event.target.options, function (o) {
                        return o.selected
                      })
                      .map(function (o) {
                        var val = "_value" in o ? o._value : o.value
                        return val
                      })
                    _vm.$set(
                      _vm.question,
                      "renderedValue",
                      $event.target.multiple ? $$selectedVal : $$selectedVal[0]
                    )
                  },
                },
              },
              [
                _vm.question.allowClear
                  ? _c("option", { domProps: { value: undefined } }, [
                      _vm._v(_vm._s(_vm.question.placeholder)),
                    ])
                  : _vm._e(),
                _vm._v(" "),
                _vm._l(_vm.question.visibleChoices, function (item) {
                  return _c("sv-dropdown-option-item", {
                    key: item.id,
                    attrs: { item: item },
                  })
                }),
              ],
              2
            )
          : _c(
              "div",
              {
                class: _vm.question.getControlClass(),
                attrs: { disabled: "", id: _vm.question.inputId },
              },
              [_vm._v(_vm._s(_vm.question.readOnlyText))]
            ),
        _vm._v(" "),
        _vm.question.cssClasses.chevronButtonIconId
          ? _c(
              "div",
              { class: _vm.question.cssClasses.chevronButton },
              [
                _c("sv-svg-icon", {
                  class: _vm.question.cssClasses.chevronButtonSvg,
                  attrs: {
                    iconName: _vm.question.cssClasses.chevronButtonIconId,
                    size: "auto",
                  },
                }),
              ],
              1
            )
          : _vm._e(),
      ]),
      _vm._v(" "),
      _vm.question.isOtherSelected
        ? _c("survey-other-choice", { attrs: { question: _vm.question } })
        : _vm._e(),
    ],
    1
  )
}
var dropdown_selectvue_type_template_id_8199ec34_staticRenderFns = []
dropdown_selectvue_type_template_id_8199ec34_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/dropdown-select.vue?vue&type=template&id=8199ec34&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/dropdown-select.vue?vue&type=script&lang=ts&
var dropdown_selectvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var dropdown_selectvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var dropdown_selectvue_type_script_lang_ts_DropdownSelect = /** @class */ (function (_super) {
    dropdown_selectvue_type_script_lang_ts_extends(DropdownSelect, _super);
    function DropdownSelect() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DropdownSelect.prototype.click = function (event) {
        this.question.onClick(event);
    };
    DropdownSelect.prototype.keyUp = function (event) {
        this.question.onKeyUp(event);
    };
    DropdownSelect = dropdown_selectvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], DropdownSelect);
    return DropdownSelect;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-dropdown-select", dropdown_selectvue_type_script_lang_ts_DropdownSelect);
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["RendererFactory"].Instance.registerRenderer("dropdown", "select", "sv-dropdown-select");
/* harmony default export */ var dropdown_selectvue_type_script_lang_ts_ = (dropdown_selectvue_type_script_lang_ts_DropdownSelect);

// CONCATENATED MODULE: ./src/vue/dropdown-select.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_dropdown_selectvue_type_script_lang_ts_ = (dropdown_selectvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/dropdown-select.vue





/* normalize component */

var dropdown_select_component = normalizeComponent(
  vue_dropdown_selectvue_type_script_lang_ts_,
  dropdown_selectvue_type_template_id_8199ec34_render,
  dropdown_selectvue_type_template_id_8199ec34_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var dropdown_select_api; }
dropdown_select_component.options.__file = "src/vue/dropdown-select.vue"
/* harmony default export */ var dropdown_select = (dropdown_select_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/tagbox.vue?vue&type=template&id=b9e1b79a&
var tagboxvue_type_template_id_b9e1b79a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.renderCssRoot },
    [
      _c("sv-tagbox", { attrs: { question: _vm.question } }),
      _vm._v(" "),
      _vm.question.isOtherSelected
        ? _c("survey-other-choice", { attrs: { question: _vm.question } })
        : _vm._e(),
    ],
    1
  )
}
var tagboxvue_type_template_id_b9e1b79a_staticRenderFns = []
tagboxvue_type_template_id_b9e1b79a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/tagbox.vue?vue&type=template&id=b9e1b79a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/tagbox.vue?vue&type=script&lang=ts&
var tagboxvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var tagboxvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var tagboxvue_type_script_lang_ts_Tagbox = /** @class */ (function (_super) {
    tagboxvue_type_script_lang_ts_extends(Tagbox, _super);
    function Tagbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tagbox = tagboxvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Tagbox);
    return Tagbox;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-tagbox", tagboxvue_type_script_lang_ts_Tagbox);
/* harmony default export */ var tagboxvue_type_script_lang_ts_ = (tagboxvue_type_script_lang_ts_Tagbox);

// CONCATENATED MODULE: ./src/vue/tagbox.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_tagboxvue_type_script_lang_ts_ = (tagboxvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/tagbox.vue





/* normalize component */

var tagbox_component = normalizeComponent(
  vue_tagboxvue_type_script_lang_ts_,
  tagboxvue_type_template_id_b9e1b79a_render,
  tagboxvue_type_template_id_b9e1b79a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var tagbox_api; }
tagbox_component.options.__file = "src/vue/tagbox.vue"
/* harmony default export */ var tagbox = (tagbox_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file.vue?vue&type=template&id=20f70284&
var filevue_type_template_id_20f70284_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.fileRootCss }, [
    !_vm.question.isReadOnlyAttr &&
    !_vm.question.isDisabledAttr &&
    _vm.question.hasFileUI
      ? _c("input", {
          class: _vm.question.cssClasses.fileInput,
          attrs: {
            tabindex: "-1",
            type: "file",
            id: _vm.question.inputId,
            "aria-required": _vm.question.ariaRequired,
            "aria-label": _vm.question.ariaLabel,
            "aria-invalid": _vm.question.ariaInvalid,
            "aria-errormessage": _vm.question.ariaErrormessage,
            multiple: _vm.question.allowMultiple,
            title: _vm.question.inputTitle,
            accept: _vm.question.acceptedTypes,
            capture: _vm.question.renderCapture,
          },
        })
      : _vm._e(),
    _vm._v(" "),
    _vm.question.isReadOnlyAttr
      ? _c("input", {
          class: _vm.question.getReadOnlyFileCss(),
          staticStyle: { color: "transparent" },
          attrs: {
            type: "file",
            readonly: "",
            id: _vm.question.inputId,
            multiple: _vm.question.allowMultiple,
            placeholder: _vm.question.title,
          },
        })
      : _vm._e(),
    _vm._v(" "),
    _vm.question.isDisabledAttr
      ? _c("input", {
          class: _vm.question.getReadOnlyFileCss(),
          staticStyle: { color: "transparent" },
          attrs: {
            type: "file",
            disabled: "",
            id: _vm.question.inputId,
            multiple: _vm.question.allowMultiple,
            placeholder: _vm.question.title,
          },
        })
      : _vm._e(),
    _vm._v(" "),
    _c(
      "div",
      {
        class: _vm.question.cssClasses.dragArea,
        on: {
          drop: _vm.question.onDrop,
          dragover: _vm.question.onDragOver,
          dragleave: _vm.question.onDragLeave,
          dragenter: _vm.question.onDragEnter,
        },
      },
      [
        _vm.question.showFileDecorator
          ? _c("div", { class: _vm.question.getFileDecoratorCss() }, [
              _vm.question.showDragAreaPlaceholder
                ? _c(
                    "span",
                    { class: _vm.question.cssClasses.dragAreaPlaceholder },
                    [
                      _c("survey-string", {
                        attrs: {
                          locString: _vm.question.locRenderedPlaceholder,
                        },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
              _vm._v(" "),
              _c(
                "div",
                { class: _vm.question.cssClasses.wrapper },
                [
                  _vm.question.showChooseButton
                    ? _c("sv-file-choose-btn", {
                        attrs: { data: { question: _vm.question } },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.question.actionsContainerVisible
                    ? _c("sv-action-bar", {
                        attrs: { model: _vm.question.actionsContainer },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.question.isEmpty()
                    ? _c(
                        "span",
                        { class: _vm.question.cssClasses.noFileChosen },
                        [_vm._v(_vm._s(_vm.question.noFileChosenCaption))]
                      )
                    : _vm._e(),
                ],
                1
              ),
            ])
          : _vm._e(),
        _vm._v(" "),
        _vm.question.showRemoveButton
          ? _c("sv-file-clean-btn", {
              attrs: {
                question: _vm.question,
                css: _vm.question.showRemoveButton,
              },
            })
          : _vm._e(),
        _vm._v(" "),
        _vm.question.showLoadingIndicator
          ? _c(
              "div",
              { class: _vm.question.cssClasses.loadingIndicator },
              [_c("sv-loading-indicator")],
              1
            )
          : _vm._e(),
        _vm._v(" "),
        _vm.question.isPlayingVideo
          ? _c("sv-file-video", { attrs: { question: _vm.question } })
          : _vm._e(),
        _vm._v(" "),
        _vm.question.allowShowPreview
          ? [_c("sv-file-preview", { attrs: { question: _vm.question } })]
          : _vm._e(),
        _vm._v(" "),
        _vm.question.showRemoveButtonBottom
          ? _c("sv-file-clean-btn", {
              attrs: {
                question: _vm.question,
                css: _vm.question.showRemoveButtonBottom,
              },
            })
          : _vm._e(),
        _vm._v(" "),
        _vm.question.fileNavigatorVisible
          ? _c("sv-action-bar", {
              attrs: { model: _vm.question.fileNavigator },
            })
          : _vm._e(),
      ],
      2
    ),
  ])
}
var filevue_type_template_id_20f70284_staticRenderFns = []
filevue_type_template_id_20f70284_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/file.vue?vue&type=template&id=20f70284&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file.vue?vue&type=script&lang=ts&
var filevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var filevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var filevue_type_script_lang_ts_File = /** @class */ (function (_super) {
    filevue_type_script_lang_ts_extends(File, _super);
    function File() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    File = filevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], File);
    return File;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-file", filevue_type_script_lang_ts_File);
/* harmony default export */ var filevue_type_script_lang_ts_ = (filevue_type_script_lang_ts_File);

// CONCATENATED MODULE: ./src/vue/file.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_filevue_type_script_lang_ts_ = (filevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/file.vue





/* normalize component */

var file_component = normalizeComponent(
  vue_filevue_type_script_lang_ts_,
  filevue_type_template_id_20f70284_render,
  filevue_type_template_id_20f70284_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_api; }
file_component.options.__file = "src/vue/file.vue"
/* harmony default export */ var file = (file_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-preview.vue?vue&type=template&id=c40e479a&
var file_previewvue_type_template_id_c40e479a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.showPreviewContainer
    ? _c(
        "div",
        { class: _vm.question.cssClasses.fileList || undefined },
        [
          _vm._l(_vm.question.renderedPages, function (page) {
            return _vm.question.supportFileNavigator
              ? _c("sv-file-page", {
                  key: page.id,
                  attrs: { page: page, question: _vm.question },
                })
              : _vm._e()
          }),
          _vm._v(" "),
          _vm._l(_vm.question.previewValue, function (item, index) {
            return !_vm.question.supportFileNavigator
              ? _c("sv-file-item", {
                  key: index,
                  attrs: { item: item, question: _vm.question },
                })
              : _vm._e()
          }),
        ],
        2
      )
    : _vm._e()
}
var file_previewvue_type_template_id_c40e479a_staticRenderFns = []
file_previewvue_type_template_id_c40e479a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/file/file-preview.vue?vue&type=template&id=c40e479a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-preview.vue?vue&type=script&lang=ts&
var file_previewvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_previewvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_previewvue_type_script_lang_ts_FilePreview = /** @class */ (function (_super) {
    file_previewvue_type_script_lang_ts_extends(FilePreview, _super);
    function FilePreview() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    file_previewvue_type_script_lang_ts_decorate([
        Prop()
    ], FilePreview.prototype, "question", void 0);
    FilePreview = file_previewvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FilePreview);
    return FilePreview;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-preview", file_previewvue_type_script_lang_ts_FilePreview);
/* harmony default export */ var file_previewvue_type_script_lang_ts_ = (file_previewvue_type_script_lang_ts_FilePreview);

// CONCATENATED MODULE: ./src/vue/components/file/file-preview.vue?vue&type=script&lang=ts&
 /* harmony default export */ var file_file_previewvue_type_script_lang_ts_ = (file_previewvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/file/file-preview.vue





/* normalize component */

var file_preview_component = normalizeComponent(
  file_file_previewvue_type_script_lang_ts_,
  file_previewvue_type_template_id_c40e479a_render,
  file_previewvue_type_template_id_c40e479a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_preview_api; }
file_preview_component.options.__file = "src/vue/components/file/file-preview.vue"
/* harmony default export */ var file_preview = (file_preview_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-page.vue?vue&type=template&id=392654b4&
var file_pagevue_type_template_id_392654b4_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.page.css, attrs: { id: _vm.page.id } },
    _vm._l(_vm.page.items, function (item, index) {
      return _c("sv-file-item", {
        key: index,
        attrs: { item: item, question: _vm.question },
      })
    }),
    1
  )
}
var file_pagevue_type_template_id_392654b4_staticRenderFns = []
file_pagevue_type_template_id_392654b4_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/file/file-page.vue?vue&type=template&id=392654b4&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-page.vue?vue&type=script&lang=ts&
var file_pagevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_pagevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_pagevue_type_script_lang_ts_FilePage = /** @class */ (function (_super) {
    file_pagevue_type_script_lang_ts_extends(FilePage, _super);
    function FilePage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    file_pagevue_type_script_lang_ts_decorate([
        Prop()
    ], FilePage.prototype, "page", void 0);
    file_pagevue_type_script_lang_ts_decorate([
        Prop()
    ], FilePage.prototype, "question", void 0);
    FilePage = file_pagevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FilePage);
    return FilePage;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-page", file_pagevue_type_script_lang_ts_FilePage);
/* harmony default export */ var file_pagevue_type_script_lang_ts_ = (file_pagevue_type_script_lang_ts_FilePage);

// CONCATENATED MODULE: ./src/vue/components/file/file-page.vue?vue&type=script&lang=ts&
 /* harmony default export */ var file_file_pagevue_type_script_lang_ts_ = (file_pagevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/file/file-page.vue





/* normalize component */

var file_page_component = normalizeComponent(
  file_file_pagevue_type_script_lang_ts_,
  file_pagevue_type_template_id_392654b4_render,
  file_pagevue_type_template_id_392654b4_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_page_api; }
file_page_component.options.__file = "src/vue/components/file/file-page.vue"
/* harmony default export */ var file_page = (file_page_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-item.vue?vue&type=template&id=4c1b8b38&
var file_itemvue_type_template_id_4c1b8b38_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "span",
    {
      directives: [
        {
          name: "show",
          rawName: "v-show",
          value: _vm.item,
          expression: "item",
        },
      ],
      class: _vm.question.cssClasses.previewItem,
      on: {
        click: function ($event) {
          return _vm.question.doDownloadFileFromContainer($event)
        },
      },
    },
    [
      _vm.item.name && _vm.question.cssClasses.fileSign
        ? _c("div", { class: _vm.question.cssClasses.fileSign }, [
            _c(
              "a",
              {
                style: { width: _vm.question.imageWidth },
                attrs: {
                  href: _vm.item.content,
                  title: _vm.item.name,
                  download: _vm.item.name,
                },
                on: {
                  click: function ($event) {
                    return _vm.question.doDownloadFile($event, _vm.item)
                  },
                },
              },
              [_vm._v(_vm._s(_vm.item.name))]
            ),
          ])
        : _vm._e(),
      _vm._v(" "),
      _c(
        "div",
        { class: _vm.question.getImageWrapperCss(_vm.item) },
        [
          _vm.question.canPreviewImage(_vm.item)
            ? _c("img", {
                style: {
                  height: _vm.question.imageHeight,
                  width: _vm.question.imageWidth,
                },
                attrs: { src: _vm.item.content, alt: "File preview" },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.question.defaultImage(_vm.item)
            ? _c("sv-svg-icon", {
                class: _vm.question.cssClasses.defaultImage,
                attrs: {
                  iconName: _vm.question.cssClasses.defaultImageIconId,
                  size: "auto",
                },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.item.name && !_vm.question.isReadOnly
            ? _c(
                "div",
                {
                  class: _vm.question.getRemoveButtonCss(),
                  on: {
                    click: function ($event) {
                      return _vm.question.doRemoveFile(_vm.item, $event)
                    },
                  },
                },
                [
                  _c("span", { class: _vm.question.cssClasses.removeFile }, [
                    _vm._v(_vm._s(_vm.question.removeFileCaption)),
                  ]),
                  _vm._v(" "),
                  _vm.question.cssClasses.removeFileSvgIconId
                    ? _c("sv-svg-icon", {
                        class: _vm.question.cssClasses.removeFileSvg,
                        attrs: {
                          title: _vm.question.removeFileCaption,
                          iconName: _vm.question.cssClasses.removeFileSvgIconId,
                          size: "auto",
                        },
                      })
                    : _vm._e(),
                ],
                1
              )
            : _vm._e(),
        ],
        1
      ),
      _vm._v(" "),
      _vm.item.name && _vm.question.cssClasses.fileSignBottom
        ? _c("div", { class: _vm.question.cssClasses.fileSignBottom }, [
            _c(
              "a",
              {
                style: { width: _vm.question.imageWidth },
                attrs: {
                  href: _vm.item.content,
                  title: _vm.item.name,
                  download: _vm.item.name,
                },
                on: {
                  click: function ($event) {
                    return _vm.question.doDownloadFile($event, _vm.item)
                  },
                },
              },
              [_vm._v(_vm._s(_vm.item.name))]
            ),
          ])
        : _vm._e(),
    ]
  )
}
var file_itemvue_type_template_id_4c1b8b38_staticRenderFns = []
file_itemvue_type_template_id_4c1b8b38_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/file/file-item.vue?vue&type=template&id=4c1b8b38&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-item.vue?vue&type=script&lang=ts&
var file_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_itemvue_type_script_lang_ts_FileItem = /** @class */ (function (_super) {
    file_itemvue_type_script_lang_ts_extends(FileItem, _super);
    function FileItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    file_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], FileItem.prototype, "question", void 0);
    file_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], FileItem.prototype, "item", void 0);
    FileItem = file_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FileItem);
    return FileItem;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-item", file_itemvue_type_script_lang_ts_FileItem);
/* harmony default export */ var file_itemvue_type_script_lang_ts_ = (file_itemvue_type_script_lang_ts_FileItem);

// CONCATENATED MODULE: ./src/vue/components/file/file-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var file_file_itemvue_type_script_lang_ts_ = (file_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/file/file-item.vue





/* normalize component */

var file_item_component = normalizeComponent(
  file_file_itemvue_type_script_lang_ts_,
  file_itemvue_type_template_id_4c1b8b38_render,
  file_itemvue_type_template_id_4c1b8b38_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_item_api; }
file_item_component.options.__file = "src/vue/components/file/file-item.vue"
/* harmony default export */ var file_item = (file_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file-clean-button.vue?vue&type=template&id=29c892d6&
var file_clean_buttonvue_type_template_id_29c892d6_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "button",
    {
      class: _vm.css,
      attrs: { type: "button" },
      on: { click: _vm.question.doClean },
    },
    [
      _c("span", [_vm._v(_vm._s(_vm.question.clearButtonCaption))]),
      _vm._v(" "),
      _vm.question.cssClasses.removeButtonIconId
        ? _c("sv-svg-icon", {
            attrs: {
              iconName: _vm.question.cssClasses.removeButtonIconId,
              size: "auto",
              title: _vm.question.clearButtonCaption,
            },
          })
        : _vm._e(),
    ],
    1
  )
}
var file_clean_buttonvue_type_template_id_29c892d6_staticRenderFns = []
file_clean_buttonvue_type_template_id_29c892d6_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/file-clean-button.vue?vue&type=template&id=29c892d6&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file-clean-button.vue?vue&type=script&lang=ts&
var file_clean_buttonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_clean_buttonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_clean_buttonvue_type_script_lang_ts_FileCleanButton = /** @class */ (function (_super) {
    file_clean_buttonvue_type_script_lang_ts_extends(FileCleanButton, _super);
    function FileCleanButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    file_clean_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], FileCleanButton.prototype, "question", void 0);
    file_clean_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], FileCleanButton.prototype, "css", void 0);
    FileCleanButton = file_clean_buttonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FileCleanButton);
    return FileCleanButton;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-clean-btn", file_clean_buttonvue_type_script_lang_ts_FileCleanButton);
/* harmony default export */ var file_clean_buttonvue_type_script_lang_ts_ = (file_clean_buttonvue_type_script_lang_ts_FileCleanButton);

// CONCATENATED MODULE: ./src/vue/file-clean-button.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_file_clean_buttonvue_type_script_lang_ts_ = (file_clean_buttonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/file-clean-button.vue





/* normalize component */

var file_clean_button_component = normalizeComponent(
  vue_file_clean_buttonvue_type_script_lang_ts_,
  file_clean_buttonvue_type_template_id_29c892d6_render,
  file_clean_buttonvue_type_template_id_29c892d6_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_clean_button_api; }
file_clean_button_component.options.__file = "src/vue/file-clean-button.vue"
/* harmony default export */ var file_clean_button = (file_clean_button_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file-video.vue?vue&type=template&id=7b5c8bac&
var file_videovue_type_template_id_7b5c8bac_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.videoContainer },
    [
      _c("sv-action", { attrs: { item: _vm.question.changeCameraAction } }),
      _vm._v(" "),
      _c("sv-action", { attrs: { item: _vm.question.closeCameraAction } }),
      _vm._v(" "),
      _c("video", {
        class: _vm.question.cssClasses.video,
        attrs: { autoplay: "", playsinline: "", id: _vm.question.videoId },
      }),
      _vm._v(" "),
      _c("sv-action", { attrs: { item: _vm.question.takePictureAction } }),
    ],
    1
  )
}
var file_videovue_type_template_id_7b5c8bac_staticRenderFns = []
file_videovue_type_template_id_7b5c8bac_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/file-video.vue?vue&type=template&id=7b5c8bac&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/file-video.vue?vue&type=script&lang=ts&
var file_videovue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_videovue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_videovue_type_script_lang_ts_FileVideo = /** @class */ (function (_super) {
    file_videovue_type_script_lang_ts_extends(FileVideo, _super);
    function FileVideo() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    file_videovue_type_script_lang_ts_decorate([
        Prop()
    ], FileVideo.prototype, "question", void 0);
    FileVideo = file_videovue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FileVideo);
    return FileVideo;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-video", file_videovue_type_script_lang_ts_FileVideo);
/* harmony default export */ var file_videovue_type_script_lang_ts_ = (file_videovue_type_script_lang_ts_FileVideo);

// CONCATENATED MODULE: ./src/vue/file-video.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_file_videovue_type_script_lang_ts_ = (file_videovue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/file-video.vue





/* normalize component */

var file_video_component = normalizeComponent(
  vue_file_videovue_type_script_lang_ts_,
  file_videovue_type_template_id_7b5c8bac_render,
  file_videovue_type_template_id_7b5c8bac_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_video_api; }
file_video_component.options.__file = "src/vue/file-video.vue"
/* harmony default export */ var file_video = (file_video_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-choose-button.vue?vue&type=template&id=4676fc5a&
var file_choose_buttonvue_type_template_id_4676fc5a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      directives: [{ name: "key2click", rawName: "v-key2click" }],
      class: _vm.question.getChooseFileCss(),
      attrs: {
        tabindex: "0",
        for: _vm.question.inputId,
        "aria-label": _vm.question.chooseButtonText,
      },
      on: {
        click: function (event) {
          _vm.question.chooseFile(event)
        },
      },
    },
    [
      _vm.question.cssClasses.chooseFileIconId
        ? _c("sv-svg-icon", {
            attrs: {
              title: _vm.question.chooseButtonText,
              iconName: _vm.question.cssClasses.chooseFileIconId,
              size: "auto",
            },
          })
        : _vm._e(),
      _vm._v(" "),
      _c("span", [_vm._v(_vm._s(_vm.question.chooseButtonText))]),
    ],
    1
  )
}
var file_choose_buttonvue_type_template_id_4676fc5a_staticRenderFns = []
file_choose_buttonvue_type_template_id_4676fc5a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/file/file-choose-button.vue?vue&type=template&id=4676fc5a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/file/file-choose-button.vue?vue&type=script&lang=ts&
var file_choose_buttonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var file_choose_buttonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var file_choose_buttonvue_type_script_lang_ts_FileChooseButton = /** @class */ (function (_super) {
    file_choose_buttonvue_type_script_lang_ts_extends(FileChooseButton, _super);
    function FileChooseButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(FileChooseButton.prototype, "question", {
        get: function () {
            return (this.item && this.item.data.question) || this.data.question;
        },
        enumerable: false,
        configurable: true
    });
    file_choose_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], FileChooseButton.prototype, "data", void 0);
    file_choose_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], FileChooseButton.prototype, "item", void 0);
    FileChooseButton = file_choose_buttonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FileChooseButton);
    return FileChooseButton;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-file-choose-btn", file_choose_buttonvue_type_script_lang_ts_FileChooseButton);
/* harmony default export */ var file_choose_buttonvue_type_script_lang_ts_ = (file_choose_buttonvue_type_script_lang_ts_FileChooseButton);

// CONCATENATED MODULE: ./src/vue/components/file/file-choose-button.vue?vue&type=script&lang=ts&
 /* harmony default export */ var file_file_choose_buttonvue_type_script_lang_ts_ = (file_choose_buttonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/file/file-choose-button.vue





/* normalize component */

var file_choose_button_component = normalizeComponent(
  file_file_choose_buttonvue_type_script_lang_ts_,
  file_choose_buttonvue_type_template_id_4676fc5a_render,
  file_choose_buttonvue_type_template_id_4676fc5a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var file_choose_button_api; }
file_choose_button_component.options.__file = "src/vue/components/file/file-choose-button.vue"
/* harmony default export */ var file_choose_button = (file_choose_button_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixcell.vue?vue&type=template&id=3ca54ee5&
var matrixcellvue_type_template_id_3ca54ee5_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      class: _vm.question.getItemClass(_vm.row, _vm.column),
      on: {
        mousedown: function ($event) {
          return _vm.question.onMouseDown()
        },
      },
    },
    [
      _c("input", {
        directives: [
          {
            name: "model",
            rawName: "v-model",
            value: _vm.row.value,
            expression: "row.value",
          },
        ],
        class: _vm.question.cssClasses.itemValue,
        attrs: {
          type: "radio",
          name: _vm.row.fullName,
          readonly: _vm.row.isReadOnlyAttr,
          disabled: _vm.row.isDisabledAttr,
          id: _vm.question.inputId + "_" + _vm.row.name + "_" + _vm.columnIndex,
          "aria-required": _vm.question.a11y_input_ariaRequired,
          "aria-label": _vm.question.getCellAriaLabel(
            _vm.row.locText.renderedHtml,
            _vm.column.locText.renderedHtml
          ),
          "aria-invalid": _vm.question.a11y_input_ariaInvalid,
          "aria-errormessage": _vm.question.a11y_input_ariaErrormessage,
        },
        domProps: {
          value: _vm.column.value,
          checked: _vm._q(_vm.row.value, _vm.column.value),
        },
        on: {
          change: function ($event) {
            return _vm.$set(_vm.row, "value", _vm.column.value)
          },
        },
      }),
      _vm._v(" "),
      _c("span", { class: _vm.question.cssClasses.materialDecorator }, [
        _vm.question.itemSvgIcon
          ? _c("svg", { class: _vm.question.cssClasses.itemDecorator }, [
              _c("use", { attrs: { "xlink:href": _vm.question.itemSvgIcon } }),
            ])
          : _vm._e(),
      ]),
      _vm._v(" "),
      _vm.question.isMobile
        ? _c(
            "span",
            { class: _vm.question.cssClasses.cellResponsiveTitle },
            [_c("survey-string", { attrs: { locString: _vm.column.locText } })],
            1
          )
        : _vm._e(),
    ]
  )
}
var matrixcellvue_type_template_id_3ca54ee5_staticRenderFns = []
matrixcellvue_type_template_id_3ca54ee5_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixcell.vue?vue&type=template&id=3ca54ee5&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixcell.vue?vue&type=script&lang=ts&
var matrixcellvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixcellvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var matrixcellvue_type_script_lang_ts_MatrixCell = /** @class */ (function (_super) {
    matrixcellvue_type_script_lang_ts_extends(MatrixCell, _super);
    function MatrixCell() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    matrixcellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixCell.prototype, "question", void 0);
    matrixcellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixCell.prototype, "row", void 0);
    matrixcellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixCell.prototype, "column", void 0);
    matrixcellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixCell.prototype, "columnIndex", void 0);
    MatrixCell = matrixcellvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixCell);
    return MatrixCell;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrix-cell", matrixcellvue_type_script_lang_ts_MatrixCell);
/* harmony default export */ var matrixcellvue_type_script_lang_ts_ = (matrixcellvue_type_script_lang_ts_MatrixCell);

// CONCATENATED MODULE: ./src/vue/matrixcell.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixcellvue_type_script_lang_ts_ = (matrixcellvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixcell.vue





/* normalize component */

var matrixcell_component = normalizeComponent(
  vue_matrixcellvue_type_script_lang_ts_,
  matrixcellvue_type_template_id_3ca54ee5_render,
  matrixcellvue_type_template_id_3ca54ee5_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixcell_api; }
matrixcell_component.options.__file = "src/vue/matrixcell.vue"
/* harmony default export */ var matrixcell = (matrixcell_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdropdowncell.vue?vue&type=template&id=ed0a5214&
var matrixdropdowncellvue_type_template_id_ed0a5214_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.cell.isVisible
    ? _c(
        "td",
        {
          class: _vm.cell.className,
          style: _vm.getCellStyle(),
          attrs: { title: _vm.cell.getTitle(), colspan: _vm.cell.colSpans },
          on: {
            focusin: function ($event) {
              return _vm.cell.focusIn()
            },
          },
        },
        [
          _vm.cell.isErrorsCell
            ? _c("survey-errors", { attrs: { element: _vm.cell.question } })
            : _vm._e(),
          _vm._v(" "),
          _vm.cell.isActionsCell
            ? _c("sv-action-bar", {
                attrs: { model: _vm.cell.item.getData(), handleClick: false },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.cell.hasPanel
            ? _c(_vm.getComponentName(_vm.cell.panel), {
                tag: "component",
                attrs: {
                  question: _vm.cell.panel,
                  css: _vm.question.cssClasses,
                },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.cell.showResponsiveTitle
            ? _c(
                "span",
                { class: _vm.cell.responsiveTitleCss },
                [
                  _c("survey-string", {
                    attrs: { locString: _vm.cell.responsiveLocTitle },
                  }),
                  _vm._v(" "),
                  _c("survey-matrixheaderrequired", {
                    attrs: {
                      column: _vm.cell.column,
                      question: _vm.cell.matrix,
                    },
                  }),
                ],
                1
              )
            : _vm._e(),
          _vm._v(" "),
          _vm.cell.hasQuestion
            ? _c(
                "div",
                { class: _vm.cell.cellQuestionWrapperClassName },
                [
                  !_vm.cell.isChoice && _vm.cell.question.isDefaultRendering()
                    ? _c(_vm.getComponentName(_vm.cell.question), {
                        directives: [
                          {
                            name: "show",
                            rawName: "v-show",
                            value: _vm.isVisible,
                            expression: "isVisible",
                          },
                        ],
                        tag: "component",
                        attrs: { question: _vm.cell.question },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  !_vm.cell.isChoice && !_vm.cell.question.isDefaultRendering()
                    ? _c(_vm.cell.question.getComponentName(), {
                        directives: [
                          {
                            name: "show",
                            rawName: "v-show",
                            value: _vm.isVisible,
                            expression: "isVisible",
                          },
                        ],
                        tag: "component",
                        attrs: { question: _vm.cell.question },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.cell.isRadio
                    ? _c("survey-radiogroup-item", {
                        key: _vm.cell.item.value,
                        attrs: {
                          question: _vm.cell.question,
                          item: _vm.cell.item,
                          hideLabel: true,
                        },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.cell.isCheckbox
                    ? _c("survey-checkbox-item", {
                        key: _vm.cell.item.value,
                        attrs: {
                          question: _vm.cell.question,
                          item: _vm.cell.item,
                          hideLabel: true,
                        },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.cell.isOtherChoice
                    ? _c("survey-other-choice", {
                        attrs: { question: _vm.cell.question },
                      })
                    : _vm._e(),
                ],
                1
              )
            : _vm._e(),
          _vm._v(" "),
          _vm.cell.hasTitle
            ? _c("survey-string", { attrs: { locString: _vm.cell.locTitle } })
            : _vm._e(),
          _vm._v(" "),
          !!_vm.getRequiredText() && _vm.cell.hasTitle
            ? _c("span", { class: _vm.question.cssClasses.cellRequiredText }, [
                _vm._v(_vm._s(_vm.getRequiredText())),
              ])
            : _vm._e(),
        ],
        1
      )
    : _vm._e()
}
var matrixdropdowncellvue_type_template_id_ed0a5214_staticRenderFns = []
matrixdropdowncellvue_type_template_id_ed0a5214_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixdropdowncell.vue?vue&type=template&id=ed0a5214&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdropdowncell.vue?vue&type=script&lang=ts&
var matrixdropdowncellvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixdropdowncellvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var matrixdropdowncellvue_type_script_lang_ts_MatrixDropdownCellComp = /** @class */ (function (_super) {
    matrixdropdowncellvue_type_script_lang_ts_extends(MatrixDropdownCellComp, _super);
    function MatrixDropdownCellComp() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isVisible = false;
        return _this;
    }
    MatrixDropdownCellComp.prototype.getComponentName = function (element) {
        return getComponentName(element);
    };
    MatrixDropdownCellComp.prototype.getModel = function () {
        if (this.cell.hasQuestion) {
            return this.cell.question;
        }
        if (!!this.cell.column) {
            return this.cell.column;
        }
        return null;
    };
    MatrixDropdownCellComp.prototype.getRequiredText = function () {
        return this.cell.requiredText;
    };
    MatrixDropdownCellComp.prototype.getCellStyle = function () {
        if (!!this.cell.width || !!this.cell.minWidth)
            return { width: this.cell.width, minWidth: this.cell.minWidth };
        return null;
    };
    MatrixDropdownCellComp.prototype.getCellIndex = function () {
        return this.cell.index || "";
    };
    MatrixDropdownCellComp.prototype.mounted = function () {
        var _this = this;
        if (!this.cell.hasQuestion || !this.question || !this.question.survey)
            return;
        this.onVisibilityChanged();
        this.cell.question.registerPropertyChangedHandlers(["isVisible"], function () {
            _this.onVisibilityChanged();
        });
        var cQ = this.cell.question;
        var el = this.$el;
        var options = {
            cell: this.cell.cell,
            cellQuestion: cQ,
            htmlElement: el,
            row: this.cell.row,
            column: this.cell.cell.column,
        };
        this.question.survey.matrixAfterCellRender(this.question, options);
        if (cQ) {
            cQ.afterRenderCore(el);
        }
    };
    MatrixDropdownCellComp.prototype.onVisibilityChanged = function () {
        this.isVisible = this.cell.question.isVisible;
    };
    matrixdropdowncellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixDropdownCellComp.prototype, "question", void 0);
    matrixdropdowncellvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixDropdownCellComp.prototype, "cell", void 0);
    MatrixDropdownCellComp = matrixdropdowncellvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixDropdownCellComp);
    return MatrixDropdownCellComp;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrixdropdown-cell", matrixdropdowncellvue_type_script_lang_ts_MatrixDropdownCellComp);
/* harmony default export */ var matrixdropdowncellvue_type_script_lang_ts_ = (matrixdropdowncellvue_type_script_lang_ts_MatrixDropdownCellComp);

// CONCATENATED MODULE: ./src/vue/matrixdropdowncell.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixdropdowncellvue_type_script_lang_ts_ = (matrixdropdowncellvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixdropdowncell.vue





/* normalize component */

var matrixdropdowncell_component = normalizeComponent(
  vue_matrixdropdowncellvue_type_script_lang_ts_,
  matrixdropdowncellvue_type_template_id_ed0a5214_render,
  matrixdropdowncellvue_type_template_id_ed0a5214_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixdropdowncell_api; }
matrixdropdowncell_component.options.__file = "src/vue/matrixdropdowncell.vue"
/* harmony default export */ var matrixdropdowncell = (matrixdropdowncell_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixheaderrequired.vue?vue&type=template&id=5d995022&
var matrixheaderrequiredvue_type_template_id_5d995022_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.column.isRenderedRequired
    ? _c("span", { staticClass: "sv-vue-title-additional-div" }, [
        _c("span", [_vm._v(" ")]),
        _vm._v(" "),
        _c("span", { class: _vm.question.cssClasses.cellRequiredText }, [
          _vm._v(_vm._s(_vm.column.requiredText)),
        ]),
      ])
    : _vm._e()
}
var matrixheaderrequiredvue_type_template_id_5d995022_staticRenderFns = []
matrixheaderrequiredvue_type_template_id_5d995022_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixheaderrequired.vue?vue&type=template&id=5d995022&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixheaderrequired.vue?vue&type=script&lang=ts&
var matrixheaderrequiredvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixheaderrequiredvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var matrixheaderrequiredvue_type_script_lang_ts_MatrixHeaderRequired = /** @class */ (function (_super) {
    matrixheaderrequiredvue_type_script_lang_ts_extends(MatrixHeaderRequired, _super);
    function MatrixHeaderRequired() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MatrixHeaderRequired.prototype.getModel = function () {
        return this.column;
    };
    matrixheaderrequiredvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixHeaderRequired.prototype, "question", void 0);
    matrixheaderrequiredvue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixHeaderRequired.prototype, "column", void 0);
    MatrixHeaderRequired = matrixheaderrequiredvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixHeaderRequired);
    return MatrixHeaderRequired;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrixheaderrequired", matrixheaderrequiredvue_type_script_lang_ts_MatrixHeaderRequired);
/* harmony default export */ var matrixheaderrequiredvue_type_script_lang_ts_ = (matrixheaderrequiredvue_type_script_lang_ts_MatrixHeaderRequired);

// CONCATENATED MODULE: ./src/vue/matrixheaderrequired.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixheaderrequiredvue_type_script_lang_ts_ = (matrixheaderrequiredvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixheaderrequired.vue





/* normalize component */

var matrixheaderrequired_component = normalizeComponent(
  vue_matrixheaderrequiredvue_type_script_lang_ts_,
  matrixheaderrequiredvue_type_template_id_5d995022_render,
  matrixheaderrequiredvue_type_template_id_5d995022_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixheaderrequired_api; }
matrixheaderrequired_component.options.__file = "src/vue/matrixheaderrequired.vue"
/* harmony default export */ var matrixheaderrequired = (matrixheaderrequired_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixtable.vue?vue&type=template&id=fa197e4a&
var matrixtablevue_type_template_id_fa197e4a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.cssClasses.tableWrapper,
      style: { overflowX: _vm.question.showHorizontalScroll ? "scroll" : "" },
    },
    [
      _c("table", { class: _vm.question.getTableCss() }, [
        _vm.table.showHeader
          ? _c("thead", [
              _c(
                "tr",
                [
                  _vm._l(_vm.table.headerRow.cells, function (cell) {
                    return [
                      cell.hasTitle
                        ? _c(
                            "th",
                            {
                              key: "header_" + cell.id,
                              class: cell.className,
                              style: {
                                minWidth: cell.minWidth,
                                width: cell.width,
                              },
                            },
                            [
                              _c("survey-string", {
                                attrs: { locString: cell.locTitle },
                              }),
                              _vm._v(" "),
                              !!cell.column
                                ? _c("survey-matrixheaderrequired", {
                                    attrs: {
                                      column: cell.column,
                                      question: _vm.question,
                                    },
                                  })
                                : _vm._e(),
                            ],
                            1
                          )
                        : _vm._e(),
                      _vm._v(" "),
                      !cell.hasTitle
                        ? _c("td", {
                            key: "header_" + cell.id,
                            class: cell.className,
                            style: {
                              minWidth: cell.minWidth,
                              width: cell.width,
                            },
                          })
                        : _vm._e(),
                    ]
                  }),
                ],
                2
              ),
            ])
          : _vm._e(),
        _vm._v(" "),
        _c(
          "tbody",
          [
            _vm._l(_vm.table.rows, function (row) {
              return [
                row.visible
                  ? _c(
                      "tr",
                      {
                        key: _vm.question.inputId + "_" + row.id,
                        class: row.className,
                        attrs: {
                          "data-sv-drop-target-matrix-row":
                            row.row && row.row.id,
                        },
                      },
                      _vm._l(row.cells, function (cell) {
                        return _c("survey-matrixdropdown-cell", {
                          key: row.id + "_" + cell.id,
                          attrs: { cell: cell, question: _vm.question },
                        })
                      }),
                      1
                    )
                  : _vm._e(),
              ]
            }),
          ],
          2
        ),
        _vm._v(" "),
        _vm.table.showFooter
          ? _c("tfoot", [
              _c(
                "tr",
                _vm._l(_vm.table.footerRow.cells, function (cell, cellIndex) {
                  return _c("survey-matrixdropdown-cell", {
                    key: "footer_" + cellIndex,
                    attrs: { cell: cell, question: _vm.question },
                  })
                }),
                1
              ),
            ])
          : _vm._e(),
      ]),
    ]
  )
}
var matrixtablevue_type_template_id_fa197e4a_staticRenderFns = []
matrixtablevue_type_template_id_fa197e4a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixtable.vue?vue&type=template&id=fa197e4a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixtable.vue?vue&type=script&lang=ts&
var matrixtablevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixtablevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var matrixtablevue_type_script_lang_ts_MatrixTable = /** @class */ (function (_super) {
    matrixtablevue_type_script_lang_ts_extends(MatrixTable, _super);
    function MatrixTable() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(MatrixTable.prototype, "table", {
        get: function () {
            return this.question.renderedTable;
        },
        enumerable: false,
        configurable: true
    });
    MatrixTable.prototype.getModel = function () {
        return this.question.renderedTable;
    };
    matrixtablevue_type_script_lang_ts_decorate([
        Prop()
    ], MatrixTable.prototype, "question", void 0);
    MatrixTable = matrixtablevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixTable);
    return MatrixTable;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrixtable", matrixtablevue_type_script_lang_ts_MatrixTable);
/* harmony default export */ var matrixtablevue_type_script_lang_ts_ = (matrixtablevue_type_script_lang_ts_MatrixTable);

// CONCATENATED MODULE: ./src/vue/matrixtable.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixtablevue_type_script_lang_ts_ = (matrixtablevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixtable.vue





/* normalize component */

var matrixtable_component = normalizeComponent(
  vue_matrixtablevue_type_script_lang_ts_,
  matrixtablevue_type_template_id_fa197e4a_render,
  matrixtablevue_type_template_id_fa197e4a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixtable_api; }
matrixtable_component.options.__file = "src/vue/matrixtable.vue"
/* harmony default export */ var matrixtable = (matrixtable_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdropdown.vue?vue&type=template&id=0b4da6d8&
var matrixdropdownvue_type_template_id_0b4da6d8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("survey-matrixtable", { attrs: { question: _vm.question } })
}
var matrixdropdownvue_type_template_id_0b4da6d8_staticRenderFns = []
matrixdropdownvue_type_template_id_0b4da6d8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixdropdown.vue?vue&type=template&id=0b4da6d8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdropdown.vue?vue&type=script&lang=ts&
var matrixdropdownvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixdropdownvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var matrixdropdownvue_type_script_lang_ts_MatrixDropdown = /** @class */ (function (_super) {
    matrixdropdownvue_type_script_lang_ts_extends(MatrixDropdown, _super);
    function MatrixDropdown() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MatrixDropdown = matrixdropdownvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixDropdown);
    return MatrixDropdown;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrixdropdown", matrixdropdownvue_type_script_lang_ts_MatrixDropdown);
/* harmony default export */ var matrixdropdownvue_type_script_lang_ts_ = (matrixdropdownvue_type_script_lang_ts_MatrixDropdown);

// CONCATENATED MODULE: ./src/vue/matrixdropdown.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixdropdownvue_type_script_lang_ts_ = (matrixdropdownvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixdropdown.vue





/* normalize component */

var matrixdropdown_component = normalizeComponent(
  vue_matrixdropdownvue_type_script_lang_ts_,
  matrixdropdownvue_type_template_id_0b4da6d8_render,
  matrixdropdownvue_type_template_id_0b4da6d8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixdropdown_api; }
matrixdropdown_component.options.__file = "src/vue/matrixdropdown.vue"
/* harmony default export */ var matrixdropdown = (matrixdropdown_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdynamic.vue?vue&type=template&id=9a0b88e8&
var matrixdynamicvue_type_template_id_9a0b88e8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    [
      _vm.question.renderedTable.showAddRowOnTop
        ? _c("div", { class: _vm.question.cssClasses.footer }, [
            _c(
              "button",
              {
                class: _vm.question.getAddRowButtonCss(),
                attrs: { type: "button" },
                on: { click: _vm.addRowClick },
              },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locAddRowText },
                }),
                _vm._v(" "),
                _c("span", { class: _vm.question.cssClasses.iconAdd }),
              ],
              1
            ),
          ])
        : _vm._e(),
      _vm._v(" "),
      _vm.question.renderedTable.showTable
        ? _c("survey-matrixtable", { attrs: { question: _vm.question } })
        : _vm._e(),
      _vm._v(" "),
      !_vm.question.renderedTable.showTable
        ? _c("div", { class: _vm.question.cssClasses.emptyRowsSection }, [
            _c(
              "div",
              { class: _vm.question.cssClasses.emptyRowsText },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locEmptyRowsText },
                }),
              ],
              1
            ),
            _vm._v(" "),
            _vm.question.renderedTable.showAddRow
              ? _c(
                  "button",
                  {
                    class: _vm.question.getAddRowButtonCss(true),
                    attrs: { type: "button" },
                    on: { click: _vm.addRowClick },
                  },
                  [
                    _c("survey-string", {
                      attrs: { locString: _vm.question.locAddRowText },
                    }),
                    _vm._v(" "),
                    _c("span", { class: _vm.question.cssClasses.iconAdd }),
                  ],
                  1
                )
              : _vm._e(),
          ])
        : _vm._e(),
      _vm._v(" "),
      _vm.question.renderedTable.showAddRowOnBottom
        ? _c("div", { class: _vm.question.cssClasses.footer }, [
            _c(
              "button",
              {
                class: _vm.question.getAddRowButtonCss(),
                attrs: { type: "button" },
                on: { click: _vm.addRowClick },
              },
              [
                _c("survey-string", {
                  attrs: { locString: _vm.question.locAddRowText },
                }),
                _vm._v(" "),
                _c("span", { class: _vm.question.cssClasses.iconAdd }),
              ],
              1
            ),
          ])
        : _vm._e(),
    ],
    1
  )
}
var matrixdynamicvue_type_template_id_9a0b88e8_staticRenderFns = []
matrixdynamicvue_type_template_id_9a0b88e8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/matrixdynamic.vue?vue&type=template&id=9a0b88e8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/matrixdynamic.vue?vue&type=script&lang=ts&
var matrixdynamicvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var matrixdynamicvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var matrixdynamicvue_type_script_lang_ts_MatrixDynamic = /** @class */ (function (_super) {
    matrixdynamicvue_type_script_lang_ts_extends(MatrixDynamic, _super);
    function MatrixDynamic() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MatrixDynamic.prototype.addRowClick = function () {
        this.question.addRowUI();
    };
    MatrixDynamic = matrixdynamicvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], MatrixDynamic);
    return MatrixDynamic;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-matrixdynamic", matrixdynamicvue_type_script_lang_ts_MatrixDynamic);
/* harmony default export */ var matrixdynamicvue_type_script_lang_ts_ = (matrixdynamicvue_type_script_lang_ts_MatrixDynamic);

// CONCATENATED MODULE: ./src/vue/matrixdynamic.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_matrixdynamicvue_type_script_lang_ts_ = (matrixdynamicvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/matrixdynamic.vue





/* normalize component */

var matrixdynamic_component = normalizeComponent(
  vue_matrixdynamicvue_type_script_lang_ts_,
  matrixdynamicvue_type_template_id_9a0b88e8_render,
  matrixdynamicvue_type_template_id_9a0b88e8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var matrixdynamic_api; }
matrixdynamic_component.options.__file = "src/vue/matrixdynamic.vue"
/* harmony default export */ var matrixdynamic = (matrixdynamic_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/errors.vue?vue&type=template&id=5682e6ad&
var errorsvue_type_template_id_5682e6ad_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.element.hasVisibleErrors
    ? _c(
        "div",
        {
          class: _vm.element.cssError,
          attrs: {
            role: "alert",
            "aria-live": "polite",
            id: _vm.element.id + "_errors",
          },
        },
        _vm._l(_vm.element.errors, function (error, index) {
          return _c(_vm.element.survey["questionErrorComponent"], {
            key: "error_" + index,
            tag: "component",
            attrs: {
              element: _vm.element,
              errorKey: "error_" + index,
              error: error,
              cssClasses: _vm.element.cssClasses,
            },
          })
        }),
        1
      )
    : _vm._e()
}
var errorsvue_type_template_id_5682e6ad_staticRenderFns = []
errorsvue_type_template_id_5682e6ad_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/errors.vue?vue&type=template&id=5682e6ad&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/errors.vue?vue&type=script&lang=ts&
var errorsvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var errorsvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var errorsvue_type_script_lang_ts_Errors = /** @class */ (function (_super) {
    errorsvue_type_script_lang_ts_extends(Errors, _super);
    function Errors() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Errors.prototype.getModel = function () {
        return this.element;
    };
    errorsvue_type_script_lang_ts_decorate([
        Prop()
    ], Errors.prototype, "element", void 0);
    errorsvue_type_script_lang_ts_decorate([
        Prop()
    ], Errors.prototype, "location", void 0);
    Errors = errorsvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Errors);
    return Errors;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-errors", errorsvue_type_script_lang_ts_Errors);
/* harmony default export */ var errorsvue_type_script_lang_ts_ = (errorsvue_type_script_lang_ts_Errors);

// CONCATENATED MODULE: ./src/vue/errors.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_errorsvue_type_script_lang_ts_ = (errorsvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/errors.vue





/* normalize component */

var errors_component = normalizeComponent(
  vue_errorsvue_type_script_lang_ts_,
  errorsvue_type_template_id_5682e6ad_render,
  errorsvue_type_template_id_5682e6ad_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var errors_api; }
errors_component.options.__file = "src/vue/errors.vue"
/* harmony default export */ var errors = (errors_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/html.vue?vue&type=template&id=0742e16d&
var htmlvue_type_template_id_0742e16d_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", {
    class: _vm.question.renderCssRoot,
    domProps: { innerHTML: _vm._s(_vm.question.locHtml.renderedHtml) },
  })
}
var htmlvue_type_template_id_0742e16d_staticRenderFns = []
htmlvue_type_template_id_0742e16d_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/html.vue?vue&type=template&id=0742e16d&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/html.vue?vue&type=script&lang=ts&
var htmlvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var htmlvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var htmlvue_type_script_lang_ts_Html = /** @class */ (function (_super) {
    htmlvue_type_script_lang_ts_extends(Html, _super);
    function Html() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    htmlvue_type_script_lang_ts_decorate([
        Prop()
    ], Html.prototype, "question", void 0);
    htmlvue_type_script_lang_ts_decorate([
        Prop()
    ], Html.prototype, "css", void 0);
    Html = htmlvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Html);
    return Html;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-html", htmlvue_type_script_lang_ts_Html);
/* harmony default export */ var htmlvue_type_script_lang_ts_ = (htmlvue_type_script_lang_ts_Html);

// CONCATENATED MODULE: ./src/vue/html.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_htmlvue_type_script_lang_ts_ = (htmlvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/html.vue





/* normalize component */

var html_component = normalizeComponent(
  vue_htmlvue_type_script_lang_ts_,
  htmlvue_type_template_id_0742e16d_render,
  htmlvue_type_template_id_0742e16d_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var html_api; }
html_component.options.__file = "src/vue/html.vue"
/* harmony default export */ var html = (html_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/expression.vue?vue&type=template&id=1d20865a&
var expressionvue_type_template_id_1d20865a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.root }, [
    _vm._v(_vm._s(_vm.question.formatedValue)),
  ])
}
var expressionvue_type_template_id_1d20865a_staticRenderFns = []
expressionvue_type_template_id_1d20865a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/expression.vue?vue&type=template&id=1d20865a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/expression.vue?vue&type=script&lang=ts&
var expressionvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var expressionvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var expressionvue_type_script_lang_ts_Expression = /** @class */ (function (_super) {
    expressionvue_type_script_lang_ts_extends(Expression, _super);
    function Expression() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Expression = expressionvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Expression);
    return Expression;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-expression", expressionvue_type_script_lang_ts_Expression);
/* harmony default export */ var expressionvue_type_script_lang_ts_ = (expressionvue_type_script_lang_ts_Expression);

// CONCATENATED MODULE: ./src/vue/expression.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_expressionvue_type_script_lang_ts_ = (expressionvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/expression.vue





/* normalize component */

var expression_component = normalizeComponent(
  vue_expressionvue_type_script_lang_ts_,
  expressionvue_type_template_id_1d20865a_render,
  expressionvue_type_template_id_1d20865a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var expression_api; }
expression_component.options.__file = "src/vue/expression.vue"
/* harmony default export */ var expression = (expression_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/imagepicker.vue?vue&type=template&id=153fe052&
var imagepickervue_type_template_id_153fe052_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "fieldset",
    {
      class: _vm.question.getSelectBaseRootCss(),
      style: _vm.question.getContainerStyle(),
    },
    [
      _c("legend", { staticClass: "sv-hidden" }, [
        _vm._v(_vm._s(_vm.question.locTitle.renderedHtml)),
      ]),
      _vm._v(" "),
      _vm._l(_vm.question.visibleChoices, function (item) {
        return !_vm.question.hasColumns
          ? _c("survey-imagepicker-item", {
              key: item.value,
              attrs: { question: _vm.question, item: item },
            })
          : _vm._e()
      }),
      _vm._v(" "),
      _vm._l(_vm.question.columns, function (column, colIndex) {
        return _vm.question.hasColumns
          ? _c(
              "div",
              {
                key: colIndex,
                class: _vm.question.getColumnClass(),
                attrs: { role: "presentation" },
              },
              _vm._l(column, function (item) {
                return _c("survey-imagepicker-item", {
                  key: item.value,
                  attrs: { question: _vm.question, item: item },
                })
              }),
              1
            )
          : _vm._e()
      }),
    ],
    2
  )
}
var imagepickervue_type_template_id_153fe052_staticRenderFns = []
imagepickervue_type_template_id_153fe052_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/imagepicker.vue?vue&type=template&id=153fe052&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/imagepicker.vue?vue&type=script&lang=ts&
var imagepickervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var imagepickervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var imagepickervue_type_script_lang_ts_ImagePicker = /** @class */ (function (_super) {
    imagepickervue_type_script_lang_ts_extends(ImagePicker, _super);
    function ImagePicker() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ImagePicker.prototype.getItemClass = function (item) {
        return this.question.getItemClass(item);
    };
    ImagePicker = imagepickervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ImagePicker);
    return ImagePicker;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-imagepicker", imagepickervue_type_script_lang_ts_ImagePicker);
/* harmony default export */ var imagepickervue_type_script_lang_ts_ = (imagepickervue_type_script_lang_ts_ImagePicker);

// CONCATENATED MODULE: ./src/vue/imagepicker.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_imagepickervue_type_script_lang_ts_ = (imagepickervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/imagepicker.vue





/* normalize component */

var imagepicker_component = normalizeComponent(
  vue_imagepickervue_type_script_lang_ts_,
  imagepickervue_type_template_id_153fe052_render,
  imagepickervue_type_template_id_153fe052_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var imagepicker_api; }
imagepicker_component.options.__file = "src/vue/imagepicker.vue"
/* harmony default export */ var imagepicker = (imagepicker_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/imagepicker-item.vue?vue&type=template&id=64b00179&
var imagepicker_itemvue_type_template_id_64b00179_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.getItemClass(_vm.item) }, [
    _c("label", { class: _vm.question.cssClasses.label }, [
      _vm.question.multiSelect
        ? _c("input", {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.value,
                expression: "value",
              },
            ],
            class: _vm.question.cssClasses.itemControl,
            attrs: {
              type: "checkbox",
              name: _vm.question.questionName,
              id: _vm.question.getItemId(_vm.item),
              disabled: !_vm.question.getItemEnabled(_vm.item),
              readonly: _vm.question.isReadOnlyAttr,
              "aria-required": _vm.question.ariaRequired,
              "aria-label": _vm.item.locText.renderedHtml,
              "aria-invalid": _vm.question.ariaInvalid,
              "aria-errormessage": _vm.question.ariaErrormessage,
            },
            domProps: {
              value: _vm.item.value,
              checked: Array.isArray(_vm.value)
                ? _vm._i(_vm.value, _vm.item.value) > -1
                : _vm.value,
            },
            on: {
              change: function ($event) {
                var $$a = _vm.value,
                  $$el = $event.target,
                  $$c = $$el.checked ? true : false
                if (Array.isArray($$a)) {
                  var $$v = _vm.item.value,
                    $$i = _vm._i($$a, $$v)
                  if ($$el.checked) {
                    $$i < 0 && (_vm.value = $$a.concat([$$v]))
                  } else {
                    $$i > -1 &&
                      (_vm.value = $$a.slice(0, $$i).concat($$a.slice($$i + 1)))
                  }
                } else {
                  _vm.value = $$c
                }
              },
            },
          })
        : _c("input", {
            directives: [
              {
                name: "model",
                rawName: "v-model",
                value: _vm.value,
                expression: "value",
              },
            ],
            class: _vm.question.cssClasses.itemControl,
            attrs: {
              type: "radio",
              name: _vm.question.questionName,
              id: _vm.question.getItemId(_vm.item),
              disabled: !_vm.question.getItemEnabled(_vm.item),
              readonly: _vm.question.isReadOnlyAttr,
              "aria-required": _vm.question.ariaRequired,
              "aria-label": _vm.item.locText.renderedHtml,
              "aria-invalid": _vm.question.ariaInvalid,
              "aria-errormessage": _vm.question.ariaErrormessage,
            },
            domProps: {
              value: _vm.item.value,
              checked: _vm._q(_vm.value, _vm.item.value),
            },
            on: {
              change: function ($event) {
                _vm.value = _vm.item.value
              },
            },
          }),
      _c("div", { class: _vm.question.cssClasses.itemDecorator }, [
        _c("div", { class: _vm.question.cssClasses.imageContainer }, [
          _vm.question.cssClasses.checkedItemDecorator
            ? _c(
                "span",
                {
                  class: this.question.cssClasses.checkedItemDecorator,
                  attrs: { "aria-hidden": "true" },
                },
                [
                  _vm.question.cssClasses.checkedItemSvgIconId
                    ? _c("sv-svg-icon", {
                        class: _vm.question.cssClasses.checkedItemSvgIcon,
                        attrs: {
                          size: "auto",
                          iconName:
                            _vm.question.cssClasses.checkedItemSvgIconId,
                        },
                      })
                    : _vm._e(),
                ],
                1
              )
            : _vm._e(),
          _vm._v(" "),
          _vm.item.imageLink &&
          !_vm.item.contentNotLoaded &&
          _vm.question.contentMode === "image"
            ? _c("img", {
                class: _vm.question.cssClasses.image,
                style: { objectFit: _vm.question.imageFit },
                attrs: {
                  src: _vm.item.imageLink,
                  width: _vm.question.renderedImageWidth,
                  height: _vm.question.renderedImageHeight,
                  alt: _vm.item.locText.renderedHtml,
                },
                on: {
                  load: function (event) {
                    _vm.question.onContentLoaded(_vm.item, event)
                  },
                  error: function (event) {
                    _vm.item.onErrorHandler()
                  },
                },
              })
            : _vm._e(),
          _vm.item.imageLink &&
          !_vm.item.contentNotLoaded &&
          _vm.question.contentMode === "video"
            ? _c("video", {
                class: _vm.question.cssClasses.image,
                style: { objectFit: _vm.question.imageFit },
                attrs: {
                  controls: "",
                  src: _vm.item.imageLink,
                  width: _vm.question.renderedImageWidth,
                  height: _vm.question.renderedImageHeight,
                },
                on: {
                  loadedmetadata: function (event) {
                    _vm.question.onContentLoaded(_vm.item, event)
                  },
                  error: function (event) {
                    _vm.item.onErrorHandler()
                  },
                },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.item.imageLink || _vm.item.contentNotLoaded
            ? _c(
                "div",
                {
                  class: _vm.question.cssClasses.itemNoImage,
                  style: {
                    width: _vm.question.renderedImageWidth + "px",
                    height: _vm.question.renderedImageHeight + "px",
                    objectFit: _vm.question.imageFit,
                  },
                },
                [
                  _c("sv-svg-icon", {
                    class: _vm.question.cssClasses.itemNoImageSvgIcon,
                    attrs: {
                      iconName: _vm.question.cssClasses.itemNoImageSvgIconId,
                      size: 48,
                    },
                  }),
                ],
                1
              )
            : _vm._e(),
        ]),
        _vm.question.showLabel
          ? _c(
              "span",
              { class: _vm.question.cssClasses.itemText },
              [_c("survey-string", { attrs: { locString: _vm.item.locText } })],
              1
            )
          : _vm._e(),
      ]),
    ]),
  ])
}
var imagepicker_itemvue_type_template_id_64b00179_staticRenderFns = []
imagepicker_itemvue_type_template_id_64b00179_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/imagepicker-item.vue?vue&type=template&id=64b00179&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/imagepicker-item.vue?vue&type=script&lang=ts&
var imagepicker_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var imagepicker_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var imagepicker_itemvue_type_script_lang_ts_ImagePickerItem = /** @class */ (function (_super) {
    imagepicker_itemvue_type_script_lang_ts_extends(ImagePickerItem, _super);
    function ImagePickerItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ImagePickerItem.prototype.getItemClass = function (item) {
        return this.question.getItemClass(item);
    };
    ImagePickerItem.prototype.getModel = function () {
        return this.item;
    };
    Object.defineProperty(ImagePickerItem.prototype, "value", {
        get: function () {
            return this.question.value;
        },
        set: function (value) {
            var question = this.question;
            if (question.isReadOnlyAttr)
                return;
            question.value = value;
        },
        enumerable: false,
        configurable: true
    });
    imagepicker_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], ImagePickerItem.prototype, "question", void 0);
    imagepicker_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], ImagePickerItem.prototype, "item", void 0);
    ImagePickerItem = imagepicker_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ImagePickerItem);
    return ImagePickerItem;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-imagepicker-item", imagepicker_itemvue_type_script_lang_ts_ImagePickerItem);
/* harmony default export */ var imagepicker_itemvue_type_script_lang_ts_ = (imagepicker_itemvue_type_script_lang_ts_ImagePickerItem);

// CONCATENATED MODULE: ./src/vue/imagepicker-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_imagepicker_itemvue_type_script_lang_ts_ = (imagepicker_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/imagepicker-item.vue





/* normalize component */

var imagepicker_item_component = normalizeComponent(
  vue_imagepicker_itemvue_type_script_lang_ts_,
  imagepicker_itemvue_type_template_id_64b00179_render,
  imagepicker_itemvue_type_template_id_64b00179_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var imagepicker_item_api; }
imagepicker_item_component.options.__file = "src/vue/imagepicker-item.vue"
/* harmony default export */ var imagepicker_item = (imagepicker_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamic.vue?vue&type=template&id=9dda5d06&
var paneldynamicvue_type_template_id_9dda5d06_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.root },
    [
      _vm.question.hasTabbedMenu
        ? _c(
            "div",
            { class: _vm.question.getTabsContainerCss() },
            [
              _c("sv-action-bar", {
                attrs: { model: _vm.question.tabbedMenu },
              }),
            ],
            1
          )
        : _vm._e(),
      _vm._v(" "),
      _vm.question.getShowNoEntriesPlaceholder()
        ? _c(
            "div",
            { class: _vm.question.cssClasses.noEntriesPlaceholder },
            [
              _c(
                "span",
                [
                  _c("survey-string", {
                    attrs: { locString: _vm.question.locNoEntriesText },
                  }),
                ],
                1
              ),
              _vm._v(" "),
              _c("sv-paneldynamic-add-btn", {
                attrs: { data: { question: _vm.question } },
              }),
            ],
            1
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.showLegacyNavigation &&
      _vm.question.isProgressTopShowing &&
      _vm.question.isRangeShowing
        ? _c("div", { class: _vm.question.cssClasses.progress }, [
            _c("div", {
              class: _vm.question.cssClasses.progressBar,
              style: { width: _vm.question.progress },
              attrs: { role: "progressbar" },
            }),
          ])
        : _vm._e(),
      _vm._v(" "),
      _vm.showLegacyNavigation && _vm.question.isProgressTopShowing
        ? _c("survey-paneldynamicprogress", {
            attrs: { question: _vm.question },
          })
        : _vm._e(),
      _vm._v(" "),
      _c(
        "div",
        { class: _vm.question.cssClasses.panelsContainer },
        [
          _vm._l(_vm.question.renderedPanels, function (panel, index) {
            return [
              _c(
                "div",
                {
                  key: panel.id,
                  class: _vm.question.getPanelWrapperCss(panel),
                },
                [
                  _c("survey-panel", {
                    attrs: { question: panel, css: _vm.css },
                  }),
                  _vm._v(" "),
                  _vm.question.panelRemoveButtonLocation === "right" &&
                  _vm.question.canRemovePanel &&
                  panel.state !== "collapsed"
                    ? _c("sv-paneldynamic-remove-btn", {
                        attrs: {
                          data: { question: _vm.question, panel: panel },
                        },
                      })
                    : _vm._e(),
                ],
                1
              ),
              _vm._v(" "),
              _vm.question.isRenderModeList &&
              index < _vm.question.visiblePanelCount - 1
                ? _c("hr", {
                    key: "separator" + panel.id,
                    class: _vm.question.cssClasses.separator,
                  })
                : _vm._e(),
            ]
          }),
        ],
        2
      ),
      _vm._v(" "),
      _vm.showLegacyNavigation && _vm.question.isProgressBottomShowing
        ? _c("survey-paneldynamicprogress", {
            attrs: { question: _vm.question },
          })
        : _vm._e(),
      _vm._v(" "),
      _vm.showLegacyNavigation && _vm.question.isRenderModeList
        ? _c("sv-paneldynamic-add-btn", {
            attrs: { data: { question: _vm.question } },
          })
        : _vm._e(),
      _vm._v(" "),
      _vm.question.showNavigation
        ? _c("survey-paneldynamicprogress-v2", {
            attrs: { question: _vm.question },
          })
        : _vm._e(),
    ],
    1
  )
}
var paneldynamicvue_type_template_id_9dda5d06_staticRenderFns = []
paneldynamicvue_type_template_id_9dda5d06_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/paneldynamic.vue?vue&type=template&id=9dda5d06&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamic.vue?vue&type=script&lang=ts&
var paneldynamicvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamicvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamicvue_type_script_lang_ts_PanelDynamic = /** @class */ (function (_super) {
    paneldynamicvue_type_script_lang_ts_extends(PanelDynamic, _super);
    function PanelDynamic() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(PanelDynamic.prototype, "showLegacyNavigation", {
        get: function () {
            return this.question["showLegacyNavigation"];
        },
        enumerable: false,
        configurable: true
    });
    PanelDynamic = paneldynamicvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamic);
    return PanelDynamic;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-paneldynamic", paneldynamicvue_type_script_lang_ts_PanelDynamic);
/* harmony default export */ var paneldynamicvue_type_script_lang_ts_ = (paneldynamicvue_type_script_lang_ts_PanelDynamic);

// CONCATENATED MODULE: ./src/vue/paneldynamic.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_paneldynamicvue_type_script_lang_ts_ = (paneldynamicvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/paneldynamic.vue





/* normalize component */

var paneldynamic_component = normalizeComponent(
  vue_paneldynamicvue_type_script_lang_ts_,
  paneldynamicvue_type_template_id_9dda5d06_render,
  paneldynamicvue_type_template_id_9dda5d06_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_api; }
paneldynamic_component.options.__file = "src/vue/paneldynamic.vue"
/* harmony default export */ var paneldynamic = (paneldynamic_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamicprogress.vue?vue&type=template&id=742bffac&
var paneldynamicprogressvue_type_template_id_742bffac_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: this.cssClass }, [
    _c(
      "div",
      { class: this.cssClass, staticStyle: { clear: "both" } },
      [
        _c(
          "div",
          { class: _vm.question.cssClasses.progressContainer },
          [
            _c("sv-paneldynamic-prev-btn", {
              attrs: { data: { question: _vm.question } },
            }),
            _vm._v(" "),
            _vm.question.isRangeShowing
              ? _c("div", { class: _vm.question.cssClasses.progress }, [
                  _c("div", {
                    class: _vm.question.cssClasses.progressBar,
                    style: { width: _vm.question.progress },
                    attrs: { role: "progressbar" },
                  }),
                ])
              : _vm._e(),
            _vm._v(" "),
            _c("sv-paneldynamic-next-btn", {
              attrs: { data: { question: _vm.question } },
            }),
          ],
          1
        ),
        _vm._v(" "),
        _c("sv-paneldynamic-add-btn", {
          attrs: { data: { question: _vm.question } },
        }),
        _vm._v(" "),
        _c("sv-paneldynamic-progress-text", {
          attrs: { data: { question: _vm.question } },
        }),
      ],
      1
    ),
  ])
}
var paneldynamicprogressvue_type_template_id_742bffac_staticRenderFns = []
paneldynamicprogressvue_type_template_id_742bffac_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/paneldynamicprogress.vue?vue&type=template&id=742bffac&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamicprogress.vue?vue&type=script&lang=ts&
var paneldynamicprogressvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamicprogressvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var paneldynamicprogressvue_type_script_lang_ts_PanelDynamicProgress = /** @class */ (function (_super) {
    paneldynamicprogressvue_type_script_lang_ts_extends(PanelDynamicProgress, _super);
    function PanelDynamicProgress() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(PanelDynamicProgress.prototype, "cssClass", {
        get: function () {
            return this.question.isProgressTopShowing
                ? this.question.cssClasses.progressTop
                : this.question.cssClasses.progressBottom;
        },
        enumerable: false,
        configurable: true
    });
    paneldynamicprogressvue_type_script_lang_ts_decorate([
        Prop()
    ], PanelDynamicProgress.prototype, "question", void 0);
    PanelDynamicProgress = paneldynamicprogressvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicProgress);
    return PanelDynamicProgress;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-paneldynamicprogress", paneldynamicprogressvue_type_script_lang_ts_PanelDynamicProgress);
/* harmony default export */ var paneldynamicprogressvue_type_script_lang_ts_ = (paneldynamicprogressvue_type_script_lang_ts_PanelDynamicProgress);

// CONCATENATED MODULE: ./src/vue/paneldynamicprogress.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_paneldynamicprogressvue_type_script_lang_ts_ = (paneldynamicprogressvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/paneldynamicprogress.vue





/* normalize component */

var paneldynamicprogress_component = normalizeComponent(
  vue_paneldynamicprogressvue_type_script_lang_ts_,
  paneldynamicprogressvue_type_template_id_742bffac_render,
  paneldynamicprogressvue_type_template_id_742bffac_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamicprogress_api; }
paneldynamicprogress_component.options.__file = "src/vue/paneldynamicprogress.vue"
/* harmony default export */ var paneldynamicprogress = (paneldynamicprogress_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamicprogressV2.vue?vue&type=template&id=33ce4046&
var paneldynamicprogressV2vue_type_template_id_33ce4046_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return !!_vm.question.cssClasses.footer
    ? _c("div", { class: _vm.question.cssClasses.footer }, [
        _c("hr", { class: _vm.question.cssClasses.separator }),
        _vm._v(" "),
        _vm.question.isRangeShowing && _vm.question.isProgressBottomShowing
          ? _c("div", { class: _vm.question.cssClasses.progress }, [
              _c("div", {
                class: _vm.question.cssClasses.progressBar,
                style: { width: _vm.question.progress },
                attrs: { role: "progressbar" },
              }),
            ])
          : _vm._e(),
        _vm._v(" "),
        _vm.question.footerToolbar.visibleActions.length
          ? _c(
              "div",
              { class: _vm.question.cssClasses.footerButtonsContainer },
              [
                _c("sv-action-bar", {
                  attrs: { model: _vm.question.footerToolbar },
                }),
              ],
              1
            )
          : _vm._e(),
      ])
    : _vm._e()
}
var paneldynamicprogressV2vue_type_template_id_33ce4046_staticRenderFns = []
paneldynamicprogressV2vue_type_template_id_33ce4046_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/paneldynamicprogressV2.vue?vue&type=template&id=33ce4046&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/paneldynamicprogressV2.vue?vue&type=script&lang=ts&
var paneldynamicprogressV2vue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamicprogressV2vue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamicprogressV2vue_type_script_lang_ts_PanelDynamicProgressV2 = /** @class */ (function (_super) {
    paneldynamicprogressV2vue_type_script_lang_ts_extends(PanelDynamicProgressV2, _super);
    function PanelDynamicProgressV2() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PanelDynamicProgressV2 = paneldynamicprogressV2vue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicProgressV2);
    return PanelDynamicProgressV2;
}(paneldynamicprogressvue_type_script_lang_ts_PanelDynamicProgress));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-paneldynamicprogress-v2", paneldynamicprogressV2vue_type_script_lang_ts_PanelDynamicProgressV2);
/* harmony default export */ var paneldynamicprogressV2vue_type_script_lang_ts_ = (paneldynamicprogressV2vue_type_script_lang_ts_PanelDynamicProgressV2);

// CONCATENATED MODULE: ./src/vue/paneldynamicprogressV2.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_paneldynamicprogressV2vue_type_script_lang_ts_ = (paneldynamicprogressV2vue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/paneldynamicprogressV2.vue





/* normalize component */

var paneldynamicprogressV2_component = normalizeComponent(
  vue_paneldynamicprogressV2vue_type_script_lang_ts_,
  paneldynamicprogressV2vue_type_template_id_33ce4046_render,
  paneldynamicprogressV2vue_type_template_id_33ce4046_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamicprogressV2_api; }
paneldynamicprogressV2_component.options.__file = "src/vue/paneldynamicprogressV2.vue"
/* harmony default export */ var paneldynamicprogressV2 = (paneldynamicprogressV2_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progress.vue?vue&type=template&id=27e325ef&
var progressvue_type_template_id_27e325ef_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.survey.getProgressCssClasses(_vm.container) }, [
    _c(
      "div",
      {
        class: _vm.survey.css.progressBar,
        style: { width: _vm.progress },
        attrs: {
          role: "progressbar",
          "aria-valuemin": "0",
          "aria-valuemax": "100",
          "aria-label": "progress",
        },
      },
      [
        _c("span", { class: _vm.getProgressTextInBarCss(_vm.survey.css) }, [
          _vm._v(_vm._s(_vm.survey.progressText)),
        ]),
      ]
    ),
    _vm._v(" "),
    _c("span", { class: _vm.getProgressTextUnderBarCss(_vm.survey.css) }, [
      _vm._v(_vm._s(_vm.survey.progressText)),
    ]),
  ])
}
var progressvue_type_template_id_27e325ef_staticRenderFns = []
progressvue_type_template_id_27e325ef_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/progress.vue?vue&type=template&id=27e325ef&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progress.vue?vue&type=script&lang=ts&
var progressvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var progressvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var progressvue_type_script_lang_ts_Progress = /** @class */ (function (_super) {
    progressvue_type_script_lang_ts_extends(Progress, _super);
    function Progress() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Progress.prototype, "progress", {
        get: function () {
            return this.survey.progressValue + "%";
        },
        enumerable: false,
        configurable: true
    });
    Progress.prototype.getProgressTextInBarCss = function (css) {
        return external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyProgressModel"].getProgressTextInBarCss(css);
    };
    Progress.prototype.getProgressTextUnderBarCss = function (css) {
        return external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyProgressModel"].getProgressTextUnderBarCss(css);
    };
    progressvue_type_script_lang_ts_decorate([
        Prop()
    ], Progress.prototype, "survey", void 0);
    progressvue_type_script_lang_ts_decorate([
        Prop()
    ], Progress.prototype, "container", void 0);
    progressvue_type_script_lang_ts_decorate([
        Prop()
    ], Progress.prototype, "css", void 0);
    Progress = progressvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Progress);
    return Progress;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-progress-pages", progressvue_type_script_lang_ts_Progress);
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-progress-questions", progressvue_type_script_lang_ts_Progress);
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-progress-correctquestions", progressvue_type_script_lang_ts_Progress);
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-progress-requiredquestions", progressvue_type_script_lang_ts_Progress);
/* harmony default export */ var progressvue_type_script_lang_ts_ = (progressvue_type_script_lang_ts_Progress);

// CONCATENATED MODULE: ./src/vue/progress.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_progressvue_type_script_lang_ts_ = (progressvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/progress.vue





/* normalize component */

var progress_component = normalizeComponent(
  vue_progressvue_type_script_lang_ts_,
  progressvue_type_template_id_27e325ef_render,
  progressvue_type_template_id_27e325ef_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var progress_api; }
progress_component.options.__file = "src/vue/progress.vue"
/* harmony default export */ var progress = (progress_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progressButtons.vue?vue&type=template&id=2ae7de42&
var progressButtonsvue_type_template_id_2ae7de42_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.model.getRootCss(_vm.container),
      style: { maxWidth: _vm.model.progressWidth },
      attrs: {
        role: "progressbar",
        "aria-valuemin": "0",
        "aria-valuemax": "100",
        "aria-label": "progress",
      },
    },
    [
      _vm.canShowHeader
        ? _c("div", { class: _vm.survey.css.progressButtonsHeader }, [
            _c(
              "div",
              {
                class: _vm.survey.css.progressButtonsPageTitle,
                attrs: { title: _vm.model.headerText },
              },
              [_vm._v(_vm._s(_vm.model.headerText))]
            ),
          ])
        : _vm._e(),
      _vm._v(" "),
      _c("div", { class: _vm.css.progressButtonsContainer }, [
        _c("div", {
          class: _vm.model.getScrollButtonCss(_vm.hasScroller, true),
          attrs: { role: "button" },
          on: {
            click: function ($event) {
              return _vm.clickScrollButton(true)
            },
          },
        }),
        _vm._v(" "),
        _c(
          "div",
          {
            ref: "progressButtonsListContainer",
            class: _vm.css.progressButtonsListContainer,
          },
          [
            _c(
              "ul",
              { class: _vm.css.progressButtonsList },
              _vm._l(_vm.survey.visiblePages, function (page, index) {
                return _c(
                  "li",
                  {
                    key: "listelement" + index,
                    class: _vm.model.getListElementCss(index),
                    attrs: {
                      "data-page-number": _vm.model.getItemNumber(page),
                    },
                    on: {
                      click: function ($event) {
                        _vm.model.isListElementClickable(index)
                          ? _vm.model.clickListElement(page)
                          : null
                      },
                    },
                  },
                  [
                    _c("div", { class: _vm.css.progressButtonsConnector }),
                    _vm._v(" "),
                    _vm.canShowItemTitles
                      ? _c(
                          "div",
                          {
                            class: _vm.css.progressButtonsPageTitle,
                            attrs: { title: page.renderedNavigationTitle },
                          },
                          [
                            _c("survey-string", {
                              attrs: { locString: page.locNavigationTitle },
                            }),
                          ],
                          1
                        )
                      : _vm._e(),
                    _vm._v(" "),
                    _vm.canShowItemTitles
                      ? _c(
                          "div",
                          {
                            class: _vm.css.progressButtonsPageDescription,
                            attrs: {
                              title: page.locNavigationDescription.renderedHtml,
                            },
                          },
                          [
                            _vm._v(
                              "\n            " +
                                _vm._s(
                                  page.locNavigationDescription.renderedHtml
                                ) +
                                "\n          "
                            ),
                          ]
                        )
                      : _vm._e(),
                    _vm._v(" "),
                    _c("div", { class: _vm.css.progressButtonsButton }, [
                      _c("div", {
                        class: _vm.css.progressButtonsButtonBackground,
                      }),
                      _c("div", {
                        class: _vm.css.progressButtonsButtonContent,
                      }),
                      _c("span", [
                        _vm._v(_vm._s(_vm.model.getItemNumber(page))),
                      ]),
                    ]),
                  ]
                )
              }),
              0
            ),
          ]
        ),
        _vm._v(" "),
        _c("div", {
          class: _vm.model.getScrollButtonCss(_vm.hasScroller, false),
          attrs: { role: "button" },
          on: {
            click: function ($event) {
              return _vm.clickScrollButton(false)
            },
          },
        }),
      ]),
      _vm._v(" "),
      _vm.canShowFooter
        ? _c("div", { class: _vm.survey.css.progressButtonsFooter }, [
            _c(
              "div",
              {
                class: _vm.survey.css.progressButtonsPageTitle,
                attrs: { title: _vm.model.footerText },
              },
              [_vm._v(_vm._s(_vm.model.footerText))]
            ),
          ])
        : _vm._e(),
    ]
  )
}
var progressButtonsvue_type_template_id_2ae7de42_staticRenderFns = []
progressButtonsvue_type_template_id_2ae7de42_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/progressButtons.vue?vue&type=template&id=2ae7de42&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progressButtons.vue?vue&type=script&lang=ts&
var progressButtonsvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var progressButtonsvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var progressButtonsvue_type_script_lang_ts_ProgressButtonsComponent = /** @class */ (function (_super) {
    progressButtonsvue_type_script_lang_ts_extends(ProgressButtonsComponent, _super);
    function ProgressButtonsComponent() {
        var _this = _super.call(this) || this;
        _this.hasScroller = false;
        _this.canShowHeader = false;
        _this.canShowFooter = false;
        _this.canShowItemTitles = true;
        return _this;
    }
    ProgressButtonsComponent.prototype.onResize = function (canShowItemTitles) {
        this.canShowItemTitles = canShowItemTitles;
        this.canShowHeader = !this.canShowItemTitles;
    };
    ProgressButtonsComponent.prototype.onUpdateScroller = function (hasScroller) {
        this.hasScroller = hasScroller;
    };
    ProgressButtonsComponent.prototype.onUpdateSettings = function () {
        this.canShowItemTitles = this.model.showItemTitles;
        this.canShowFooter = !this.model.showItemTitles;
    };
    Object.defineProperty(ProgressButtonsComponent.prototype, "css", {
        get: function () {
            return this.survey.css;
        },
        enumerable: false,
        configurable: true
    });
    ProgressButtonsComponent.prototype.mounted = function () {
        var element = this.$refs["progressButtonsListContainer"];
        this.respManager = new external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["ProgressButtonsResponsivityManager"](this.model, element, this);
    };
    ProgressButtonsComponent.prototype.clickScrollButton = function (isLeftScroll) {
        var listContainerElement = this.$refs["progressButtonsListContainer"];
        listContainerElement.scrollLeft += (isLeftScroll ? -1 : 1) * 70;
    };
    ProgressButtonsComponent.prototype.beforeDestroy = function () {
        this.respManager.dispose();
    };
    progressButtonsvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressButtonsComponent.prototype, "survey", void 0);
    progressButtonsvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressButtonsComponent.prototype, "model", void 0);
    progressButtonsvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressButtonsComponent.prototype, "container", void 0);
    ProgressButtonsComponent = progressButtonsvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ProgressButtonsComponent);
    return ProgressButtonsComponent;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-progress-buttons", progressButtonsvue_type_script_lang_ts_ProgressButtonsComponent);
/* harmony default export */ var progressButtonsvue_type_script_lang_ts_ = (progressButtonsvue_type_script_lang_ts_ProgressButtonsComponent);

// CONCATENATED MODULE: ./src/vue/progressButtons.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_progressButtonsvue_type_script_lang_ts_ = (progressButtonsvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/progressButtons.vue





/* normalize component */

var progressButtons_component = normalizeComponent(
  vue_progressButtonsvue_type_script_lang_ts_,
  progressButtonsvue_type_template_id_2ae7de42_render,
  progressButtonsvue_type_template_id_2ae7de42_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var progressButtons_api; }
progressButtons_component.options.__file = "src/vue/progressButtons.vue"
/* harmony default export */ var progressButtons = (progressButtons_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progressToc.vue?vue&type=template&id=f0bd3dee&
var progressTocvue_type_template_id_f0bd3dee_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.model.containerCss },
    [
      _vm.model.isMobile
        ? _c(
            "div",
            {
              directives: [{ name: "key2click", rawName: "v-key2click" }],
              on: { click: _vm.model.togglePopup },
            },
            [
              _c("sv-svg-icon", {
                attrs: { iconName: _vm.model.icon, size: 24 },
              }),
              _vm._v(" "),
              _c("sv-popup", { attrs: { model: _vm.model.popupModel } }),
            ],
            1
          )
        : _c("sv-list", { attrs: { model: _vm.model.listModel } }),
    ],
    1
  )
}
var progressTocvue_type_template_id_f0bd3dee_staticRenderFns = []
progressTocvue_type_template_id_f0bd3dee_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/progressToc.vue?vue&type=template&id=f0bd3dee&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/progressToc.vue?vue&type=script&lang=ts&
var progressTocvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var progressTocvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var progressTocvue_type_script_lang_ts_ProgressToc = /** @class */ (function (_super) {
    progressTocvue_type_script_lang_ts_extends(ProgressToc, _super);
    function ProgressToc() {
        return _super.call(this) || this;
    }
    progressTocvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressToc.prototype, "model", void 0);
    progressTocvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressToc.prototype, "survey", void 0);
    progressTocvue_type_script_lang_ts_decorate([
        Prop()
    ], ProgressToc.prototype, "css", void 0);
    ProgressToc = progressTocvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ProgressToc);
    return ProgressToc;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-navigation-toc", progressTocvue_type_script_lang_ts_ProgressToc);
/* harmony default export */ var progressTocvue_type_script_lang_ts_ = (progressTocvue_type_script_lang_ts_ProgressToc);

// CONCATENATED MODULE: ./src/vue/progressToc.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_progressTocvue_type_script_lang_ts_ = (progressTocvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/progressToc.vue





/* normalize component */

var progressToc_component = normalizeComponent(
  vue_progressTocvue_type_script_lang_ts_,
  progressTocvue_type_template_id_f0bd3dee_render,
  progressTocvue_type_template_id_f0bd3dee_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var progressToc_api; }
progressToc_component.options.__file = "src/vue/progressToc.vue"
/* harmony default export */ var progressToc = (progressToc_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/timerpanel.vue?vue&type=template&id=0d2abe21&
var timerpanelvue_type_template_id_0d2abe21_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.model.isRunning && _vm.model.showTimerAsClock
    ? _c("div", { class: _vm.model.rootCss }, [
        _vm.model.showProgress
          ? _c(
              "svg",
              {
                class: _vm.model.getProgressCss(),
                style: {
                  strokeDasharray: _vm.circleRadius,
                  strokeDashoffset: _vm.progress,
                },
              },
              [_c("use", { attrs: { "xlink:href": "#icon-timercircle" } })]
            )
          : _vm._e(),
        _vm._v(" "),
        _c("div", { class: _vm.model.textContainerCss }, [
          _c("span", { class: _vm.model.majorTextCss }, [
            _vm._v(_vm._s(_vm.model.clockMajorText)),
          ]),
          _vm._v(" "),
          !!_vm.model.clockMinorText
            ? _c("span", { class: _vm.model.minorTextCss }, [
                _vm._v(_vm._s(_vm.model.clockMinorText)),
              ])
            : _vm._e(),
        ]),
      ])
    : _c(
        "div",
        {
          directives: [
            {
              name: "show",
              rawName: "v-show",
              value: _vm.model.isRunning && !_vm.model.showTimerAsClock,
              expression: "model.isRunning && !model.showTimerAsClock",
            },
          ],
          class: _vm.model.survey.getCss().timerRoot,
        },
        [_vm._v("\n  " + _vm._s(_vm.text) + "\n")]
      )
}
var timerpanelvue_type_template_id_0d2abe21_staticRenderFns = []
timerpanelvue_type_template_id_0d2abe21_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/timerpanel.vue?vue&type=template&id=0d2abe21&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/timerpanel.vue?vue&type=script&lang=ts&
var timerpanelvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var timerpanelvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var timerpanelvue_type_script_lang_ts_TimerPanel = /** @class */ (function (_super) {
    timerpanelvue_type_script_lang_ts_extends(TimerPanel, _super);
    function TimerPanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.circleRadius = 440;
        return _this;
    }
    Object.defineProperty(TimerPanel.prototype, "progress", {
        get: function () {
            return -this.circleRadius * this.model.progress;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TimerPanel.prototype, "text", {
        get: function () {
            return this.model.text;
        },
        enumerable: false,
        configurable: true
    });
    TimerPanel.prototype.getModel = function () {
        return this.model;
    };
    timerpanelvue_type_script_lang_ts_decorate([
        Prop()
    ], TimerPanel.prototype, "model", void 0);
    timerpanelvue_type_script_lang_ts_decorate([
        Prop()
    ], TimerPanel.prototype, "css", void 0);
    TimerPanel = timerpanelvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TimerPanel);
    return TimerPanel;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-timerpanel", timerpanelvue_type_script_lang_ts_TimerPanel);
/* harmony default export */ var timerpanelvue_type_script_lang_ts_ = (timerpanelvue_type_script_lang_ts_TimerPanel);

// CONCATENATED MODULE: ./src/vue/timerpanel.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_timerpanelvue_type_script_lang_ts_ = (timerpanelvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/timerpanel.vue





/* normalize component */

var timerpanel_component = normalizeComponent(
  vue_timerpanelvue_type_script_lang_ts_,
  timerpanelvue_type_template_id_0d2abe21_render,
  timerpanelvue_type_template_id_0d2abe21_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var timerpanel_api; }
timerpanel_component.options.__file = "src/vue/timerpanel.vue"
/* harmony default export */ var timerpanel = (timerpanel_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/panel.vue?vue&type=template&id=0c78899c&
var panelvue_type_template_id_0c78899c_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.isVisible
    ? _c(
        "div",
        {
          class: _vm.question.getContainerCss(),
          attrs: { id: _vm.question.id },
        },
        [
          _vm.question.showErrorsAbovePanel
            ? _c("survey-errors", { attrs: { element: _vm.question } })
            : _vm._e(),
          _vm._v(" "),
          _vm.question.hasTitle || _vm.question.hasDescription
            ? _c("survey-element-header", {
                attrs: { element: _vm.question, css: _vm.css },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.question.showErrorsAbovePanel
            ? _c("survey-errors", { attrs: { element: _vm.question } })
            : _vm._e(),
          _vm._v(" "),
          !_vm.isCollapsed
            ? _c(
                "div",
                {
                  class: _vm.question.cssClasses.panel.content,
                  style: { paddingLeft: _vm.question.innerPaddingLeft },
                  attrs: { id: _vm.question.contentId },
                },
                [
                  _vm._l(_vm.rows, function (row, index) {
                    return [
                      row.visible
                        ? _c("survey-row", {
                            key: _vm.question.id + "_" + index,
                            attrs: {
                              row: row,
                              survey: _vm.survey,
                              css: _vm.css,
                            },
                          })
                        : _vm._e(),
                    ]
                  }),
                  _vm._v(" "),
                  _c("sv-action-bar", {
                    attrs: { model: _vm.question.getFooterToolbar() },
                  }),
                ],
                2
              )
            : _vm._e(),
        ],
        1
      )
    : _vm._e()
}
var panelvue_type_template_id_0c78899c_staticRenderFns = []
panelvue_type_template_id_0c78899c_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/panel.vue?vue&type=template&id=0c78899c&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/panel.vue?vue&type=script&lang=ts&
var panelvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var panelvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var panelvue_type_script_lang_ts_Panel = /** @class */ (function (_super) {
    panelvue_type_script_lang_ts_extends(Panel, _super);
    function Panel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isCollapsedValue = false;
        return _this;
    }
    Panel.prototype.getModel = function () {
        return this.question;
    };
    Panel.prototype.onMounted = function () {
        var _this = this;
        if (this.question.survey) {
            this.question.afterRender(this.$el);
        }
        this.isCollapsedValue = this.question.isCollapsed;
        this.question.stateChangedCallback = function () {
            _this.isCollapsedValue = _this.question.isCollapsed;
        };
    };
    Panel.prototype.beforeDestroy = function () {
        this.question.stateChangedCallback = null;
    };
    Object.defineProperty(Panel.prototype, "rootStyle", {
        get: function () {
            var result = {};
            if (this.question.renderWidth) {
                result["flexBasis"] = this.question.renderWidth;
                result["flexGrow"] = 1;
                result["flexShrink"] = 1;
                result["width"] = this.question.renderWidth;
                result["minWidth"] = this.question.minWidth;
                result["maxWidth"] = this.question.maxWidth;
            }
            return result;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Panel.prototype, "showIcon", {
        get: function () {
            return this.question.isExpanded || this.question.isCollapsed;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Panel.prototype, "rows", {
        get: function () {
            return this.question.rows;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Panel.prototype, "survey", {
        get: function () {
            return this.question.survey;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Panel.prototype, "isCollapsed", {
        get: function () {
            return this.isCollapsedValue;
        },
        enumerable: false,
        configurable: true
    });
    Panel.prototype.cancelPreview = function () {
        this.question.cancelPreview();
    };
    Object.defineProperty(Panel.prototype, "requiredTextCss", {
        get: function () {
            return (this.question.cssRequiredText);
        },
        enumerable: false,
        configurable: true
    });
    panelvue_type_script_lang_ts_decorate([
        Prop()
    ], Panel.prototype, "question", void 0);
    panelvue_type_script_lang_ts_decorate([
        Prop()
    ], Panel.prototype, "isEditMode", void 0);
    panelvue_type_script_lang_ts_decorate([
        Prop()
    ], Panel.prototype, "css", void 0);
    Panel = panelvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Panel);
    return Panel;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-panel", panelvue_type_script_lang_ts_Panel);
/* harmony default export */ var panelvue_type_script_lang_ts_ = (panelvue_type_script_lang_ts_Panel);

// CONCATENATED MODULE: ./src/vue/panel.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_panelvue_type_script_lang_ts_ = (panelvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/panel.vue





/* normalize component */

var panel_component = normalizeComponent(
  vue_panelvue_type_script_lang_ts_,
  panelvue_type_template_id_0c78899c_render,
  panelvue_type_template_id_0c78899c_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var panel_api; }
panel_component.options.__file = "src/vue/panel.vue"
/* harmony default export */ var panel = (panel_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/flowpanel.vue?vue&type=template&id=96ae1a78&
var flowpanelvue_type_template_id_96ae1a78_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.isVisible
    ? _c(
        "div",
        {
          class: _vm.question.cssClasses.panel.container,
          style: _vm.rootStyle,
        },
        [
          _c(
            "h4",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: _vm.hasTitle,
                  expression: "hasTitle",
                },
              ],
              class: _vm.question.cssTitle,
              on: { click: _vm.changeExpanded },
            },
            [
              _c("survey-string", {
                attrs: { locString: _vm.question.locTitle },
              }),
              _vm._v(" "),
              _c("span", {
                directives: [
                  {
                    name: "show",
                    rawName: "v-show",
                    value: _vm.showIcon,
                    expression: "showIcon",
                  },
                ],
                class: _vm.iconCss,
              }),
            ],
            1
          ),
          _vm._v(" "),
          _c(
            "div",
            { class: _vm.question.cssClasses.panel.description },
            [
              _c("survey-string", {
                attrs: { locString: _vm.question.locDescription },
              }),
            ],
            1
          ),
          _vm._v(" "),
          _c("survey-errors", { attrs: { element: _vm.question } }),
          _vm._v(" "),
          _c(
            "f-panel",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: !_vm.isCollapsed,
                  expression: "!isCollapsed",
                },
              ],
              style: { paddingLeft: _vm.question.innerPaddingLeft },
            },
            [
              _c("survey-flowpanelelement", {
                attrs: { node: _vm.rootNode, panel: _vm.question, css: "css" },
              }),
            ],
            1
          ),
        ],
        1
      )
    : _vm._e()
}
var flowpanelvue_type_template_id_96ae1a78_staticRenderFns = []
flowpanelvue_type_template_id_96ae1a78_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/flowpanel.vue?vue&type=template&id=96ae1a78&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/flowpanel.vue?vue&type=script&lang=ts&
var flowpanelvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var flowpanelvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var flowpanelvue_type_script_lang_ts_FlowPanel = /** @class */ (function (_super) {
    flowpanelvue_type_script_lang_ts_extends(FlowPanel, _super);
    function FlowPanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.isCollapsedValue = false;
        return _this;
    }
    Object.defineProperty(FlowPanel.prototype, "rootNode", {
        get: function () {
            return this.rootNodeValue;
        },
        enumerable: false,
        configurable: true
    });
    FlowPanel.prototype.beforeMount = function () {
        if (!this.question)
            return;
        var self = this;
        this.question.onCustomHtmlProducing = function () {
            return "";
        };
        this.question.onGetHtmlForQuestion = self.renderQuestion;
        this.setRootNode();
    };
    FlowPanel.prototype.setRootNode = function () {
        var html = "<span>" + this.question.produceHtml() + "</span>";
        var doc = new DOMParser().parseFromString(html, "text/xml");
        this.rootNodeValue =
            !!doc && doc.childNodes.length > 0 ? doc.childNodes[0] : null;
    };
    FlowPanel.prototype.renderQuestion = function (question) {
        return "<question>" + question.name + "</question>";
    };
    FlowPanel.prototype.mounted = function () {
        var _this = this;
        if (this.question.survey) {
            this.question.survey.afterRenderPanel(this.question, this.$el);
        }
        this.isCollapsed = this.question.isCollapsed;
        this.question.registerPropertyChangedHandlers(["state"], function (val) { _this.isCollapsed = _this.question.isCollapsed; });
    };
    Object.defineProperty(FlowPanel.prototype, "rootStyle", {
        get: function () {
            var result = {};
            if (this.question.renderWidth) {
                result["flexBasis"] = this.question.renderWidth;
                result["flexGrow"] = 1;
                result["flexShrink"] = 1;
                result["width"] = this.question.renderWidth;
                result["minWidth"] = this.question.minWidth;
                result["maxWidth"] = this.question.maxWidth;
            }
            return result;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "showIcon", {
        get: function () {
            return (this.question && (this.question.isExpanded || this.question.isCollapsed));
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "rows", {
        get: function () {
            return this.question.rows;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "hasTitle", {
        get: function () {
            return this.question.title.length > 0;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "survey", {
        get: function () {
            return this.question.survey;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "iconCss", {
        get: function () {
            //refactor
            var result = "sv_panel_icon";
            if (!this.isCollapsed)
                result += " sv_expanded";
            return result;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FlowPanel.prototype, "isCollapsed", {
        get: function () {
            return this.isCollapsedValue;
        },
        set: function (val) {
            this.isCollapsedValue = val;
        },
        enumerable: false,
        configurable: true
    });
    FlowPanel.prototype.changeExpanded = function () {
        if (this.question.isCollapsed || this.question.isExpanded) {
            if (this.question.isCollapsed) {
                this.question.expand();
            }
            else {
                this.question.collapse();
            }
        }
    };
    flowpanelvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanel.prototype, "question", void 0);
    flowpanelvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanel.prototype, "isEditMode", void 0);
    flowpanelvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanel.prototype, "css", void 0);
    FlowPanel = flowpanelvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FlowPanel);
    return FlowPanel;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-flowpanel", flowpanelvue_type_script_lang_ts_FlowPanel);
/* harmony default export */ var flowpanelvue_type_script_lang_ts_ = (flowpanelvue_type_script_lang_ts_FlowPanel);

// CONCATENATED MODULE: ./src/vue/flowpanel.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_flowpanelvue_type_script_lang_ts_ = (flowpanelvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/flowpanel.vue





/* normalize component */

var flowpanel_component = normalizeComponent(
  vue_flowpanelvue_type_script_lang_ts_,
  flowpanelvue_type_template_id_96ae1a78_render,
  flowpanelvue_type_template_id_96ae1a78_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var flowpanel_api; }
flowpanel_component.options.__file = "src/vue/flowpanel.vue"
/* harmony default export */ var flowpanel = (flowpanel_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/flowpanelelement.vue?vue&type=template&id=9d992c30&
var flowpanelelementvue_type_template_id_9d992c30_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "span",
    { style: _vm.style },
    [
      !_vm.question
        ? _c(
            _vm.tagName,
            { tag: "component" },
            [
              _vm._l(_vm.nodes, function (elNode) {
                return _c("survey-flowpanelelement", {
                  key: elNode.id,
                  attrs: { node: elNode.node, panel: _vm.panel, css: "css" },
                })
              }),
              _vm._v("\n    " + _vm._s(_vm.text) + "\n  "),
            ],
            2
          )
        : _vm._e(),
      _vm._v(" "),
      !!_vm.question
        ? _c(
            "span",
            [
              _c("survey-element", {
                key: _vm.question.idValue,
                style: {
                  flexBasis: _vm.question.renderWidth,
                  flexGrow: 1,
                  flexShrink: 1,
                  width: _vm.question.renderWidth,
                  minWidth: _vm.question.minWidth,
                  maxWidth: _vm.question.maxWidth,
                },
                attrs: {
                  id: _vm.question.id,
                  element: _vm.question,
                  survey: _vm.survey,
                  css: _vm.css,
                },
              }),
            ],
            1
          )
        : _vm._e(),
    ],
    1
  )
}
var flowpanelelementvue_type_template_id_9d992c30_staticRenderFns = []
flowpanelelementvue_type_template_id_9d992c30_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/flowpanelelement.vue?vue&type=template&id=9d992c30&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/flowpanelelement.vue?vue&type=script&lang=ts&
var flowpanelelementvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var flowpanelelementvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var flowpanelelementvue_type_script_lang_ts_FlowPanelElement = /** @class */ (function (_super) {
    flowpanelelementvue_type_script_lang_ts_extends(FlowPanelElement, _super);
    function FlowPanelElement() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.question = null;
        _this.tagName = "span";
        _this.nodes = [];
        _this.text = "";
        _this.style = {};
        return _this;
    }
    FlowPanelElement_1 = FlowPanelElement;
    FlowPanelElement.prototype.getStyle = function (nodeType) {
        var style = {};
        if (nodeType.toLowerCase() === "b") {
            style.fontWeight = "bold";
        }
        if (nodeType.toLowerCase() === "i") {
            style.fontStyle = "italic";
        }
        if (nodeType.toLowerCase() === "u") {
            style.textDecoration = "underline";
        }
        return style;
    };
    FlowPanelElement.prototype.getElementId = function () {
        if (!this.elementIdValue) {
            if (!FlowPanelElement_1.idValue) {
                FlowPanelElement_1.idValue = 0;
            }
            FlowPanelElement_1.idValue++;
            this.elementIdValue = "fp_el" + FlowPanelElement_1.idValue;
        }
        return this.elementIdValue;
    };
    Object.defineProperty(FlowPanelElement.prototype, "survey", {
        get: function () {
            return this.panel.survey;
        },
        enumerable: false,
        configurable: true
    });
    FlowPanelElement.prototype.beforeMount = function () {
        if (!this.panel || !this.node)
            return;
        var nodeType = this.node.nodeName.toLowerCase();
        if (!this.hasTextChildNodesOnly(this.node)) {
            this.nodes = this.getChildDomNodes(this.node);
        }
        else {
            if (nodeType == "question") {
                this.question = this.panel.getQuestionByName(this.node.textContent);
            }
            else {
                this.text = this.node.textContent;
            }
        }
        if (nodeType == "div" && !this.question) {
            this.tagName = "div";
        }
        this.style = this.getStyle(nodeType);
    };
    //duplicated code from element.vue
    FlowPanelElement.prototype.getComponentName = function (element) {
        return getComponentName(element);
    };
    // duplicated code from reactpages.tsx
    FlowPanelElement.prototype.hasTextChildNodesOnly = function (node) {
        var nodes = node.childNodes;
        for (var i = 0; i < nodes.length; i++) {
            if (nodes[i].nodeName.toLowerCase() !== "#text")
                return false;
        }
        return true;
    };
    FlowPanelElement.prototype.getChildDomNodes = function (node) {
        var domNodes = [];
        for (var i = 0; i < node.childNodes.length; i++) {
            domNodes.push({ node: node.childNodes[i], id: this.getElementId() });
        }
        return domNodes;
    };
    var FlowPanelElement_1;
    flowpanelelementvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanelElement.prototype, "node", void 0);
    flowpanelelementvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanelElement.prototype, "panel", void 0);
    flowpanelelementvue_type_script_lang_ts_decorate([
        Prop()
    ], FlowPanelElement.prototype, "css", void 0);
    FlowPanelElement = FlowPanelElement_1 = flowpanelelementvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], FlowPanelElement);
    return FlowPanelElement;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-flowpanelelement", flowpanelelementvue_type_script_lang_ts_FlowPanelElement);
/* harmony default export */ var flowpanelelementvue_type_script_lang_ts_ = (flowpanelelementvue_type_script_lang_ts_FlowPanelElement);

// CONCATENATED MODULE: ./src/vue/flowpanelelement.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_flowpanelelementvue_type_script_lang_ts_ = (flowpanelelementvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/flowpanelelement.vue





/* normalize component */

var flowpanelelement_component = normalizeComponent(
  vue_flowpanelelementvue_type_script_lang_ts_,
  flowpanelelementvue_type_template_id_9d992c30_render,
  flowpanelelementvue_type_template_id_9d992c30_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var flowpanelelement_api; }
flowpanelelement_component.options.__file = "src/vue/flowpanelelement.vue"
/* harmony default export */ var flowpanelelement = (flowpanelelement_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/row.vue?vue&type=template&id=7cc0bd88&
var rowvue_type_template_id_7cc0bd88_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.row.getRowCss() },
    _vm._l(_vm.elements, function (element) {
      return _c("survey-row-element", {
        key: element.id,
        attrs: {
          element: element,
          survey: _vm.survey,
          css: _vm.css,
          row: _vm.row,
        },
      })
    }),
    1
  )
}
var rowvue_type_template_id_7cc0bd88_staticRenderFns = []
rowvue_type_template_id_7cc0bd88_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/row.vue?vue&type=template&id=7cc0bd88&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/row.vue?vue&type=script&lang=ts&
var rowvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rowvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rowvue_type_script_lang_ts_Row = /** @class */ (function (_super) {
    rowvue_type_script_lang_ts_extends(Row, _super);
    function Row() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.lazyRenderingTimeout = undefined;
        return _this;
    }
    Object.defineProperty(Row.prototype, "elements", {
        get: function () {
            return this.row.visibleElements;
        },
        enumerable: false,
        configurable: true
    });
    Row.prototype.getModel = function () {
        return this.row;
    };
    Row.prototype.onMounted = function () {
        var _this = this;
        if (!!this.row) {
            if (!this.row.isNeedRender) {
                var rowContainerDiv = this.$el;
                this.lazyRenderingTimeout = setTimeout(function () {
                    _this.row.startLazyRendering(rowContainerDiv);
                }, 10);
            }
        }
    };
    Row.prototype.beforeDestroy = function () {
        clearTimeout(this.lazyRenderingTimeout);
        if (!!this.row && !this.row.isDisposed) {
            this.row.isNeedRender = !this.row.isLazyRendering();
        }
    };
    rowvue_type_script_lang_ts_decorate([
        Prop()
    ], Row.prototype, "row", void 0);
    rowvue_type_script_lang_ts_decorate([
        Prop()
    ], Row.prototype, "css", void 0);
    rowvue_type_script_lang_ts_decorate([
        Prop()
    ], Row.prototype, "survey", void 0);
    Row = rowvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Row);
    return Row;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-row", rowvue_type_script_lang_ts_Row);
/* harmony default export */ var rowvue_type_script_lang_ts_ = (rowvue_type_script_lang_ts_Row);

// CONCATENATED MODULE: ./src/vue/row.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_rowvue_type_script_lang_ts_ = (rowvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/row.vue





/* normalize component */

var row_component = normalizeComponent(
  vue_rowvue_type_script_lang_ts_,
  rowvue_type_template_id_7cc0bd88_render,
  rowvue_type_template_id_7cc0bd88_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var row_api; }
row_component.options.__file = "src/vue/row.vue"
/* harmony default export */ var row = (row_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/elementheader.vue?vue&type=template&id=27adc537&
var elementheadervue_type_template_id_27adc537_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.element.cssHeader,
      style: _vm.titleStyle,
      on: { click: _vm.clickTitleFunction },
    },
    [
      _c("survey-element-title", {
        attrs: { element: _vm.element, css: _vm.css },
      }),
      _vm._v(" "),
      _vm.element.hasDescriptionUnderTitle
        ? _c(
            "div",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: _vm.element.hasDescription,
                  expression: "element.hasDescription",
                },
              ],
              class: _vm.element.cssDescription,
              attrs: { id: _vm.element.ariaDescriptionId },
            },
            [
              _c("survey-string", {
                attrs: { locString: _vm.element.locDescription },
              }),
            ],
            1
          )
        : _vm._e(),
      _vm._v(" "),
      _vm.element.hasAdditionalTitleToolbar
        ? _c("sv-action-bar", {
            attrs: { model: _vm.element.additionalTitleToolbar },
          })
        : _vm._e(),
    ],
    1
  )
}
var elementheadervue_type_template_id_27adc537_staticRenderFns = []
elementheadervue_type_template_id_27adc537_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/elementheader.vue?vue&type=template&id=27adc537&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/elementheader.vue?vue&type=script&lang=ts&
var elementheadervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var elementheadervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var elementheadervue_type_script_lang_ts_ElementHeader = /** @class */ (function (_super) {
    elementheadervue_type_script_lang_ts_extends(ElementHeader, _super);
    function ElementHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElementHeader.prototype.clickTitleFunction = function (e) {
        if (typeof this.element.clickTitleFunction === "function") {
            this.element.clickTitleFunction(e);
        }
    };
    Object.defineProperty(ElementHeader.prototype, "titleStyle", {
        get: function () {
            var headerStyle = { width: undefined };
            if ("titleWidth" in this.element) {
                headerStyle.width = this.element.titleWidth;
            }
            return headerStyle;
        },
        enumerable: false,
        configurable: true
    });
    elementheadervue_type_script_lang_ts_decorate([
        Prop()
    ], ElementHeader.prototype, "element", void 0);
    elementheadervue_type_script_lang_ts_decorate([
        Prop()
    ], ElementHeader.prototype, "css", void 0);
    ElementHeader = elementheadervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ElementHeader);
    return ElementHeader;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-element-header", elementheadervue_type_script_lang_ts_ElementHeader);
/* harmony default export */ var elementheadervue_type_script_lang_ts_ = (elementheadervue_type_script_lang_ts_ElementHeader);

// CONCATENATED MODULE: ./src/vue/elementheader.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_elementheadervue_type_script_lang_ts_ = (elementheadervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/elementheader.vue





/* normalize component */

var elementheader_component = normalizeComponent(
  vue_elementheadervue_type_script_lang_ts_,
  elementheadervue_type_template_id_27adc537_render,
  elementheadervue_type_template_id_27adc537_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var elementheader_api; }
elementheader_component.options.__file = "src/vue/elementheader.vue"
/* harmony default export */ var elementheader = (elementheader_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/image.vue?vue&type=template&id=1dc8d709&
var imagevue_type_template_id_1dc8d709_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.root }, [
    _vm.question.renderedMode === "image"
      ? _c("img", {
          directives: [
            {
              name: "show",
              rawName: "v-show",
              value: _vm.question.imageLink && !_vm.question.contentNotLoaded,
              expression: "question.imageLink && !question.contentNotLoaded",
            },
          ],
          class: _vm.question.getImageCss(),
          style: {
            objectFit: _vm.question.imageFit,
            width: _vm.question.renderedStyleWidth,
            height: _vm.question.renderedStyleHeight,
          },
          attrs: {
            src: _vm.question.locImageLink.renderedHtml,
            alt: _vm.question.altText || _vm.question.title,
            width: _vm.question.renderedWidth,
            height: _vm.question.renderedHeight,
          },
          on: {
            load: function (event) {
              _vm.question.onLoadHandler()
            },
            error: function (event) {
              _vm.question.onErrorHandler()
            },
          },
        })
      : _vm._e(),
    _vm.question.renderedMode === "video"
      ? _c("video", {
          directives: [
            {
              name: "show",
              rawName: "v-show",
              value: _vm.question.imageLink && !_vm.question.contentNotLoaded,
              expression: "question.imageLink && !question.contentNotLoaded",
            },
          ],
          class: _vm.question.getImageCss(),
          style: {
            objectFit: _vm.question.imageFit,
            width: _vm.question.renderedStyleWidth,
            height: _vm.question.renderedStyleHeight,
          },
          attrs: {
            controls: "",
            src: _vm.question.locImageLink.renderedHtml,
            width: _vm.question.renderedWidth,
            height: _vm.question.renderedHeight,
          },
          on: {
            loadedmetadata: function (event) {
              _vm.question.onLoadHandler()
            },
            error: function (event) {
              _vm.question.onErrorHandler()
            },
          },
        })
      : _vm._e(),
    _vm._v(" "),
    _vm.question.renderedMode === "youtube"
      ? _c("iframe", {
          class: _vm.question.getImageCss(),
          style: {
            objectFit: _vm.question.imageFit,
            width: _vm.question.renderedStyleWidth,
            height: _vm.question.renderedStyleHeight,
          },
          attrs: {
            src: _vm.question.locImageLink.renderedHtml,
            width: _vm.question.renderedWidth,
            height: _vm.question.renderedHeight,
          },
        })
      : _vm._e(),
    _vm._v(" "),
    !_vm.question.imageLink || _vm.question.contentNotLoaded
      ? _c(
          "div",
          { class: _vm.question.cssClasses.noImage },
          [
            _c("sv-svg-icon", {
              attrs: {
                iconName: _vm.question.cssClasses.noImageSvgIconId,
                size: 48,
              },
            }),
          ],
          1
        )
      : _vm._e(),
  ])
}
var imagevue_type_template_id_1dc8d709_staticRenderFns = []
imagevue_type_template_id_1dc8d709_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/image.vue?vue&type=template&id=1dc8d709&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/image.vue?vue&type=script&lang=ts&
var imagevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var imagevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var imagevue_type_script_lang_ts_QuestionImage = /** @class */ (function (_super) {
    imagevue_type_script_lang_ts_extends(QuestionImage, _super);
    function QuestionImage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    imagevue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionImage.prototype, "question", void 0);
    imagevue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionImage.prototype, "css", void 0);
    QuestionImage = imagevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], QuestionImage);
    return QuestionImage;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-image", imagevue_type_script_lang_ts_QuestionImage);
/* harmony default export */ var imagevue_type_script_lang_ts_ = (imagevue_type_script_lang_ts_QuestionImage);

// CONCATENATED MODULE: ./src/vue/image.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_imagevue_type_script_lang_ts_ = (imagevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/image.vue





/* normalize component */

var image_component = normalizeComponent(
  vue_imagevue_type_script_lang_ts_,
  imagevue_type_template_id_1dc8d709_render,
  imagevue_type_template_id_1dc8d709_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var image_api; }
image_component.options.__file = "src/vue/image.vue"
/* harmony default export */ var vue_image = (image_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/signaturepad.vue?vue&type=template&id=0462349d&
var signaturepadvue_type_template_id_0462349d_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.cssClasses.root,
      style: {
        width: _vm.question.renderedCanvasWidth,
      },
    },
    [
      _c(
        "div",
        {
          directives: [
            {
              name: "show",
              rawName: "v-show",
              value: _vm.question.needShowPlaceholder(),
              expression: "question.needShowPlaceholder()",
            },
          ],
          class: _vm.question.cssClasses.placeholder,
        },
        [
          _c("survey-string", {
            attrs: { locString: _vm.question.locRenderedPlaceholder },
          }),
        ],
        1
      ),
      _vm._v(" "),
      _c("div", [
        _vm.question.backgroundImage
          ? _c("img", {
              class: _vm.question.cssClasses.backgroundImage,
              style: {
                width: _vm.question.renderedCanvasWidth,
              },
              attrs: { src: _vm.question.backgroundImage },
            })
          : _vm._e(),
        _vm._v(" "),
        _c("canvas", {
          class: _vm.question.cssClasses.canvas,
          attrs: { tabindex: "-1" },
          on: {
            blur: function (e) {
              _vm.question.onBlur(e)
            },
          },
        }),
      ]),
      _vm._v(" "),
      _vm.question.canShowClearButton
        ? _c("div", { class: _vm.question.cssClasses.controls }, [
            _c(
              "button",
              {
                class: _vm.question.cssClasses.clearButton,
                attrs: {
                  type: "button",
                  title: _vm.question.clearButtonCaption,
                },
                on: {
                  click: function () {
                    _vm.question.clearValue(true)
                  },
                },
              },
              [
                !_vm.question.cssClasses.clearButtonIconId
                  ? _c("span", [_vm._v("✖")])
                  : _vm._e(),
                _vm._v(" "),
                _vm.question.cssClasses.clearButtonIconId
                  ? _c("sv-svg-icon", {
                      attrs: {
                        iconName: _vm.question.cssClasses.clearButtonIconId,
                        size: "auto",
                      },
                    })
                  : _vm._e(),
              ],
              1
            ),
          ])
        : _vm._e(),
      _vm._v(" "),
      _vm.question.showLoadingIndicator
        ? _c(
            "div",
            { class: _vm.question.cssClasses.loadingIndicator },
            [_c("sv-loading-indicator")],
            1
          )
        : _vm._e(),
    ]
  )
}
var signaturepadvue_type_template_id_0462349d_staticRenderFns = []
signaturepadvue_type_template_id_0462349d_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/signaturepad.vue?vue&type=template&id=0462349d&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/signaturepad.vue?vue&type=script&lang=ts&
var signaturepadvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var signaturepadvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var signaturepadvue_type_script_lang_ts_SignaturePad = /** @class */ (function (_super) {
    signaturepadvue_type_script_lang_ts_extends(SignaturePad, _super);
    function SignaturePad() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SignaturePad = signaturepadvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SignaturePad);
    return SignaturePad;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-signaturepad", signaturepadvue_type_script_lang_ts_SignaturePad);
/* harmony default export */ var signaturepadvue_type_script_lang_ts_ = (signaturepadvue_type_script_lang_ts_SignaturePad);

// CONCATENATED MODULE: ./src/vue/signaturepad.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_signaturepadvue_type_script_lang_ts_ = (signaturepadvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/signaturepad.vue





/* normalize component */

var signaturepad_component = normalizeComponent(
  vue_signaturepadvue_type_script_lang_ts_,
  signaturepadvue_type_template_id_0462349d_render,
  signaturepadvue_type_template_id_0462349d_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var signaturepad_api; }
signaturepad_component.options.__file = "src/vue/signaturepad.vue"
/* harmony default export */ var signaturepad = (signaturepad_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/header.vue?vue&type=template&id=69cff8cf&
var headervue_type_template_id_69cff8cf_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.survey.renderedHasHeader
    ? _c("div", { class: _vm.survey.css.header }, [
        _vm.survey.isLogoBefore
          ? _c("div", { class: _vm.survey.logoClassNames }, [
              _c("img", {
                class: _vm.survey.css.logoImage,
                style: {
                  objectFit: _vm.survey.logoFit,
                  width: _vm.survey.renderedStyleLogoWidth,
                  height: _vm.survey.renderedStyleLogoHeight,
                },
                attrs: {
                  src: _vm.survey.locLogo.renderedHtml,
                  width: _vm.survey.renderedLogoWidth,
                  height: _vm.survey.renderedLogoHeight,
                  alt: _vm.survey.locTitle.renderedHtml,
                },
              }),
            ])
          : _vm._e(),
        _vm._v(" "),
        _vm.survey.renderedHasTitle
          ? _c(
              "div",
              {
                class: _vm.survey.css.headerText,
                style: { maxWidth: _vm.survey.titleMaxWidth },
              },
              [
                _c("survey-element-title", {
                  attrs: { element: _vm.survey, css: _vm.survey.css },
                }),
                _vm._v(" "),
                _vm.survey.renderedHasDescription
                  ? _c(
                      "div",
                      { class: _vm.survey.css.description },
                      [
                        _c("survey-string", {
                          attrs: { locString: _vm.survey.locDescription },
                        }),
                      ],
                      1
                    )
                  : _vm._e(),
              ],
              1
            )
          : _vm._e(),
        _vm._v(" "),
        _vm.survey.isLogoAfter
          ? _c("div", { class: _vm.survey.logoClassNames }, [
              _c("img", {
                class: _vm.survey.css.logoImage,
                style: {
                  objectFit: _vm.survey.logoFit,
                  width: _vm.survey.renderedStyleLogoWidth,
                  height: _vm.survey.renderedStyleLogoHeight,
                },
                attrs: {
                  src: _vm.survey.locLogo.renderedHtml,
                  width: _vm.survey.renderedLogoWidth,
                  height: _vm.survey.renderedLogoHeight,
                  alt: _vm.survey.locTitle.renderedHtml,
                },
              }),
            ])
          : _vm._e(),
        _vm._v(" "),
        _c("div", { class: _vm.survey.css.headerClose }),
      ])
    : _vm._e()
}
var headervue_type_template_id_69cff8cf_staticRenderFns = []
headervue_type_template_id_69cff8cf_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/header.vue?vue&type=template&id=69cff8cf&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/header.vue?vue&type=script&lang=ts&
var headervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var headervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var headervue_type_script_lang_ts_SurveyHeader = /** @class */ (function (_super) {
    headervue_type_script_lang_ts_extends(SurveyHeader, _super);
    function SurveyHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SurveyHeader.prototype.mounted = function () {
        var el = this.$el;
        if (el && this.survey)
            this.survey.afterRenderHeader(el);
    };
    headervue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyHeader.prototype, "survey", void 0);
    SurveyHeader = headervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyHeader);
    return SurveyHeader;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-header", headervue_type_script_lang_ts_SurveyHeader);
/* harmony default export */ var headervue_type_script_lang_ts_ = (headervue_type_script_lang_ts_SurveyHeader);

// CONCATENATED MODULE: ./src/vue/header.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_headervue_type_script_lang_ts_ = (headervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/header.vue





/* normalize component */

var header_component = normalizeComponent(
  vue_headervue_type_script_lang_ts_,
  headervue_type_template_id_69cff8cf_render,
  headervue_type_template_id_69cff8cf_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var header_api; }
header_component.options.__file = "src/vue/header.vue"
/* harmony default export */ var header = (header_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/custom.vue?vue&type=template&id=d4aae09a&
var customvue_type_template_id_d4aae09a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(_vm.getComponentName(_vm.contentQuestion), {
    tag: "component",
    attrs: { question: _vm.contentQuestion, css: _vm.css },
  })
}
var customvue_type_template_id_d4aae09a_staticRenderFns = []
customvue_type_template_id_d4aae09a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/custom.vue?vue&type=template&id=d4aae09a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/custom.vue?vue&type=script&lang=ts&
var customvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var customvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var customvue_type_script_lang_ts_Custom = /** @class */ (function (_super) {
    customvue_type_script_lang_ts_extends(Custom, _super);
    function Custom() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Custom.prototype, "contentQuestion", {
        get: function () {
            return this.question.contentQuestion;
        },
        enumerable: false,
        configurable: true
    });
    Custom.prototype.getComponentName = function (element) {
        return getComponentName(element);
    };
    Custom = customvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Custom);
    return Custom;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-custom", customvue_type_script_lang_ts_Custom);
/* harmony default export */ var customvue_type_script_lang_ts_ = (customvue_type_script_lang_ts_Custom);

// CONCATENATED MODULE: ./src/vue/custom.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_customvue_type_script_lang_ts_ = (customvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/custom.vue





/* normalize component */

var custom_component = normalizeComponent(
  vue_customvue_type_script_lang_ts_,
  customvue_type_template_id_d4aae09a_render,
  customvue_type_template_id_d4aae09a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var custom_api; }
custom_component.options.__file = "src/vue/custom.vue"
/* harmony default export */ var custom = (custom_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/composite.vue?vue&type=template&id=1a9e2196&
var compositevue_type_template_id_1a9e2196_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("survey-panel", {
    attrs: { question: _vm.contentPanel, css: _vm.css },
  })
}
var compositevue_type_template_id_1a9e2196_staticRenderFns = []
compositevue_type_template_id_1a9e2196_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/composite.vue?vue&type=template&id=1a9e2196&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/composite.vue?vue&type=script&lang=ts&
var compositevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var compositevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var compositevue_type_script_lang_ts_Composite = /** @class */ (function (_super) {
    compositevue_type_script_lang_ts_extends(Composite, _super);
    function Composite() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Composite.prototype, "contentPanel", {
        get: function () {
            return this.question.contentPanel;
        },
        enumerable: false,
        configurable: true
    });
    Composite = compositevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Composite);
    return Composite;
}(vue_question));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-composite", compositevue_type_script_lang_ts_Composite);
/* harmony default export */ var compositevue_type_script_lang_ts_ = (compositevue_type_script_lang_ts_Composite);

// CONCATENATED MODULE: ./src/vue/composite.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_compositevue_type_script_lang_ts_ = (compositevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/composite.vue





/* normalize component */

var composite_component = normalizeComponent(
  vue_compositevue_type_script_lang_ts_,
  compositevue_type_template_id_1a9e2196_render,
  compositevue_type_template_id_1a9e2196_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var composite_api; }
composite_component.options.__file = "src/vue/composite.vue"
/* harmony default export */ var composite = (composite_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-element.vue?vue&type=template&id=641d93d9&
var title_elementvue_type_template_id_641d93d9_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.element.hasTitle
    ? _c(
        _vm.element.titleTagName,
        {
          tag: "component",
          class: _vm.element.cssTitle,
          attrs: {
            "aria-label": _vm.element.titleAriaLabel,
            id: _vm.element.ariaTitleId,
            tabindex: _vm.element.titleTabIndex,
            "aria-expanded": _vm.element.titleAriaExpanded,
            role: _vm.element.titleAriaRole,
          },
          on: {
            keyup: function ($event) {
              _vm.keyup($event)
            },
          },
        },
        [
          !_vm.element.isExpanded && _vm.element.getCssTitleExpandableSvg()
            ? _c("sv-svg-icon", {
                class: _vm.element.getCssTitleExpandableSvg(),
                attrs: { iconName: "icon-expand-16x16", size: "'auto'" },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.element.isExpanded && _vm.element.getCssTitleExpandableSvg()
            ? _c("sv-svg-icon", {
                class: _vm.element.getCssTitleExpandableSvg(),
                attrs: { iconName: "icon-collapse-16x16", size: "'auto'" },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.element.hasTitleActions
            ? _c("survey-element-title-content", {
                attrs: { element: _vm.element, css: _vm.css },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.element.hasTitleActions
            ? _c("sv-title-actions", {
                attrs: { element: _vm.element, css: _vm.css },
              })
            : _vm._e(),
        ],
        1
      )
    : _vm._e()
}
var title_elementvue_type_template_id_641d93d9_staticRenderFns = []
title_elementvue_type_template_id_641d93d9_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/title/title-element.vue?vue&type=template&id=641d93d9&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-element.vue?vue&type=script&lang=ts&
var title_elementvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var title_elementvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var title_elementvue_type_script_lang_ts_TitleElement = /** @class */ (function (_super) {
    title_elementvue_type_script_lang_ts_extends(TitleElement, _super);
    function TitleElement() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TitleElement.prototype.keyup = function (evt) {
        Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["doKey2ClickUp"])(evt);
    };
    title_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleElement.prototype, "element", void 0);
    title_elementvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleElement.prototype, "css", void 0);
    TitleElement = title_elementvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TitleElement);
    return TitleElement;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-element-title", title_elementvue_type_script_lang_ts_TitleElement);
/* harmony default export */ var title_elementvue_type_script_lang_ts_ = (title_elementvue_type_script_lang_ts_TitleElement);

// CONCATENATED MODULE: ./src/vue/components/title/title-element.vue?vue&type=script&lang=ts&
 /* harmony default export */ var title_title_elementvue_type_script_lang_ts_ = (title_elementvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/title/title-element.vue





/* normalize component */

var title_element_component = normalizeComponent(
  title_title_elementvue_type_script_lang_ts_,
  title_elementvue_type_template_id_641d93d9_render,
  title_elementvue_type_template_id_641d93d9_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var title_element_api; }
title_element_component.options.__file = "src/vue/components/title/title-element.vue"
/* harmony default export */ var title_element = (title_element_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-content.vue?vue&type=template&id=24c0a2d6&
var title_contentvue_type_template_id_24c0a2d6_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "sv-vue-title-additional-div" },
    [
      _vm.element.isTitleRenderedAsString
        ? _c("survey-string", { attrs: { locString: _vm.element.locTitle } })
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString && _vm.element.isRequireTextOnStart
        ? _c(
            "span",
            {
              class: _vm.element.cssRequiredText,
              attrs: { "aria-hidden": true },
            },
            [_vm._v(_vm._s(_vm.element.requiredText))]
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString && _vm.element.no
        ? _c(
            "span",
            {
              class: _vm.element.cssTitleNumber,
              staticStyle: { position: "static" },
              attrs: { "aria-hidden": true },
            },
            [_vm._v(_vm._s(_vm.element.no))]
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString && _vm.element.no
        ? _c("span", [_vm._v(" ")])
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString &&
      _vm.element.isRequireTextBeforeTitle
        ? _c(
            "span",
            {
              class: _vm.element.cssRequiredText,
              attrs: { "aria-hidden": true },
            },
            [_vm._v(_vm._s(_vm.element.requiredText))]
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString &&
      _vm.element.isRequireTextBeforeTitle
        ? _c("span", [_vm._v(" ")])
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString
        ? _c("survey-string", { attrs: { locString: _vm.element.locTitle } })
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString &&
      _vm.element.isRequireTextAfterTitle
        ? _c("span", [_vm._v(" ")])
        : _vm._e(),
      _vm._v(" "),
      !_vm.element.isTitleRenderedAsString &&
      _vm.element.isRequireTextAfterTitle
        ? _c(
            "span",
            {
              class: _vm.element.cssRequiredText,
              attrs: { "aria-hidden": true },
            },
            [_vm._v(_vm._s(_vm.element.requiredText))]
          )
        : _vm._e(),
    ],
    1
  )
}
var title_contentvue_type_template_id_24c0a2d6_staticRenderFns = []
title_contentvue_type_template_id_24c0a2d6_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/title/title-content.vue?vue&type=template&id=24c0a2d6&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-content.vue?vue&type=script&lang=ts&
var title_contentvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var title_contentvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var title_contentvue_type_script_lang_ts_TitleContent = /** @class */ (function (_super) {
    title_contentvue_type_script_lang_ts_extends(TitleContent, _super);
    function TitleContent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(TitleContent.prototype, "cssClasses", {
        get: function () {
            return (this.element.isPanel ? this.element.cssClasses.panel : this.element.cssClasses) || {};
        },
        enumerable: false,
        configurable: true
    });
    title_contentvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleContent.prototype, "element", void 0);
    title_contentvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleContent.prototype, "css", void 0);
    TitleContent = title_contentvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TitleContent);
    return TitleContent;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("survey-element-title-content", title_contentvue_type_script_lang_ts_TitleContent);
/* harmony default export */ var title_contentvue_type_script_lang_ts_ = (title_contentvue_type_script_lang_ts_TitleContent);

// CONCATENATED MODULE: ./src/vue/components/title/title-content.vue?vue&type=script&lang=ts&
 /* harmony default export */ var title_title_contentvue_type_script_lang_ts_ = (title_contentvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/title/title-content.vue





/* normalize component */

var title_content_component = normalizeComponent(
  title_title_contentvue_type_script_lang_ts_,
  title_contentvue_type_template_id_24c0a2d6_render,
  title_contentvue_type_template_id_24c0a2d6_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var title_content_api; }
title_content_component.options.__file = "src/vue/components/title/title-content.vue"
/* harmony default export */ var title_content = (title_content_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-actions.vue?vue&type=template&id=c938554c&
var title_actionsvue_type_template_id_c938554c_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "sv-title-actions" },
    [
      _c(
        "span",
        { staticClass: "sv-title-actions__title" },
        [
          _vm.element.isPage
            ? _c("survey-string", {
                attrs: { locString: _vm.element.locTitle },
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.element.isPage
            ? _c("survey-element-title-content", {
                attrs: { element: _vm.element, css: _vm.css },
              })
            : _vm._e(),
        ],
        1
      ),
      _vm._v(" "),
      _c("sv-action-bar", { attrs: { model: _vm.toolbar } }),
    ],
    1
  )
}
var title_actionsvue_type_template_id_c938554c_staticRenderFns = []
title_actionsvue_type_template_id_c938554c_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/title/title-actions.vue?vue&type=template&id=c938554c&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/title/title-actions.vue?vue&type=script&lang=ts&
var title_actionsvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var title_actionsvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var title_actionsvue_type_script_lang_ts_TitleActions = /** @class */ (function (_super) {
    title_actionsvue_type_script_lang_ts_extends(TitleActions, _super);
    function TitleActions() {
        return _super.call(this) || this;
    }
    Object.defineProperty(TitleActions.prototype, "toolbar", {
        get: function () {
            return this.element.getTitleToolbar();
        },
        enumerable: false,
        configurable: true
    });
    title_actionsvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleActions.prototype, "element", void 0);
    title_actionsvue_type_script_lang_ts_decorate([
        Prop()
    ], TitleActions.prototype, "css", void 0);
    TitleActions = title_actionsvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TitleActions);
    return TitleActions;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["RendererFactory"].Instance.registerRenderer("element", "title-actions", "sv-title-actions");
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-title-actions", title_actionsvue_type_script_lang_ts_TitleActions);
/* harmony default export */ var title_actionsvue_type_script_lang_ts_ = (title_actionsvue_type_script_lang_ts_TitleActions);

// CONCATENATED MODULE: ./src/vue/components/title/title-actions.vue?vue&type=script&lang=ts&
 /* harmony default export */ var title_title_actionsvue_type_script_lang_ts_ = (title_actionsvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/title/title-actions.vue





/* normalize component */

var title_actions_component = normalizeComponent(
  title_title_actionsvue_type_script_lang_ts_,
  title_actionsvue_type_template_id_c938554c_render,
  title_actionsvue_type_template_id_c938554c_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var title_actions_api; }
title_actions_component.options.__file = "src/vue/components/title/title-actions.vue"
/* harmony default export */ var title_actions = (title_actions_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar.vue?vue&type=template&id=313bf210&
var action_barvue_type_template_id_313bf210_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.model.hasActions
    ? _c(
        "div",
        {
          ref: "container",
          class: _vm.model.getRootCss(),
          on: {
            click: function (event) {
              event.stopPropagation()
            },
          },
        },
        _vm._l(_vm.model.renderedActions, function (item) {
          return _c("sv-action", { key: item.id, attrs: { item: item } })
        }),
        1
      )
    : _vm._e()
}
var action_barvue_type_template_id_313bf210_staticRenderFns = []
action_barvue_type_template_id_313bf210_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar.vue?vue&type=template&id=313bf210&

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action.vue?vue&type=template&id=2fe54632&
var actionvue_type_template_id_2fe54632_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.item.getActionRootCss(), attrs: { id: _vm.item.id } },
    [
      _c(
        "div",
        { staticClass: "sv-action__content" },
        [
          _vm.item.needSeparator ? _c("sv-action-bar-separator") : _vm._e(),
          _vm._v(" "),
          _c(_vm.getComponentName(), {
            tag: "component",
            attrs: { item: _vm.item },
          }),
        ],
        1
      ),
    ]
  )
}
var actionvue_type_template_id_2fe54632_staticRenderFns = []
actionvue_type_template_id_2fe54632_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/action-bar/action.vue?vue&type=template&id=2fe54632&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action.vue?vue&type=script&lang=ts&
var actionvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var actionvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var actionvue_type_script_lang_ts_ActionViewModel = /** @class */ (function (_super) {
    actionvue_type_script_lang_ts_extends(ActionViewModel, _super);
    function ActionViewModel(props) {
        return _super.call(this, props) || this;
    }
    ActionViewModel.prototype.getModel = function () {
        return this.item;
    };
    ActionViewModel.prototype.getComponentName = function () {
        return this.item.component || "sv-action-bar-item";
    };
    actionvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionViewModel.prototype, "item", void 0);
    ActionViewModel = actionvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ActionViewModel);
    return ActionViewModel;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-action", actionvue_type_script_lang_ts_ActionViewModel);
/* harmony default export */ var actionvue_type_script_lang_ts_ = (actionvue_type_script_lang_ts_ActionViewModel);

// CONCATENATED MODULE: ./src/vue/components/action-bar/action.vue?vue&type=script&lang=ts&
 /* harmony default export */ var action_bar_actionvue_type_script_lang_ts_ = (actionvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/action-bar/action.vue





/* normalize component */

var action_component = normalizeComponent(
  action_bar_actionvue_type_script_lang_ts_,
  actionvue_type_template_id_2fe54632_render,
  actionvue_type_template_id_2fe54632_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var action_api; }
action_component.options.__file = "src/vue/components/action-bar/action.vue"
/* harmony default export */ var action = (action_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-item.vue?vue&type=template&id=40a056f8&
var action_bar_itemvue_type_template_id_40a056f8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "button",
    {
      directives: [
        {
          name: "key2click",
          rawName: "v-key2click",
          value: { processEsc: false, disableTabStop: _vm.item.disableTabStop },
          expression:
            "{ processEsc: false, disableTabStop: item.disableTabStop }",
        },
      ],
      class: _vm.item.getActionBarItemCss(),
      attrs: {
        type: "button",
        disabled: _vm.item.disabled,
        title: _vm.item.tooltip || _vm.item.title,
        "aria-checked": _vm.item.ariaChecked,
        "aria-expanded": _vm.item.ariaExpanded,
        role: _vm.item.ariaRole,
        tabindex: _vm.item.disableTabStop ? -1 : 0,
      },
      on: {
        click: function (args) {
          _vm.item.doAction(args)
        },
        keyup: function (evt) {
          evt.stopPropagation()
        },
        mousedown: function (args) {
          _vm.item.doMouseDown(args)
        },
        focus: function (event) {
          _vm.item.doFocus(event)
        },
      },
    },
    [
      _vm.item.iconName
        ? _c("sv-svg-icon", {
            class: _vm.item.cssClasses.itemIcon,
            attrs: {
              iconName: _vm.item.iconName,
              size: _vm.item.iconSize,
              title: _vm.item.tooltip || _vm.item.title,
            },
          })
        : _vm._e(),
      _vm._v(" "),
      _vm.item.hasTitle
        ? _c("span", { class: _vm.item.getActionBarItemTitleCss() }, [
            _vm._v(_vm._s(_vm.item.title)),
          ])
        : _vm._e(),
    ],
    1
  )
}
var action_bar_itemvue_type_template_id_40a056f8_staticRenderFns = []
action_bar_itemvue_type_template_id_40a056f8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item.vue?vue&type=template&id=40a056f8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-item.vue?vue&type=script&lang=ts&
var action_bar_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var action_bar_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var action_bar_itemvue_type_script_lang_ts_ActionBarItemViewModel = /** @class */ (function (_super) {
    action_bar_itemvue_type_script_lang_ts_extends(ActionBarItemViewModel, _super);
    function ActionBarItemViewModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ActionBarItemViewModel.prototype.getModel = function () {
        return this.item;
    };
    action_bar_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionBarItemViewModel.prototype, "item", void 0);
    ActionBarItemViewModel = action_bar_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ActionBarItemViewModel);
    return ActionBarItemViewModel;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-action-bar-item", action_bar_itemvue_type_script_lang_ts_ActionBarItemViewModel);
/* harmony default export */ var action_bar_itemvue_type_script_lang_ts_ = (action_bar_itemvue_type_script_lang_ts_ActionBarItemViewModel);

// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var action_bar_action_bar_itemvue_type_script_lang_ts_ = (action_bar_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item.vue





/* normalize component */

var action_bar_item_component = normalizeComponent(
  action_bar_action_bar_itemvue_type_script_lang_ts_,
  action_bar_itemvue_type_template_id_40a056f8_render,
  action_bar_itemvue_type_template_id_40a056f8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var action_bar_item_api; }
action_bar_item_component.options.__file = "src/vue/components/action-bar/action-bar-item.vue"
/* harmony default export */ var action_bar_item = (action_bar_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-item-dropdown.vue?vue&type=template&id=4ca4f276&
var action_bar_item_dropdownvue_type_template_id_4ca4f276_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticStyle: { width: "100%" } },
    [
      _c(
        "button",
        {
          directives: [
            {
              name: "key2click",
              rawName: "v-key2click",
              value: {
                processEsc: false,
                disableTabStop: _vm.item.disableTabStop,
              },
              expression:
                "{ processEsc: false, disableTabStop: item.disableTabStop }",
            },
          ],
          class: _vm.item.getActionBarItemCss(),
          attrs: {
            type: "button",
            disabled: _vm.item.disabled,
            title: _vm.item.tooltip || _vm.item.title,
            role: _vm.item.ariaRole,
            tabindex: _vm.item.disableTabStop ? -1 : 0,
          },
          on: {
            click: function (args) {
              _vm.item.action(_vm.item, !!args.pointerType)
            },
            keyup: function (evt) {
              evt.stopPropagation()
            },
          },
        },
        [
          _vm.item.iconName
            ? _c("sv-svg-icon", {
                class: _vm.item.cssClasses.itemIcon,
                attrs: {
                  iconName: _vm.item.iconName,
                  size: _vm.item.iconSize,
                  title: _vm.item.tooltip || _vm.item.title,
                },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.item.hasTitle
            ? _c("span", { class: _vm.item.getActionBarItemTitleCss() }, [
                _vm._v(_vm._s(_vm.item.title)),
              ])
            : _vm._e(),
        ],
        1
      ),
      _vm._v(" "),
      _c("sv-popup", { attrs: { model: _vm.item.popupModel } }),
    ],
    1
  )
}
var action_bar_item_dropdownvue_type_template_id_4ca4f276_staticRenderFns = []
action_bar_item_dropdownvue_type_template_id_4ca4f276_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item-dropdown.vue?vue&type=template&id=4ca4f276&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-item-dropdown.vue?vue&type=script&lang=ts&
var action_bar_item_dropdownvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var action_bar_item_dropdownvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var action_bar_item_dropdownvue_type_script_lang_ts_ActionBarItemDropdownViewModel = /** @class */ (function (_super) {
    action_bar_item_dropdownvue_type_script_lang_ts_extends(ActionBarItemDropdownViewModel, _super);
    function ActionBarItemDropdownViewModel() {
        var _this = _super.call(this) || this;
        _this.viewModel = new external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["ActionDropdownViewModel"](_this.item);
        return _this;
    }
    ActionBarItemDropdownViewModel.prototype.onDestroyed = function () {
        this.viewModel.dispose();
    };
    ActionBarItemDropdownViewModel = action_bar_item_dropdownvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ActionBarItemDropdownViewModel);
    return ActionBarItemDropdownViewModel;
}(action_bar_item));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-action-bar-item-dropdown", action_bar_item_dropdownvue_type_script_lang_ts_ActionBarItemDropdownViewModel);
/* harmony default export */ var action_bar_item_dropdownvue_type_script_lang_ts_ = (action_bar_item_dropdownvue_type_script_lang_ts_ActionBarItemDropdownViewModel);

// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item-dropdown.vue?vue&type=script&lang=ts&
 /* harmony default export */ var action_bar_action_bar_item_dropdownvue_type_script_lang_ts_ = (action_bar_item_dropdownvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-item-dropdown.vue





/* normalize component */

var action_bar_item_dropdown_component = normalizeComponent(
  action_bar_action_bar_item_dropdownvue_type_script_lang_ts_,
  action_bar_item_dropdownvue_type_template_id_4ca4f276_render,
  action_bar_item_dropdownvue_type_template_id_4ca4f276_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var action_bar_item_dropdown_api; }
action_bar_item_dropdown_component.options.__file = "src/vue/components/action-bar/action-bar-item-dropdown.vue"
/* harmony default export */ var action_bar_item_dropdown = (action_bar_item_dropdown_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-separator.vue?vue&type=template&id=1aab6850&
var action_bar_separatorvue_type_template_id_1aab6850_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", {
    staticClass: "sv-action-bar-separator",
    class: _vm.innerCss,
  })
}
var action_bar_separatorvue_type_template_id_1aab6850_staticRenderFns = []
action_bar_separatorvue_type_template_id_1aab6850_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-separator.vue?vue&type=template&id=1aab6850&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar-separator.vue?vue&type=script&lang=ts&
var action_bar_separatorvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var action_bar_separatorvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var action_bar_separatorvue_type_script_lang_ts_ActionBarSeparatorViewModel = /** @class */ (function (_super) {
    action_bar_separatorvue_type_script_lang_ts_extends(ActionBarSeparatorViewModel, _super);
    function ActionBarSeparatorViewModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ActionBarSeparatorViewModel.prototype, "innerCss", {
        get: function () {
            return this.item && this.item.innerCss;
        },
        enumerable: false,
        configurable: true
    });
    action_bar_separatorvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionBarSeparatorViewModel.prototype, "item", void 0);
    ActionBarSeparatorViewModel = action_bar_separatorvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ActionBarSeparatorViewModel);
    return ActionBarSeparatorViewModel;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-action-bar-separator", action_bar_separatorvue_type_script_lang_ts_ActionBarSeparatorViewModel);
/* harmony default export */ var action_bar_separatorvue_type_script_lang_ts_ = (action_bar_separatorvue_type_script_lang_ts_ActionBarSeparatorViewModel);

// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-separator.vue?vue&type=script&lang=ts&
 /* harmony default export */ var action_bar_action_bar_separatorvue_type_script_lang_ts_ = (action_bar_separatorvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar-separator.vue





/* normalize component */

var action_bar_separator_component = normalizeComponent(
  action_bar_action_bar_separatorvue_type_script_lang_ts_,
  action_bar_separatorvue_type_template_id_1aab6850_render,
  action_bar_separatorvue_type_template_id_1aab6850_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var action_bar_separator_api; }
action_bar_separator_component.options.__file = "src/vue/components/action-bar/action-bar-separator.vue"
/* harmony default export */ var action_bar_separator = (action_bar_separator_component.exports);
// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/action-bar/action-bar.vue?vue&type=script&lang=ts&
var action_barvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var action_barvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







var action_barvue_type_script_lang_ts_ActionBarViewModel = /** @class */ (function (_super) {
    action_barvue_type_script_lang_ts_extends(ActionBarViewModel, _super);
    function ActionBarViewModel(props) {
        return _super.call(this, props) || this;
    }
    ActionBarViewModel.prototype.getModel = function () {
        return this.model;
    };
    ActionBarViewModel.prototype.mounted = function () {
        if (!this.model.hasActions)
            return;
        var container = this.$el;
        this.model.initResponsivityManager(container);
    };
    ActionBarViewModel.prototype.beforeDestroy = function () {
        this.model.resetResponsivityManager();
    };
    action_barvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionBarViewModel.prototype, "model", void 0);
    action_barvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionBarViewModel.prototype, "container", void 0);
    action_barvue_type_script_lang_ts_decorate([
        Prop()
    ], ActionBarViewModel.prototype, "handleClick", void 0);
    ActionBarViewModel = action_barvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ActionBarViewModel);
    return ActionBarViewModel;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-action-bar", action_barvue_type_script_lang_ts_ActionBarViewModel);
/* harmony default export */ var action_barvue_type_script_lang_ts_ = (action_barvue_type_script_lang_ts_ActionBarViewModel);

// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar.vue?vue&type=script&lang=ts&
 /* harmony default export */ var action_bar_action_barvue_type_script_lang_ts_ = (action_barvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/action-bar/action-bar.vue





/* normalize component */

var action_bar_component = normalizeComponent(
  action_bar_action_barvue_type_script_lang_ts_,
  action_barvue_type_template_id_313bf210_render,
  action_barvue_type_template_id_313bf210_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var action_bar_api; }
action_bar_component.options.__file = "src/vue/components/action-bar/action-bar.vue"
/* harmony default export */ var action_bar = (action_bar_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/svg-icon/svg-icon.vue?vue&type=template&id=684776f8&
var svg_iconvue_type_template_id_684776f8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "svg",
    { ref: "svgIcon", staticClass: "sv-svg-icon", attrs: { role: "img" } },
    [_c("use")]
  )
}
var svg_iconvue_type_template_id_684776f8_staticRenderFns = []
svg_iconvue_type_template_id_684776f8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/svg-icon/svg-icon.vue?vue&type=template&id=684776f8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/svg-icon/svg-icon.vue?vue&type=script&lang=ts&
var svg_iconvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var svg_iconvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var svg_iconvue_type_script_lang_ts_SvgIcon = /** @class */ (function (_super) {
    svg_iconvue_type_script_lang_ts_extends(SvgIcon, _super);
    function SvgIcon() {
        return _super.call(this) || this;
    }
    SvgIcon.prototype.onSizePropertyChanged = function () {
        this.onUpdated();
    };
    SvgIcon.prototype.onWidthPropertyChanged = function () {
        this.onUpdated();
    };
    SvgIcon.prototype.onHeightPropertyChanged = function () {
        this.onUpdated();
    };
    SvgIcon.prototype.onIconNamePropertyChanged = function () {
        this.onUpdated();
    };
    SvgIcon.prototype.onUpdated = function () {
        Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["createSvg"])(this.size, this.width, this.height, this.iconName, this.svgIconElement, this.title);
    };
    SvgIcon.prototype.onMounted = function () {
        this.svgIconElement = this.$refs["svgIcon"];
        this.onUpdated();
    };
    svg_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SvgIcon.prototype, "size", void 0);
    svg_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SvgIcon.prototype, "width", void 0);
    svg_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SvgIcon.prototype, "height", void 0);
    svg_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SvgIcon.prototype, "iconName", void 0);
    svg_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SvgIcon.prototype, "title", void 0);
    svg_iconvue_type_script_lang_ts_decorate([
        Watch("size")
    ], SvgIcon.prototype, "onSizePropertyChanged", null);
    svg_iconvue_type_script_lang_ts_decorate([
        Watch("width")
    ], SvgIcon.prototype, "onWidthPropertyChanged", null);
    svg_iconvue_type_script_lang_ts_decorate([
        Watch("height")
    ], SvgIcon.prototype, "onHeightPropertyChanged", null);
    svg_iconvue_type_script_lang_ts_decorate([
        Watch("iconName")
    ], SvgIcon.prototype, "onIconNamePropertyChanged", null);
    SvgIcon = svg_iconvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SvgIcon);
    return SvgIcon;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-svg-icon", svg_iconvue_type_script_lang_ts_SvgIcon);
/* harmony default export */ var svg_iconvue_type_script_lang_ts_ = (svg_iconvue_type_script_lang_ts_SvgIcon);

// CONCATENATED MODULE: ./src/vue/components/svg-icon/svg-icon.vue?vue&type=script&lang=ts&
 /* harmony default export */ var svg_icon_svg_iconvue_type_script_lang_ts_ = (svg_iconvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/svg-icon/svg-icon.vue





/* normalize component */

var svg_icon_component = normalizeComponent(
  svg_icon_svg_iconvue_type_script_lang_ts_,
  svg_iconvue_type_template_id_684776f8_render,
  svg_iconvue_type_template_id_684776f8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var svg_icon_api; }
svg_icon_component.options.__file = "src/vue/components/svg-icon/svg-icon.vue"
/* harmony default export */ var svg_icon = (svg_icon_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup-pointer.vue?vue&type=template&id=00847c42&
var popup_pointervue_type_template_id_00847c42_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("span", {
    staticClass: "sv-popup__pointer",
    style: {
      left: _vm.model.pointerTarget.left,
      top: _vm.model.pointerTarget.top,
    },
  })
}
var popup_pointervue_type_template_id_00847c42_staticRenderFns = []
popup_pointervue_type_template_id_00847c42_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/popup/popup-pointer.vue?vue&type=template&id=00847c42&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup-pointer.vue?vue&type=script&lang=ts&
var popup_pointervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var popup_pointervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var popup_pointervue_type_script_lang_ts_PopupPointer = /** @class */ (function (_super) {
    popup_pointervue_type_script_lang_ts_extends(PopupPointer, _super);
    function PopupPointer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    popup_pointervue_type_script_lang_ts_decorate([
        Prop()
    ], PopupPointer.prototype, "model", void 0);
    PopupPointer = popup_pointervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PopupPointer);
    return PopupPointer;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("popup-pointer", popup_pointervue_type_script_lang_ts_PopupPointer);
/* harmony default export */ var popup_pointervue_type_script_lang_ts_ = (popup_pointervue_type_script_lang_ts_PopupPointer);

// CONCATENATED MODULE: ./src/vue/components/popup/popup-pointer.vue?vue&type=script&lang=ts&
 /* harmony default export */ var popup_popup_pointervue_type_script_lang_ts_ = (popup_pointervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/popup/popup-pointer.vue





/* normalize component */

var popup_pointer_component = normalizeComponent(
  popup_popup_pointervue_type_script_lang_ts_,
  popup_pointervue_type_template_id_00847c42_render,
  popup_pointervue_type_template_id_00847c42_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var popup_pointer_api; }
popup_pointer_component.options.__file = "src/vue/components/popup/popup-pointer.vue"
/* harmony default export */ var popup_pointer = (popup_pointer_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup-container.vue?vue&type=template&id=c18dfd74&
var popup_containervue_type_template_id_c18dfd74_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      directives: [
        {
          name: "show",
          rawName: "v-show",
          value: _vm.model.isVisible,
          expression: "model.isVisible",
        },
      ],
      staticClass: "sv-popup",
      class: _vm.model.styleClass,
      attrs: { tabindex: "-1" },
      on: {
        keydown: function (event) {
          _vm.model.onKeyDown(event)
        },
        click: function (event) {
          _vm.model.clickOutside(event)
        },
      },
    },
    [
      _c(
        "div",
        {
          staticClass: "sv-popup__container",
          style: {
            left: _vm.model.left,
            top: _vm.model.top,
            height: _vm.model.height,
            width: _vm.model.width,
            minWidth: _vm.model.minWidth,
          },
          on: { click: _vm.clickInside },
        },
        [
          _vm.model.showHeader
            ? _c(_vm.model.popupHeaderTemplate, {
                tag: "component",
                attrs: { model: _vm.model },
              })
            : _vm._e(),
          _vm._v(" "),
          _c("div", { staticClass: "sv-popup__body-content" }, [
            !!_vm.model.title
              ? _c("div", { staticClass: "sv-popup__body-header" }, [
                  _vm._v(_vm._s(_vm.model.title)),
                ])
              : _vm._e(),
            _vm._v(" "),
            _c("div", { staticClass: "sv-popup__scrolling-content" }, [
              _c(
                "div",
                { staticClass: "sv-popup__content" },
                [
                  _c(
                    _vm.model.contentComponentName,
                    _vm._b(
                      { tag: "component" },
                      "component",
                      _vm.model.contentComponentData,
                      false
                    )
                  ),
                ],
                1
              ),
            ]),
            _vm._v(" "),
            _vm.model.showFooter
              ? _c(
                  "div",
                  { staticClass: "sv-popup__body-footer" },
                  [
                    _c("sv-action-bar", {
                      attrs: { model: _vm.model.footerToolbar },
                    }),
                  ],
                  1
                )
              : _vm._e(),
          ]),
        ],
        1
      ),
    ]
  )
}
var popup_containervue_type_template_id_c18dfd74_staticRenderFns = []
popup_containervue_type_template_id_c18dfd74_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/popup/popup-container.vue?vue&type=template&id=c18dfd74&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup-container.vue?vue&type=script&lang=ts&
var popup_containervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var popup_containervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var popup_containervue_type_script_lang_ts_PopupContainer = /** @class */ (function (_super) {
    popup_containervue_type_script_lang_ts_extends(PopupContainer, _super);
    function PopupContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PopupContainer.prototype.getModel = function () {
        return this.model;
    };
    PopupContainer.prototype.clickInside = function (event) {
        event.stopPropagation();
    };
    PopupContainer.prototype.onUpdated = function () {
        if (!this.model.isPositionSet && this.model.isVisible) {
            this.model.updateOnShowing();
        }
    };
    popup_containervue_type_script_lang_ts_decorate([
        Prop()
    ], PopupContainer.prototype, "model", void 0);
    PopupContainer = popup_containervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PopupContainer);
    return PopupContainer;
}(base_BaseVue));

// replace to showDialog then delete
function showModal(componentName, data, onApply, onCancel, cssClass, title, displayMode) {
    if (displayMode === void 0) { displayMode = "popup"; }
    var options = Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["createDialogOptions"])(componentName, data, onApply, onCancel, undefined, undefined, cssClass, title, displayMode);
    return showDialog(options);
}
function showDialog(dialogOptions, rootElement) {
    dialogOptions.onHide = function () {
        popup.$destroy();
        popupViewModel.container.remove();
        popupViewModel.dispose();
    };
    var popupViewModel = Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["createPopupModalViewModel"])(dialogOptions, rootElement);
    var popup = new popup_containervue_type_script_lang_ts_PopupContainer({
        el: popupViewModel.container.appendChild(document.createElement("div")),
        propsData: { model: popupViewModel },
    });
    popupViewModel.model.isVisible = true;
    return popupViewModel;
}
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["settings"].showModal = showModal;
external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["settings"].showDialog = showDialog;
external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-popup-container", popup_containervue_type_script_lang_ts_PopupContainer);
/* harmony default export */ var popup_containervue_type_script_lang_ts_ = (popup_containervue_type_script_lang_ts_PopupContainer);

// CONCATENATED MODULE: ./src/vue/components/popup/popup-container.vue?vue&type=script&lang=ts&
 /* harmony default export */ var popup_popup_containervue_type_script_lang_ts_ = (popup_containervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/popup/popup-container.vue





/* normalize component */

var popup_container_component = normalizeComponent(
  popup_popup_containervue_type_script_lang_ts_,
  popup_containervue_type_template_id_c18dfd74_render,
  popup_containervue_type_template_id_c18dfd74_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var popup_container_api; }
popup_container_component.options.__file = "src/vue/components/popup/popup-container.vue"
/* harmony default export */ var popup_container = (popup_container_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup.vue?vue&type=template&id=ef11265c&
var popupvue_type_template_id_ef11265c_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    [_c("sv-popup-container", { attrs: { model: _vm.popupViewModel } })],
    1
  )
}
var popupvue_type_template_id_ef11265c_staticRenderFns = []
popupvue_type_template_id_ef11265c_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/popup/popup.vue?vue&type=template&id=ef11265c&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/popup/popup.vue?vue&type=script&lang=ts&
var popupvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var popupvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var popupvue_type_script_lang_ts_Popup = /** @class */ (function (_super) {
    popupvue_type_script_lang_ts_extends(Popup, _super);
    function Popup(props) {
        var _this = _super.call(this, props) || this;
        _this.popupViewModel = Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["createPopupViewModel"])(_this.model);
        return _this;
    }
    Popup.prototype.getModel = function () {
        return this.model;
    };
    Popup.prototype.onMounted = function () {
        var container = this.$el;
        this.popupViewModel.setComponentElement(container);
    };
    Popup.prototype.destroyed = function () {
        this.popupViewModel.dispose();
    };
    popupvue_type_script_lang_ts_decorate([
        Prop()
    ], Popup.prototype, "model", void 0);
    Popup = popupvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Popup);
    return Popup;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-popup", popupvue_type_script_lang_ts_Popup);
/* harmony default export */ var popupvue_type_script_lang_ts_ = (popupvue_type_script_lang_ts_Popup);

// CONCATENATED MODULE: ./src/vue/components/popup/popup.vue?vue&type=script&lang=ts&
 /* harmony default export */ var popup_popupvue_type_script_lang_ts_ = (popupvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/popup/popup.vue





/* normalize component */

var popup_component = normalizeComponent(
  popup_popupvue_type_script_lang_ts_,
  popupvue_type_template_id_ef11265c_render,
  popupvue_type_template_id_ef11265c_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var popup_api; }
popup_component.options.__file = "src/vue/components/popup/popup.vue"
/* harmony default export */ var popup_popup = (popup_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/list/list.vue?vue&type=template&id=cc17a010&
var listvue_type_template_id_cc17a010_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { ref: "listContainerElement", class: _vm.model.cssClasses.root },
    [
      _vm.model.showFilter
        ? _c("div", { class: _vm.model.cssClasses.filter }, [
            _c(
              "div",
              { class: _vm.model.cssClasses.filterIcon },
              [
                _c("sv-svg-icon", {
                  attrs: { iconName: "icon-search", size: "auto" },
                }),
              ],
              1
            ),
            _vm._v(" "),
            _c("input", {
              class: _vm.model.cssClasses.filterInput,
              attrs: {
                type: "text",
                "aria-label": _vm.model.filterStringPlaceholder,
                placeholder: _vm.model.filterStringPlaceholder,
              },
              domProps: { value: _vm.model.filterString },
              on: { change: _vm.change, keyup: _vm.keyup },
            }),
            _vm._v(" "),
            _vm.model.showSearchClearButton && !!_vm.model.filterString
              ? _c(
                  "button",
                  {
                    class: _vm.model.cssClasses.searchClearButtonIcon,
                    on: {
                      click: function (event) {
                        _vm.model.onClickSearchClearButton(event)
                      },
                    },
                  },
                  [
                    _c("sv-svg-icon", {
                      attrs: { iconName: "icon-searchclear", size: "auto" },
                    }),
                  ],
                  1
                )
              : _vm._e(),
          ])
        : _vm._e(),
      _vm._v(" "),
      _c(
        "div",
        {
          directives: [
            {
              name: "show",
              rawName: "v-show",
              value: _vm.model.isEmpty,
              expression: "model.isEmpty",
            },
          ],
          class: _vm.model.cssClasses.emptyContainer,
        },
        [
          _c(
            "div",
            {
              class: _vm.model.cssClasses.emptyText,
              attrs: { "aria-label": _vm.model.emptyMessage },
            },
            [_vm._v(_vm._s(_vm.model.emptyMessage))]
          ),
        ]
      ),
      _vm._v(" "),
      _vm.model.renderElements
        ? _c(
            "ul",
            {
              directives: [
                {
                  name: "show",
                  rawName: "v-show",
                  value: !_vm.model.isEmpty,
                  expression: "!model.isEmpty",
                },
              ],
              class: _vm.model.getListClass(),
              attrs: { role: "listbox", id: _vm.model.elementId },
              on: {
                mousedown: function (event) {
                  event.preventDefault()
                },
                mousemove: _vm.mouseMove,
                keydown: function (event) {
                  _vm.model.onKeyDown(event)
                },
              },
            },
            _vm._l(_vm.model.renderedActions, function (item) {
              return _c("sv-list-item", {
                key: item.id,
                attrs: { item: item, model: _vm.model },
              })
            }),
            1
          )
        : _vm._e(),
    ]
  )
}
var listvue_type_template_id_cc17a010_staticRenderFns = []
listvue_type_template_id_cc17a010_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/list/list.vue?vue&type=template&id=cc17a010&

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/list/list-item.vue?vue&type=template&id=4fffcdf8&
var list_itemvue_type_template_id_4fffcdf8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "li",
    {
      directives: [
        {
          name: "show",
          rawName: "v-show",
          value: _vm.model.isItemVisible(_vm.item),
          expression: "model.isItemVisible(item)",
        },
        {
          name: "key2click",
          rawName: "v-key2click",
          value: { processEsc: false, disableTabStop: _vm.item.disableTabStop },
          expression:
            "{ processEsc: false, disableTabStop: item.disableTabStop }",
        },
      ],
      key: _vm.item.id,
      class: _vm.model.getItemClass(_vm.item),
      attrs: {
        role: "option",
        id: _vm.elementId,
        "aria-selected": _vm.model.isItemSelected(_vm.item) ? "true" : "false",
        tabindex: _vm.item.disableTabStop ? -1 : 0,
      },
      on: { click: _vm.click },
    },
    [
      _vm.item.needSeparator
        ? _c("div", { class: _vm.model.cssClasses.itemSeparator })
        : _vm._e(),
      _vm._v(" "),
      _c(
        "div",
        {
          class: _vm.model.cssClasses.itemBody,
          style: _vm.model.getItemStyle(_vm.item),
          attrs: { title: _vm.item.locTitle.calculatedText },
          on: {
            mouseover: function (e) {
              return _vm.model.onItemHover(_vm.item)
            },
            mouseleave: function (e) {
              return _vm.model.onItemLeave(_vm.item)
            },
          },
        },
        [
          _vm.item.iconName && _vm.isDefaultItem
            ? _c("sv-svg-icon", {
                class: _vm.model.cssClasses.itemIcon,
                attrs: { iconName: _vm.item.iconName, size: _vm.item.iconSize },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.isDefaultItem
            ? _c("survey-string", { attrs: { locString: _vm.item.locTitle } })
            : _vm._e(),
          _vm._v(" "),
          _vm.item.markerIconName
            ? _c("sv-svg-icon", {
                class: _vm.item.cssClasses.itemMarkerIcon,
                attrs: { iconName: _vm.item.markerIconName, size: "auto" },
              })
            : _vm._e(),
          _vm._v(" "),
          _vm.item.popupModel && _vm.isDefaultItem
            ? _c("sv-popup", { attrs: { model: _vm.item.popupModel } })
            : _vm._e(),
          _vm._v(" "),
          _vm.item.component
            ? _c(_vm.item.component, {
                tag: "component",
                attrs: { item: _vm.item },
              })
            : _vm._e(),
        ],
        1
      ),
    ]
  )
}
var list_itemvue_type_template_id_4fffcdf8_staticRenderFns = []
list_itemvue_type_template_id_4fffcdf8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/list/list-item.vue?vue&type=template&id=4fffcdf8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/list/list-item.vue?vue&type=script&lang=ts&
var list_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var list_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var list_itemvue_type_script_lang_ts_ListItem = /** @class */ (function (_super) {
    list_itemvue_type_script_lang_ts_extends(ListItem, _super);
    function ListItem() {
        return _super.call(this) || this;
    }
    ListItem.prototype.getModel = function () {
        return this.item;
    };
    Object.defineProperty(ListItem.prototype, "elementId", {
        get: function () {
            var _a;
            return (_a = this.item) === null || _a === void 0 ? void 0 : _a.elementId;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ListItem.prototype, "isDefaultItem", {
        get: function () {
            return !this.item.component || this.item.component === "sv-list-item-group";
        },
        enumerable: false,
        configurable: true
    });
    ListItem.prototype.click = function (event) {
        this.model.onItemClick(this.item);
        event.stopPropagation();
    };
    ListItem.prototype.onMounted = function () {
        this.model.onLastItemRended(this.item);
    };
    list_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], ListItem.prototype, "item", void 0);
    list_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], ListItem.prototype, "model", void 0);
    ListItem = list_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ListItem);
    return ListItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-list-item", list_itemvue_type_script_lang_ts_ListItem);
/* harmony default export */ var list_itemvue_type_script_lang_ts_ = (list_itemvue_type_script_lang_ts_ListItem);

// CONCATENATED MODULE: ./src/vue/components/list/list-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var list_list_itemvue_type_script_lang_ts_ = (list_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/list/list-item.vue





/* normalize component */

var list_item_component = normalizeComponent(
  list_list_itemvue_type_script_lang_ts_,
  list_itemvue_type_template_id_4fffcdf8_render,
  list_itemvue_type_template_id_4fffcdf8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var list_item_api; }
list_item_component.options.__file = "src/vue/components/list/list-item.vue"
/* harmony default export */ var list_item = (list_item_component.exports);
// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/list/list.vue?vue&type=script&lang=ts&
var listvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var listvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var listvue_type_script_lang_ts_List = /** @class */ (function (_super) {
    listvue_type_script_lang_ts_extends(List, _super);
    function List() {
        return _super.call(this) || this;
    }
    List.prototype.getModel = function () {
        return this.model;
    };
    List.prototype.change = function (event) {
        this.model.filterString = event.target.value;
    };
    List.prototype.keyup = function (event) {
        this.model.filterString = event.target.value;
        this.model.goToItems(event);
    };
    List.prototype.mouseMove = function (event) {
        this.model.onMouseMove(event);
    };
    List.prototype.onMounted = function () {
        var listContainerElement = this.$refs["listContainerElement"];
        this.model.initListContainerHtmlElement(listContainerElement);
    };
    listvue_type_script_lang_ts_decorate([
        Prop()
    ], List.prototype, "model", void 0);
    List = listvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], List);
    return List;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-list", listvue_type_script_lang_ts_List);
/* harmony default export */ var listvue_type_script_lang_ts_ = (listvue_type_script_lang_ts_List);

// CONCATENATED MODULE: ./src/vue/components/list/list.vue?vue&type=script&lang=ts&
 /* harmony default export */ var list_listvue_type_script_lang_ts_ = (listvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/list/list.vue





/* normalize component */

var list_component = normalizeComponent(
  list_listvue_type_script_lang_ts_,
  listvue_type_template_id_cc17a010_render,
  listvue_type_template_id_cc17a010_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var list_api; }
list_component.options.__file = "src/vue/components/list/list.vue"
/* harmony default export */ var list = (list_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/dropdown/option-item.vue?vue&type=template&id=36b56e74&
var option_itemvue_type_template_id_36b56e74_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "option",
    {
      attrs: { disabled: !_vm.item.isEnabled },
      domProps: { value: _vm.item.value },
    },
    [_vm._v(_vm._s(_vm.item.text))]
  )
}
var option_itemvue_type_template_id_36b56e74_staticRenderFns = []
option_itemvue_type_template_id_36b56e74_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/dropdown/option-item.vue?vue&type=template&id=36b56e74&

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/dropdown/dropdown.vue?vue&type=template&id=361fc050&
var dropdownvue_type_template_id_361fc050_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.selectWrapper, on: { click: _vm.click } },
    [
      !_vm.question.isReadOnly
        ? _c(
            "div",
            {
              class: _vm.question.getControlClass(),
              attrs: {
                id: _vm.question.inputId,
                disabled: _vm.question.isDisabledAttr,
                tabindex: _vm.model.noTabIndex ? undefined : 0,
                role: _vm.question.ariaRole,
                "aria-required": _vm.question.ariaRequired,
                "aria-label": _vm.question.ariaLabel,
                "aria-invalid": _vm.question.ariaInvalid,
                "aria-errormessage": _vm.question.ariaErrormessage,
                "aria-expanded": _vm.question.ariaExpanded,
                "aria-controls": _vm.model.listElementId,
                "aria-activedescendant": _vm.model.ariaActivedescendant,
                required: _vm.question.isRequired,
              },
              on: { keydown: _vm.keyhandler, blur: _vm.blur },
            },
            [
              _vm.model.showHintPrefix
                ? _c("div", { class: _vm.question.cssClasses.hintPrefix }, [
                    _c("span", [_vm._v(_vm._s(_vm.model.hintStringPrefix))]),
                  ])
                : _vm._e(),
              _vm._v(" "),
              _c(
                "div",
                { class: _vm.question.cssClasses.controlValue },
                [
                  _vm.showSelectedItemLocText
                    ? _c("survey-string", {
                        attrs: { locString: _vm.selectedItemLocText },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.model.showHintString
                    ? _c("div", { class: _vm.question.cssClasses.hintSuffix }, [
                        _c("span", { staticStyle: { visibility: "hidden" } }, [
                          _vm._v(_vm._s(_vm.model.inputStringRendered)),
                        ]),
                        _vm._v(" "),
                        _c("span", [
                          _vm._v(_vm._s(_vm.model.hintStringSuffix)),
                        ]),
                      ])
                    : _vm._e(),
                  _vm._v(" "),
                  _vm.question.showInputFieldComponent
                    ? _c(_vm.question.inputFieldComponentName, {
                        tag: "component",
                        attrs: {
                          item: _vm.model.getSelectedAction(),
                          question: _vm.question,
                        },
                      })
                    : _vm._e(),
                  _vm._v(" "),
                  _c("input", {
                    ref: "inputElement",
                    class: _vm.question.cssClasses.filterStringInput,
                    attrs: {
                      type: "text",
                      disabled: _vm.question.isDisabledAttr,
                      autocomplete: "off",
                      inputmode: _vm.model.inputMode,
                      role: _vm.model.filterStringEnabled
                        ? _vm.question.ariaRole
                        : null,
                      id: _vm.question.getInputId(),
                      tabindex: _vm.model.noTabIndex ? undefined : -1,
                      readonly: _vm.model.filterReadOnly ? true : null,
                      "aria-expanded": _vm.question.ariaExpanded,
                      "aria-label": _vm.question.a11y_input_ariaLabel,
                      "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
                      "aria-describedby":
                        _vm.question.a11y_input_ariaDescribedBy,
                      "aria-controls": _vm.model.listElementId,
                      "aria-activedescendant": _vm.model.ariaActivedescendant,
                      placeholder: _vm.model.placeholderRendered,
                    },
                    on: {
                      input: _vm.inputChange,
                      blur: _vm.blur,
                      focus: _vm.focus,
                    },
                  }),
                ],
                1
              ),
              _vm._v(" "),
              _vm.question.allowClear &&
              _vm.question.cssClasses.cleanButtonIconId
                ? _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value: _vm.question.showClearButton,
                          expression: "question.showClearButton",
                        },
                      ],
                      class: _vm.question.cssClasses.cleanButton,
                      attrs: { "aria-hidden": "true" },
                      on: { click: _vm.clear },
                    },
                    [
                      _c("sv-svg-icon", {
                        class: _vm.question.cssClasses.cleanButtonSvg,
                        attrs: {
                          iconName: _vm.question.cssClasses.cleanButtonIconId,
                          title: _vm.question.clearCaption,
                          size: "auto",
                        },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ]
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.question.isReadOnly
        ? _c("sv-popup", {
            attrs: { model: _vm.question.dropdownListModel.popupModel },
          })
        : _c(
            "div",
            {
              class: _vm.question.getControlClass(),
              attrs: {
                id: _vm.question.inputId,
                "aria-label": _vm.question.a11y_input_ariaLabel,
                "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
                "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
                tabindex: _vm.question.isDisabledAttr ? undefined : 0,
              },
            },
            [
              _vm.locReadOnlyText
                ? _c("survey-string", {
                    attrs: { locString: _vm.locReadOnlyText },
                  })
                : _vm._e(),
            ],
            1
          ),
      _vm._v(" "),
      _vm.question.cssClasses.chevronButtonIconId
        ? _c(
            "div",
            {
              class: _vm.question.cssClasses.chevronButton,
              attrs: { "aria-hidden": "true" },
              on: { pointerdown: _vm.chevronPointerDown },
            },
            [
              _c("sv-svg-icon", {
                class: _vm.question.cssClasses.chevronButtonSvg,
                attrs: {
                  iconName: _vm.question.cssClasses.chevronButtonIconId,
                  size: "auto",
                },
              }),
            ],
            1
          )
        : _vm._e(),
    ],
    1
  )
}
var dropdownvue_type_template_id_361fc050_staticRenderFns = []
dropdownvue_type_template_id_361fc050_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/dropdown/dropdown.vue?vue&type=template&id=361fc050&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/dropdown/dropdown.vue?vue&type=script&lang=ts&
var dropdown_dropdownvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var dropdown_dropdownvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var dropdownvue_type_script_lang_ts_DropdownComponent = /** @class */ (function (_super) {
    dropdown_dropdownvue_type_script_lang_ts_extends(DropdownComponent, _super);
    function DropdownComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.showSelectedItemLocText = null;
        _this.selectedItemLocText = undefined;
        _this.locReadOnlyText = undefined;
        return _this;
    }
    Object.defineProperty(DropdownComponent.prototype, "model", {
        get: function () {
            return this.question.dropdownListModel;
        },
        enumerable: false,
        configurable: true
    });
    DropdownComponent.prototype.getModel = function () {
        return this.model;
    };
    DropdownComponent.prototype.inputChange = function (event) {
        this.model.inputStringRendered = event.target.value;
    };
    DropdownComponent.prototype.click = function (event) {
        var _a;
        (_a = this.model) === null || _a === void 0 ? void 0 : _a.onClick(event);
    };
    DropdownComponent.prototype.chevronPointerDown = function (event) {
        var _a;
        (_a = this.model) === null || _a === void 0 ? void 0 : _a.chevronPointerDown(event);
    };
    DropdownComponent.prototype.clear = function (event) {
        var _a;
        (_a = this.model) === null || _a === void 0 ? void 0 : _a.onClear(event);
    };
    DropdownComponent.prototype.keyhandler = function (event) {
        var _a;
        (_a = this.model) === null || _a === void 0 ? void 0 : _a.keyHandler(event);
    };
    DropdownComponent.prototype.blur = function (event) {
        this.question.onBlur(event);
        this.updateInputDomElement();
    };
    DropdownComponent.prototype.focus = function (event) {
        this.question.onFocus(event);
    };
    DropdownComponent.prototype.onMounted = function () {
        this.inputElement = this.$refs["inputElement"];
        this.updateInputDomElement();
    };
    DropdownComponent.prototype.onUpdated = function () {
        this.updateInputDomElement();
    };
    DropdownComponent.prototype.updateInputDomElement = function () {
        if (!!this.inputElement) {
            var control = this.inputElement;
            var newValue = this.model.inputStringRendered;
            if (!external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["Helpers"].isTwoValueEquals(newValue, control.value, false, true, false)) {
                control.value = this.model.inputStringRendered;
            }
        }
    };
    DropdownComponent.prototype.updateSelectedItemProperties = function () {
        this.showSelectedItemLocText = this.question.showSelectedItemLocText;
        this.selectedItemLocText = this.question.selectedItemLocText;
        this.locReadOnlyText = this.question.locReadOnlyText;
    };
    DropdownComponent.prototype.onCreated = function () {
        this.updateSelectedItemProperties();
    };
    DropdownComponent.prototype.onBeforeUpdated = function () {
        this.updateSelectedItemProperties();
    };
    dropdown_dropdownvue_type_script_lang_ts_decorate([
        Prop()
    ], DropdownComponent.prototype, "question", void 0);
    DropdownComponent = dropdown_dropdownvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], DropdownComponent);
    return DropdownComponent;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-dropdown", dropdownvue_type_script_lang_ts_DropdownComponent);
/* harmony default export */ var dropdown_dropdownvue_type_script_lang_ts_ = (dropdownvue_type_script_lang_ts_DropdownComponent);

// CONCATENATED MODULE: ./src/vue/components/dropdown/dropdown.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_dropdown_dropdownvue_type_script_lang_ts_ = (dropdown_dropdownvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/dropdown/dropdown.vue





/* normalize component */

var dropdown_dropdown_component = normalizeComponent(
  components_dropdown_dropdownvue_type_script_lang_ts_,
  dropdownvue_type_template_id_361fc050_render,
  dropdownvue_type_template_id_361fc050_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var dropdown_dropdown_api; }
dropdown_dropdown_component.options.__file = "src/vue/components/dropdown/dropdown.vue"
/* harmony default export */ var dropdown_dropdown = (dropdown_dropdown_component.exports);
// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/dropdown/option-item.vue?vue&type=script&lang=ts&
var option_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var option_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var option_itemvue_type_script_lang_ts_DropdownOptionItem = /** @class */ (function (_super) {
    option_itemvue_type_script_lang_ts_extends(DropdownOptionItem, _super);
    function DropdownOptionItem() {
        var _this = _super.call(this) || this;
        if (!_this.item.locText)
            return _this;
        var self = _this;
        _this.item.locText.onChanged = function () {
            self.$forceUpdate();
        };
        _this.item.locText.onChanged();
        return _this;
    }
    DropdownOptionItem.prototype.getModel = function () {
        return this.item;
    };
    option_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], DropdownOptionItem.prototype, "item", void 0);
    DropdownOptionItem = option_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], DropdownOptionItem);
    return DropdownOptionItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-dropdown-option-item", option_itemvue_type_script_lang_ts_DropdownOptionItem);
/* harmony default export */ var option_itemvue_type_script_lang_ts_ = (option_itemvue_type_script_lang_ts_DropdownOptionItem);

// CONCATENATED MODULE: ./src/vue/components/dropdown/option-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var dropdown_option_itemvue_type_script_lang_ts_ = (option_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/dropdown/option-item.vue





/* normalize component */

var option_item_component = normalizeComponent(
  dropdown_option_itemvue_type_script_lang_ts_,
  option_itemvue_type_template_id_36b56e74_render,
  option_itemvue_type_template_id_36b56e74_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var option_item_api; }
option_item_component.options.__file = "src/vue/components/dropdown/option-item.vue"
/* harmony default export */ var option_item = (option_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox-filter.vue?vue&type=template&id=dc2bc686&
var tagbox_filtervue_type_template_id_dc2bc686_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.hint }, [
    _vm.model.showHintPrefix
      ? _c("div", { class: _vm.question.cssClasses.hintPrefix }, [
          _c("span", [_vm._v(_vm._s(_vm.model.hintStringPrefix))]),
        ])
      : _vm._e(),
    _vm._v(" "),
    _c(
      "div",
      { class: _vm.question.cssClasses.hintSuffixWrapper },
      [
        _vm.question.showSelectedItemLocText
          ? _c("survey-string", {
              attrs: { locString: _vm.question.selectedItemLocText },
            })
          : _vm._e(),
        _vm._v(" "),
        _vm.model.showHintString
          ? _c("div", { class: _vm.question.cssClasses.hintSuffix }, [
              _c("span", { staticStyle: { visibility: "hidden" } }, [
                _vm._v(_vm._s(_vm.model.inputStringRendered)),
              ]),
              _vm._v(" "),
              _c("span", [_vm._v(_vm._s(_vm.model.hintStringSuffix))]),
            ])
          : _vm._e(),
        _vm._v(" "),
        _c("input", {
          directives: [
            {
              name: "model",
              rawName: "v-model",
              value: _vm.model.inputStringRendered,
              expression: "model.inputStringRendered",
            },
          ],
          class: _vm.question.cssClasses.filterStringInput,
          attrs: {
            type: "text",
            autocomplete: "off",
            placeholder: _vm.model.filterStringPlaceholder,
            disabled: _vm.question.isDisabledAttr,
            inputmode: _vm.model.inputMode,
            role: _vm.model.filterStringEnabled ? _vm.question.ariaRole : null,
            "aria-expanded": _vm.question.ariaExpanded,
            "aria-label": _vm.question.a11y_input_ariaLabel,
            "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
            "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
            "aria-controls": _vm.model.listElementId,
            "aria-activedescendant": _vm.model.ariaActivedescendant,
            id: _vm.question.getInputId(),
            readonly: _vm.model.filterReadOnly ? true : null,
            size: !_vm.model.inputStringRendered ? 1 : null,
          },
          domProps: { value: _vm.model.inputStringRendered },
          on: {
            change: _vm.inputChange,
            keydown: _vm.inputKeyHandler,
            blur: _vm.blur,
            focus: _vm.focus,
            input: function ($event) {
              if ($event.target.composing) {
                return
              }
              _vm.$set(_vm.model, "inputStringRendered", $event.target.value)
            },
          },
        }),
      ],
      1
    ),
  ])
}
var tagbox_filtervue_type_template_id_dc2bc686_staticRenderFns = []
tagbox_filtervue_type_template_id_dc2bc686_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-filter.vue?vue&type=template&id=dc2bc686&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox-filter.vue?vue&type=script&lang=ts&
var tagbox_filtervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var tagbox_filtervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var tagbox_filtervue_type_script_lang_ts_TagboxFilterComponent = /** @class */ (function (_super) {
    tagbox_filtervue_type_script_lang_ts_extends(TagboxFilterComponent, _super);
    function TagboxFilterComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TagboxFilterComponent.prototype.getModel = function () {
        return this.model;
    };
    TagboxFilterComponent.prototype.inputChange = function (event) {
        this.model.inputStringRendered = event.target.value;
    };
    TagboxFilterComponent.prototype.inputKeyHandler = function (event) {
        this.model.inputKeyHandler(event);
    };
    TagboxFilterComponent.prototype.blur = function (event) {
        this.question.onBlur(event);
    };
    TagboxFilterComponent.prototype.focus = function (event) {
        this.question.onFocus(event);
    };
    tagbox_filtervue_type_script_lang_ts_decorate([
        Prop()
    ], TagboxFilterComponent.prototype, "model", void 0);
    tagbox_filtervue_type_script_lang_ts_decorate([
        Prop()
    ], TagboxFilterComponent.prototype, "question", void 0);
    TagboxFilterComponent = tagbox_filtervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TagboxFilterComponent);
    return TagboxFilterComponent;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-tagbox-filter", tagbox_filtervue_type_script_lang_ts_TagboxFilterComponent);
/* harmony default export */ var tagbox_filtervue_type_script_lang_ts_ = (tagbox_filtervue_type_script_lang_ts_TagboxFilterComponent);

// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-filter.vue?vue&type=script&lang=ts&
 /* harmony default export */ var tagbox_tagbox_filtervue_type_script_lang_ts_ = (tagbox_filtervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-filter.vue





/* normalize component */

var tagbox_filter_component = normalizeComponent(
  tagbox_tagbox_filtervue_type_script_lang_ts_,
  tagbox_filtervue_type_template_id_dc2bc686_render,
  tagbox_filtervue_type_template_id_dc2bc686_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var tagbox_filter_api; }
tagbox_filter_component.options.__file = "src/vue/components/tagbox/tagbox-filter.vue"
/* harmony default export */ var tagbox_filter = (tagbox_filter_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox.vue?vue&type=template&id=a15fc850&
var tagboxvue_type_template_id_a15fc850_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { class: _vm.question.cssClasses.selectWrapper, on: { click: _vm.click } },
    [
      !_vm.question.isReadOnly
        ? _c(
            "div",
            {
              class: _vm.question.getControlClass(),
              attrs: {
                id: _vm.question.inputId,
                tabindex: _vm.model.noTabIndex ? undefined : 0,
                disabled: _vm.question.isDisabledAttr,
                role: _vm.question.ariaRole,
                "aria-required": _vm.question.ariaRequired,
                "aria-label": _vm.question.ariaLabel,
                "aria-invalid": _vm.question.ariaInvalid,
                "aria-errormessage": _vm.question.ariaErrormessage,
                "aria-expanded": _vm.question.ariaExpanded,
                "aria-controls": _vm.model.listElementId,
                "aria-activedescendant": _vm.model.ariaActivedescendant,
                required: _vm.question.isRequired,
              },
              on: { keydown: _vm.keyhandler, blur: _vm.blur },
            },
            [
              _c(
                "div",
                { class: _vm.question.cssClasses.controlValue },
                [
                  _vm._l(_vm.selectedChoices, function (item, index) {
                    return _c("sv-tagbox-item", {
                      key: "item" + index,
                      attrs: { item: item, question: _vm.question },
                    })
                  }),
                  _vm._v(" "),
                  _c("sv-tagbox-filter", {
                    attrs: { model: _vm.model, question: _vm.question },
                  }),
                ],
                2
              ),
              _vm._v(" "),
              _vm.question.allowClear &&
              _vm.question.cssClasses.cleanButtonIconId
                ? _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value: _vm.question.showClearButton,
                          expression: "question.showClearButton",
                        },
                      ],
                      class: _vm.question.cssClasses.cleanButton,
                      attrs: { "aria-hidden": "true" },
                      on: { click: _vm.clear },
                    },
                    [
                      _c("sv-svg-icon", {
                        class: _vm.question.cssClasses.cleanButtonSvg,
                        attrs: {
                          iconName: _vm.question.cssClasses.cleanButtonIconId,
                          title: _vm.question.clearCaption,
                          size: "auto",
                        },
                      }),
                    ],
                    1
                  )
                : _vm._e(),
            ]
          )
        : _vm._e(),
      _vm._v(" "),
      !_vm.question.isReadOnly
        ? _c("sv-popup", { attrs: { model: _vm.model.popupModel } })
        : _c(
            "div",
            {
              class: _vm.question.getControlClass(),
              attrs: {
                id: _vm.question.inputId,
                "aria-label": _vm.question.a11y_input_ariaLabel,
                "aria-labelledby": _vm.question.a11y_input_ariaLabelledBy,
                "aria-describedby": _vm.question.a11y_input_ariaDescribedBy,
                tabindex: _vm.model.isDisabledAttr ? undefined : 0,
              },
            },
            [
              _vm.question.locReadOnlyText
                ? _c("survey-string", {
                    attrs: { locString: _vm.question.locReadOnlyText },
                  })
                : _vm._e(),
            ],
            1
          ),
      _vm._v(" "),
      _vm.question.cssClasses.chevronButtonIconId
        ? _c(
            "div",
            {
              class: _vm.question.cssClasses.chevronButton,
              attrs: { "aria-hidden": "true" },
              on: { pointerdown: _vm.chevronPointerDown },
            },
            [
              _c("sv-svg-icon", {
                class: _vm.question.cssClasses.chevronButtonSvg,
                attrs: {
                  iconName: _vm.question.cssClasses.chevronButtonIconId,
                  size: "auto",
                },
              }),
            ],
            1
          )
        : _vm._e(),
    ],
    1
  )
}
var tagboxvue_type_template_id_a15fc850_staticRenderFns = []
tagboxvue_type_template_id_a15fc850_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox.vue?vue&type=template&id=a15fc850&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox.vue?vue&type=script&lang=ts&
var tagbox_tagboxvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var tagbox_tagboxvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var tagboxvue_type_script_lang_ts_TagboxComponent = /** @class */ (function (_super) {
    tagbox_tagboxvue_type_script_lang_ts_extends(TagboxComponent, _super);
    function TagboxComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(TagboxComponent.prototype, "model", {
        get: function () {
            return this.question.dropdownListModel;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(TagboxComponent.prototype, "selectedChoices", {
        get: function () {
            return this.question.selectedChoices;
        },
        enumerable: false,
        configurable: true
    });
    TagboxComponent.prototype.getModel = function () {
        return this.model;
    };
    TagboxComponent.prototype.inputChange = function (event) {
        this.model.filterString = event.target.value;
    };
    TagboxComponent.prototype.click = function (event) {
        var _a;
        (_a = this.question.dropdownListModel) === null || _a === void 0 ? void 0 : _a.onClick(event);
    };
    TagboxComponent.prototype.clear = function (event) {
        var _a;
        (_a = this.question.dropdownListModel) === null || _a === void 0 ? void 0 : _a.onClear(event);
    };
    TagboxComponent.prototype.chevronPointerDown = function (event) {
        var _a;
        (_a = this.question.dropdownListModel) === null || _a === void 0 ? void 0 : _a.chevronPointerDown(event);
    };
    TagboxComponent.prototype.keyhandler = function (event) {
        var _a;
        (_a = this.question.dropdownListModel) === null || _a === void 0 ? void 0 : _a.keyHandler(event);
    };
    TagboxComponent.prototype.blur = function (event) {
        this.question.onBlur(event);
    };
    TagboxComponent.prototype.focus = function (event) {
        this.question.onFocus(event);
    };
    TagboxComponent.prototype.onCreated = function () {
        if (!this.question.dropdownListModel) {
            this.question.dropdownListModel = new external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["DropdownMultiSelectListModel"](this.question);
        }
    };
    tagbox_tagboxvue_type_script_lang_ts_decorate([
        Prop()
    ], TagboxComponent.prototype, "question", void 0);
    TagboxComponent = tagbox_tagboxvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TagboxComponent);
    return TagboxComponent;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-tagbox", tagboxvue_type_script_lang_ts_TagboxComponent);
/* harmony default export */ var tagbox_tagboxvue_type_script_lang_ts_ = (tagboxvue_type_script_lang_ts_TagboxComponent);

// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_tagbox_tagboxvue_type_script_lang_ts_ = (tagbox_tagboxvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox.vue





/* normalize component */

var tagbox_tagbox_component = normalizeComponent(
  components_tagbox_tagboxvue_type_script_lang_ts_,
  tagboxvue_type_template_id_a15fc850_render,
  tagboxvue_type_template_id_a15fc850_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var tagbox_tagbox_api; }
tagbox_tagbox_component.options.__file = "src/vue/components/tagbox/tagbox.vue"
/* harmony default export */ var tagbox_tagbox = (tagbox_tagbox_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox-item.vue?vue&type=template&id=46c763d0&
var tagbox_itemvue_type_template_id_46c763d0_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { key: _vm.item.key, staticClass: "sv-tagbox__item" }, [
    _c(
      "div",
      { staticClass: "sv-tagbox__item-text" },
      [_c("survey-string", { attrs: { locString: _vm.item.locText } })],
      1
    ),
    _vm._v(" "),
    _c(
      "div",
      {
        class: _vm.question.cssClasses.cleanItemButton,
        on: { click: _vm.removeItem },
      },
      [
        _c("sv-svg-icon", {
          class: _vm.question.cssClasses.cleanItemButtonSvg,
          attrs: {
            iconName: _vm.question.cssClasses.cleanItemButtonIconId,
            size: "auto",
          },
        }),
      ],
      1
    ),
  ])
}
var tagbox_itemvue_type_template_id_46c763d0_staticRenderFns = []
tagbox_itemvue_type_template_id_46c763d0_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-item.vue?vue&type=template&id=46c763d0&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/tagbox/tagbox-item.vue?vue&type=script&lang=ts&
var tagbox_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var tagbox_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var tagbox_itemvue_type_script_lang_ts_TagboxItem = /** @class */ (function (_super) {
    tagbox_itemvue_type_script_lang_ts_extends(TagboxItem, _super);
    function TagboxItem() {
        return _super.call(this) || this;
    }
    TagboxItem.prototype.getModel = function () {
        return this.item;
    };
    TagboxItem.prototype.removeItem = function (event) {
        this.question.dropdownListModel.deselectItem(this.item.value);
        event.stopPropagation();
    };
    tagbox_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], TagboxItem.prototype, "item", void 0);
    tagbox_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], TagboxItem.prototype, "question", void 0);
    TagboxItem = tagbox_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TagboxItem);
    return TagboxItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-tagbox-item", tagbox_itemvue_type_script_lang_ts_TagboxItem);
/* harmony default export */ var tagbox_itemvue_type_script_lang_ts_ = (tagbox_itemvue_type_script_lang_ts_TagboxItem);

// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var tagbox_tagbox_itemvue_type_script_lang_ts_ = (tagbox_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/tagbox/tagbox-item.vue





/* normalize component */

var tagbox_item_component = normalizeComponent(
  tagbox_tagbox_itemvue_type_script_lang_ts_,
  tagbox_itemvue_type_template_id_46c763d0_render,
  tagbox_itemvue_type_template_id_46c763d0_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var tagbox_item_api; }
tagbox_item_component.options.__file = "src/vue/components/tagbox/tagbox-item.vue"
/* harmony default export */ var tagbox_item = (tagbox_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item.vue?vue&type=template&id=38c2d0d0&
var rating_itemvue_type_template_id_38c2d0d0_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      key: _vm.item.value,
      class: _vm.question.getItemClassByText(_vm.item.itemValue, _vm.item.text),
      on: {
        mousedown: function ($event) {
          return _vm.question.onMouseDown()
        },
      },
    },
    [
      _c("input", {
        staticClass: "sv-visuallyhidden",
        attrs: {
          type: "radio",
          name: _vm.question.questionName,
          id: _vm.question.getInputId(_vm.index),
          disabled: _vm.question.isDisabledAttr,
          readonly: _vm.question.isReadOnlyAttr,
          "aria-required": _vm.question.ariaRequired,
          "aria-label": _vm.question.ariaLabel,
          "aria-invalid": _vm.question.ariaInvalid,
          "aria-errormessage": _vm.question.ariaErrormessage,
        },
        domProps: { value: _vm.item.value },
        on: {
          click: function (e) {
            return _vm.question.setValueFromClick(e.target.value)
          },
        },
      }),
      _vm._v(" "),
      _c(
        "span",
        {
          class: _vm.question.cssClasses.itemText,
          attrs: { "data-text": _vm.item.text },
        },
        [_c("survey-string", { attrs: { locString: _vm.item.locText } })],
        1
      ),
    ]
  )
}
var rating_itemvue_type_template_id_38c2d0d0_staticRenderFns = []
rating_itemvue_type_template_id_38c2d0d0_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/rating/rating-item.vue?vue&type=template&id=38c2d0d0&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item.vue?vue&type=script&lang=ts&
var rating_itemvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rating_itemvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rating_itemvue_type_script_lang_ts_RatingItem = /** @class */ (function (_super) {
    rating_itemvue_type_script_lang_ts_extends(RatingItem, _super);
    function RatingItem() {
        return _super.call(this) || this;
    }
    RatingItem.prototype.getModel = function () {
        return this.item;
    };
    rating_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItem.prototype, "item", void 0);
    rating_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItem.prototype, "question", void 0);
    rating_itemvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItem.prototype, "index", void 0);
    RatingItem = rating_itemvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RatingItem);
    return RatingItem;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-rating-item", rating_itemvue_type_script_lang_ts_RatingItem);
/* harmony default export */ var rating_itemvue_type_script_lang_ts_ = (rating_itemvue_type_script_lang_ts_RatingItem);

// CONCATENATED MODULE: ./src/vue/components/rating/rating-item.vue?vue&type=script&lang=ts&
 /* harmony default export */ var rating_rating_itemvue_type_script_lang_ts_ = (rating_itemvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/rating/rating-item.vue





/* normalize component */

var rating_item_component = normalizeComponent(
  rating_rating_itemvue_type_script_lang_ts_,
  rating_itemvue_type_template_id_38c2d0d0_render,
  rating_itemvue_type_template_id_38c2d0d0_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_item_api; }
rating_item_component.options.__file = "src/vue/components/rating/rating-item.vue"
/* harmony default export */ var rating_item = (rating_item_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item-star.vue?vue&type=template&id=5d03fe17&
var rating_item_starvue_type_template_id_5d03fe17_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      key: _vm.item.value,
      class: _vm.question.getItemClass(_vm.item.itemValue),
      on: {
        mousedown: function ($event) {
          return _vm.question.onMouseDown()
        },
        mouseover: function (e) {
          return _vm.question.onItemMouseIn(_vm.item)
        },
        mouseleave: function (e) {
          return _vm.question.onItemMouseOut(_vm.item)
        },
      },
    },
    [
      _c("input", {
        staticClass: "sv-visuallyhidden",
        attrs: {
          type: "radio",
          name: _vm.question.questionName,
          id: _vm.question.getInputId(_vm.index),
          disabled: _vm.question.isDisabledAttr,
          readonly: _vm.question.isReadOnlyAttr,
          "aria-required": _vm.question.ariaRequired,
          "aria-label": _vm.question.ariaLabel,
          "aria-invalid": _vm.question.ariaInvalid,
          "aria-errormessage": _vm.question.ariaErrormessage,
        },
        domProps: { value: _vm.item.value },
        on: {
          click: function (e) {
            return _vm.question.setValueFromClick(e.target.value)
          },
        },
      }),
      _vm._v(" "),
      _c("sv-svg-icon", {
        class: "sv-star",
        attrs: {
          iconName: _vm.question.itemStarIcon,
          size: "auto",
          title: _vm.item.text,
        },
      }),
      _vm._v(" "),
      _c("sv-svg-icon", {
        class: "sv-star-2",
        attrs: {
          iconName: _vm.question.itemStarIconAlt,
          size: "auto",
          title: _vm.item.text,
        },
      }),
    ],
    1
  )
}
var rating_item_starvue_type_template_id_5d03fe17_staticRenderFns = []
rating_item_starvue_type_template_id_5d03fe17_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-star.vue?vue&type=template&id=5d03fe17&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item-star.vue?vue&type=script&lang=ts&
var rating_item_starvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rating_item_starvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rating_item_starvue_type_script_lang_ts_RatingItemStar = /** @class */ (function (_super) {
    rating_item_starvue_type_script_lang_ts_extends(RatingItemStar, _super);
    function RatingItemStar() {
        return _super.call(this) || this;
    }
    RatingItemStar.prototype.getModel = function () {
        return this.item;
    };
    rating_item_starvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemStar.prototype, "item", void 0);
    rating_item_starvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemStar.prototype, "question", void 0);
    rating_item_starvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemStar.prototype, "index", void 0);
    RatingItemStar = rating_item_starvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RatingItemStar);
    return RatingItemStar;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-rating-item-star", rating_item_starvue_type_script_lang_ts_RatingItemStar);
/* harmony default export */ var rating_item_starvue_type_script_lang_ts_ = (rating_item_starvue_type_script_lang_ts_RatingItemStar);

// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-star.vue?vue&type=script&lang=ts&
 /* harmony default export */ var rating_rating_item_starvue_type_script_lang_ts_ = (rating_item_starvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-star.vue





/* normalize component */

var rating_item_star_component = normalizeComponent(
  rating_rating_item_starvue_type_script_lang_ts_,
  rating_item_starvue_type_template_id_5d03fe17_render,
  rating_item_starvue_type_template_id_5d03fe17_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_item_star_api; }
rating_item_star_component.options.__file = "src/vue/components/rating/rating-item-star.vue"
/* harmony default export */ var rating_item_star = (rating_item_star_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item-smiley.vue?vue&type=template&id=7da6a776&
var rating_item_smileyvue_type_template_id_7da6a776_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "label",
    {
      key: _vm.item.value,
      class: _vm.question.getItemClass(_vm.item.itemValue, _vm.item.highlight),
      style: _vm.question.getItemStyle(_vm.item.itemValue, _vm.item.highlight),
      on: {
        mousedown: function ($event) {
          return _vm.question.onMouseDown()
        },
        mouseover: function (e) {
          return _vm.question.onItemMouseIn(_vm.item)
        },
        mouseleave: function (e) {
          return _vm.question.onItemMouseOut(_vm.item)
        },
      },
    },
    [
      _c("input", {
        staticClass: "sv-visuallyhidden",
        attrs: {
          type: "radio",
          name: _vm.question.questionName,
          id: _vm.question.getInputId(_vm.index),
          disabled: _vm.question.isDisabledAttr,
          readonly: _vm.question.isReadOnlyAttr,
          "aria-required": _vm.question.ariaRequired,
          "aria-label": _vm.question.ariaLabel,
          "aria-invalid": _vm.question.ariaInvalid,
          "aria-errormessage": _vm.question.ariaErrormessage,
        },
        domProps: { value: _vm.item.value },
        on: {
          click: function (e) {
            return _vm.question.setValueFromClick(e.target.value)
          },
        },
      }),
      _vm._v(" "),
      _c("sv-svg-icon", {
        attrs: {
          iconName: _vm.question.getItemSmileyIconName(_vm.item.itemValue),
          size: "auto",
          title: _vm.item.text,
        },
      }),
    ],
    1
  )
}
var rating_item_smileyvue_type_template_id_7da6a776_staticRenderFns = []
rating_item_smileyvue_type_template_id_7da6a776_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-smiley.vue?vue&type=template&id=7da6a776&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/rating/rating-item-smiley.vue?vue&type=script&lang=ts&
var rating_item_smileyvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var rating_item_smileyvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var rating_item_smileyvue_type_script_lang_ts_RatingItemSmiley = /** @class */ (function (_super) {
    rating_item_smileyvue_type_script_lang_ts_extends(RatingItemSmiley, _super);
    function RatingItemSmiley() {
        return _super.call(this) || this;
    }
    RatingItemSmiley.prototype.getModel = function () {
        return this.item;
    };
    rating_item_smileyvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemSmiley.prototype, "item", void 0);
    rating_item_smileyvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemSmiley.prototype, "question", void 0);
    rating_item_smileyvue_type_script_lang_ts_decorate([
        Prop()
    ], RatingItemSmiley.prototype, "index", void 0);
    RatingItemSmiley = rating_item_smileyvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], RatingItemSmiley);
    return RatingItemSmiley;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-rating-item-smiley", rating_item_smileyvue_type_script_lang_ts_RatingItemSmiley);
/* harmony default export */ var rating_item_smileyvue_type_script_lang_ts_ = (rating_item_smileyvue_type_script_lang_ts_RatingItemSmiley);

// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-smiley.vue?vue&type=script&lang=ts&
 /* harmony default export */ var rating_rating_item_smileyvue_type_script_lang_ts_ = (rating_item_smileyvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/rating/rating-item-smiley.vue





/* normalize component */

var rating_item_smiley_component = normalizeComponent(
  rating_rating_item_smileyvue_type_script_lang_ts_,
  rating_item_smileyvue_type_template_id_7da6a776_render,
  rating_item_smileyvue_type_template_id_7da6a776_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var rating_item_smiley_api; }
rating_item_smiley_component.options.__file = "src/vue/components/rating/rating-item-smiley.vue"
/* harmony default export */ var rating_item_smiley = (rating_item_smiley_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/remove-button/remove-button.vue?vue&type=template&id=c8a7aa60&
var remove_buttonvue_type_template_id_c8a7aa60_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "button",
    {
      class: _vm.question.getRemoveRowButtonCss(),
      attrs: { type: "button", disabled: _vm.question.isInputReadOnly },
      on: {
        click: function () {
          return _vm.question.removeRowUI(_vm.row)
        },
      },
    },
    [
      _c("survey-string", {
        attrs: { locString: _vm.question.locRemoveRowText },
      }),
      _vm._v(" "),
      _c("span", { class: _vm.question.cssClasses.iconRemove }),
    ],
    1
  )
}
var remove_buttonvue_type_template_id_c8a7aa60_staticRenderFns = []
remove_buttonvue_type_template_id_c8a7aa60_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/matrix-actions/remove-button/remove-button.vue?vue&type=template&id=c8a7aa60&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/remove-button/remove-button.vue?vue&type=script&lang=ts&
var remove_buttonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var remove_buttonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var remove_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDynamicRemoveButton = /** @class */ (function (_super) {
    remove_buttonvue_type_script_lang_ts_extends(SurveyQuestionMatrixDynamicRemoveButton, _super);
    function SurveyQuestionMatrixDynamicRemoveButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SurveyQuestionMatrixDynamicRemoveButton.prototype, "question", {
        get: function () {
            return this.item.data.question;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SurveyQuestionMatrixDynamicRemoveButton.prototype, "row", {
        get: function () {
            return this.item.data.row;
        },
        enumerable: false,
        configurable: true
    });
    SurveyQuestionMatrixDynamicRemoveButton.prototype.getModel = function () {
        return this.item;
    };
    remove_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyQuestionMatrixDynamicRemoveButton.prototype, "item", void 0);
    SurveyQuestionMatrixDynamicRemoveButton = remove_buttonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyQuestionMatrixDynamicRemoveButton);
    return SurveyQuestionMatrixDynamicRemoveButton;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-matrix-remove-button", remove_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDynamicRemoveButton);
/* harmony default export */ var remove_buttonvue_type_script_lang_ts_ = (remove_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDynamicRemoveButton);

// CONCATENATED MODULE: ./src/vue/components/matrix-actions/remove-button/remove-button.vue?vue&type=script&lang=ts&
 /* harmony default export */ var remove_button_remove_buttonvue_type_script_lang_ts_ = (remove_buttonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/matrix-actions/remove-button/remove-button.vue





/* normalize component */

var remove_button_component = normalizeComponent(
  remove_button_remove_buttonvue_type_script_lang_ts_,
  remove_buttonvue_type_template_id_c8a7aa60_render,
  remove_buttonvue_type_template_id_c8a7aa60_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var remove_button_api; }
remove_button_component.options.__file = "src/vue/components/matrix-actions/remove-button/remove-button.vue"
/* harmony default export */ var remove_button = (remove_button_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/detail-button/detail-button.vue?vue&type=template&id=5b4e69b6&
var detail_buttonvue_type_template_id_5b4e69b6_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "button",
    {
      class: _vm.question.getDetailPanelButtonCss(_vm.row),
      attrs: {
        type: "button",
        "aria-expanded": _vm.question.getIsDetailPanelShowing(_vm.row)
          ? "true"
          : "false",
        "aria-controls": _vm.question.getIsDetailPanelShowing(_vm.row)
          ? _vm.row.detailPanelId
          : null,
      },
      on: {
        click: function () {
          return _vm.row.showHideDetailPanelClick()
        },
      },
    },
    [
      _c("sv-svg-icon", {
        class: this.question.getDetailPanelIconCss(this.row),
        attrs: {
          iconName: this.question.getDetailPanelIconId(this.row),
          size: "auto",
        },
      }),
    ],
    1
  )
}
var detail_buttonvue_type_template_id_5b4e69b6_staticRenderFns = []
detail_buttonvue_type_template_id_5b4e69b6_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/matrix-actions/detail-button/detail-button.vue?vue&type=template&id=5b4e69b6&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/detail-button/detail-button.vue?vue&type=script&lang=ts&
var detail_buttonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var detail_buttonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var detail_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDetailButton = /** @class */ (function (_super) {
    detail_buttonvue_type_script_lang_ts_extends(SurveyQuestionMatrixDetailButton, _super);
    function SurveyQuestionMatrixDetailButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SurveyQuestionMatrixDetailButton.prototype, "question", {
        get: function () {
            return this.item.data.question;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SurveyQuestionMatrixDetailButton.prototype, "row", {
        get: function () {
            return this.item.data.row;
        },
        enumerable: false,
        configurable: true
    });
    SurveyQuestionMatrixDetailButton.prototype.getModel = function () {
        return this.item;
    };
    detail_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyQuestionMatrixDetailButton.prototype, "item", void 0);
    SurveyQuestionMatrixDetailButton = detail_buttonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyQuestionMatrixDetailButton);
    return SurveyQuestionMatrixDetailButton;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-matrix-detail-button", detail_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDetailButton);
/* harmony default export */ var detail_buttonvue_type_script_lang_ts_ = (detail_buttonvue_type_script_lang_ts_SurveyQuestionMatrixDetailButton);

// CONCATENATED MODULE: ./src/vue/components/matrix-actions/detail-button/detail-button.vue?vue&type=script&lang=ts&
 /* harmony default export */ var detail_button_detail_buttonvue_type_script_lang_ts_ = (detail_buttonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/matrix-actions/detail-button/detail-button.vue





/* normalize component */

var detail_button_component = normalizeComponent(
  detail_button_detail_buttonvue_type_script_lang_ts_,
  detail_buttonvue_type_template_id_5b4e69b6_render,
  detail_buttonvue_type_template_id_5b4e69b6_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var detail_button_api; }
detail_button_component.options.__file = "src/vue/components/matrix-actions/detail-button/detail-button.vue"
/* harmony default export */ var detail_button = (detail_button_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue?vue&type=template&id=4f55d298&
var drag_drop_iconvue_type_template_id_4f55d298_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("span", { class: _vm.question.cssClasses.iconDrag })
}
var drag_drop_iconvue_type_template_id_4f55d298_staticRenderFns = []
drag_drop_iconvue_type_template_id_4f55d298_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue?vue&type=template&id=4f55d298&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue?vue&type=script&lang=ts&
var drag_drop_iconvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var drag_drop_iconvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var drag_drop_iconvue_type_script_lang_ts_SurveyQuestionMatrixDynamicDragDropIcon = /** @class */ (function (_super) {
    drag_drop_iconvue_type_script_lang_ts_extends(SurveyQuestionMatrixDynamicDragDropIcon, _super);
    function SurveyQuestionMatrixDynamicDragDropIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(SurveyQuestionMatrixDynamicDragDropIcon.prototype, "question", {
        get: function () {
            return this.item.data.question;
        },
        enumerable: false,
        configurable: true
    });
    SurveyQuestionMatrixDynamicDragDropIcon.prototype.getModel = function () {
        return this.item;
    };
    drag_drop_iconvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyQuestionMatrixDynamicDragDropIcon.prototype, "item", void 0);
    SurveyQuestionMatrixDynamicDragDropIcon = drag_drop_iconvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyQuestionMatrixDynamicDragDropIcon);
    return SurveyQuestionMatrixDynamicDragDropIcon;
}(base));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-matrix-drag-drop-icon", drag_drop_iconvue_type_script_lang_ts_SurveyQuestionMatrixDynamicDragDropIcon);
/* harmony default export */ var drag_drop_iconvue_type_script_lang_ts_ = (drag_drop_iconvue_type_script_lang_ts_SurveyQuestionMatrixDynamicDragDropIcon);

// CONCATENATED MODULE: ./src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue?vue&type=script&lang=ts&
 /* harmony default export */ var drag_drop_icon_drag_drop_iconvue_type_script_lang_ts_ = (drag_drop_iconvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue





/* normalize component */

var drag_drop_icon_component = normalizeComponent(
  drag_drop_icon_drag_drop_iconvue_type_script_lang_ts_,
  drag_drop_iconvue_type_template_id_4f55d298_render,
  drag_drop_iconvue_type_template_id_4f55d298_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var drag_drop_icon_api; }
drag_drop_icon_component.options.__file = "src/vue/components/matrix-actions/drag-drop-icon/drag-drop-icon.vue"
/* harmony default export */ var drag_drop_icon = (drag_drop_icon_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue?vue&type=template&id=247e54cb&
var paneldynamic_add_btnvue_type_template_id_247e54cb_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.question.canAddPanel
    ? _c(
        "button",
        {
          class: _vm.question.getAddButtonCss(),
          attrs: { type: "button", id: _vm.question.addButtonId },
          on: { click: _vm.addPanelClick },
        },
        [
          _c(
            "span",
            { class: _vm.question.cssClasses.buttonAddText },
            [
              _c("survey-string", {
                attrs: { locString: _vm.question.locPanelAddText },
              }),
            ],
            1
          ),
        ]
      )
    : _vm._e()
}
var paneldynamic_add_btnvue_type_template_id_247e54cb_staticRenderFns = []
paneldynamic_add_btnvue_type_template_id_247e54cb_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue?vue&type=template&id=247e54cb&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue?vue&type=script&lang=ts&
var paneldynamic_add_btnvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamic_add_btnvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction = /** @class */ (function (_super) {
    paneldynamic_add_btnvue_type_script_lang_ts_extends(PaneldynamicAction, _super);
    function PaneldynamicAction() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(PaneldynamicAction.prototype, "question", {
        get: function () {
            return (this.item && this.item.data.question) || this.data.question;
        },
        enumerable: false,
        configurable: true
    });
    paneldynamic_add_btnvue_type_script_lang_ts_decorate([
        Prop()
    ], PaneldynamicAction.prototype, "data", void 0);
    paneldynamic_add_btnvue_type_script_lang_ts_decorate([
        Prop()
    ], PaneldynamicAction.prototype, "item", void 0);
    return PaneldynamicAction;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

var paneldynamic_add_btnvue_type_script_lang_ts_PanelDynamicAddBtn = /** @class */ (function (_super) {
    paneldynamic_add_btnvue_type_script_lang_ts_extends(PanelDynamicAddBtn, _super);
    function PanelDynamicAddBtn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PanelDynamicAddBtn.prototype.addPanelClick = function () {
        this.question.addPanelUI();
    };
    PanelDynamicAddBtn = paneldynamic_add_btnvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicAddBtn);
    return PanelDynamicAddBtn;
}(paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-paneldynamic-add-btn", paneldynamic_add_btnvue_type_script_lang_ts_PanelDynamicAddBtn);
/* harmony default export */ var paneldynamic_add_btnvue_type_script_lang_ts_ = (paneldynamic_add_btnvue_type_script_lang_ts_PanelDynamicAddBtn);

// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue?vue&type=script&lang=ts&
 /* harmony default export */ var paneldynamic_actions_paneldynamic_add_btnvue_type_script_lang_ts_ = (paneldynamic_add_btnvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue





/* normalize component */

var paneldynamic_add_btn_component = normalizeComponent(
  paneldynamic_actions_paneldynamic_add_btnvue_type_script_lang_ts_,
  paneldynamic_add_btnvue_type_template_id_247e54cb_render,
  paneldynamic_add_btnvue_type_template_id_247e54cb_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_add_btn_api; }
paneldynamic_add_btn_component.options.__file = "src/vue/components/paneldynamic-actions/paneldynamic-add-btn.vue"
/* harmony default export */ var paneldynamic_add_btn = (paneldynamic_add_btn_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue?vue&type=template&id=6cc1c777&
var paneldynamic_next_btnvue_type_template_id_6cc1c777_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getNextButtonCss(),
      attrs: { title: _vm.question.panelNextText },
      on: { click: _vm.nextPanelClick },
    },
    [
      _c("sv-svg-icon", {
        attrs: {
          iconName: _vm.question.cssClasses.progressBtnIcon,
          size: "auto",
        },
      }),
    ],
    1
  )
}
var paneldynamic_next_btnvue_type_template_id_6cc1c777_staticRenderFns = []
paneldynamic_next_btnvue_type_template_id_6cc1c777_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue?vue&type=template&id=6cc1c777&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue?vue&type=script&lang=ts&
var paneldynamic_next_btnvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamic_next_btnvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamic_next_btnvue_type_script_lang_ts_PanelDynamicNextBtn = /** @class */ (function (_super) {
    paneldynamic_next_btnvue_type_script_lang_ts_extends(PanelDynamicNextBtn, _super);
    function PanelDynamicNextBtn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PanelDynamicNextBtn.prototype.nextPanelClick = function () {
        this.question.goToNextPanel();
    };
    PanelDynamicNextBtn = paneldynamic_next_btnvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicNextBtn);
    return PanelDynamicNextBtn;
}(paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-paneldynamic-next-btn", paneldynamic_next_btnvue_type_script_lang_ts_PanelDynamicNextBtn);
/* harmony default export */ var paneldynamic_next_btnvue_type_script_lang_ts_ = (paneldynamic_next_btnvue_type_script_lang_ts_PanelDynamicNextBtn);

// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue?vue&type=script&lang=ts&
 /* harmony default export */ var paneldynamic_actions_paneldynamic_next_btnvue_type_script_lang_ts_ = (paneldynamic_next_btnvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue





/* normalize component */

var paneldynamic_next_btn_component = normalizeComponent(
  paneldynamic_actions_paneldynamic_next_btnvue_type_script_lang_ts_,
  paneldynamic_next_btnvue_type_template_id_6cc1c777_render,
  paneldynamic_next_btnvue_type_template_id_6cc1c777_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_next_btn_api; }
paneldynamic_next_btn_component.options.__file = "src/vue/components/paneldynamic-actions/paneldynamic-next-btn.vue"
/* harmony default export */ var paneldynamic_next_btn = (paneldynamic_next_btn_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue?vue&type=template&id=12d79eb7&
var paneldynamic_prev_btnvue_type_template_id_12d79eb7_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    {
      class: _vm.question.getPrevButtonCss(),
      attrs: { title: _vm.question.panelPrevText },
      on: { click: _vm.prevPanelClick },
    },
    [
      _c("sv-svg-icon", {
        attrs: {
          iconName: _vm.question.cssClasses.progressBtnIcon,
          size: "auto",
        },
      }),
    ],
    1
  )
}
var paneldynamic_prev_btnvue_type_template_id_12d79eb7_staticRenderFns = []
paneldynamic_prev_btnvue_type_template_id_12d79eb7_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue?vue&type=template&id=12d79eb7&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue?vue&type=script&lang=ts&
var paneldynamic_prev_btnvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamic_prev_btnvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamic_prev_btnvue_type_script_lang_ts_PanelDynamicPrevBtn = /** @class */ (function (_super) {
    paneldynamic_prev_btnvue_type_script_lang_ts_extends(PanelDynamicPrevBtn, _super);
    function PanelDynamicPrevBtn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PanelDynamicPrevBtn.prototype.prevPanelClick = function () {
        this.question.goToPrevPanel();
    };
    PanelDynamicPrevBtn = paneldynamic_prev_btnvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicPrevBtn);
    return PanelDynamicPrevBtn;
}(paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-paneldynamic-prev-btn", paneldynamic_prev_btnvue_type_script_lang_ts_PanelDynamicPrevBtn);
/* harmony default export */ var paneldynamic_prev_btnvue_type_script_lang_ts_ = (paneldynamic_prev_btnvue_type_script_lang_ts_PanelDynamicPrevBtn);

// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue?vue&type=script&lang=ts&
 /* harmony default export */ var paneldynamic_actions_paneldynamic_prev_btnvue_type_script_lang_ts_ = (paneldynamic_prev_btnvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue





/* normalize component */

var paneldynamic_prev_btn_component = normalizeComponent(
  paneldynamic_actions_paneldynamic_prev_btnvue_type_script_lang_ts_,
  paneldynamic_prev_btnvue_type_template_id_12d79eb7_render,
  paneldynamic_prev_btnvue_type_template_id_12d79eb7_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_prev_btn_api; }
paneldynamic_prev_btn_component.options.__file = "src/vue/components/paneldynamic-actions/paneldynamic-prev-btn.vue"
/* harmony default export */ var paneldynamic_prev_btn = (paneldynamic_prev_btn_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue?vue&type=template&id=3d8075a8&
var paneldynamic_progress_textvue_type_template_id_3d8075a8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.question.cssClasses.progressText }, [
    _vm._v(_vm._s(_vm.question.progressText)),
  ])
}
var paneldynamic_progress_textvue_type_template_id_3d8075a8_staticRenderFns = []
paneldynamic_progress_textvue_type_template_id_3d8075a8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue?vue&type=template&id=3d8075a8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue?vue&type=script&lang=ts&
var paneldynamic_progress_textvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamic_progress_textvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamic_progress_textvue_type_script_lang_ts_PanelDynamicProgressText = /** @class */ (function (_super) {
    paneldynamic_progress_textvue_type_script_lang_ts_extends(PanelDynamicProgressText, _super);
    function PanelDynamicProgressText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PanelDynamicProgressText = paneldynamic_progress_textvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicProgressText);
    return PanelDynamicProgressText;
}(paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-paneldynamic-progress-text", paneldynamic_progress_textvue_type_script_lang_ts_PanelDynamicProgressText);
/* harmony default export */ var paneldynamic_progress_textvue_type_script_lang_ts_ = (paneldynamic_progress_textvue_type_script_lang_ts_PanelDynamicProgressText);

// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue?vue&type=script&lang=ts&
 /* harmony default export */ var paneldynamic_actions_paneldynamic_progress_textvue_type_script_lang_ts_ = (paneldynamic_progress_textvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue





/* normalize component */

var paneldynamic_progress_text_component = normalizeComponent(
  paneldynamic_actions_paneldynamic_progress_textvue_type_script_lang_ts_,
  paneldynamic_progress_textvue_type_template_id_3d8075a8_render,
  paneldynamic_progress_textvue_type_template_id_3d8075a8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_progress_text_api; }
paneldynamic_progress_text_component.options.__file = "src/vue/components/paneldynamic-actions/paneldynamic-progress-text.vue"
/* harmony default export */ var paneldynamic_progress_text = (paneldynamic_progress_text_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue?vue&type=template&id=202e30c8&
var paneldynamic_remove_btnvue_type_template_id_202e30c8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "button",
    {
      class: _vm.question.getPanelRemoveButtonCss(),
      attrs: { type: "button", id: _vm.id },
      on: {
        click: function ($event) {
          return _vm.removePanelClick(_vm.panel)
        },
      },
    },
    [
      _c(
        "span",
        { class: _vm.question.cssClasses.buttonRemoveText },
        [
          _c("survey-string", {
            attrs: { locString: _vm.question.locPanelRemoveText },
          }),
        ],
        1
      ),
      _vm._v(" "),
      _c("span", { class: _vm.question.cssClasses.iconRemove }),
    ]
  )
}
var paneldynamic_remove_btnvue_type_template_id_202e30c8_staticRenderFns = []
paneldynamic_remove_btnvue_type_template_id_202e30c8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue?vue&type=template&id=202e30c8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue?vue&type=script&lang=ts&
var paneldynamic_remove_btnvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var paneldynamic_remove_btnvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var paneldynamic_remove_btnvue_type_script_lang_ts_PanelDynamicRemoveButton = /** @class */ (function (_super) {
    paneldynamic_remove_btnvue_type_script_lang_ts_extends(PanelDynamicRemoveButton, _super);
    function PanelDynamicRemoveButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(PanelDynamicRemoveButton.prototype, "panel", {
        get: function () {
            return (this.item && this.item.data.panel) || this.data.panel;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PanelDynamicRemoveButton.prototype, "id", {
        get: function () {
            return this.question.getPanelRemoveButtonId(this.panel);
        },
        enumerable: false,
        configurable: true
    });
    PanelDynamicRemoveButton.prototype.removePanelClick = function (panel) {
        if (!this.question.isInputReadOnly) {
            this.question.removePanelUI(panel);
        }
    };
    PanelDynamicRemoveButton = paneldynamic_remove_btnvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], PanelDynamicRemoveButton);
    return PanelDynamicRemoveButton;
}(paneldynamic_add_btnvue_type_script_lang_ts_PaneldynamicAction));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-paneldynamic-remove-btn", paneldynamic_remove_btnvue_type_script_lang_ts_PanelDynamicRemoveButton);
/* harmony default export */ var paneldynamic_remove_btnvue_type_script_lang_ts_ = (paneldynamic_remove_btnvue_type_script_lang_ts_PanelDynamicRemoveButton);

// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue?vue&type=script&lang=ts&
 /* harmony default export */ var paneldynamic_actions_paneldynamic_remove_btnvue_type_script_lang_ts_ = (paneldynamic_remove_btnvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue





/* normalize component */

var paneldynamic_remove_btn_component = normalizeComponent(
  paneldynamic_actions_paneldynamic_remove_btnvue_type_script_lang_ts_,
  paneldynamic_remove_btnvue_type_template_id_202e30c8_render,
  paneldynamic_remove_btnvue_type_template_id_202e30c8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var paneldynamic_remove_btn_api; }
paneldynamic_remove_btn_component.options.__file = "src/vue/components/paneldynamic-actions/paneldynamic-remove-btn.vue"
/* harmony default export */ var paneldynamic_remove_btn = (paneldynamic_remove_btn_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/survey-actions/survey-nav-button.vue?vue&type=template&id=3760119e&
var survey_nav_buttonvue_type_template_id_3760119e_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.item.visible
    ? _c("input", {
        class: _vm.item.innerCss,
        attrs: {
          type: "button",
          disabled: _vm.item.disabled,
          value: _vm.item.title,
          title: _vm.item.getTooltip(),
        },
        on: { mousedown: _vm.buttonMouseDown, click: _vm.item.action },
      })
    : _vm._e()
}
var survey_nav_buttonvue_type_template_id_3760119e_staticRenderFns = []
survey_nav_buttonvue_type_template_id_3760119e_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/survey-actions/survey-nav-button.vue?vue&type=template&id=3760119e&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/survey-actions/survey-nav-button.vue?vue&type=script&lang=ts&
var survey_nav_buttonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var survey_nav_buttonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var survey_nav_buttonvue_type_script_lang_ts_SurveyNavigationButton = /** @class */ (function (_super) {
    survey_nav_buttonvue_type_script_lang_ts_extends(SurveyNavigationButton, _super);
    function SurveyNavigationButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SurveyNavigationButton.prototype.getModel = function () {
        return this.item;
    };
    SurveyNavigationButton.prototype.buttonMouseDown = function () {
        return this.item.data && this.item.data.mouseDown();
    };
    survey_nav_buttonvue_type_script_lang_ts_decorate([
        Prop()
    ], SurveyNavigationButton.prototype, "item", void 0);
    SurveyNavigationButton = survey_nav_buttonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SurveyNavigationButton);
    return SurveyNavigationButton;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-nav-btn", survey_nav_buttonvue_type_script_lang_ts_SurveyNavigationButton);
/* harmony default export */ var survey_nav_buttonvue_type_script_lang_ts_ = (survey_nav_buttonvue_type_script_lang_ts_SurveyNavigationButton);

// CONCATENATED MODULE: ./src/vue/components/survey-actions/survey-nav-button.vue?vue&type=script&lang=ts&
 /* harmony default export */ var survey_actions_survey_nav_buttonvue_type_script_lang_ts_ = (survey_nav_buttonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/survey-actions/survey-nav-button.vue





/* normalize component */

var survey_nav_button_component = normalizeComponent(
  survey_actions_survey_nav_buttonvue_type_script_lang_ts_,
  survey_nav_buttonvue_type_template_id_3760119e_render,
  survey_nav_buttonvue_type_template_id_3760119e_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var survey_nav_button_api; }
survey_nav_button_component.options.__file = "src/vue/components/survey-actions/survey-nav-button.vue"
/* harmony default export */ var survey_nav_button = (survey_nav_button_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/skeleton.vue?vue&type=template&id=5bd480d4&
var skeletonvue_type_template_id_5bd480d4_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", {
    staticClass: "sv-skeleton-element",
    style: { height: _vm.element.skeletonHeight },
    attrs: { id: _vm.element.id },
  })
}
var skeletonvue_type_template_id_5bd480d4_staticRenderFns = []
skeletonvue_type_template_id_5bd480d4_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/skeleton.vue?vue&type=template&id=5bd480d4&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/skeleton.vue?vue&type=script&lang=ts&
var skeletonvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var skeletonvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var skeletonvue_type_script_lang_ts_Skeleton = /** @class */ (function (_super) {
    skeletonvue_type_script_lang_ts_extends(Skeleton, _super);
    function Skeleton() {
        return _super.call(this) || this;
    }
    skeletonvue_type_script_lang_ts_decorate([
        Prop()
    ], Skeleton.prototype, "element", void 0);
    Skeleton = skeletonvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], Skeleton);
    return Skeleton;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-skeleton", skeletonvue_type_script_lang_ts_Skeleton);
/* harmony default export */ var skeletonvue_type_script_lang_ts_ = (skeletonvue_type_script_lang_ts_Skeleton);

// CONCATENATED MODULE: ./src/vue/components/skeleton.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_skeletonvue_type_script_lang_ts_ = (skeletonvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/skeleton.vue





/* normalize component */

var skeleton_component = normalizeComponent(
  components_skeletonvue_type_script_lang_ts_,
  skeletonvue_type_template_id_5bd480d4_render,
  skeletonvue_type_template_id_5bd480d4_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var skeleton_api; }
skeleton_component.options.__file = "src/vue/components/skeleton.vue"
/* harmony default export */ var skeleton = (skeleton_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/brand-info.vue?vue&type=template&id=2616b47b&
var brand_infovue_type_template_id_2616b47b_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm._m(0)
}
var brand_infovue_type_template_id_2616b47b_staticRenderFns = [
  function () {
    var _vm = this
    var _h = _vm.$createElement
    var _c = _vm._self._c || _h
    return _c("div", { staticClass: "sv-brand-info" }, [
      _c(
        "a",
        {
          staticClass: "sv-brand-info__logo",
          attrs: {
            href: "https://surveyjs.io/?utm_source=built-in_links&utm_medium=online_survey_tool&utm_campaign=landing_page",
          },
        },
        [
          _c("img", {
            attrs: { src: "https://surveyjs.io/Content/Images/poweredby.svg" },
          }),
        ]
      ),
      _vm._v(" "),
      _c("div", { staticClass: "sv-brand-info__text" }, [
        _vm._v("Try and see how easy it is to "),
        _c(
          "a",
          {
            attrs: {
              href: "https://surveyjs.io/create-survey?utm_source=built-in_links&utm_medium=online_survey_tool&utm_campaign=create_survey",
            },
          },
          [_vm._v("create a survey")]
        ),
      ]),
      _vm._v(" "),
      _c("div", { staticClass: "sv-brand-info__terms" }, [
        _c("a", { attrs: { href: "https://surveyjs.io/TermsOfUse" } }, [
          _vm._v("Terms of Use & Privacy Statement"),
        ]),
      ]),
    ])
  },
]
brand_infovue_type_template_id_2616b47b_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/brand-info.vue?vue&type=template&id=2616b47b&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/brand-info.vue?vue&type=script&lang=ts&
var brand_infovue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var brand_infovue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var brand_infovue_type_script_lang_ts_BrandInfo = /** @class */ (function (_super) {
    brand_infovue_type_script_lang_ts_extends(BrandInfo, _super);
    function BrandInfo() {
        return _super.call(this) || this;
    }
    BrandInfo = brand_infovue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], BrandInfo);
    return BrandInfo;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-brand-info", brand_infovue_type_script_lang_ts_BrandInfo);
/* harmony default export */ var brand_infovue_type_script_lang_ts_ = (brand_infovue_type_script_lang_ts_BrandInfo);

// CONCATENATED MODULE: ./src/vue/components/brand-info.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_brand_infovue_type_script_lang_ts_ = (brand_infovue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/brand-info.vue





/* normalize component */

var brand_info_component = normalizeComponent(
  components_brand_infovue_type_script_lang_ts_,
  brand_infovue_type_template_id_2616b47b_render,
  brand_infovue_type_template_id_2616b47b_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var brand_info_api; }
brand_info_component.options.__file = "src/vue/components/brand-info.vue"
/* harmony default export */ var brand_info = (brand_info_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/question-error.vue?vue&type=template&id=d20ca6b0&
var question_errorvue_type_template_id_d20ca6b0_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { key: _vm.errorKey }, [
    _c("span", {
      class: _vm.cssClasses
        ? _vm.cssClasses.error.icon || undefined
        : "panel-error-icon",
      attrs: { "aria-hidden": "true" },
    }),
    _vm._v(" "),
    _c(
      "span",
      {
        class: _vm.cssClasses
          ? _vm.cssClasses.error.item || undefined
          : "panel-error-item",
      },
      [_c("survey-string", { attrs: { locString: _vm.error.locText } })],
      1
    ),
  ])
}
var question_errorvue_type_template_id_d20ca6b0_staticRenderFns = []
question_errorvue_type_template_id_d20ca6b0_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/question-error.vue?vue&type=template&id=d20ca6b0&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/question-error.vue?vue&type=script&lang=ts&
var question_errorvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var question_errorvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var question_errorvue_type_script_lang_ts_QuestionError = /** @class */ (function (_super) {
    question_errorvue_type_script_lang_ts_extends(QuestionError, _super);
    function QuestionError() {
        return _super.call(this) || this;
    }
    question_errorvue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionError.prototype, "errorKey", void 0);
    question_errorvue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionError.prototype, "error", void 0);
    question_errorvue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionError.prototype, "cssClasses", void 0);
    question_errorvue_type_script_lang_ts_decorate([
        Prop()
    ], QuestionError.prototype, "element", void 0);
    QuestionError = question_errorvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], QuestionError);
    return QuestionError;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-question-error", question_errorvue_type_script_lang_ts_QuestionError);
/* harmony default export */ var question_errorvue_type_script_lang_ts_ = (question_errorvue_type_script_lang_ts_QuestionError);

// CONCATENATED MODULE: ./src/vue/components/question-error.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_question_errorvue_type_script_lang_ts_ = (question_errorvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/question-error.vue





/* normalize component */

var question_error_component = normalizeComponent(
  components_question_errorvue_type_script_lang_ts_,
  question_errorvue_type_template_id_d20ca6b0_render,
  question_errorvue_type_template_id_d20ca6b0_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var question_error_api; }
question_error_component.options.__file = "src/vue/components/question-error.vue"
/* harmony default export */ var question_error = (question_error_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/notifier.vue?vue&type=template&id=2d93edad&
var notifiervue_type_template_id_2d93edad_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.model.isDisplayed
    ? _c(
        "div",
        {
          class: _vm.model.css,
          style: { visibility: _vm.model.active ? "visible" : "hidden" },
          attrs: { role: "alert", "aria-live": "polite" },
        },
        [
          _c("span", [_vm._v(_vm._s(_vm.model.message))]),
          _vm._v(" "),
          _c("sv-action-bar", { attrs: { model: _vm.model.actionBar } }),
        ],
        1
      )
    : _vm._e()
}
var notifiervue_type_template_id_2d93edad_staticRenderFns = []
notifiervue_type_template_id_2d93edad_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/notifier.vue?vue&type=template&id=2d93edad&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/notifier.vue?vue&type=script&lang=ts&
var notifiervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var notifiervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var notifiervue_type_script_lang_ts_NotifierComponent = /** @class */ (function (_super) {
    notifiervue_type_script_lang_ts_extends(NotifierComponent, _super);
    function NotifierComponent() {
        return _super.call(this) || this;
    }
    NotifierComponent.prototype.getModel = function () {
        return this.model;
    };
    notifiervue_type_script_lang_ts_decorate([
        Prop()
    ], NotifierComponent.prototype, "model", void 0);
    NotifierComponent = notifiervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], NotifierComponent);
    return NotifierComponent;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-notifier", notifiervue_type_script_lang_ts_NotifierComponent);
/* harmony default export */ var notifiervue_type_script_lang_ts_ = (notifiervue_type_script_lang_ts_NotifierComponent);

// CONCATENATED MODULE: ./src/vue/components/notifier.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_notifiervue_type_script_lang_ts_ = (notifiervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/notifier.vue





/* normalize component */

var notifier_component = normalizeComponent(
  components_notifiervue_type_script_lang_ts_,
  notifiervue_type_template_id_2d93edad_render,
  notifiervue_type_template_id_2d93edad_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var notifier_api; }
notifier_component.options.__file = "src/vue/components/notifier.vue"
/* harmony default export */ var notifier = (notifier_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/container.vue?vue&type=template&id=2b44a00a&
var containervue_type_template_id_2b44a00a_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.components.length > 0
    ? _c(
        "div",
        {
          class: [
            "sv-components-column",
            "sv-components-container-" + _vm.container,
          ],
        },
        [
          _vm._l(_vm.components, function (component) {
            return [
              _c(component.component, {
                key: component.index,
                tag: "component",
                attrs: {
                  survey: _vm.survey,
                  container: _vm.container,
                  model: component.data,
                },
              }),
            ]
          }),
        ],
        2
      )
    : _vm._e()
}
var containervue_type_template_id_2b44a00a_staticRenderFns = []
containervue_type_template_id_2b44a00a_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/container.vue?vue&type=template&id=2b44a00a&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/container.vue?vue&type=script&lang=ts&
var containervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var containervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var containervue_type_script_lang_ts_ComponentsContainer = /** @class */ (function (_super) {
    containervue_type_script_lang_ts_extends(ComponentsContainer, _super);
    function ComponentsContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ComponentsContainer.prototype, "components", {
        get: function () {
            return this.survey.getContainerContent(this.container);
        },
        enumerable: false,
        configurable: true
    });
    containervue_type_script_lang_ts_decorate([
        Prop()
    ], ComponentsContainer.prototype, "survey", void 0);
    containervue_type_script_lang_ts_decorate([
        Prop()
    ], ComponentsContainer.prototype, "container", void 0);
    ComponentsContainer = containervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], ComponentsContainer);
    return ComponentsContainer;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-components-container", containervue_type_script_lang_ts_ComponentsContainer);
/* harmony default export */ var containervue_type_script_lang_ts_ = (containervue_type_script_lang_ts_ComponentsContainer);

// CONCATENATED MODULE: ./src/vue/components/container.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_containervue_type_script_lang_ts_ = (containervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/container.vue





/* normalize component */

var container_component = normalizeComponent(
  components_containervue_type_script_lang_ts_,
  containervue_type_template_id_2b44a00a_render,
  containervue_type_template_id_2b44a00a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var container_api; }
container_component.options.__file = "src/vue/components/container.vue"
/* harmony default export */ var container = (container_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/text-area.vue?vue&type=template&id=08a00294&
var text_areavue_type_template_id_08a00294_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("textarea", {
    ref: "contentElement",
    class: _vm.model.className,
    style: { resize: _vm.model.question.resizeStyle },
    attrs: {
      readonly: _vm.model.isReadOnlyAttr,
      disabled: _vm.model.isDisabledAttr,
      id: _vm.model.id,
      maxlength: _vm.model.maxLength,
      cols: _vm.model.cols,
      rows: _vm.model.rows,
      placeholder: _vm.model.placeholder,
      "aria-required": _vm.model.ariaRequired,
      "aria-label": _vm.model.ariaLabel,
      "aria-labelledby": _vm.model.ariaLabelledBy,
      "aria-describedby": _vm.model.ariaDescribedBy,
      "aria-invalid": _vm.model.ariaInvalid,
      "aria-errormessage": _vm.model.ariaErrormessage,
    },
    domProps: { value: _vm.value },
    on: {
      focus: function (e) {
        _vm.model.onTextAreaFocus(e)
      },
      blur: function (e) {
        _vm.model.onTextAreaBlur(e)
      },
      change: function (e) {
        _vm.model.onTextAreaChange(e)
      },
      input: function (e) {
        _vm.model.onTextAreaInput(e)
      },
      keydown: function (e) {
        _vm.model.onTextAreaKeyDown(e)
      },
    },
  })
}
var text_areavue_type_template_id_08a00294_staticRenderFns = []
text_areavue_type_template_id_08a00294_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/text-area.vue?vue&type=template&id=08a00294&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/text-area.vue?vue&type=script&lang=ts&
var text_areavue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var text_areavue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var text_areavue_type_script_lang_ts_TextAreaComponent = /** @class */ (function (_super) {
    text_areavue_type_script_lang_ts_extends(TextAreaComponent, _super);
    function TextAreaComponent() {
        return _super.call(this) || this;
    }
    Object.defineProperty(TextAreaComponent.prototype, "value", {
        get: function () {
            return this.model.getTextValue() || "";
        },
        enumerable: false,
        configurable: true
    });
    TextAreaComponent.prototype.onMounted = function () {
        this.model.setElement(this.$refs["contentElement"]);
    };
    TextAreaComponent.prototype.onUpdated = function () {
        this.model.setElement(this.$refs["contentElement"]);
    };
    text_areavue_type_script_lang_ts_decorate([
        Prop()
    ], TextAreaComponent.prototype, "model", void 0);
    TextAreaComponent = text_areavue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], TextAreaComponent);
    return TextAreaComponent;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-text-area", text_areavue_type_script_lang_ts_TextAreaComponent);
/* harmony default export */ var text_areavue_type_script_lang_ts_ = (text_areavue_type_script_lang_ts_TextAreaComponent);

// CONCATENATED MODULE: ./src/vue/components/text-area.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_text_areavue_type_script_lang_ts_ = (text_areavue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/text-area.vue





/* normalize component */

var text_area_component = normalizeComponent(
  components_text_areavue_type_script_lang_ts_,
  text_areavue_type_template_id_08a00294_render,
  text_areavue_type_template_id_08a00294_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var text_area_api; }
text_area_component.options.__file = "src/vue/components/text-area.vue"
/* harmony default export */ var text_area = (text_area_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/character-counter.vue?vue&type=template&id=7c80ca61&
var character_countervue_type_template_id_7c80ca61_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.remainingCharacterCounter }, [
    _vm._v(_vm._s(_vm.counter.remainingCharacterCounter)),
  ])
}
var character_countervue_type_template_id_7c80ca61_staticRenderFns = []
character_countervue_type_template_id_7c80ca61_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/character-counter.vue?vue&type=template&id=7c80ca61&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/character-counter.vue?vue&type=script&lang=ts&
var character_countervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var character_countervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var character_countervue_type_script_lang_ts_CharacterCounterComponent = /** @class */ (function (_super) {
    character_countervue_type_script_lang_ts_extends(CharacterCounterComponent, _super);
    function CharacterCounterComponent() {
        return _super.call(this) || this;
    }
    CharacterCounterComponent.prototype.getModel = function () {
        return this.counter;
    };
    character_countervue_type_script_lang_ts_decorate([
        Prop()
    ], CharacterCounterComponent.prototype, "counter", void 0);
    character_countervue_type_script_lang_ts_decorate([
        Prop()
    ], CharacterCounterComponent.prototype, "remainingCharacterCounter", void 0);
    CharacterCounterComponent = character_countervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], CharacterCounterComponent);
    return CharacterCounterComponent;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-character-counter", character_countervue_type_script_lang_ts_CharacterCounterComponent);
/* harmony default export */ var character_countervue_type_script_lang_ts_ = (character_countervue_type_script_lang_ts_CharacterCounterComponent);

// CONCATENATED MODULE: ./src/vue/components/character-counter.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_character_countervue_type_script_lang_ts_ = (character_countervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/character-counter.vue





/* normalize component */

var character_counter_component = normalizeComponent(
  components_character_countervue_type_script_lang_ts_,
  character_countervue_type_template_id_7c80ca61_render,
  character_countervue_type_template_id_7c80ca61_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var character_counter_api; }
character_counter_component.options.__file = "src/vue/components/character-counter.vue"
/* harmony default export */ var character_counter = (character_counter_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/loading-indicator.vue?vue&type=template&id=e887da72&
var loading_indicatorvue_type_template_id_e887da72_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "sd-loading-indicator" },
    [
      _c("sv-svg-icon", {
        attrs: { iconName: "icon-loading", size: "'auto'" },
      }),
    ],
    1
  )
}
var loading_indicatorvue_type_template_id_e887da72_staticRenderFns = []
loading_indicatorvue_type_template_id_e887da72_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/loading-indicator.vue?vue&type=template&id=e887da72&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/loading-indicator.vue?vue&type=script&lang=ts&
var loading_indicatorvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var loading_indicatorvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var loading_indicatorvue_type_script_lang_ts_LoadingIndicatorComponent = /** @class */ (function (_super) {
    loading_indicatorvue_type_script_lang_ts_extends(LoadingIndicatorComponent, _super);
    function LoadingIndicatorComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LoadingIndicatorComponent = loading_indicatorvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], LoadingIndicatorComponent);
    return LoadingIndicatorComponent;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-loading-indicator", loading_indicatorvue_type_script_lang_ts_LoadingIndicatorComponent);
/* harmony default export */ var loading_indicatorvue_type_script_lang_ts_ = (loading_indicatorvue_type_script_lang_ts_LoadingIndicatorComponent);

// CONCATENATED MODULE: ./src/vue/components/loading-indicator.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_loading_indicatorvue_type_script_lang_ts_ = (loading_indicatorvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/loading-indicator.vue





/* normalize component */

var loading_indicator_component = normalizeComponent(
  components_loading_indicatorvue_type_script_lang_ts_,
  loading_indicatorvue_type_template_id_e887da72_render,
  loading_indicatorvue_type_template_id_e887da72_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var loading_indicator_api; }
loading_indicator_component.options.__file = "src/vue/components/loading-indicator.vue"
/* harmony default export */ var loading_indicator = (loading_indicator_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header-cell.vue?vue&type=template&id=1e8e1467&
var header_cellvue_type_template_id_1e8e1467_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { class: _vm.model.css, style: _vm.model.style }, [
    _c(
      "div",
      { staticClass: "sv-header__cell-content", style: _vm.model.contentStyle },
      [
        _vm.model.showLogo
          ? _c("div", { staticClass: "sv-header__logo" }, [
              _c("div", { class: _vm.model.survey.logoClassNames }, [
                _c("img", {
                  class: _vm.model.survey.css.logoImage,
                  style: {
                    objectFit: _vm.model.survey.logoFit,
                    width: _vm.model.survey.renderedStyleLogoWidth,
                    height: _vm.model.survey.renderedStyleLogoHeight,
                  },
                  attrs: {
                    src: _vm.model.survey.locLogo.renderedHtml,
                    width: _vm.model.survey.renderedLogoWidth,
                    height: _vm.model.survey.renderedLogoHeight,
                    alt: _vm.model.survey.locTitle.renderedHtml,
                  },
                }),
              ]),
            ])
          : _vm._e(),
        _vm._v(" "),
        _vm.model.showTitle
          ? _c(
              "div",
              {
                staticClass: "sv-header__title",
                style: { maxWidth: _vm.model.textAreaWidth },
              },
              [
                _c("survey-element-title", {
                  attrs: {
                    element: _vm.model.survey,
                    css: _vm.model.survey.css,
                  },
                }),
              ],
              1
            )
          : _vm._e(),
        _vm._v(" "),
        _vm.model.showDescription
          ? _c(
              "div",
              {
                staticClass: "sv-header__description",
                style: { maxWidth: _vm.model.textAreaWidth },
              },
              [
                _vm.model.survey.renderedHasDescription
                  ? _c(
                      "div",
                      { class: _vm.model.survey.css.description },
                      [
                        _c("survey-string", {
                          attrs: { locString: _vm.model.survey.locDescription },
                        }),
                      ],
                      1
                    )
                  : _vm._e(),
              ]
            )
          : _vm._e(),
      ]
    ),
  ])
}
var header_cellvue_type_template_id_1e8e1467_staticRenderFns = []
header_cellvue_type_template_id_1e8e1467_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/header/header-cell.vue?vue&type=template&id=1e8e1467&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header-cell.vue?vue&type=script&lang=ts&
var header_cellvue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var header_cellvue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var header_cellvue_type_script_lang_ts_HeaderCellViewModel = /** @class */ (function (_super) {
    header_cellvue_type_script_lang_ts_extends(HeaderCellViewModel, _super);
    function HeaderCellViewModel(props) {
        return _super.call(this, props) || this;
    }
    header_cellvue_type_script_lang_ts_decorate([
        Prop()
    ], HeaderCellViewModel.prototype, "model", void 0);
    HeaderCellViewModel = header_cellvue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], HeaderCellViewModel);
    return HeaderCellViewModel;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-header-cell", header_cellvue_type_script_lang_ts_HeaderCellViewModel);
/* harmony default export */ var header_cellvue_type_script_lang_ts_ = (header_cellvue_type_script_lang_ts_HeaderCellViewModel);

// CONCATENATED MODULE: ./src/vue/components/header/header-cell.vue?vue&type=script&lang=ts&
 /* harmony default export */ var header_header_cellvue_type_script_lang_ts_ = (header_cellvue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/header/header-cell.vue





/* normalize component */

var header_cell_component = normalizeComponent(
  header_header_cellvue_type_script_lang_ts_,
  header_cellvue_type_template_id_1e8e1467_render,
  header_cellvue_type_template_id_1e8e1467_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var header_cell_api; }
header_cell_component.options.__file = "src/vue/components/header/header-cell.vue"
/* harmony default export */ var header_cell = (header_cell_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header-mobile.vue?vue&type=template&id=77b85732&
var header_mobilevue_type_template_id_77b85732_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "sv-header--mobile" }, [
    _vm.model.survey.hasLogo
      ? _c("div", { staticClass: "sv-header__logo" }, [
          _c("div", { class: _vm.model.survey.logoClassNames }, [
            _c("img", {
              class: _vm.model.survey.css.logoImage,
              style: {
                objectFit: _vm.model.survey.logoFit,
                width: _vm.model.survey.renderedStyleLogoWidth,
                height: _vm.model.survey.renderedStyleLogoHeight,
              },
              attrs: {
                src: _vm.model.survey.locLogo.renderedHtml,
                width: _vm.model.survey.renderedLogoWidth,
                height: _vm.model.survey.renderedLogoHeight,
                alt: _vm.model.survey.locTitle.renderedHtml,
              },
            }),
          ]),
        ])
      : _vm._e(),
    _vm._v(" "),
    _vm.model.survey.hasTitle
      ? _c(
          "div",
          {
            staticClass: "sv-header__title",
            style: { maxWidth: _vm.model.renderedtextAreaWidth },
          },
          [
            _c("survey-element-title", {
              attrs: { element: _vm.model.survey, css: _vm.model.survey.css },
            }),
          ],
          1
        )
      : _vm._e(),
    _vm._v(" "),
    _vm.model.survey.renderedHasDescription
      ? _c(
          "div",
          {
            staticClass: "sv-header__description",
            style: { maxWidth: _vm.model.renderedtextAreaWidth },
          },
          [
            _vm.model.survey.renderedHasDescription
              ? _c(
                  "div",
                  { class: _vm.model.survey.css.description },
                  [
                    _c("survey-string", {
                      attrs: { locString: _vm.model.survey.locDescription },
                    }),
                  ],
                  1
                )
              : _vm._e(),
          ]
        )
      : _vm._e(),
  ])
}
var header_mobilevue_type_template_id_77b85732_staticRenderFns = []
header_mobilevue_type_template_id_77b85732_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/header/header-mobile.vue?vue&type=template&id=77b85732&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header-mobile.vue?vue&type=script&lang=ts&
var header_mobilevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var header_mobilevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var header_mobilevue_type_script_lang_ts_HeaderMobileViewModel = /** @class */ (function (_super) {
    header_mobilevue_type_script_lang_ts_extends(HeaderMobileViewModel, _super);
    function HeaderMobileViewModel(props) {
        return _super.call(this, props) || this;
    }
    header_mobilevue_type_script_lang_ts_decorate([
        Prop()
    ], HeaderMobileViewModel.prototype, "model", void 0);
    HeaderMobileViewModel = header_mobilevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], HeaderMobileViewModel);
    return HeaderMobileViewModel;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-header-mobile", header_mobilevue_type_script_lang_ts_HeaderMobileViewModel);
/* harmony default export */ var header_mobilevue_type_script_lang_ts_ = (header_mobilevue_type_script_lang_ts_HeaderMobileViewModel);

// CONCATENATED MODULE: ./src/vue/components/header/header-mobile.vue?vue&type=script&lang=ts&
 /* harmony default export */ var header_header_mobilevue_type_script_lang_ts_ = (header_mobilevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/header/header-mobile.vue





/* normalize component */

var header_mobile_component = normalizeComponent(
  header_header_mobilevue_type_script_lang_ts_,
  header_mobilevue_type_template_id_77b85732_render,
  header_mobilevue_type_template_id_77b85732_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var header_mobile_api; }
header_mobile_component.options.__file = "src/vue/components/header/header-mobile.vue"
/* harmony default export */ var header_mobile = (header_mobile_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header.vue?vue&type=template&id=5db0f458&
var headervue_type_template_id_5db0f458_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.survey.headerView === "advanced"
    ? _c(
        "div",
        {
          class: _vm.model.headerClasses,
          style: { height: _vm.model.renderedHeight },
        },
        [
          !!_vm.model.backgroundImage
            ? _c("div", {
                class: _vm.model.backgroundImageClasses,
                style: _vm.model.backgroundImageStyle,
              })
            : _vm._e(),
          _vm._v(" "),
          !_vm.survey.isMobile
            ? _c(
                "div",
                {
                  class: _vm.model.contentClasses,
                  style: { maxWidth: _vm.model.maxWidth },
                },
                _vm._l(_vm.model.cells, function (cell, index) {
                  return _c("sv-header-cell", {
                    key: index,
                    attrs: { model: cell },
                  })
                }),
                1
              )
            : _vm._e(),
          _vm._v(" "),
          _vm.survey.isMobile
            ? _c(
                "div",
                [_c("sv-header-mobile", { attrs: { model: _vm.model } })],
                1
              )
            : _vm._e(),
        ]
      )
    : _vm._e()
}
var headervue_type_template_id_5db0f458_staticRenderFns = []
headervue_type_template_id_5db0f458_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/components/header/header.vue?vue&type=template&id=5db0f458&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/components/header/header.vue?vue&type=script&lang=ts&
var header_headervue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var header_headervue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var headervue_type_script_lang_ts_HeaderViewModel = /** @class */ (function (_super) {
    header_headervue_type_script_lang_ts_extends(HeaderViewModel, _super);
    function HeaderViewModel(props) {
        return _super.call(this, props) || this;
    }
    HeaderViewModel.prototype.getModel = function () {
        this.model.survey = this.survey;
        return this.model;
    };
    header_headervue_type_script_lang_ts_decorate([
        Prop()
    ], HeaderViewModel.prototype, "model", void 0);
    header_headervue_type_script_lang_ts_decorate([
        Prop()
    ], HeaderViewModel.prototype, "survey", void 0);
    HeaderViewModel = header_headervue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], HeaderViewModel);
    return HeaderViewModel;
}(base_BaseVue));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-header", headervue_type_script_lang_ts_HeaderViewModel);
/* harmony default export */ var header_headervue_type_script_lang_ts_ = (headervue_type_script_lang_ts_HeaderViewModel);

// CONCATENATED MODULE: ./src/vue/components/header/header.vue?vue&type=script&lang=ts&
 /* harmony default export */ var components_header_headervue_type_script_lang_ts_ = (header_headervue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/components/header/header.vue





/* normalize component */

var header_header_component = normalizeComponent(
  components_header_headervue_type_script_lang_ts_,
  headervue_type_template_id_5db0f458_render,
  headervue_type_template_id_5db0f458_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var header_header_api; }
header_header_component.options.__file = "src/vue/components/header/header.vue"
/* harmony default export */ var header_header = (header_header_component.exports);
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/svgbundle.vue?vue&type=template&id=d9296dd8&
var svgbundlevue_type_template_id_d9296dd8_render = function () {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("svg", {
    directives: [
      { name: "show", rawName: "v-show", value: false, expression: "false" },
    ],
    ref: "root",
    attrs: { id: "sv-icon-holder-global-container" },
  })
}
var svgbundlevue_type_template_id_d9296dd8_staticRenderFns = []
svgbundlevue_type_template_id_d9296dd8_render._withStripped = true


// CONCATENATED MODULE: ./src/vue/svgbundle.vue?vue&type=template&id=d9296dd8&

// CONCATENATED MODULE: ./node_modules/ts-loader??ref--0!./node_modules/vue-loader/lib??vue-loader-options!./src/vue/svgbundle.vue?vue&type=script&lang=ts&
var svgbundlevue_type_script_lang_ts_extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var svgbundlevue_type_script_lang_ts_decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var svgbundlevue_type_script_lang_ts_SvgBundle = /** @class */ (function (_super) {
    svgbundlevue_type_script_lang_ts_extends(SvgBundle, _super);
    function SvgBundle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SvgBundle.prototype.mounted = function () {
        this.$el.innerHTML = external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SvgRegistry"].iconsRenderedHtml();
    };
    SvgBundle = svgbundlevue_type_script_lang_ts_decorate([
        vue_class_component_esm
    ], SvgBundle);
    return SvgBundle;
}(external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a));

external_root_Vue_commonjs2_vue_commonjs_vue_amd_vue_default.a.component("sv-svg-bundle", svgbundlevue_type_script_lang_ts_SvgBundle);
/* harmony default export */ var svgbundlevue_type_script_lang_ts_ = (svgbundlevue_type_script_lang_ts_SvgBundle);

// CONCATENATED MODULE: ./src/vue/svgbundle.vue?vue&type=script&lang=ts&
 /* harmony default export */ var vue_svgbundlevue_type_script_lang_ts_ = (svgbundlevue_type_script_lang_ts_); 
// CONCATENATED MODULE: ./src/vue/svgbundle.vue





/* normalize component */

var svgbundle_component = normalizeComponent(
  vue_svgbundlevue_type_script_lang_ts_,
  svgbundlevue_type_template_id_d9296dd8_render,
  svgbundlevue_type_template_id_d9296dd8_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var svgbundle_api; }
svgbundle_component.options.__file = "src/vue/svgbundle.vue"
/* harmony default export */ var svgbundle = (svgbundle_component.exports);
// CONCATENATED MODULE: ./src/entries/vue-ui-model.ts















































































































external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["SurveyModel"].platform = "vue";

// CONCATENATED MODULE: ./src/entries/core-export.ts




// CONCATENATED MODULE: ./src/entries/vue-ui.ts




Object(external_root_Survey_commonjs2_survey_core_commonjs_survey_core_amd_survey_core_["checkLibraryVersion"])("" + "1.12.36", "survey-vue-ui");


/***/ }),

/***/ "survey-core":
/*!*********************************************************************************************************!*\
  !*** external {"root":"Survey","commonjs2":"survey-core","commonjs":"survey-core","amd":"survey-core"} ***!
  \*********************************************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_survey_core__;

/***/ }),

/***/ "vue":
/*!******************************************************************************!*\
  !*** external {"root":"Vue","commonjs2":"vue","commonjs":"vue","amd":"vue"} ***!
  \******************************************************************************/
/*! no static exports found */
/*! ModuleConcatenation bailout: Module is not an ECMAScript module */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_vue__;

/***/ })

/******/ });
});
//# sourceMappingURL=survey-vue-ui.js.map